diff --git a/changelog b/changelog
index 3bf1d1e..5e82394 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141202 tpd src/axiom-website/patches.html 20141202.02.tpd.patch
+20141202 tpd src/input/*.input: rewrite ** to ^
 20141202 tpd src/axiom-website/patches.html 20141202.01.tpd.patch
 20141202 tpd buglist: bug 7267: src/input/liu ^ is not always **
 20141201 tpd src/axiom-website/patches.html 20141201.01.tpd.patch
diff --git a/patch b/patch
index a1e9687..6524afe 100644
--- a/patch
+++ b/patch
@@ -1,10 +1,3 @@
-buglist: bug 7267: src/input/liu ^ is not always **
-
-This makes it clear that the exponential operation semantics is different
-for the use of ``\verb|^|'' and ``\verb|**|'' in some cases.
-
-Does exponential operation ``\verb|^|'' and ``\verb|**|'' of a differential
-operator, say L, means repeating multiplications of L in Axiom ? If
-so, it seems the following code produced an unexpected result:
-
+src/input/*.input: rewrite ** to ^
 
+regularize input files to the the ^ notation
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f1c4fe5..3b1bce4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4744,6 +4744,8 @@ buglist: bug 7266: integration failure for 1/(sin(x)^4+1)<br/>
 readme: update the readme file to remove outdated comments<br/>
 <a href="patches/20141202.01.tpd.patch">20141202.01.tpd.patch</a>
 buglist: bug 7267: src/input/liu ^ is not always **<br/>
+<a href="patches/20141202.02.tpd.patch">20141202.02.tpd.patch</a>
+src/input/*.input: rewrite ** to ^<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 435c5e2..32f04ef 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -526,9 +526,12 @@ LISPTANGLE=${OBJ}/${SYS}/bin/lisp
 all: alltests
 
 algebratests: ${OUTS}
+	@ echo ======================================
+	@ echo src/input RUNNING ALGEBRA TESTS
+	@ echo ======================================
 	@ echo si13 starting algebra regression testing
 	@ (cd ${MID} ; \
-	  ${BOOKS}/tanglec ${SRC}/algebra/Makefile.pamphlet algebra.regress \
+	  ${BOOKS}/tanglec ${BOOKS}/bookvol10.pamphlet algebra.regress \
             >Makefile.algebra ; \
           ${MAKE} -f Makefile.algebra )
 	@ echo si14 finished ${INT}/input
@@ -553,7 +556,7 @@ regresstests: ${REGRESSTESTS} ${OUTS}
 	@ echo src/input RUNNING REGRESSION TESTS
 	@ echo ======================================
  
-alltests: regresstests catstests newrichtests richtests algebratests ${OUTS}
+alltests: regresstests algebratests catstests newrichtests richtests ${OUTS}
 	@ echo ======================================
 	@ echo src/input RUNNING ALL TESTS
 	@ echo ======================================
diff --git a/src/input/algbrbf.input.pamphlet b/src/input/algbrbf.input.pamphlet
index 54106f0..38312c6 100644
--- a/src/input/algbrbf.input.pamphlet
+++ b/src/input/algbrbf.input.pamphlet
@@ -110,7 +110,7 @@ c := cos(p/12)
 --E 11
 
 --S 12 of 13
-16*c**4 - 16*c**2 + 1
+16*c^4 - 16*c^2 + 1
 --R 
 --R
 --R   (12)  0.0
diff --git a/src/input/algfacob.input.pamphlet b/src/input/algfacob.input.pamphlet
index 1428a8c..1e3058f 100644
--- a/src/input/algfacob.input.pamphlet
+++ b/src/input/algfacob.input.pamphlet
@@ -28,7 +28,7 @@
 --E 1
 
 --S 2 of 37
-x := 2**8 * 78**7 * 111**3 * 74534
+x := 2^8 * 78^7 * 111^3 * 74534
 --R 
 --R
 --R         16 10  7  3
@@ -84,7 +84,7 @@ f := x/y
 --E 7
 
 --S 8 of 37
-g := (x**9)/y
+g := (x^9)/y
 --R 
 --R
 --R         134 70  63  27  9   9
@@ -128,7 +128,7 @@ h := (f*g)/(g*nilFactor(2,200))
 --E 11
 
 --S 12 of 37
-u := factor (x**4 - y**4)
+u := factor (x^4 - y^4)
 --R 
 --R
 --R                          2    2
@@ -137,7 +137,7 @@ u := factor (x**4 - y**4)
 --E 12
 
 --S 13 of 37
-v := nilFactor(x-y,2) * nilFactor(x+y,2) * nilFactor(x**2 + y**2,1)
+v := nilFactor(x-y,2) * nilFactor(x+y,2) * nilFactor(x^2 + y^2,1)
 --R 
 --R
 --R               2       2  2    2
@@ -146,7 +146,7 @@ v := nilFactor(x-y,2) * nilFactor(x+y,2) * nilFactor(x**2 + y**2,1)
 --E 13
 
 --S 14 of 37
-w := factor(x**2 + 2*x*y + 2*x + 2*y + y**2 + 1) * nilFactor(x-y,2)
+w := factor(x^2 + 2*x*y + 2*x + 2*y + y^2 + 1) * nilFactor(x-y,2)
 --R 
 --R
 --R               2           2
diff --git a/src/input/allfact.input.pamphlet b/src/input/allfact.input.pamphlet
index 8b86206..2694060 100644
--- a/src/input/allfact.input.pamphlet
+++ b/src/input/allfact.input.pamphlet
@@ -56,7 +56,7 @@ factor m
 
 -- factorization of polynomials over finite fields
 --S 5 of 21
-u:UP(x,PF(19)) :=3*x**4+2*x**2+15*x+18
+u:UP(x,PF(19)) :=3*x^4+2*x^2+15*x+18
 --R 
 --R
 --R          4     2
@@ -75,7 +75,7 @@ factor u
 
 -- factorization of polynomials over the integers
 --S 7 of 21
-v:UP(x,INT):= (4*x**3+2*x**2+1)*(12*x**5-x**3+12)
+v:UP(x,INT):= (4*x^3+2*x^2+1)*(12*x^5-x^3+12)
 --R 
 --R
 --R           8      7     6      5      3      2
@@ -94,7 +94,7 @@ factor v
 
 -- factorization of multivariate polynomial over the integers
 --S 9 of 21
-w:MPOLY([x,y,z],INT) :=(x**2-y**2-z**2)*(x**2+y**2+z**2)*(z*y+3*z)
+w:MPOLY([x,y,z],INT) :=(x^2-y^2-z^2)*(x^2+y^2+z^2)*(z*y+3*z)
 --R 
 --R
 --R                   4      5       4     3 3     3 2    5      5
@@ -113,7 +113,7 @@ factor w
 
 -- factorization of univariate and multivariate over the rational numbers
 --S 11 of 21
-f:MPOLY([x,y,z],FRAC INT) :=(4/9*x**2-1/16)*(x**3/27+125)
+f:MPOLY([x,y,z],FRAC INT) :=(4/9*x^2-1/16)*(x^3/27+125)
 --R 
 --R
 --R          4   5    1   3   500  2   125
@@ -134,7 +134,7 @@ factor f
 
 -- factorization over rational functions
 --S 13 of 21
-g:DMP([x,y],FRAC POLY INT):=a**2*x**2/b**2 -c**2*y**2/d**2
+g:DMP([x,y],FRAC POLY INT):=a^2*x^2/b^2 -c^2*y^2/d^2
 --R 
 --R
 --R          2       2
@@ -159,7 +159,7 @@ factor g
 
 -- decomposition of a rational function
 --S 15 of 21
-r:FRAC POLY INT:= (a**3/b**3-c**3/(b+1)**3)*(a*d+a/c)
+r:FRAC POLY INT:= (a^3/b^3-c^3/(b+1)^3)*(a*d+a/c)
 --R 
 --R
 --R   (15)
@@ -185,7 +185,7 @@ factorFraction r
 
 -- factorization over simple algebraic extensions
 --S 17 of 21
-aa|aa**2+aa+1
+aa|aa^2+aa+1
 --R 
 --R   Your statement has resulted in the following assignments and 
 --R      declaration:
@@ -198,7 +198,7 @@ aa|aa**2+aa+1
 --E 17
 
 --S 18 of 21
-p:UP(x,SAEaa) :=(x**3+aa**2*x+1)*(aa*x**2+aa*x+aa)**2
+p:UP(x,SAEaa) :=(x^3+aa^2*x+1)*(aa*x^2+aa*x+aa)^2
 --R 
 --R
 --R   (18)
@@ -221,7 +221,7 @@ factor(p)$SAEFACT(UP('aa,FRAC INT),SAEaa,UP(x,SAEaa))
 
 -- factorization over algebraic numbers
 --S 20 of 21
-a:=rootOf(a**2+3)$AN
+a:=rootOf(a^2+3)$AN
 --R 
 --R
 --R   (20)  a
@@ -229,7 +229,7 @@ a:=rootOf(a**2+3)$AN
 --E 20
 
 --S 21 of 21
-factor(x**2+x+1,[a])
+factor(x^2+x+1,[a])
 --R 
 --R
 --R              - a + 1      a + 1
diff --git a/src/input/arith.input.pamphlet b/src/input/arith.input.pamphlet
index 72c1feb..f76fb4f 100644
--- a/src/input/arith.input.pamphlet
+++ b/src/input/arith.input.pamphlet
@@ -38,7 +38,7 @@
 --E 2
 
 --S 3 of 25
-234**108
+234^108
 --R 
 --R
 --R   (3)
@@ -69,7 +69,7 @@ z := 1/2
 --E 5
 
 --S 6 of 25
-v := (z + 1) ** 10
+v := (z + 1)^10
 --R 
 --R
 --R        59049
@@ -87,7 +87,7 @@ v := (z + 1) ** 10
 --E 7
 
 --S 8 of 25
-u := (x+1)**6
+u := (x+1)^6
 --R 
 --R
 --R         6     5      4      3      2
diff --git a/src/input/array1.input.pamphlet b/src/input/array1.input.pamphlet
index b65d175..465adf0 100644
--- a/src/input/array1.input.pamphlet
+++ b/src/input/array1.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 9
-oneDimensionalArray [i**2 for i in 1..10]
+oneDimensionalArray [i^2 for i in 1..10]
 --R 
 --R
 --R   (1)  [1,4,9,16,25,36,49,64,81,100]
@@ -46,7 +46,7 @@ for i in 1..10 repeat a.i := i; a
 --E 3
 
 --S 4 of 9
-map!(i +-> i ** 2,a); a
+map!(i +-> i^2,a); a
 --R 
 --R
 --R   (4)  [1,4,9,16,25,36,49,64,81,100]
diff --git a/src/input/as-eg1.input.pamphlet b/src/input/as-eg1.input.pamphlet
index 73b9f57..cefbc7a 100644
--- a/src/input/as-eg1.input.pamphlet
+++ b/src/input/as-eg1.input.pamphlet
@@ -22,9 +22,9 @@ a+a
 a*a
 gcd(a-1,a+1)
 x+a
-%**3
+%^3
 sin a
-%**2+cos(a)**2
+%^2+cos(a)^2
 simplify %
 matrix [[a,a+1],[a-1,a-2]]
 inverse %
diff --git a/src/input/as-eg5.input.pamphlet b/src/input/as-eg5.input.pamphlet
index cd59e49..d4ba8c0 100644
--- a/src/input/as-eg5.input.pamphlet
+++ b/src/input/as-eg5.input.pamphlet
@@ -18,8 +18,8 @@
 \getchunk{license}
 )co pdecomp0.as
 (u,v):UP(x,FRAC INT)
-u:=x**2+x+2
-v:=x**3+2*x**2+x+1
+u:=x^2+x+2
+v:=x^3+2*x^2+x+1
 compose(u,v)
 decompose %
 
diff --git a/src/input/bbtree.input.pamphlet b/src/input/bbtree.input.pamphlet
index 1d20add..262f6bd 100644
--- a/src/input/bbtree.input.pamphlet
+++ b/src/input/bbtree.input.pamphlet
@@ -86,7 +86,7 @@ leaves %
 --E 8
 
 --S 9 of 10
-squares := [x**2 rem m for x in % for m in lm]
+squares := [x^2 rem m for x in % for m in lm]
 --R 
 --R
 --R   (9)  [0,4,4,1]
diff --git a/src/input/bern.input.pamphlet b/src/input/bern.input.pamphlet
index 7863fdd..108045c 100644
--- a/src/input/bern.input.pamphlet
+++ b/src/input/bern.input.pamphlet
@@ -11,8 +11,8 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-f(t)==cos(t)/(1+sin(t)**2)
-g(t)==sin(t)*cos(t)/(1+sin(t)**2)
+f(t)==cos(t)/(1+sin(t)^2)
+g(t)==sin(t)*cos(t)/(1+sin(t)^2)
 c(t)==curve(f(t),g(t))
 d:=draw(c(t)),t = -%pi..%pi, [title "Lemniscate of Bernoulli"])
 close(d)
diff --git a/src/input/bernpoly.input.pamphlet b/src/input/bernpoly.input.pamphlet
index 2884d70..1e2c33f 100644
--- a/src/input/bernpoly.input.pamphlet
+++ b/src/input/bernpoly.input.pamphlet
@@ -20,15 +20,15 @@
 -- by V. Krylov Macmillan 1962 p13)
 draw(1,x=0..1)
 draw(x-(1/2),x=0..1)
-draw(x**2-x+(1/6),x=0..1)
-draw(x**3-(3/2)*x**2+(1/2)*x,x=0..1)
-draw(x**4-2*x**3+x**2-(1/30),x=0..1)
-draw(x**5-(5/2)*x**4+(5/3)*x**3-(1/6)*x,x=0..1)
-draw(x**6-3*x**5+(5/2)*x**4-(1/2)*x**2+(1/42),x=0..1)
-draw(x**7-(7/2)*x**6+(7/2)*x**5-(7/6)*x**3+(1/6)*x,x=0..1)
-draw(x**8-4*x**7+(14/3)*x**6-(7/3)*x**4+(2/3)*x**2-(1/30),x=0..1)
-draw(x**9-(9/2)*x**8+6*x**7-(21/5)*x**5+2*x**3-(3/10)*x,x=0..1)
-draw(x**10-5*x**9+(15/2)*x**8-7*x**6+5*x**4-(3/2)*x**2+(5/66),x=0..1)
+draw(x^2-x+(1/6),x=0..1)
+draw(x^3-(3/2)*x^2+(1/2)*x,x=0..1)
+draw(x^4-2*x^3+x^2-(1/30),x=0..1)
+draw(x^5-(5/2)*x^4+(5/3)*x^3-(1/6)*x,x=0..1)
+draw(x^6-3*x^5+(5/2)*x^4-(1/2)*x^2+(1/42),x=0..1)
+draw(x^7-(7/2)*x^6+(7/2)*x^5-(7/6)*x^3+(1/6)*x,x=0..1)
+draw(x^8-4*x^7+(14/3)*x^6-(7/3)*x^4+(2/3)*x^2-(1/30),x=0..1)
+draw(x^9-(9/2)*x^8+6*x^7-(21/5)*x^5+2*x^3-(3/10)*x,x=0..1)
+draw(x^10-5*x^9+(15/2)*x^8-7*x^6+5*x^4-(3/2)*x^2+(5/66),x=0..1)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/binary.input.pamphlet b/src/input/binary.input.pamphlet
index 7ce04fd..a8d4ea9 100644
--- a/src/input/binary.input.pamphlet
+++ b/src/input/binary.input.pamphlet
@@ -70,7 +70,7 @@ binary(1/1007)
 --E 4
 
 --S 5 of 7
-p := binary(1/4)*x**2 + binary(2/3)*x + binary(4/9)
+p := binary(1/4)*x^2 + binary(2/3)*x + binary(4/9)
 --R 
 --R
 --R             2     __      ______
diff --git a/src/input/bug10312.input.pamphlet b/src/input/bug10312.input.pamphlet
index a0b642b..4ffdd0e 100644
--- a/src/input/bug10312.input.pamphlet
+++ b/src/input/bug10312.input.pamphlet
@@ -32,7 +32,7 @@ p:=(1/2+n)::UTS(FRAC INT, 'n, 0)
 --E 1
 
 --S 2 of 2
-(p**(-1))$UTS(FRAC INT, 'n, 0)
+(p^(-1))$UTS(FRAC INT, 'n, 0)
 --R 
 --I   Compiling function G1473 with type Integer -> Boolean 
 --R
diff --git a/src/input/bugs.input.pamphlet b/src/input/bugs.input.pamphlet
index 68628be..4b72cab 100644
--- a/src/input/bugs.input.pamphlet
+++ b/src/input/bugs.input.pamphlet
@@ -29,7 +29,7 @@
 )clear all
 
 --S 1 of 44 
-eq1:= A*x**2 + B*x*y + C*y**2 +D*x + E*y + F
+eq1:= A*x^2 + B*x*y + C*y^2 +D*x + E*y + F
 --R 
 --R
 --R           2                   2
@@ -295,7 +295,7 @@ u f
 )clear all
 
 --S 24 of 44 
-groebner [x**2 - y, y**3+1]
+groebner [x^2 - y, y^3+1]
 --R 
 --R
 --R              2  6
@@ -363,7 +363,7 @@ p(n,x) == if n=0 then 1 else (x+n-1)*p(n-1,x)
 --E 29
 
 --S 30 of 44 
-pp(n,x) == if n=0 then 1 else if n<0 then (-1)**n/p(-n,1-x) else p(n,x)
+pp(n,x) == if n=0 then 1 else if n<0 then (-1)^n/p(-n,1-x) else p(n,x)
 --R 
 --R                                                                   Type: Void
 --E 30
@@ -464,7 +464,7 @@ f 3 -- Bombs
 --S 36 of 44 
 mp(x,l) ==
   l is [a,:b] =>
-    a*x**(#b)+ mp(x,b)
+    a*x^(#b)+ mp(x,b)
   0
 --R 
 --R                                                                   Type: Void
diff --git a/src/input/c05nbf.input.pamphlet b/src/input/c05nbf.input.pamphlet
index 2da8d57..d14f542 100644
--- a/src/input/c05nbf.input.pamphlet
+++ b/src/input/c05nbf.input.pamphlet
@@ -24,15 +24,15 @@ n:=9
 lwa:=n*(3*n+13)/2
 xtol:SF:=1.0e-9
 fi:ASP6(FCN):=retract vector[_
- 3*X[1] - 2*X[1]**2 - 2*X[2] + 1,_
- -X[1] + 3*X[2] - 2*X[2]**2 - 2*X[3] + 1,_
- -X[2] + 3*X[3] - 2*X[3]**2 - 2*X[4] + 1,_
- -X[3] + 3*X[4] - 2*X[4]**2 - 2*X[5] + 1,_
- -X[4] + 3*X[5] - 2*X[5]**2 - 2*X[6] + 1,_
- -X[5] + 3*X[6] - 2*X[6]**2 - 2*X[7] + 1,_
- -X[6] + 3*X[7] - 2*X[7]**2 - 2*X[8] + 1,_
- -X[7] + 3*X[8] - 2*X[8]**2 - 2*X[9] + 1,_
- -X[8] + 3*X[9] - 2*X[9]**2 + 1]
+ 3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
+ -X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
+ -X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
+ -X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
+ -X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
+ -X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
+ -X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
+ -X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
+ -X[8] + 3*X[9] - 2*X[9]^2 + 1]
 x:Matrix SF:=
  [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
 result:=c05nbf(n,lwa,x,xtol,-1,fi)
diff --git a/src/input/c05pbf.input.pamphlet b/src/input/c05pbf.input.pamphlet
index 9562c3e..13f9a62 100644
--- a/src/input/c05pbf.input.pamphlet
+++ b/src/input/c05pbf.input.pamphlet
@@ -27,15 +27,15 @@ xtol:SF:=1.0e-9
 x:Matrix SF:=
  [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
 fcn:ASP35(FCN):=retract vector[_
-3*X[1] - 2*X[1]**2 - 2*X[2] + 1,_
--X[1] + 3*X[2] - 2*X[2]**2 - 2*X[3] + 1,_
--X[2] + 3*X[3] - 2*X[3]**2 - 2*X[4] + 1,_
--X[3] + 3*X[4] - 2*X[4]**2 - 2*X[5] + 1,_
--X[4] + 3*X[5] - 2*X[5]**2 - 2*X[6] + 1,_
--X[5] + 3*X[6] - 2*X[6]**2 - 2*X[7] + 1,_
--X[6] + 3*X[7] - 2*X[7]**2 - 2*X[8] + 1,_
--X[7] + 3*X[8] - 2*X[8]**2 - 2*X[9] + 1,_
--X[8] + 3*X[9] - 2*X[9]**2 + 1]
+3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
+-X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
+-X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
+-X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
+-X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
+-X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
+-X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
+-X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
+-X[8] + 3*X[9] - 2*X[9]^2 + 1]
 result:=c05pbf(n,ldfjac,lwa,x,xtol,-1,fcn)
 \end{chunk}
 \eject
diff --git a/src/input/calculus.input.pamphlet b/src/input/calculus.input.pamphlet
index 13cf593..e9deffc 100644
--- a/src/input/calculus.input.pamphlet
+++ b/src/input/calculus.input.pamphlet
@@ -56,7 +56,7 @@ y := operator y
 --E 4
 
 --S 5 of 24
-a := f(x z, y z, z**2) + x y(z+1)
+a := f(x z, y z, z^2) + x y(z+1)
 --R 
 --R
 --R                                   2
@@ -163,7 +163,7 @@ laplace(2/t * (1 - cos(a*t)), t, s)
 --E 13
 
 --S 14 of 24
-laplace(exp(-a*t) * sin(b*t) / b**2, t, s)
+laplace(exp(-a*t) * sin(b*t) / b^2, t, s)
 --R 
 --R
 --R                    1
@@ -211,7 +211,7 @@ laplace(a*Ci(b*t) + c*Si(d*t), t, s)
 --E 17
 
 --S 18 of 24
-laplace(sin(a*t) - a*t*cos(a*t) + exp(t**2), t, s)
+laplace(sin(a*t) - a*t*cos(a*t) + exp(t^2), t, s)
 --R 
 --R
 --R                                    2
@@ -257,7 +257,7 @@ differentiate(f, x, 4)
 --E 21
 
 --S 22 of 24
-g := sin(x**2 + y)
+g := sin(x^2 + y)
 --R 
 --R
 --R                 2
diff --git a/src/input/calculus2.input.pamphlet b/src/input/calculus2.input.pamphlet
index bc5d87d..dd8023b 100644
--- a/src/input/calculus2.input.pamphlet
+++ b/src/input/calculus2.input.pamphlet
@@ -56,7 +56,7 @@ y := operator y
 --E 4
 
 --S 5 of 112
-a := f(x z, y z, z**2) + x y(z+1)
+a := f(x z, y z, z^2) + x y(z+1)
 --R 
 --R
 --R                                   2
@@ -181,7 +181,7 @@ expon := x * base
 --E 15
 
 --S 16 of 112
-base ** expon
+base ^ expon
 --R 
 --R
 --R   (7)
@@ -283,7 +283,7 @@ series(sqrt(tan(a*x)),x = 0)
 --E 23
 
 --S 24 of 112
-series(sec(x) ** 2,x = %pi/2)
+series(sec(x) ^ 2,x = %pi/2)
 --R 
 --R
 --R   (8)
@@ -398,7 +398,7 @@ x := operator 'x
 --E 30
 
 --S 31 of 112
-eq1 := differentiate(x(t), t) = 1 + x(t)**2
+eq1 := differentiate(x(t), t) = 1 + x(t)^2
 --R 
 --R
 --R         ,         2
@@ -474,7 +474,7 @@ laplace(2/t * (1 - cos(a*t)), t, s)
 --E 37
 
 --S 38 of 112
-laplace(exp(-a*t) * sin(b*t) / b**2, t, s)
+laplace(exp(-a*t) * sin(b*t) / b^2, t, s)
 --R 
 --R
 --R                    1
@@ -520,7 +520,7 @@ laplace(a*Ci(b*t) + c*Si(d*t), t, s)
 --E 41
 
 --S 42 of 112
-laplace(sin(a*t) - a*t*cos(a*t) + exp(t**2), t, s)
+laplace(sin(a*t) - a*t*cos(a*t) + exp(t^2), t, s)
 --R 
 --R
 --R                                    2
@@ -592,7 +592,7 @@ y
 )clear all
 
 --S 48 of 112
-f := (x**2+2*x+1) / (x**6+6*x**5+15*x**4+20*x**3+15*x**2+6*x+2)
+f := (x^2+2*x+1) / (x^6+6*x^5+15*x^4+20*x^3+15*x^2+6*x+2)
 --R 
 --R
 --R                       2
@@ -637,7 +637,7 @@ integrate(g, x)
 --E 51
 
 --S 52 of 112
-integrate(1/(x**2 - 2),x)
+integrate(1/(x^2 - 2),x)
 --R 
 --R
 --R              2      +-+
@@ -652,7 +652,7 @@ integrate(1/(x**2 - 2),x)
 --E 52
 
 --S 53 of 112
-integrate(1/(x**2 + 2),x)
+integrate(1/(x^2 + 2),x)
 --R 
 --R
 --R               +-+
@@ -666,7 +666,7 @@ integrate(1/(x**2 + 2),x)
 --E 53
 
 --S 54 of 112
-h := x**2 / (x**4 - a**2)
+h := x^2 / (x^4 - a^2)
 --R 
 --R
 --R            2
@@ -818,7 +818,7 @@ differentiate(f, x, 4)
 --E 62
 
 --S 63 of 112
-g := sin(x**2 + y)
+g := sin(x^2 + y)
 --R 
 --R
 --R                 2
@@ -858,7 +858,7 @@ taylor(n +-> 1/factorial(n),x = 0)
 --E 66
 
 --S 67 of 112
-taylor(n +-> (-1)**(n-1)/n,x = 1,1..)
+taylor(n +-> (-1)^(n-1)/n,x = 1,1..)
 --R 
 --R
 --R   (2)
@@ -873,7 +873,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..)
 --E 67
 
 --S 68 of 112
-taylor(n +-> (-1)**(n-1)/n,x = 1,1..7)
+taylor(n +-> (-1)^(n-1)/n,x = 1,1..7)
 --R 
 --R
 --R   (3)
@@ -888,7 +888,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..7)
 --E 68
 
 --S 69 of 112
-laurent(n +-> (-1)**(n-1)/(n + 2),x = 1,-1..)
+laurent(n +-> (-1)^(n-1)/(n + 2),x = 1,-1..)
 --R 
 --R
 --R   (4)
@@ -903,7 +903,7 @@ laurent(n +-> (-1)**(n-1)/(n + 2),x = 1,-1..)
 --E 69
 
 --S 70 of 112
-puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)
+puiseux(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..,2)
 --R 
 --R
 --R            1  3    1   5     1   7      9
@@ -913,7 +913,7 @@ puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)
 --E 70
 
 --S 71 of 112
-puiseux(j +-> j**2,x = 8,-4/3..,1/2)
+puiseux(j +-> j^2,x = 8,-4/3..,1/2)
 --R 
 --R
 --R                    4               5              1
@@ -935,7 +935,7 @@ series(n +-> 1/factorial(n),x = 0)
 --E 72
 
 --S 73 of 112
-series(n +-> (-1)**(n - 1)/(n + 2),x = 1,-1..)
+series(n +-> (-1)^(n - 1)/(n + 2),x = 1,-1..)
 --R 
 --R
 --R   (8)
@@ -950,7 +950,7 @@ series(n +-> (-1)**(n - 1)/(n + 2),x = 1,-1..)
 --E 73
 
 --S 74 of 112
-series(i +-> (-1)**((i - 1)/2)/factorial(i),x = 0,1..,2)
+series(i +-> (-1)^((i - 1)/2)/factorial(i),x = 0,1..,2)
 --R 
 --R
 --R            1  3    1   5     1   7      9
@@ -971,7 +971,7 @@ x := series x
 --E 75
 
 --S 76 of 112
-1/(1 - x - x**2)
+1/(1 - x - x^2)
 --R 
 --R
 --R                  2     3     4     5      6      7      8
@@ -1068,7 +1068,7 @@ x := series x
 --E 83
 
 --S 84 of 112
-rat := x**2 / (1 - 6*x + x**2)
+rat := x^2 / (1 - 6*x + x^2)
 --R 
 --R
 --R   (2)
@@ -1107,7 +1107,7 @@ exp(y)
 --E 87
 
 --S 88 of 112
-tan(y**2)
+tan(y^2)
 --R 
 --R
 --R         2   1  6      8
@@ -1117,7 +1117,7 @@ tan(y**2)
 --E 88
 
 --S 89 of 112
-cos(y + y**5)
+cos(y + y^5)
 --R 
 --R
 --R            1  2    1  4   721  6      8
@@ -1226,7 +1226,7 @@ limit(g,x=0)
 --E 98
 
 --S 99 of 112
-h := (1 + k/x)**x
+h := (1 + k/x)^x
 --R 
 --R
 --R         x + k x
@@ -1248,7 +1248,7 @@ limit(h,x=%plusInfinity)
 )clear all
 
 --S 101 of 112
-reduce(+,[m**4 for m in 1..10])
+reduce(+,[m^4 for m in 1..10])
 --R 
 --R
 --R   (1)  25333
@@ -1256,7 +1256,7 @@ reduce(+,[m**4 for m in 1..10])
 --E 101
 
 --S 102 of 112
-sum4 := sum(m**4, m = 1..k)
+sum4 := sum(m^4, m = 1..k)
 --R 
 --R
 --R          5      4      3
diff --git a/src/input/card.input.pamphlet b/src/input/card.input.pamphlet
index 3818678..31518f3 100644
--- a/src/input/card.input.pamphlet
+++ b/src/input/card.input.pamphlet
@@ -126,7 +126,7 @@ countable? A1
 --E 13
 
 --S 14 of 20
-[c2**c0, c2**c1, c2**c2, A1**c0, A1**c1, A1**c2]
+[c2^c0, c2^c1, c2^c2, A1^c0, A1^c1, A1^c2]
 --R 
 --R
 --R   (14)  [1,2,4,1,Aleph(1),Aleph(1)]
@@ -150,7 +150,7 @@ generalizedContinuumHypothesisAssumed true
 --E 16
 
 --S 17 of 20
-[c0**A0, c1**A0, c2**A0, A0**A0, A0**A1, A1**A0, A1**A1]
+[c0^A0, c1^A0, c2^A0, A0^A0, A0^A1, A1^A0, A1^A1]
 --R 
 --R
 --R   (17)  [0,1,Aleph(1),Aleph(1),Aleph(2),Aleph(1),Aleph(2)]
@@ -166,7 +166,7 @@ a := Aleph 0
 --E 18
 
 --S 19 of 20
-c := 2**a
+c := 2^a
 --R 
 --R
 --R   (19)  Aleph(1)
@@ -174,7 +174,7 @@ c := 2**a
 --E 19
 
 --S 20 of 20
-f := 2**c
+f := 2^c
 --R 
 --R
 --R   (20)  Aleph(2)
diff --git a/src/input/cardinal.input.pamphlet b/src/input/cardinal.input.pamphlet
index 011e6e4..3e11611 100644
--- a/src/input/cardinal.input.pamphlet
+++ b/src/input/cardinal.input.pamphlet
@@ -124,7 +124,7 @@ A1 := Aleph 1
 --E 13
 
 --S 14 of 16
-[c2**c0, c2**c1, c2**c2, A1**c0, A1**c1, A1**c2]
+[c2^c0, c2^c1, c2^c2, A1^c0, A1^c1, A1^c2]
 --R 
 --R
 --R   (14)  [1,2,4,1,Aleph(1),Aleph(1)]
@@ -140,7 +140,7 @@ generalizedContinuumHypothesisAssumed true
 --E 15
 
 --S 16 of 16
-[c0**A0, c1**A0, c2**A0, A0**A0, A0**A1, A1**A0, A1**A1]
+[c0^A0, c1^A0, c2^A0, A0^A0, A0^A1, A1^A0, A1^A1]
 --R 
 --R
 --R   (16)  [0,1,Aleph(1),Aleph(1),Aleph(2),Aleph(1),Aleph(2)]
diff --git a/src/input/classtalk.input.pamphlet b/src/input/classtalk.input.pamphlet
index 788c9e8..7ddd3fb 100644
--- a/src/input/classtalk.input.pamphlet
+++ b/src/input/classtalk.input.pamphlet
@@ -144,7 +144,7 @@ b:=[log a, exp a, asin a, acos a, atan a, acot a, sinh a]
 --E 16
 
 --S 17 of 72
-simplify(sin(x)**2+cos(x)**2)
+simplify(sin(x)^2+cos(x)^2)
 --R
 --R   (17)  1
 --R                                                    Type: Expression(Integer)
diff --git a/src/input/clifford.input.pamphlet b/src/input/clifford.input.pamphlet
index c749cc8..f3f2e52 100644
--- a/src/input/clifford.input.pamphlet
+++ b/src/input/clifford.input.pamphlet
@@ -11,10 +11,10 @@
 \tableofcontents
 \eject
 \section{Overview}
-CliffordAlgebra(n, K, Q) defines a vector space of dimension 2**n
-over K, given a quadratic form Q on K**n.
+CliffordAlgebra(n, K, Q) defines a vector space of dimension 2^n
+over K, given a quadratic form Q on K^n.
 \begin{verbatim}
-  If e[i]  1<=i<=n is a basis for K**n then
+  If e[i]  1<=i<=n is a basis for K^n then
      1, e[i] 1<=i<=n, e[i1]*e[i2] 1<=i1<i2<=n,...,e[1]*e[2]*..*e[n]
   is a basis for the Clifford Algebra.
 
diff --git a/src/input/collect.input.pamphlet b/src/input/collect.input.pamphlet
index dd89198..347c1c6 100644
--- a/src/input/collect.input.pamphlet
+++ b/src/input/collect.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 55
-a := [i**3 for i in 0..10]
+a := [i^3 for i in 0..10]
 --R 
 --R
 --R   (1)  [0,1,8,27,64,125,216,343,512,729,1000]
@@ -38,7 +38,7 @@ b := expand [0..10]
 --E 2
 
 --S 3 of 55
-c := [x**3 for x in b]
+c := [x^3 for x in b]
 --R 
 --R
 --R   (3)  [0,1,8,27,64,125,216,343,512,729,1000]
@@ -46,7 +46,7 @@ c := [x**3 for x in b]
 --E 3
 
 --S 4 of 55
-d := [i**3 for i in 0..10 | even? i]
+d := [i^3 for i in 0..10 | even? i]
 --R 
 --R
 --R   (4)  [0,8,64,216,512,1000]
@@ -54,7 +54,7 @@ d := [i**3 for i in 0..10 | even? i]
 --E 4
 
 --S 5 of 55
-d := [x**3 for x in b | even? x]
+d := [x^3 for x in b | even? x]
 --R 
 --R
 --R   (5)  [0,8,64,216,512,1000]
@@ -70,7 +70,7 @@ d := [x for x in c | even? x]
 --E 6
 
 --S 7 of 55
-d := [i**3 for i in 0..10 by 2 | even? i]
+d := [i^3 for i in 0..10 by 2 | even? i]
 --R 
 --R
 --R   (7)  [0,8,64,216,512,1000]
@@ -78,7 +78,7 @@ d := [i**3 for i in 0..10 by 2 | even? i]
 --E 7
 
 --S 8 of 55
-e := reverse [i**3 for i in 10..0 by -2 | even? i]
+e := reverse [i^3 for i in 10..0 by -2 | even? i]
 --R 
 --R
 --R   (8)  [0,8,64,216,512,1000]
@@ -94,42 +94,42 @@ e := reverse [i**3 for i in 10..0 by -2 | even? i]
 --E 9
 
 --S 10 of 55
-[x**3 - y for x in b | even? x for y in e]
+[x^3 - y for x in b | even? x for y in e]
 --R
 --R   (10)  [0,- 56,- 448]
 --R                                                          Type: List(Integer)
 --E 10
 
 --S 11 of 55
-f := [i**3 for i in 0..]
+f := [i^3 for i in 0..]
 --R
 --R   (11)  [0,1,8,27,64,125,216,343,512,729,...]
 --R                                             Type: Stream(NonNegativeInteger)
 --E 11
 
 --S 12 of 55
-[i**3 for i in 0..10]
+[i^3 for i in 0..10]
 --R
 --R   (12)  [0,1,8,27,64,125,216,343,512,729,1000]
 --R                                               Type: List(NonNegativeInteger)
 --E 12
 
 --S 13 of 55
-[i**3 for i in 0.. while i < 11]
+[i^3 for i in 0.. while i < 11]
 --R
 --R   (13)  [0,1,8,27,64,125,216,343,512,729,...]
 --R                                             Type: Stream(NonNegativeInteger)
 --E 13
 
 --S 14 of 55
-[i**3 for i in 0.. for x in 0..10]
+[i^3 for i in 0.. for x in 0..10]
 --R
 --R   (14)  [0,1,8,27,64,125,216,343,512,729,...]
 --R                                             Type: Stream(NonNegativeInteger)
 --E 14
 
 --S 15 of 55
-[ [i**j for j in 0..3] for i in 0..]
+[ [i^j for j in 0..3] for i in 0..]
 --R
 --R   (15)
 --R   [[1,0,0,0], [1,1,1,1], [1,2,4,8], [1,3,9,27], [1,4,16,64], [1,5,25,125],
@@ -138,7 +138,7 @@ f := [i**3 for i in 0..]
 --E 15
 
 --S 16 of 55
-[ [i**j for j in 0..] for i in 0..3]
+[ [i^j for j in 0..] for i in 0..3]
 --R
 --R   (16)
 --R   [[1,0,0,0,0,0,0,0,0,0,...], [1,1,1,1,1,1,1,1,1,1,...],
@@ -148,7 +148,7 @@ f := [i**3 for i in 0..]
 --E 16
 
 --S 17 of 55
-brace [i**3 for i in 10..0 by -2]
+brace [i^3 for i in 10..0 by -2]
 --R
 --R   (17)  {0,8,64,216,512,1000}
 --R                                                Type: Set(NonNegativeInteger)
@@ -293,7 +293,7 @@ exp 1.0
 --E 30
 
 --S 31 of 55
-cf := continuedFraction(1,[(2*i+1)**2 for i in 0..],repeating [2])
+cf := continuedFraction(1,[(2*i+1)^2 for i in 0..],repeating [2])
 --R 
 --R
 --R   (14)
@@ -395,7 +395,7 @@ continuedFraction r
 )clear all
 
 --S 40 of 55
-u := [i**3 for i in 1..10]
+u := [i^3 for i in 1..10]
 --R 
 --R
 --R   (1)  [1,8,27,64,125,216,343,512,729,1000]
@@ -411,7 +411,7 @@ u(4)
 --E 41
 
 --S 42 of 55
-[8*i**3 for n in 1..5]
+[8*i^3 for n in 1..5]
 --R 
 --R
 --R           3   3   3   3   3
@@ -447,7 +447,7 @@ u(4)
 )clear all
 
 --S 46 of 55
-u := [i**3 for i in 1..]
+u := [i^3 for i in 1..]
 --R 
 --R
 --R   (1)  [1,8,27,64,125,216,343,512,729,1000,...]
@@ -479,7 +479,7 @@ u(16)
 --E 49
 
 --S 50 of 55
-[i**3 for i in 0.. | even? i]
+[i^3 for i in 0.. | even? i]
 --R 
 --R
 --R   (5)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
@@ -487,7 +487,7 @@ u(16)
 --E 50
 
 --S 51 of 55
-[8*i**3 for i in 0..]
+[8*i^3 for i in 0..]
 --R 
 --R
 --R   (6)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
@@ -495,7 +495,7 @@ u(16)
 --E 51
 
 --S 52 of 55
-[i**3 for i in 0.. by 2]
+[i^3 for i in 0.. by 2]
 --R 
 --R
 --R   (7)  [0,8,64,216,512,1000,1728,2744,4096,5832,...]
diff --git a/src/input/color.input.pamphlet b/src/input/color.input.pamphlet
index b4141f1..fa97980 100644
--- a/src/input/color.input.pamphlet
+++ b/src/input/color.input.pamphlet
@@ -29,9 +29,9 @@ red() + yellow()
 red() + 3*yellow()
 3*red() + yellow()
 c := color 15
-draw(x**2,x=-1..1,pointColor == green())
+draw(x^2,x=-1..1,pointColor == green())
 g := color 13
-draw(x**2,x=-1..1,curveColor == g + 2*blue())
+draw(x^2,x=-1..1,curveColor == g + 2*blue())
 
 
 \end{chunk}
diff --git a/src/input/conformal.input.pamphlet b/src/input/conformal.input.pamphlet
index 617a73f..2edbbe2 100644
--- a/src/input/conformal.input.pamphlet
+++ b/src/input/conformal.input.pamphlet
@@ -156,7 +156,7 @@ riemannTransform(z) ==
   r := sqrt norm z
   cosTheta := (real z)/r
   sinTheta := (imag z)/r
-  cp := 4*r/(4+r**2)
+  cp := 4*r/(4+r^2)
   sp := sqrt(1-cp*cp)
   if r>2 then sp := -sp
   point [cosTheta*cp, sinTheta*cp, -sp + 1]
diff --git a/src/input/constant.input.pamphlet b/src/input/constant.input.pamphlet
index 4411da5..d64265e 100644
--- a/src/input/constant.input.pamphlet
+++ b/src/input/constant.input.pamphlet
@@ -69,7 +69,7 @@ numeric(sqrt(10))
 --E 6
 
 --S 7 of 37
-numeric(2**(1/3))
+numeric(2^(1/3))
 --R 
 --R
 --R   (7)  1.25992 10498 94873 16476 72106 07278 22835 05702 5
@@ -77,7 +77,7 @@ numeric(2**(1/3))
 --E 7
 
 --S 8 of 37
-numeric(3**(1/3))
+numeric(3^(1/3))
 --R 
 --R
 --R   (8)  1.44224 95703 07408 38232 16383 10780 10958 83918 7
@@ -85,7 +85,7 @@ numeric(3**(1/3))
 --E 8
 
 --S 9 of 37
-numeric(2**(1/4))
+numeric(2^(1/4))
 --R 
 --R
 --R   (9)  1.18920 71150 02721 06671 74999 70560 47591 52929 7
@@ -157,7 +157,7 @@ numeric(1/%pi)
 --E 17
 
 --S 18 of 37
-numeric(%pi**2)
+numeric(%pi^2)
 --R 
 --R
 --R   (18)  9.86960 44010 89358 61883 44909 99876 15113 53136 9
@@ -213,7 +213,7 @@ numeric(1/%e)
 --E 24
 
 --S 25 of 37
-numeric(%e**2)
+numeric(%e^2)
 --R 
 --R
 --R   (25)  7.38905 60989 30650 22723 04274 60575 00781 31803 1
@@ -277,7 +277,7 @@ gamma:=0.5772156649015328606065120900824024310422
 --E 30
 
 --S 31 of 37
-numeric(%e**gamma)
+numeric(%e^gamma)
 --R 
 --R
 --R   (31)  1.78107 24179 90197 98523 65041 03107 17954 91697 2
@@ -285,7 +285,7 @@ numeric(%e**gamma)
 --E 31
 
 --S 32 of 37
-numeric(%e**(%pi/4))
+numeric(%e^(%pi/4))
 --R 
 --R
 --R   (32)  2.19328 00507 38015 45655 97696 59278 73822 34616 4
diff --git a/src/input/contfrac.input.pamphlet b/src/input/contfrac.input.pamphlet
index 134effe..2d02025 100644
--- a/src/input/contfrac.input.pamphlet
+++ b/src/input/contfrac.input.pamphlet
@@ -321,7 +321,7 @@ q : Fraction UnivariatePolynomial('x, Fraction Integer)
 --E 28
 
 --S 29 of 40
-q := (2*x**2 - x + 1) / (3*x**3 - x + 8)
+q := (2*x^2 - x + 1) / (3*x^3 - x + 8)
 --R 
 --R
 --R         2  2   1     1
diff --git a/src/input/contfrc.input.pamphlet b/src/input/contfrc.input.pamphlet
index 2901711..9bf4fec 100644
--- a/src/input/contfrc.input.pamphlet
+++ b/src/input/contfrc.input.pamphlet
@@ -159,7 +159,7 @@ exp 1.0
 --E 13
 
 --S 14 of 22
-cf := continuedFraction(1,[(2*i+1)**2 for i in 0..],repeating [2])
+cf := continuedFraction(1,[(2*i+1)^2 for i in 0..],repeating [2])
 --R 
 --R
 --R   (14)
diff --git a/src/input/coordsys.input.pamphlet b/src/input/coordsys.input.pamphlet
index ff0c2c5..e53a63f 100644
--- a/src/input/coordsys.input.pamphlet
+++ b/src/input/coordsys.input.pamphlet
@@ -26,12 +26,12 @@ draw(surface(u*cos(v),u*sin(v),u),u=1..4,v=1..2*%pi,coordinates == _
 
 --conical(a,b) maps a 3D point (lambda,mu,nu) to the rectangular coordinates:
 --x = lambda*mu*nu/(a*b)
---y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))
---z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))
---NOTE:  There will be a division by zero error if a*b = 0, or a**2-b**2 = 0,
---     or if b**2-a**2 = 0. Also, the following relations must be true:
---       (mu**2-a**2)*(nu**2-a**2)/(a**2-b**2) > 0 and
---       (mu**2-b**2)*(nu**2-b**2)/(b**2-a**2) > 0.
+--y = lambda/a*sqrt((mu^2-a^2)*(nu^2-a^2)/(a^2-b^2))
+--z = lambda/b*sqrt((mu^2-b^2)*(nu^2-b^2)/(b^2-a^2))
+--NOTE:  There will be a division by zero error if a*b = 0, or a^2-b^2 = 0,
+--     or if b^2-a^2 = 0. Also, the following relations must be true:
+--       (mu^2-a^2)*(nu^2-a^2)/(a^2-b^2) > 0 and
+--       (mu^2-b^2)*(nu^2-b^2)/(b^2-a^2) > 0.
 
 j1(t:DFLOAT):DFLOAT == 4
 j2(t:DFLOAT):DFLOAT == t
diff --git a/src/input/cycles.input.pamphlet b/src/input/cycles.input.pamphlet
index 33603f2..1f95ae6 100644
--- a/src/input/cycles.input.pamphlet
+++ b/src/input/cycles.input.pamphlet
@@ -199,7 +199,7 @@ We can for example represent  {\tt complete 2 * complete 2}
 as the set of objects {\tt a a b b} and
 {\tt complete 2 * complete 1 * complete 1} as {\tt c c d e}.
 
-The integer {\tt cap(complete 2**2,complete 2*complete 1**2)}
+The integer {\tt cap(complete 2^2,complete 2*complete 1^2)}
 is the number of different sets of four pairs.
 \begin{verbatim}
   a a b b     a a b b    a a b b   a a b b
@@ -207,7 +207,7 @@ is the number of different sets of four pairs.
 \end{verbatim}
 \begin{chunk}{*}
 --S 10 of 46
-cap(complete 2**2,complete 2*complete 1**2)
+cap(complete 2^2,complete 2*complete 1^2)
 --R 
 --R
 --R   (10)  4
@@ -215,7 +215,7 @@ cap(complete 2**2,complete 2*complete 1**2)
 --E 10
 
 \end{chunk}
-The integer {\tt cap(elementary 2**2,complete 2*complete 1**2)}
+The integer {\tt cap(elementary 2^2,complete 2*complete 1^2)}
 is the number of different sets of four pairs no two pairs being equal.
 \begin{verbatim}
     a a b b    a a b b
@@ -223,7 +223,7 @@ is the number of different sets of four pairs no two pairs being equal.
 \end{verbatim}
 \begin{chunk}{*}
 --S 11 of 46
-cap(elementary 2**2,complete 2*complete 1**2)
+cap(elementary 2^2,complete 2*complete 1^2)
 --R 
 --R
 --R   (11)  2
@@ -237,7 +237,7 @@ actually constructing them. Similarly the number of 6-pairs,
 first from {\tt a a a b b c}, second from {\tt d d e e f g}.
 \begin{chunk}{*}
 --S 12 of 46
-cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
+cap(complete 3*complete 2*complete 1,complete 2^2*complete 1^2)
 --R 
 --R
 --R   (12)  24
@@ -248,7 +248,7 @@ cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
 Same again, but with no equal pairs
 \begin{chunk}{*}
 --S 13 of 46
-cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
+cap(elementary 3*elementary 2*elementary 1,complete 2^2*complete 1^2)
 --R 
 --R
 --R   (13)  8
@@ -256,7 +256,7 @@ cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
 --E 13
 
 --S 14 of 46
-cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)
+cap(complete 3*complete 2*complete 1,elementary 2^2*elementary 1^2)
 --R 
 --R
 --R   (14)  8
@@ -269,7 +269,7 @@ The number of 6-triples, first from {\tt a a a b b c}, second from
 \begin{chunk}{*}
 --S 15 of 46
 eval(cup(complete 3*complete 2*complete 1, _
-     cup(complete 2**2*complete 1**2,complete 2**3)))
+     cup(complete 2^2*complete 1^2,complete 2^3)))
 --R 
 --R
 --R   (15)  1500
@@ -293,7 +293,7 @@ square:=dihedral 4
 The number of different squares with 2 red vertices and 2 blue vertices
 \begin{chunk}{*}
 --S 17 of 46
-cap(complete 2**2,square)
+cap(complete 2^2,square)
 --R 
 --R
 --R   (17)  2
@@ -304,7 +304,7 @@ cap(complete 2**2,square)
 The number of necklaces with 3 red beads,2 blue beads and 2 green beads
 \begin{chunk}{*}
 --S 18 of 46
-cap(complete 3*complete 2**2,dihedral 7)
+cap(complete 3*complete 2^2,dihedral 7)
 --R 
 --R
 --R   (18)  18
@@ -332,7 +332,7 @@ macro s == powerSum
 --E 20
 
 --S 21 of 46
-cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
+cube:=(1/24)*(s 1^8+9*s 2^4 + 8*s 3^2*s 1^2+6*s 4^2)
 --R 
 --R
 --R         1   2    1   2 2    3   4     1   8
@@ -345,7 +345,7 @@ cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
 The number of cubes with 4 red vertices and 4 blue vertices
 \begin{chunk}{*}
 --S 22 of 46
-cap(complete 4**2,cube)
+cap(complete 4^2,cube)
 --R 
 --R
 --R   (22)  7
@@ -357,7 +357,7 @@ The number of labeled graphs with degree sequence 2 2 2 1 1
 with no loops or multiple edges
 \begin{chunk}{*}
 --S 23 of 46
-cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
+cap(complete 2^3*complete 1^2,wreath(elementary 4,elementary 2))
 --R 
 --R
 --R   (23)  7
@@ -368,7 +368,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
 with loops allowed but not multiple edges
 \begin{chunk}{*}
 --S 24 of 46
-cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
+cap(complete 2^3*complete 1^2,wreath(elementary 4,complete 2))
 --R 
 --R
 --R   (24)  17
@@ -379,7 +379,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
 with multiple edges allowed, but not loops
 \begin{chunk}{*}
 --S 25 of 46
-cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
+cap(complete 2^3*complete 1^2,wreath(complete 4,elementary 2))
 --R 
 --R
 --R   (25)  10
@@ -390,7 +390,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
 with both multiple edges and loops allowed
 \begin{chunk}{*}
 --S 26 of 46
-cap(complete 2**3*complete 1**2,wreath(complete 4,complete 2))
+cap(complete 2^3*complete 1^2,wreath(complete 4,complete 2))
 --R 
 --R
 --R   (26)  23
@@ -428,7 +428,7 @@ Integers:INT->ULS(FRAC INT,'x,0)
 For the integers 0 1 , or two colors
 \begin{chunk}{*}
 --S 30 of 46
-ZeroOrOne n == 1+x**n
+ZeroOrOne n == 1+x^n
 --R 
 --R                                                                   Type: Void
 --E
@@ -448,7 +448,7 @@ ZeroOrOne 5
 For the integers 0,1,2,...
 \begin{chunk}{*}
 --S 32 of 46
-Integers n == 1/(1-x**n)
+Integers n == 1/(1-x^n)
 --R 
 --R                                                                   Type: Void
 --E 32
@@ -630,11 +630,11 @@ It counts the number of different tableaux of shape 3,2,2,1 filled
 with objects with an ascending order in the columns and a
 non-descending order in the rows.
 
-{\tt cap(sf3221,complete 4**2)} is the number filled
+{\tt cap(sf3221,complete 4^2)} is the number filled
 with {\tt a a b b c c d d.}
 \begin{chunk}{*}
 --S 44 of 46
-cap(sf3221,complete 2**4)
+cap(sf3221,complete 2^4)
 --R 
 --R
 --R   (44)  3
@@ -649,10 +649,10 @@ The configurations enumerated are
   c d      c d      c c
   d        d        d
 \end{verbatim}
-{\tt cap(sf3221,powerSum 1**8)} is the number of tableaux filled with 1..8.
+{\tt cap(sf3221,powerSum 1^8)} is the number of tableaux filled with 1..8.
 \begin{chunk}{*}
 --S 45 of 46
-cap(sf3221,powerSum 1**8)
+cap(sf3221,powerSum 1^8)
 --R 
 --R
 --R   (45)  70
diff --git a/src/input/cycles1.input.pamphlet b/src/input/cycles1.input.pamphlet
index 9cac561..293231e 100644
--- a/src/input/cycles1.input.pamphlet
+++ b/src/input/cycles1.input.pamphlet
@@ -138,7 +138,7 @@ graphs 5
 --E 9
 
 --S 10 of 46
-cap(complete 2**2, complete 2*complete 1**2)
+cap(complete 2^2, complete 2*complete 1^2)
 --R 
 --R
 --R   (10)  4
@@ -146,7 +146,7 @@ cap(complete 2**2, complete 2*complete 1**2)
 --E 10
 
 --S 11 of 46
-cap(elementary 2**2, complete 2*complete 1**2)
+cap(elementary 2^2, complete 2*complete 1^2)
 --R 
 --R
 --R   (11)  2
@@ -154,7 +154,7 @@ cap(elementary 2**2, complete 2*complete 1**2)
 --E 11
 
 --S 12 of 46
-cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
+cap(complete 3*complete 2*complete 1,complete 2^2*complete 1^2)
 --R 
 --R
 --R   (12)  24
@@ -162,7 +162,7 @@ cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)
 --E 12
 
 --S 13 of 46
-cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
+cap(elementary 3*elementary 2*elementary 1,complete 2^2*complete 1^2)
 --R 
 --R
 --R   (13)  8
@@ -170,7 +170,7 @@ cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)
 --E 13
 
 --S 14 of 46
-cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)
+cap(complete 3*complete 2*complete 1,elementary 2^2*elementary 1^2)
 --R 
 --R
 --R   (14)  8
@@ -179,7 +179,7 @@ cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)
 
 --S 15 of 46
 eval(cup(complete 3*complete 2*complete 1, _
-     cup(complete 2**2*complete 1**2,complete 2**3)))
+     cup(complete 2^2*complete 1^2,complete 2^3)))
 --R 
 --R
 --R   (15)  1500
@@ -197,7 +197,7 @@ square:=dihedral 4
 --E 16
 
 --S 17 of 46
-cap(complete 2**2,square)
+cap(complete 2^2,square)
 --R 
 --R
 --R   (17)  2
@@ -205,7 +205,7 @@ cap(complete 2**2,square)
 --E 17
 
 --S 18 of 46
-cap(complete 3*complete 2**2,dihedral 7)
+cap(complete 3*complete 2^2,dihedral 7)
 --R 
 --R
 --R   (18)  18
@@ -227,7 +227,7 @@ s(x) == powerSum(x)
 --E 20
 
 --S 21 of 46
-cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
+cube:=(1/24)*(s 1^8+9*s 2^4 + 8*s 3^2*s 1^2+6*s 4^2)
 --R 
 --R   Compiling function s with type PositiveInteger -> 
 --R      SymmetricPolynomial(Fraction(Integer)) 
@@ -239,7 +239,7 @@ cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)
 --E 21
 
 --S 22 of 46
-cap(complete 4**2,cube)
+cap(complete 4^2,cube)
 --R 
 --R
 --R   (22)  7
@@ -247,7 +247,7 @@ cap(complete 4**2,cube)
 --E 22
 
 --S 23 of 46
-cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
+cap(complete 2^3*complete 1^2,wreath(elementary 4,elementary 2))
 --R 
 --R
 --R   (23)  7
@@ -255,7 +255,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))
 --E 23
 
 --S 24 of 46
-cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
+cap(complete 2^3*complete 1^2,wreath(elementary 4,complete 2))
 --R 
 --R
 --R   (24)  17
@@ -263,7 +263,7 @@ cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))
 --E 24
 
 --S 25 of 46
-cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
+cap(complete 2^3*complete 1^2,wreath(complete 4,elementary 2))
 --R 
 --R
 --R   (25)  10
@@ -271,7 +271,7 @@ cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))
 --E 25
 
 --S 26 of 46
-cap(complete 2**3*complete 1**2,wreath(complete 4,complete 2))
+cap(complete 2^3*complete 1^2,wreath(complete 4,complete 2))
 --R 
 --R
 --R   (26)  23
@@ -299,7 +299,7 @@ Integers: INT -> ULS(FRAC INT, 'x, 0)
 --E 29
 
 --S 30 of 46
-ZeroOrOne n == 1+x**n
+ZeroOrOne n == 1+x^n
 --R 
 --R                                                                   Type: Void
 --E 30
@@ -316,7 +316,7 @@ ZeroOrOne 5
 --E 31
 
 --S 32 of 46
-Integers n == 1/(1-x**n)
+Integers n == 1/(1-x^n)
 --R 
 --R                                                                   Type: Void
 --E 32
@@ -449,7 +449,7 @@ sf3221:= SFunction [3,2,2,1]
 --E 43
 
 --S 44 of 46
-cap(sf3221,complete 2**4)
+cap(sf3221,complete 2^4)
 --R 
 --R
 --R   (44)  3
@@ -457,7 +457,7 @@ cap(sf3221,complete 2**4)
 --E 44
 
 --S 45 of 46
-cap(sf3221, powerSum 1**8)
+cap(sf3221, powerSum 1^8)
 --R 
 --R
 --R   (45)  70
diff --git a/src/input/cyfactor.input.pamphlet b/src/input/cyfactor.input.pamphlet
index 392ff8b..6690155 100644
--- a/src/input/cyfactor.input.pamphlet
+++ b/src/input/cyfactor.input.pamphlet
@@ -26,7 +26,7 @@ Special case tests of factoring code for cyclotomic polynomials
 $\pm x^n-1 (n even)$
 \begin{chunk}{*}
 --S 1 of 10
-factor(x**84 - 1)
+factor(x^84 - 1)
 --R 
 --R
 --R   (1)
@@ -51,7 +51,7 @@ factor(x**84 - 1)
 --E 1
 
 --S 2 of 10
-factor(-(x**68 -1))
+factor(-(x^68 -1))
 --R 
 --R
 --R   (2)
@@ -83,7 +83,7 @@ factor(-(x**68 -1))
 $\pm x^n + 1$ (n odd)
 \begin{chunk}{*}
 --S 3 of 10
-factor(x**99 + 1)
+factor(x^99 + 1)
 --R 
 --R
 --R   (3)
@@ -107,7 +107,7 @@ factor(x**99 + 1)
 --E 3
 
 --S 4 of 10
-factor(-(x**77 +1))
+factor(-(x^77 +1))
 --R 
 --R
 --R   (4)
@@ -133,7 +133,7 @@ factor(-(x**77 +1))
 $\pm x^(2^k) + 1$
 \begin{chunk}{*}
 --S 5 of 10
-ind := 2**6
+ind := 2^6
 --R 
 --R
 --R   (5)  64
@@ -141,7 +141,7 @@ ind := 2**6
 --E 5
 
 --S 6 of 10
-factor(x**ind + 1)
+factor(x^ind + 1)
 --R 
 --R
 --R         64
@@ -150,7 +150,7 @@ factor(x**ind + 1)
 --E 6
 
 --S 7 of 10
-ind := 2**7
+ind := 2^7
 --R 
 --R
 --R   (7)  128
@@ -158,7 +158,7 @@ ind := 2**7
 --E 7
 
 --S 8 of 10
-factor(-(x**ind + 1))
+factor(-(x^ind + 1))
 --R 
 --R
 --R            128
@@ -171,7 +171,7 @@ This takes a lot longer than it should. It will improve when the
 cyclotomic code improves.
 \begin{chunk}{*}
 --S 9 of 10
-factor(x**84 + 1)
+factor(x^84 + 1)
 --R 
 --R
 --R   (9)
diff --git a/src/input/d01ajf.input.pamphlet b/src/input/d01ajf.input.pamphlet
index 5d56281..e2befb7 100644
--- a/src/input/d01ajf.input.pamphlet
+++ b/src/input/d01ajf.input.pamphlet
@@ -20,7 +20,7 @@
 showArrayValues true
 showScalarValues true
 
-e:EXPR FLOAT:=(X*sin(30*X)/(sqrt(1-(X/(2*%pi))**2)))
+e:EXPR FLOAT:=(X*sin(30*X)/(sqrt(1-(X/(2*%pi))^2)))
 f:ASP1(F):=retract e
 a:SF:=0.0
 b:SF:=%pi*2
diff --git a/src/input/d01aqf.input.pamphlet b/src/input/d01aqf.input.pamphlet
index cb6406e..637b6da 100644
--- a/src/input/d01aqf.input.pamphlet
+++ b/src/input/d01aqf.input.pamphlet
@@ -20,7 +20,7 @@
 showArrayValues true
 showScalarValues true
 
-e:Expression Float:=(X**2+0.01**2)**-1
+e:Expression Float:=(X^2+0.01^2)^-1
 f:ASP1(G):=retract e
 a:SF:=-1.0
 b:SF:=1.0
diff --git a/src/input/d01fcf.input.pamphlet b/src/input/d01fcf.input.pamphlet
index 0512eef..97d1e2e 100644
--- a/src/input/d01fcf.input.pamphlet
+++ b/src/input/d01fcf.input.pamphlet
@@ -20,7 +20,7 @@
 showArrayValues true
 showScalarValues true
 
-e:= (4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])**2))::EXPR FLOAT
+e:= (4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))::EXPR FLOAT
 f:ASP4(FUNCTN):=retract e
 ndim:=4
 a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
diff --git a/src/input/d01gbf.input.pamphlet b/src/input/d01gbf.input.pamphlet
index 986c6f7..79a94ee 100644
--- a/src/input/d01gbf.input.pamphlet
+++ b/src/input/d01gbf.input.pamphlet
@@ -21,7 +21,7 @@ showArrayValues true
 showScalarValues true
 
 ndim:=4
-e:=(4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])**2))
+e:=(4.0*X[1]*X[3]*X[3]*exp(2.0*X[1]*X[3])/((1.0+X[2]+X[4])^2))
 f:ASP4(FUNCTN):=retract e
 a:Matrix SF:=[[0.0,0.0,0.0,0.0]]
 b:Matrix SF:=[[1.0,1.0,1.0,1.0]]
diff --git a/src/input/d02bbf.input.pamphlet b/src/input/d02bbf.input.pamphlet
index 472f9b4..446a63d 100644
--- a/src/input/d02bbf.input.pamphlet
+++ b/src/input/d02bbf.input.pamphlet
@@ -28,7 +28,7 @@ y:Matrix SF:=
  [[0.0 ,0.5 ,%pi*0.2 ]]
 tol:SF:=0.0001
 vef:Vector Expression Float:=
- [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]**2) ]
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
 fcn:Asp7(FCN):= retract vef
 vm:Vector MachineFloat:=
  [1,2,3,4,5,6,7,8]
diff --git a/src/input/d02bhf.input.pamphlet b/src/input/d02bhf.input.pamphlet
index 707f811..d340503 100644
--- a/src/input/d02bhf.input.pamphlet
+++ b/src/input/d02bhf.input.pamphlet
@@ -31,7 +31,7 @@ tol:SF:=0.0001
 ef:Expression Float:=1.0*Y[1]::EXPR FLOAT
 g:Asp9(G):=retract ef
 vef:Vector Expression Float:=
- [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]**2) ]
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
 fcn:Asp7(FCN):= retract vef
 result:=d02bhf(xend,n,irelab,hmax,x,y,tol,-1,g,fcn)
 \end{chunk}
diff --git a/src/input/d02cjf.input.pamphlet b/src/input/d02cjf.input.pamphlet
index b423d25..e6fce70 100644
--- a/src/input/d02cjf.input.pamphlet
+++ b/src/input/d02cjf.input.pamphlet
@@ -29,7 +29,7 @@ y:Matrix SF:=[[0.5 ,0.5 ,%pi*0.2 ]]
 ef:Expression Float:=Y[1]:: EXPR FLOAT
 g:Asp9(G):=retract ef
 vef:Vector Expression Float:=
- [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]**2) ]
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
 fcn:Asp7(FCN):= retract vef
 vm:Vector MachineFloat:=
  [2,4,6,8]
diff --git a/src/input/d02kef.input.pamphlet b/src/input/d02kef.input.pamphlet
index 5edb339..e847c7f 100644
--- a/src/input/d02kef.input.pamphlet
+++ b/src/input/d02kef.input.pamphlet
@@ -21,7 +21,7 @@ showArrayValues true
 showScalarValues true
 
 xpoint:Matrix SF:=
- [[0.0 ,0.1 ,4**(1/3) ,30.0 ,30.0 ]]
+ [[0.0 ,0.1 ,4^(1/3) ,30.0 ,30.0 ]]
 m:=5
 k:=11
 tol:SF:=0.0001
diff --git a/src/input/d03faf.input.pamphlet b/src/input/d03faf.input.pamphlet
index 094335c..c79c902 100644
--- a/src/input/d03faf.input.pamphlet
+++ b/src/input/d03faf.input.pamphlet
@@ -61,14 +61,14 @@ foo()==
     setelt!(f,1,j,k,sin(y(1,j))*cos(z(1,k)))
  for j in 1..m+1 repeat
   for i in 1..l+1 repeat
-    setelt!(f,i,j,1,x(1,i)**4*sin(y(1,j)))
+    setelt!(f,i,j,1,x(1,i)^4*sin(y(1,j)))
  for k in 2..n+1 repeat
   for j in 1..m+1 repeat
     for i in 2..l repeat
-      setelt!(f,i,j,k,4*x(1,i)**2*(3-x(1,i)**2)*sin(y(1,j))*cos(z(1,k)))
+      setelt!(f,i,j,k,4*x(1,i)^2*(3-x(1,i)^2)*sin(y(1,j))*cos(z(1,k)))
  for j in 1..m+1 repeat
   for i in 1..l+1 repeat
-    bdzf(i,j):=-x(1,i)**4*sin(y(1,j))
+    bdzf(i,j):=-x(1,i)^4*sin(y(1,j))
 foo()
 result:=d03faf(xs,xf,l,lbdcnd,bdxs,bdxf,ys,yf,m,mbdcnd,bdys,bdyf,_
 zs,zf,n,nbdcnd,bdzs,bdzf,lambda,ldimf,mdimf,lwrk,f,ifail)
diff --git a/src/input/damped.input.pamphlet b/src/input/damped.input.pamphlet
index af65feb..fbf4430 100644
--- a/src/input/damped.input.pamphlet
+++ b/src/input/damped.input.pamphlet
@@ -20,9 +20,9 @@
 -- with driving force A*cos(wt).
 
 -- The equation is solved at y(0)=y'(0)=0 for 
---    (i)   an overdamped, forced motion example  c**2-4*k*m > 0
---    (ii)  critically damped                     c**2-4*k*m = 0
---    (iii) underdamped                           c**2-4*k*m < 0
+--    (i)   an overdamped, forced motion example  c^2-4*k*m > 0
+--    (ii)  critically damped                     c^2-4*k*m = 0
+--    (iii) underdamped                           c^2-4*k*m < 0
 
 -- The resulting equations are then plotted.
 
@@ -32,14 +32,14 @@ deq := m*D(y x, x, 2) + c*D(y x, x) + k*(y x) = A * cos (w * x)
 
 solve(deq, y, x=0, [0,0])                     -- takes a few minutes
 ex:=%
-eval(%, [c=6,k=5,m=1,A=6*sqrt(5),w=sqrt(5)])  -- c**2-4*k*m = 16
+eval(%, [c=6,k=5,m=1,A=6*sqrt(5),w=sqrt(5)])  -- c^2-4*k*m = 16
 draw(%,x=0..15,title=="Overdamping")
 
-eval(ex, [k=5,m=1,A=6*sqrt(5),w=sqrt(5)])     -- c**2-4*k*m = 0
+eval(ex, [k=5,m=1,A=6*sqrt(5),w=sqrt(5)])     -- c^2-4*k*m = 0
 limit(%,c=sqrt(20),"right")                   -- otherwise division by zero
 draw(%,x=0..15,title=="Critically Damped")
 
-eval(ex, [c=2,k=5,m=1,A=6*sqrt(5),w=sqrt(5)]) -- c**2-4*k*m = -16
+eval(ex, [c=2,k=5,m=1,A=6*sqrt(5),w=sqrt(5)]) -- c^2-4*k*m = -16
 trigs %
 rule1 := rule sin(-x) == - sin(x)
 rule2 := rule cos(-x) ==   cos(x)
diff --git a/src/input/danzwill.input.pamphlet b/src/input/danzwill.input.pamphlet
index 39bcc49..671e105 100644
--- a/src/input/danzwill.input.pamphlet
+++ b/src/input/danzwill.input.pamphlet
@@ -53,7 +53,7 @@ i1 := integrate( sin(x), x)
 --i2 := integrate( sqrt(tan(x)), x)
 
 --S 2 of 17
-i3 := integrate( x/(x**3-1),x)
+i3 := integrate( x/(x^3-1),x)
 --R 
 --R
 --R                                                                 +-+
@@ -67,7 +67,7 @@ i3 := integrate( x/(x**3-1),x)
 --E 2
 
 --S 3 of 17
-i4 := integrate( x/sin(x)**2, x)
+i4 := integrate( x/sin(x)^2, x)
 --R 
 --R
 --R                    sin(x)                     2
@@ -88,7 +88,7 @@ i5 := integrate( log(x)/sqrt(x+1), x)
 --E 4
 
 --S 5 of 17
-i6 := integrate( exp(-a*x**2), x)
+i6 := integrate( exp(-a*x^2), x)
 --R 
 --R
 --R           x       2
@@ -99,7 +99,7 @@ i6 := integrate( exp(-a*x**2), x)
 --E 5
 
 --S 6 of 17
-i7 := integrate( x/(log(x))**3, x)
+i7 := integrate( x/(log(x))^3, x)
 --R 
 --R
 --R               2                2          2
@@ -136,7 +136,7 @@ i9 := integrate( 1/(2+cos(x)),x)
 --E 8
 
 --S 9 of 17
-i10:= integrate( sin(x)/x**2, x)
+i10:= integrate( sin(x)/x^2, x)
 --R 
 --R
 --R           x
@@ -170,7 +170,7 @@ d2:= integrate( sin(x)/x,x=%minusInfinity..%plusInfinity)
 )set mes test on
  
 --S 12 of 17
-d3:= integrate( x**2/(1+x**3),x=0..%plusInfinity)
+d3:= integrate( x^2/(1+x^3),x=0..%plusInfinity)
 --R 
 --R
 --R   (11)   + infinity
@@ -188,7 +188,7 @@ d4:= integrate( exp(-x)/sqrt(x),x=0..%plusInfinity)
 --E 13
 
 --S 14 of 17
-d5:= integrate( exp(-x**2)*log(x)**2,x=0..%plusInfinity)
+d5:= integrate( exp(-x^2)*log(x)^2,x=0..%plusInfinity)
 --R 
 --R
 --R          _ 1             1     _ 1         1 2
@@ -200,7 +200,7 @@ d5:= integrate( exp(-x**2)*log(x)**2,x=0..%plusInfinity)
 --E 14
 
 --S 15 of 17
-d6:= integrate( exp(-x)*log(x)**2*x**3,x=1..%plusInfinity)
+d6:= integrate( exp(-x)*log(x)^2*x^3,x=1..%plusInfinity)
 --R 
 --R
 --R   (14)  potentialPole
@@ -208,7 +208,7 @@ d6:= integrate( exp(-x)*log(x)**2*x**3,x=1..%plusInfinity)
 --E 15
 
 --S 16 of 17
-d7:= integrate( exp(-x)*x**(1/3),x=1..%plusInfinity)
+d7:= integrate( exp(-x)*x^(1/3),x=1..%plusInfinity)
 --R 
 --R
 --R   (15)  potentialPole
@@ -216,7 +216,7 @@ d7:= integrate( exp(-x)*x**(1/3),x=1..%plusInfinity)
 --E 16
 
 --S 17 of 17
-d8:= integrate( exp(-x)*x**2/(1-exp(-2*x)),x=0..%plusInfinity)
+d8:= integrate( exp(-x)*x^2/(1-exp(-2*x)),x=0..%plusInfinity)
 --R 
 --R
 --R   (16)  potentialPole
diff --git a/src/input/davenport.input.pamphlet b/src/input/davenport.input.pamphlet
index 4fa3849..e5e2360 100644
--- a/src/input/davenport.input.pamphlet
+++ b/src/input/davenport.input.pamphlet
@@ -72,7 +72,7 @@ quotient(1,1+x,8)
 --E 3
 
 --S 4 of 12
-quotient(x**2-x+1,x**3-x-6/7,8)
+quotient(x^2-x+1,x^3-x-6/7,8)
 --R 
 --R
 --R   (4)
@@ -87,7 +87,7 @@ quotient(x**2-x+1,x**3-x-6/7,8)
 --E 4
 
 --S 5 of 12
-ext1:=SAE(FRAC INT,UP(a,FRAC INT),a**2+a+1)
+ext1:=SAE(FRAC INT,UP(a,FRAC INT),a^2+a+1)
 --R 
 --R
 --R   (5)
@@ -97,7 +97,7 @@ ext1:=SAE(FRAC INT,UP(a,FRAC INT),a**2+a+1)
 --E 5
 
 --S 6 of 12
-e:ext1:=convert(((3/4)*a**2-a+(7/4))::UP(a,FRAC INT))
+e:ext1:=convert(((3/4)*a^2-a+(7/4))::UP(a,FRAC INT))
 --R 
 --R
 --R          7
@@ -117,7 +117,7 @@ recip(e)
 --E 7
 
 --S 8 of 12
-e**2
+e^2
 --R 
 --R
 --R          105     33
@@ -127,7 +127,7 @@ e**2
 --E 8
 
 --S 9 of 12
-e:=convert((a**2-1)::UP(a,FRAC INT))
+e:=convert((a^2-1)::UP(a,FRAC INT))
 --R 
 --R
 --R   (9)  - a - 2
@@ -135,7 +135,7 @@ e:=convert((a**2-1)::UP(a,FRAC INT))
 --E 9
 
 --S 10 of 12
-p1:UP(x,ext1):=x**4+3*x**3+(2*a+1)*x**2+(3*a+3)*x-1
+p1:UP(x,ext1):=x^4+3*x^3+(2*a+1)*x^2+(3*a+3)*x-1
 --R 
 --R
 --R          4     3            2
@@ -144,7 +144,7 @@ p1:UP(x,ext1):=x**4+3*x**3+(2*a+1)*x**2+(3*a+3)*x-1
 --E 10
 
 --S 11 of 12
-p2:UP(x,ext1):=x**2+a+1
+p2:UP(x,ext1):=x^2+a+1
 --R 
 --R
 --R          2
diff --git a/src/input/dbtest.input.pamphlet b/src/input/dbtest.input.pamphlet
new file mode 100644
index 0000000..90e29d7
--- /dev/null
+++ b/src/input/dbtest.input.pamphlet
@@ -0,0 +1,1149 @@
+\documentclass{article}
+\setlength{\textwidth}{400pt}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input dbtest.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{verbatim}
+Building A Query Facility
+
+We now turn to an entirely different kind of application,
+building a query language for a database.
+
+Here is the practical problem to solve.  The hyperdoc facility of
+Axiom has a database for all operations and constructors which is
+stored on disk and accessed by Hyperdoc.  For our purposes here, we
+regard each line of this file as having eight fields:
+\begin{itemize}
+\item class
+\item name
+\item type
+\item nargs
+\item exposed
+\item kind
+\item origin
+\item condition
+\end{itemize}
+Here is an example entry:
+
+begin{verbatim}
+  o`determinant`$->R`1`x`d`Matrix(R)`has(R,commutative("*"))
+end{verbatim}
+
+In English, the entry means that the operation 
+begin{verbatim}
+  determinant: $ -> R 
+end{verbatim}
+with it 1 argument, is exposed and is exported by the domain
+Matrix(R) if R has commutative("*").
+
+Our task is to create a little query language that allows us
+to get useful information from this database.
+
+First we design a simple language for accessing information from the
+database.  We have the following simple model in mind for its design.
+Think of the database as a box of index cards.  There is only one
+search operation---it takes the name of a field and a predicate (a
+boolean-valued function) defined on the fields of the index cards.
+When applied, the search operation goes through the entire box
+selecting only those index cards for which the predicate is true.  The
+result of a search is a new box of index cards.  This process can be
+repeated again and again.
+
+The predicates all have a particularly simple form: 
+begin{verbatim}
+  symbol = pattern
+end{verbatim}
+where symbol designates one of the fields, and pattern is a 
+``search string''---a string that may contain a ``*'' as a
+wildcard. Wildcards match any substring, including the empty string.
+Thus the pattern ``*ma*t'' matches ``mat'', ``doormat'' and ``smart''.
+
+To illustrate how queries are given, we give you a sneak preview
+of the facility we are about to create.
+
+Extract the database of all Axiom operations.
+begin{verbatim}
+  ops := getDatabase("o")
+end{verbatim}
+
+How many exposed three-argument ``map'' operations involving streams?
+begin{verbatim}
+  ops.(name="map").(nargs="3").(type="*Stream*")
+end{verbatim}
+
+As usual, the arguments of elt associate to the left.
+The first elt produces the set of all operations with
+name {\tt map}.
+The second elt produces the set of all map operations
+with three arguments.
+The third elt produces the set of all three-argument map
+operations having a type mentioning Stream.
+
+Another thing we'd like to do is to extract one field from each of
+the index cards in the box and look at the result.
+Here is an example of that kind of request.
+
+What constructors explicitly export a determinant operation?
+
+elt(elt(elt(elt(ops,name="determinant"),origin),sort),unique)
+
+
+The first elt produces the set of all index cards with
+name {\tt determinant}.
+The second elt extracts the {\tt origin} component from
+each index card. Each origin component
+is the name of a constructor which directly
+exports the operation represented by the index card.
+Extracting a component from each index card produces what we call
+a {\it datalist}.
+The third elt, {\tt sort}, causes the datalist of
+origins to be sorted in alphabetic
+order.
+The fourth, {\tt unique}, causes duplicates to be removed.
+
+Before giving you a more extensive demo of this facility,
+we now build the necessary domains and packages to implement it.
+%We will introduce a few of our minor conveniences.
+
+\endscroll
+\autobuttons
+\end{page}
+
+\begin{patch}{ugDomainsQueryLanguagePagePatch1}
+\begin{paste}{ugDomainsQueryLanguagePageFull1}
+{ugDomainsQueryLanguagePageEmpty1}
+\pastebutton{ugDomainsQueryLanguagePageFull1}{\hidepaste}
+\tab{5}\spadcommand{ops := getDatabase("o")\bound{o1 }}
+\indentrel{3}begin{verbatim}
+   (1)  6315
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsQueryLanguagePageEmpty1}
+\begin{paste}{ugDomainsQueryLanguagePageEmpty1}
+{ugDomainsQueryLanguagePagePatch1}
+\pastebutton{ugDomainsQueryLanguagePageEmpty1}{\showpaste}
+\tab{5}\spadcommand{ops := getDatabase("o")\bound{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsQueryLanguagePagePatch2}
+\begin{paste}{ugDomainsQueryLanguagePageFull2}
+{ugDomainsQueryLanguagePageEmpty2}
+\pastebutton{ugDomainsQueryLanguagePageFull2}{\hidepaste}
+\tab{5}
+\spadcommand{ops.(name="map").(nargs="3").(type="*Stream*")
+\bound{o2 }\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (2)  3
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsQueryLanguagePageEmpty2}
+\begin{paste}{ugDomainsQueryLanguagePageEmpty2}
+{ugDomainsQueryLanguagePagePatch2}
+\pastebutton{ugDomainsQueryLanguagePageEmpty2}{\showpaste}
+\tab{5}
+\spadcommand{ops.(name="map").(nargs="3").(type="*Stream*")
+\bound{o2 }\free{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsQueryLanguagePagePatch3}
+\begin{paste}{ugDomainsQueryLanguagePageFull3}
+{ugDomainsQueryLanguagePageEmpty3}
+\pastebutton{ugDomainsQueryLanguagePageFull3}{\hidepaste}
+\tab{5}
+\spadcommand{elt(elt(elt(elt(ops,name="determinant"),origin),sort),unique)
+\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (3)
+   ["InnerMatrixLinearAlgebraFunctions",
+    "MatrixCategory", "MatrixLinearAlgebraFunctions",
+    "SquareMatrixCategory"]
+                                  Type: DataList String
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsQueryLanguagePageEmpty3}
+\begin{paste}{ugDomainsQueryLanguagePageEmpty3}
+{ugDomainsQueryLanguagePagePatch3}
+\pastebutton{ugDomainsQueryLanguagePageEmpty3}{\showpaste}
+\tab{5}
+\spadcommand{elt(elt(elt(elt(ops,name="determinant"),origin),sort),unique)
+\free{o1 }}
+\end{paste}\end{patch}
+
+@
+\pagehead{ugDomainsDatabaseConstructorPage}{ug13.ht}
+{The Database Constructor}
+<<ug13.ht>>=
+\begin{page}{ugDomainsDatabaseConstructorPage}
+{13.13.2. The Database Constructor}
+\beginscroll
+
+We work from the top down. First, we define a database,
+our box of index cards, as an abstract datatype.
+For sake of illustration and generality,
+we assume that an index card is some type S, and
+that a database is a box of objects of type S.
+Here is the Axiom program defining the \pspadtype{Database}
+domain.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ PI\ ==>\ PositiveInteger}\newline
+{\tt 2.\ \ \ Database(S):\ Exports\ ==\ Implementation\ where}\newline
+{\tt 3.\ \ \ \ \ S:\ Object\ with\ }\newline
+{\tt 4.\ \ \ \ \ \ \ elt:\ (\$,\ Symbol)\ ->\ String}\newline
+{\tt 5.\ \ \ \ \ \ \ display:\ \$\ ->\ Void}\newline
+{\tt 6.\ \ \ \ \ \ \ fullDisplay:\ \$\ ->\ Void}\newline
+{\tt 7.\ \ \ }\newline
+{\tt 8.\ \ \ \ \ Exports\ ==\ with}\newline
+{\tt 9.\ \ \ \ \ \ \ elt:\ (\$,QueryEquation)\ ->\ \$}\newline
+{\tt 10.\ \ \ \ \ \ elt:\ (\$,\ Symbol)\ ->\ DataList\ String}\newline
+{\tt 11.\ \ \ \ \ \ "+":\ (\$,\$)\ ->\ \$}\newline
+{\tt 12.\ \ \ \ \ \ "-":\ (\$,\$)\ ->\ \$}\newline
+{\tt 13.\ \ \ \ \ \ display:\ \$\ ->\ Void}\newline
+{\tt 14.\ \ \ \ \ \ fullDisplay:\ \$\ ->\ Void}\newline
+{\tt 15.\ \ \ \ \ \ fullDisplay:\ (\$,PI,PI)\ ->\ Void}\newline
+{\tt 16.\ \ \ \ \ \ coerce:\ \$\ ->\ OutputForm}\newline
+{\tt 17.\ \ \ \ Implementation\ ==\ add}\newline
+{\tt 18.\ \ \ \ \ \ \ \ ...}\newline
+\endImportant
+
+The domain constructor takes a parameter S, which
+stands for the class of index cards.
+We describe an index card later.
+Here think of an index card as a string which has
+the eight fields mentioned above.
+
+First, we tell Axiom what operations we are going to require
+from index cards.
+We need an elt to extract the contents of a field
+(such as {\tt name} and {\tt type}) as a string.
+For example, c.name returns a string that is the content of the
+name field on the index card c.
+We need to display an index card in two ways:
+\pspadfun{display} shows only the name and type of an
+operation;
+\pspadfun{fullDisplay} displays all fields.
+The display operations return no useful information and thus have
+return type Void.
+
+Next, we tell Axiom what operations the user can apply
+to the database.
+This part defines our little query language.
+The most important operation is
+{\frenchspacing\tt db . field = pattern} which
+returns a new database, consisting of all index
+cards of {\tt db} such that the field part of the index
+card is matched by the string pattern called pattern.
+The expression {\tt field = pattern} is an object of type
+QueryEquation (defined in the next section).
+
+Another elt is needed to produce a DataList object.
+Operation + is to merge two databases together;
+- is used to subtract away common entries in a second
+database from an initial database.
+There are three display functions.
+The \pspadfun{fullDisplay} function has two versions: one
+that prints all the records, the other that prints only a fixed
+number of records.
+A coerce to OutputForm creates a display object.
+
+The {\tt Implementation} part of Database is straightforward.
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ \ \ Implementation\ ==\ add}\newline
+{\tt 2.\ \ \ \ \ \ \ s:\ Symbol}\newline
+{\tt 3.\ \ \ \ \ \ \ Rep\ :=\ List\ S}\newline
+{\tt 4.\ \ \ \ \ \ \ elt(db,equation)\ ==\ ...}\newline
+{\tt 5.\ \ \ \ \ \ \ 
+elt(db,key)\ ==\ [x.key\ for\ x\ in\ db]::DataList(String)}\newline
+{\tt 6.\ \ \ \ \ \ \ 
+display(db)\ ==\ \ for\ x\ in\ db\ repeat\ display\ x}\newline
+{\tt 7.\ \ \ \ \ \ \ 
+fullDisplay(db)\ ==\ for\ x\ in\ db\ repeat\ fullDisplay\ x}\newline
+{\tt 8.\ \ \ \ \ \ \ 
+fullDisplay(db,\ n,\ m)\ ==\ for\ x\ in\ db\ for\ i\ in\ 1..m}\newline
+{\tt 9.\ \ \ \ \ \ \ \ \ repeat}\newline
+{\tt 10.\ \ \ \ \ \ \ \ \ \ if\ i\ >=\ n\ then\ fullDisplay\ x}\newline
+{\tt 11.\ \ \ \ \ \ x+y\ ==\ removeDuplicates!\ merge(x,y)}\newline
+{\tt 12.\ \ \ \ \ \ x-y\ ==\ mergeDifference(copy(x::Rep),}\newline
+{\tt 13.\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 
+y::Rep)\$MergeThing(S)}\newline
+{\tt 14.\ \ \ \ \ \ coerce(db):\ OutputForm\ ==\ (\#db)::\ OutputForm}
+\newline
+\endImportant
+
+The database is represented by a list of elements of S 
+(index cards).
+We leave the definition of the first elt operation
+(on line 4) until the next section.
+The second elt collects all the strings with field name
+{\it key} into a list.
+The display function and first fullDisplay function
+simply call the corresponding functions from S.
+The second fullDisplay function provides an efficient way of
+printing out a portion of a large list.
+The + is defined by using the existing
+\spadfunFrom{merge}{List} operation defined on lists, then
+removing duplicates from the result.
+The - operation requires writing a corresponding
+subtraction operation.
+A package MergeThing (not shown) provides this.
+
+The coerce function converts the database to an
+OutputForm by computing the number of index cards.
+This is a good example of the independence of
+the representation of an Axiom object from how it presents
+itself to the user. We usually do not want to look at a database---but
+do care how many ``hits'' we get for a given query.
+So we define the output representation of a database to be simply
+the number of index cards our query finds.
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsQueryEquationsPage}{ug13.ht}{Query Equations}
+<<ug13.ht>>=
+\begin{page}{ugDomainsQueryEquationsPage}{13.13.3. Query Equations}
+\beginscroll
+
+The predicate for our search is given by an object of type
+\pspadtype{QueryEquation}.
+Axiom does not have such an object yet so we
+have to invent it.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ QueryEquation():\ Exports\ ==\ Implementation\ where}\newline
+{\tt 2.\ \ \ \ \ Exports\ ==\ with}\newline
+{\tt 3.\ \ \ \ \ \ \ equation:\ (Symbol,\ String)\ ->\ \$}\newline
+{\tt 4.\ \ \ \ \ \ \ variable:\ \$\ ->\ Symbol}\newline
+{\tt 5.\ \ \ \ \ \ \ value:\\ \\ \\ \\ \$\ ->\ String}\newline
+{\tt 6.\ \ \ }\newline
+{\tt 7.\ \ \ \ \ Implementation\ ==\ add}\newline
+{\tt 8.\ \ \ \ \ \ \ Rep\ :=\ Record(var:Symbol,\ val:String)}\newline
+{\tt 9.\ \ \ \ \ \ \ equation(x,\ s)\ ==\ [x,\ s]}\newline
+{\tt 10.\ \ \ \ \ \ variable\ q\ ==\ q.var}\newline
+{\tt 11.\ \ \ \ \ \ value\\ \\ \\ \\ q\ ==\ q.val}\newline
+\endImportant
+
+Axiom converts an input expression of the form
+{\it a} = {\it b} to equation({\it a, b}}.
+Our equations always have a symbol on the left and a string
+on the right.
+The {\tt Exports} part thus specifies an operation
+equation to create a query equation, and
+\pspadfun{variable} and \pspadfun{value} to select the left- and
+right-hand sides.
+The {\tt Implementation} part uses \pspadtype{Record} for a
+space-efficient representation of an equation.
+
+Here is the missing definition for the elt function of
+\pspadtype{Database} in the last section:
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ \ \ \ \ elt(db,eq)\ ==}\newline
+{\tt 2.\ \ \ \ \ \ \ \ \ field\\ \ :=\ variable\ eq}\newline
+{\tt 3.\ \ \ \ \ \ \ \ \ value\ :=\ value\ eq}\newline
+{\tt 4.\ \ \ \ \ \ \ \ \ 
+[x\ for\ x\ in\ db\ |\ matches?(value,x.field)]}\newline
+\endImportant
+
+Recall that a database is represented by a list.
+Line 4 simply runs over that list collecting all elements
+such that the pattern (that is, value)
+matches the selected field of the element.
+
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsDataListsPage}{ug13.ht}{DataLists}
+<<ug13.ht>>=
+\begin{page}{ugDomainsDataListsPage}{13.13.4. DataLists}
+\beginscroll
+
+Type \pspadtype{DataList} is a new type invented to hold the result
+of selecting one field from each of the index cards in the box.
+It is useful to make datalists extensions of lists---lists that
+have special elt operations defined on them for
+sorting and removing duplicates.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ DataList(S:OrderedSet)\ :\ Exports\ ==\ 
+Implementation\ where}\newline
+{\tt 2.\ \ \ \ \ Exports\ ==\ ListAggregate(S)\ with}\newline
+{\tt 3.\ \ \ \ \ \ \ elt:\ (\$,"unique")\ ->\ \$}\newline
+{\tt 4.\ \ \ \ \ \ \ elt:\ (\$,"sort")\ ->\ \$}\newline
+{\tt 5.\ \ \ \ \ \ \ elt:\ (\$,"count")\ ->\ NonNegativeInteger}\newline
+{\tt 6.\ \ \ \ \ \ \ coerce:\ List\ S\ ->\ \$}\newline
+{\tt 7.\ \ \ }\newline
+{\tt 8.\ \ \ \ \ Implementation\ ==\ \ List(S)\ add}\newline
+{\tt 9.\ \ \ \ \ \ \ Rep\ :=\ List\ S}\newline
+{\tt 10.\ \ \ \ \ \ elt(x,"unique")\ ==\ removeDuplicates(x)}\newline
+{\tt 11.\ \ \ \ \ \ elt(x,"sort")\ ==\ sort(x)}\newline
+{\tt 12.\ \ \ \ \ \ elt(x,"count")\ ==\ \#x}\newline
+{\tt 13.\ \ \ \ \ \ coerce(x:List\ S)\ ==\ x\ ::\ \$}\newline
+\endImportant
+
+The {\tt Exports} part asserts that datalists belong to the
+category ListAggregate.
+Therefore, you can use all the usual list operations on datalists,
+such as \spadfunFrom{first}{List}, \spadfunFrom{rest}{List}, and
+\spadfunFrom{concat}{List}.
+In addition, datalists have four explicit operations.
+Besides the three elt operations, there is a
+coerce operation that creates datalists from lists.
+
+The {\tt Implementation} part needs only to define four functions.
+All the rest are obtained from List(S).
+
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsDatabasePage}{ug13.ht}{Index Cards}
+<<ug13.ht>>=
+\begin{page}{ugDomainsDatabasePage}{13.13.5. Index Cards}
+\beginscroll
+
+An index card comes from a file as one long string.  We define
+functions that extract substrings from the long string.  Each field
+has a name that is passed as a second argument to elt.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ IndexCard()\ ==\ Implementation\ where}\newline
+{\tt 2.\ \ \ \ \ Exports\ ==\ with}\newline
+{\tt 3.\ \ \ \ \ \ \ elt:\ (\$,\ Symbol)\ ->\ String}\newline
+{\tt 4.\ \ \ \ \ \ \ display:\ \$\ ->\ Void}\newline
+{\tt 5.\ \ \ \ \ \ \ fullDisplay:\ \$\ ->\ Void}\newline
+{\tt 6.\ \ \ \ \ \ \ coerce:\ String\ ->\ \$}\newline
+{\tt 7.\ \ \ \ \ Implementation\ ==\ String\ add\ ...}\newline
+\endImportant
+
+We leave the {\tt Implementation} part to the reader.
+All operations involve straightforward string manipulations.
+
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsCreatingPage}{ug13.ht}{Creating a Database}
+<<ug13.ht>>=
+\begin{page}{ugDomainsCreatingPage}{13.13.6. Creating a Database}
+\beginscroll
+
+We must not forget one important operation: one that builds the
+database in the first place!  We'll name it \pspadfun{getDatabase} and
+put it in a package.  This function is implemented by calling the
+\Lisp{} function getBrowseDatabase(s) to get appropriate
+information from \Browse{}.  This operation takes a string indicating
+which lines you want from the database: "o" gives you all
+operation lines, and "k", all constructor lines.  Similarly,
+"c", "d", and "p" give you all category,
+domain and package lines respectively.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ OperationsQuery():\ Exports\ ==\ Implementation\ where}
+\newline
+{\tt 2.\ \ \ \ \ Exports\ ==\ with}\newline
+{\tt 3.\ \ \ \ \ \ \ getDatabase:\ String\ ->\ Database(IndexCard)}
+\newline
+{\tt 4.\ \ \ }\newline
+{\tt 5.\ \ \ \ \ Implementation\ ==\ add}\newline
+{\tt 6.\ \ \ \ \ \ \ getDatabase(s)\ ==\ getBrowseDatabase(s)\$Lisp}
+\newline
+\endImportant
+
+We do not bother creating a special name for databases of index
+cards.
+\pspadtype{Database (IndexCard)} will do.
+Notice that we used the package \pspadtype{OperationsQuery} to
+create, in effect,
+a new kind of domain: \pspadtype{Database(IndexCard)}.
+
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsPuttingPage}{ug13.ht}{Putting It All Together}
+<<ug13.ht>>=
+\begin{page}{ugDomainsPuttingPage}{13.13.7. Putting It All Together}
+\beginscroll
+
+To create the database facility, you put all these constructors
+into one file.\footnote{You could use separate files, but we
+are putting them all together because, organizationally, that is
+the logical thing to do.}
+At the top of the file put \spadcmd{)abbrev} commands, giving the
+constructor abbreviations you created.
+
+\beginImportant
+  
+\noindent
+{\tt 1.\ \ \ )abbrev\ domain\ \ ICARD\ \ \ IndexCard}\newline
+{\tt 2.\ \ \ )abbrev\ domain\ \ QEQUAT\ \ QueryEquation}\newline
+{\tt 3.\ \ \ )abbrev\ domain\ \ MTHING\ \ MergeThing}\newline
+{\tt 4.\ \ \ )abbrev\ domain\ \ DLIST\ \ \ DataList}\newline
+{\tt 5.\ \ \ )abbrev\ domain\ \ DBASE\ \ \ Database}\newline
+{\tt 6.\ \ \ )abbrev\ package\ OPQUERY\ OperationsQuery}\newline
+\endImportant
+
+With all this in {\bf alql.spad}, for example, compile it using
+begin{verbatim}
+)compile alql
+end{verbatim}
+and then load each of the constructors:
+begin{verbatim}
+)load ICARD QEQUAT MTHING DLIST DBASE OPQUERY
+end{verbatim}
+You are ready to try some sample queries.
+
+\endscroll
+\autobuttons
+\end{page}
+
+@
+\pagehead{ugDomainsExamplesPage}{ug13.ht}{Example Queries}
+<<ug13.ht>>=
+\begin{page}{ugDomainsExamplesPage}{13.13.8. Example Queries}
+\beginscroll
+
+Our first set of queries give some statistics on constructors in
+the current Axiom system.
+
+\xtc{
+How many constructors does Axiom have?
+}{
+\spadpaste{ks := getDatabase "k"\bound{q1}}
+}
+\xtc{
+Break this down into the number of categories, domains, and packages.
+}{
+\spadpaste{[ks.(kind=k) for k in ["c","d","p"]]\bound{q3}\free{q1}}
+}
+\xtc{
+What are all the domain constructors that take no parameters?
+}{
+\spadpaste{elt(ks.(kind="d").(nargs="0"),name)\bound{q4}\free{q1}}
+}
+\xtc{
+How many constructors have ``Matrix'' in their name?
+}{
+\spadpaste{mk := ks.(name="*Matrix*")\bound{q5}\free{q1}}
+}
+\xtc{
+What are the names of those that are domains?
+}{
+\spadpaste{elt(mk.(kind="d"),name)\bound{q6}\free{q5}}
+}
+\xtc{
+How many operations are there in the library?
+}{
+\spadpaste{o := getDatabase "o"\bound{o1}}
+}
+\xtc{
+Break this down into categories, domains, and packages.
+}{
+\spadpaste{[o.(kind=k) for k in ["c","d","p"]]\free{o1}}
+}
+
+The query language is helpful in getting information about a
+particular operation you might like to apply.
+While this information can be obtained with
+\Browse{}, the use of the query database gives you data that you
+can manipulate in the workspace.
+
+\xtc{
+How many operations have ``eigen'' in the name?
+}{
+\spadpaste{eigens := o.(name="*eigen*")\bound{eigens}\free{o1}}
+}
+\xtc{
+What are their names?
+}{
+\spadpaste{elt(eigens,name)\free{eigens}}
+}
+\xtc{
+Where do they come from?
+}{
+\spadpaste{elt(elt(elt(eigens,origin),sort),unique) \free{eigens}}
+}
+
+The operations + and - are useful for
+constructing small databases and combining them.
+However, remember that the only matching you can do is string
+matching.
+Thus a pattern such as {\tt "*Matrix*"} on the type field
+matches
+any type containing Matrix, MatrixCategory, SquareMatrix, and so on.
+
+\xtc{
+How many operations mention ``Matrix'' in their type?
+}{
+\spadpaste{tm := o.(type="*Matrix*")\bound{x10}\free{o1}}
+}
+\xtc{
+How many operations come from constructors with ``Matrix'' in
+their name?
+}{
+\spadpaste{fm := o.(origin="*Matrix*")\bound{x11}\free{o1}}
+}
+\xtc{
+How many operations are in fm but not in tm?
+}{
+\spadpaste{fm-tm \bound{x12}\free{x10 x11}}
+}
+\xtc{
+Display the operations that both mention ``Matrix'' in their type
+and come from a constructor having ``Matrix'' in their name.
+}{
+\spadpaste{fullDisplay(fm-\%) \bound{x13}\free{x12}}
+}
+\xtc{
+How many operations involve matrices?
+}{
+\spadpaste{m := tm+fm \bound{x14}\free{x10 x11}}
+}
+\xtc{
+Display 4 of them.
+}{
+\spadpaste{fullDisplay(m, 202, 205) \free{x14}}
+}
+\xtc{
+How many distinct names of operations involving matrices are there?
+}{
+\spadpaste{elt(elt(elt(m,name),unique),count) \free{x14}}
+}
+
+\endscroll
+\autobuttons
+\end{page}
+
+\begin{patch}{ugDomainsExamplesPagePatch1}
+\begin{paste}{ugDomainsExamplesPageFull1}{ugDomainsExamplesPageEmpty1}
+\pastebutton{ugDomainsExamplesPageFull1}{\hidepaste}
+\tab{5}\spadcommand{ks := getDatabase "k"\bound{q1 }}
+\indentrel{3}begin{verbatim}
+   (1)  1067
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty1}
+\begin{paste}{ugDomainsExamplesPageEmpty1}{ugDomainsExamplesPagePatch1}
+\pastebutton{ugDomainsExamplesPageEmpty1}{\showpaste}
+\tab{5}\spadcommand{ks := getDatabase "k"\bound{q1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch2}
+\begin{paste}{ugDomainsExamplesPageFull2}{ugDomainsExamplesPageEmpty2}
+\pastebutton{ugDomainsExamplesPageFull2}{\hidepaste}
+\tab{5}\spadcommand{[ks.(kind=k) for k in ["c","d","p"]]\bound{q3 }\free{q1 }}
+\indentrel{3}begin{verbatim}
+   (2)  [205,393,469]
+                          Type: List Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty2}
+\begin{paste}{ugDomainsExamplesPageEmpty2}{ugDomainsExamplesPagePatch2}
+\pastebutton{ugDomainsExamplesPageEmpty2}{\showpaste}
+\tab{5}\spadcommand{[ks.(kind=k) for k in ["c","d","p"]]\bound{q3 }\free{q1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch3}
+\begin{paste}{ugDomainsExamplesPageFull3}{ugDomainsExamplesPageEmpty3}
+\pastebutton{ugDomainsExamplesPageFull3}{\hidepaste}
+\tab{5}\spadcommand{elt(ks.(kind="d").(nargs="0"),name)\bound{q4 }\free{q1 }}
+\indentrel{3}begin{verbatim}
+   (3)
+   ["AlgebraicNumber", "AnonymousFunction", "Any",
+    "AttributeButtons", "BasicFunctions",
+    "BasicOperator", "BinaryExpansion", "BinaryFile",
+    "Bits", "Boolean", "CardinalNumber",
+    "CharacterClass", "Character", "Color", "Commutator",
+    "DecimalExpansion", "DoubleFloat", "DrawOption",
+    "Exit", "ExtAlgBasis", "FileName", "Float",
+    "FortranCode", "FortranScalarType",
+    "FortranTemplate", "FortranType", "GraphImage",
+    "HexadecimalExpansion", "IVBaseColor", "IVBasicNode",
+    "IVCoordinate3", "IVCoordinate4", "IVFaceSet",
+    "IVField", "IVGroup", "IVIndexedLineSet",
+    "IVNodeConnection", "IVNodeObject", "IVPointSet",
+    "IVQuadMesh", "IVSeparator", "IVSimpleInnerNode",
+    "IVUtilities", "IVValue", "IndexCard",
+    "InnerAlgebraicNumber", "InputForm", "Integer",
+    "IntegrationFunctionsTable", "InventorDataSink",
+    "InventorRenderPackage", "InventorViewPort",
+    "Library", "MachineComplex", "MachineFloat",
+    "MachineInteger",
+    "NagDiscreteFourierTransformInterfacePackage",
+    "NagEigenInterfacePackage",
+    "NagOptimisationInterfacePackage",
+    "NagQuadratureInterfacePackage", "NagResultChecks",
+    "NagSpecialFunctionsInterfacePackage",
+    "NonNegativeInteger", "None",
+    "NumericalIntegrationProblem", "NumericalODEProblem",
+    "NumericalOptimizationProblem",
+    "NumericalPDEProblem", "ODEIntensityFunctionsTable",
+    "OrdSetInts", "OutputForm", "Palette", "Partition",
+    "Pi", "PlaneAlgebraicCurvePlot", "Plot3D", "Plot",
+    "PositiveInteger", "QueryEquation", "RenderTools",
+    "Result", "RomanNumeral", "RoutinesTable",
+    "SExpression", "ScriptFormulaFormat",
+    "SingleInteger", "SingletonAsOrderedSet", "String",
+    "SubSpaceComponentProperty", "Switch", "SymbolTable",
+    "Symbol", "TexFormat", "TextFile", "TheSymbolTable",
+    "ThreeDimensionalViewport", "Timer",
+    "TwoDimensionalViewport", "Void",
+    "d01TransformFunctionType", "d01ajfAnnaType",
+    "d01akfAnnaType", "d01alfAnnaType", "d01amfAnnaType",
+    "d01anfAnnaType", "d01apfAnnaType", "d01aqfAnnaType",
+    "d01asfAnnaType", "d01fcfAnnaType", "d01gbfAnnaType",
+    "d02bbfAnnaType", "d02bhfAnnaType", "d02cjfAnnaType",
+    "d02ejfAnnaType", "d03eefAnnaType", "d03fafAnnaType",
+    "e04dgfAnnaType", "e04fdfAnnaType", "e04gcfAnnaType",
+    "e04jafAnnaType", "e04mbfAnnaType", "e04nafAnnaType",
+    "e04ucfAnnaType"]
+                                  Type: DataList String
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty3}
+\begin{paste}{ugDomainsExamplesPageEmpty3}{ugDomainsExamplesPagePatch3}
+\pastebutton{ugDomainsExamplesPageEmpty3}{\showpaste}
+\tab{5}\spadcommand{elt(ks.(kind="d").(nargs="0"),name)\bound{q4 }\free{q1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch4}
+\begin{paste}{ugDomainsExamplesPageFull4}{ugDomainsExamplesPageEmpty4}
+\pastebutton{ugDomainsExamplesPageFull4}{\hidepaste}
+\tab{5}\spadcommand{mk := ks.(name="*Matrix*")\bound{q5 }\free{q1 }}
+\indentrel{3}begin{verbatim}
+   (4)  26
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty4}
+\begin{paste}{ugDomainsExamplesPageEmpty4}{ugDomainsExamplesPagePatch4}
+\pastebutton{ugDomainsExamplesPageEmpty4}{\showpaste}
+\tab{5}\spadcommand{mk := ks.(name="*Matrix*")\bound{q5 }\free{q1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch5}
+\begin{paste}{ugDomainsExamplesPageFull5}{ugDomainsExamplesPageEmpty5}
+\pastebutton{ugDomainsExamplesPageFull5}{\hidepaste}
+\tab{5}\spadcommand{elt(mk.(kind="d"),name)\bound{q6 }\free{q5 }}
+\indentrel{3}begin{verbatim}
+   (5)
+   ["DenavitHartenbergMatrix",
+    "DirectProductMatrixModule", "IndexedMatrix",
+    "LieSquareMatrix", "Matrix", "RectangularMatrix",
+    "SquareMatrix", "ThreeDimensionalMatrix"]
+                                  Type: DataList String
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty5}
+\begin{paste}{ugDomainsExamplesPageEmpty5}{ugDomainsExamplesPagePatch5}
+\pastebutton{ugDomainsExamplesPageEmpty5}{\showpaste}
+\tab{5}\spadcommand{elt(mk.(kind="d"),name)\bound{q6 }\free{q5 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch6}
+\begin{paste}{ugDomainsExamplesPageFull6}{ugDomainsExamplesPageEmpty6}
+\pastebutton{ugDomainsExamplesPageFull6}{\hidepaste}
+\tab{5}\spadcommand{o := getDatabase "o"\bound{o1 }}
+\indentrel{3}begin{verbatim}
+   (6)  6315
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty6}
+\begin{paste}{ugDomainsExamplesPageEmpty6}{ugDomainsExamplesPagePatch6}
+\pastebutton{ugDomainsExamplesPageEmpty6}{\showpaste}
+\tab{5}\spadcommand{o := getDatabase "o"\bound{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch7}
+\begin{paste}{ugDomainsExamplesPageFull7}{ugDomainsExamplesPageEmpty7}
+\pastebutton{ugDomainsExamplesPageFull7}{\hidepaste}
+\tab{5}\spadcommand{[o.(kind=k) for k in ["c","d","p"]]\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (7)  [1646,2040,2629]
+                          Type: List Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty7}
+\begin{paste}{ugDomainsExamplesPageEmpty7}{ugDomainsExamplesPagePatch7}
+\pastebutton{ugDomainsExamplesPageEmpty7}{\showpaste}
+\tab{5}\spadcommand{[o.(kind=k) for k in ["c","d","p"]]\free{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch8}
+\begin{paste}{ugDomainsExamplesPageFull8}{ugDomainsExamplesPageEmpty8}
+\pastebutton{ugDomainsExamplesPageFull8}{\hidepaste}
+\tab{5}\spadcommand{eigens := o.(name="*eigen*")\bound{eigens }\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (8)  4
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty8}
+\begin{paste}{ugDomainsExamplesPageEmpty8}{ugDomainsExamplesPagePatch8}
+\pastebutton{ugDomainsExamplesPageEmpty8}{\showpaste}
+\tab{5}\spadcommand{eigens := o.(name="*eigen*")\bound{eigens }\free{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch9}
+\begin{paste}{ugDomainsExamplesPageFull9}{ugDomainsExamplesPageEmpty9}
+\pastebutton{ugDomainsExamplesPageFull9}{\hidepaste}
+\tab{5}\spadcommand{elt(eigens,name)\free{eigens }}
+\indentrel{3}begin{verbatim}
+   (9)
+   ["eigenMatrix", "eigenvalues", "eigenvector",
+    "eigenvectors"]
+                                  Type: DataList String
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty9}
+\begin{paste}{ugDomainsExamplesPageEmpty9}{ugDomainsExamplesPagePatch9}
+\pastebutton{ugDomainsExamplesPageEmpty9}{\showpaste}
+\tab{5}\spadcommand{elt(eigens,name)\free{eigens }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch10}
+\begin{paste}{ugDomainsExamplesPageFull10}{ugDomainsExamplesPageEmpty10}
+\pastebutton{ugDomainsExamplesPageFull10}{\hidepaste}
+\tab{5}\spadcommand{elt(elt(elt(eigens,origin),sort),unique)\free{eigens }}
+\indentrel{3}begin{verbatim}
+   (10)  ["EigenPackage","RadicalEigenPackage"]
+                                  Type: DataList String
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty10}
+\begin{paste}{ugDomainsExamplesPageEmpty10}{ugDomainsExamplesPagePatch10}
+\pastebutton{ugDomainsExamplesPageEmpty10}{\showpaste}
+\tab{5}\spadcommand{elt(elt(elt(eigens,origin),sort),unique)\free{eigens }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch11}
+\begin{paste}{ugDomainsExamplesPageFull11}{ugDomainsExamplesPageEmpty11}
+\pastebutton{ugDomainsExamplesPageFull11}{\hidepaste}
+\tab{5}\spadcommand{tm := o.(type="*Matrix*")\bound{x10 }\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (11)  353
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty11}
+\begin{paste}{ugDomainsExamplesPageEmpty11}{ugDomainsExamplesPagePatch11}
+\pastebutton{ugDomainsExamplesPageEmpty11}{\showpaste}
+\tab{5}\spadcommand{tm := o.(type="*Matrix*")\bound{x10 }\free{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch12}
+\begin{paste}{ugDomainsExamplesPageFull12}{ugDomainsExamplesPageEmpty12}
+\pastebutton{ugDomainsExamplesPageFull12}{\hidepaste}
+\tab{5}\spadcommand{fm := o.(origin="*Matrix*")\bound{x11 }\free{o1 }}
+\indentrel{3}begin{verbatim}
+   (12)  192
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty12}
+\begin{paste}{ugDomainsExamplesPageEmpty12}{ugDomainsExamplesPagePatch12}
+\pastebutton{ugDomainsExamplesPageEmpty12}{\showpaste}
+\tab{5}\spadcommand{fm := o.(origin="*Matrix*")\bound{x11 }\free{o1 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch13}
+\begin{paste}{ugDomainsExamplesPageFull13}{ugDomainsExamplesPageEmpty13}
+\pastebutton{ugDomainsExamplesPageFull13}{\hidepaste}
+\tab{5}\spadcommand{fm-tm\bound{x12 }\free{x10 x11 }}
+\indentrel{3}begin{verbatim}
+   (13)  146
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty13}
+\begin{paste}{ugDomainsExamplesPageEmpty13}{ugDomainsExamplesPagePatch13}
+\pastebutton{ugDomainsExamplesPageEmpty13}{\showpaste}
+\tab{5}\spadcommand{fm-tm\bound{x12 }\free{x10 x11 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch14}
+\begin{paste}{ugDomainsExamplesPageFull14}{ugDomainsExamplesPageEmpty14}
+\pastebutton{ugDomainsExamplesPageFull14}{\hidepaste}
+\tab{5}\spadcommand{fullDisplay(fm-\%)\bound{x13 }\free{x12 }}
+\indentrel{3}begin{verbatim}
+   ** : (Matrix(R),NonNegativeInteger)->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   clearDenominator : (Matrix(Q))->Matrix(R)
+      from MatrixCommonDenominator(R,Q)
+   coerceP
+      : (Vector(Matrix(R)))->Vector(Matrix(Polynomial(R)))
+      from CoerceVectorMatrixPackage(R) (unexposed)
+   coerce
+      :
+      (Vector(Matrix(R)))->Vector(Matrix(Fraction(Polynom
+      ial(R))))
+      from CoerceVectorMatrixPackage(R) (unexposed)
+   coerce : (_$)->Matrix(R)
+      from RectangularMatrix(m,n,R) (unexposed)
+   coerce : (_$)->Matrix(R)
+      from SquareMatrix(ndim,R) (unexposed)
+   coerce : (Matrix(MachineFloat))->_$
+      from FortranMatrixCategory
+   commonDenominator : (Matrix(Q))->R
+      from MatrixCommonDenominator(R,Q)
+   copy! : (Matrix(R),Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   f01brf
+      :
+      (Integer,Integer,Integer,Integer,DoubleFloat,Boolea
+      n,Boolean,List(Boolean),Matrix(DoubleFloat),Matrix(
+      Integer),Matrix(Integer),Integer)->Result
+      from NagMatrixOperationsPackage
+   f01bsf
+      :
+      (Integer,Integer,Integer,Matrix(Integer),Matrix(Int
+      eger),Matrix(Integer),Matrix(Integer),Boolean,Doubl
+      eFloat,Boolean,Matrix(Integer),Matrix(DoubleFloat),
+      Integer)->Result
+      from NagMatrixOperationsPackage
+   f01maf
+      :
+      (Integer,Integer,Integer,Integer,List(Boolean),Matr
+      ix(DoubleFloat),Matrix(Integer),Matrix(Integer),Dou
+      bleFloat,DoubleFloat,Integer)->Result
+      from NagMatrixOperationsPackage
+   f01mcf
+      :
+      (Integer,Matrix(DoubleFloat),Integer,Matrix(Integer
+      ),Integer)->Result
+      from NagMatrixOperationsPackage
+   f01qcf
+      :
+      (Integer,Integer,Integer,Matrix(DoubleFloat),Intege
+      r)->Result
+      from NagMatrixOperationsPackage
+   f01qdf
+      :
+      (String,String,Integer,Integer,Matrix(DoubleFloat),
+      Integer,Matrix(DoubleFloat),Integer,Integer,Matrix(
+      DoubleFloat),Integer)->Result
+      from NagMatrixOperationsPackage
+   f01qef
+      :
+      (String,Integer,Integer,Integer,Integer,Matrix(Doub
+      leFloat),Matrix(DoubleFloat),Integer)->Result
+      from NagMatrixOperationsPackage
+   f01rcf
+      :
+      (Integer,Integer,Integer,Matrix(Complex(DoubleFloat
+      )),Integer)->Result
+      from NagMatrixOperationsPackage
+   f01rdf
+      :
+      (String,String,Integer,Integer,Matrix(Complex(Doubl
+      eFloat)),Integer,Matrix(Complex(DoubleFloat)),Integ
+      er,Integer,Matrix(Complex(DoubleFloat)),Integer)->R
+      esult
+      from NagMatrixOperationsPackage
+   f01ref
+      :
+      (String,Integer,Integer,Integer,Integer,Matrix(Comp
+      lex(DoubleFloat)),Matrix(Complex(DoubleFloat)),Inte
+      ger)->Result
+      from NagMatrixOperationsPackage
+   hasSolution? : (Matrix(F),Vector(F))->Boolean
+      from LinearSystemMatrixPackage1(F)
+   leftScalarTimes! : (Matrix(R),R,Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   minus! : (Matrix(R),Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   minus! : (Matrix(R),Matrix(R),Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   particularSolution
+      : (Matrix(F),Vector(F))->Union(Vector(F),"failed")
+      from LinearSystemMatrixPackage1(F)
+   plus! : (Matrix(R),Matrix(R),Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   power!
+      :
+      (Matrix(R),Matrix(R),Matrix(R),Matrix(R),NonNegativ
+      eInteger)->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   rank : (Matrix(F),Vector(F))->NonNegativeInteger
+      from LinearSystemMatrixPackage1(F)
+   rectangularMatrix : (Matrix(R))->_$
+      from RectangularMatrix(m,n,R) (unexposed)
+   retractIfCan
+      : (Matrix(Expression(Float)))->Union(_$,"failed")
+      from FortranMatrixFunctionCategory
+   retractIfCan
+      : (Matrix(Expression(Integer)))->Union(_$,"failed")
+      from FortranMatrixFunctionCategory
+   retractIfCan
+      :
+      (Matrix(Fraction(Polynomial(Float))))->Union(_$,"fa
+      iled")
+      from FortranMatrixFunctionCategory
+   retractIfCan
+      :
+      (Matrix(Fraction(Polynomial(Integer))))->Union(_$,"
+      failed")
+      from FortranMatrixFunctionCategory
+   retractIfCan
+      : (Matrix(Polynomial(Float)))->Union(_$,"failed")
+      from FortranMatrixFunctionCategory
+   retractIfCan
+      : (Matrix(Polynomial(Integer)))->Union(_$,"failed")
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Expression(Float)))->_$
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Expression(Integer)))->_$
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Fraction(Polynomial(Float))))->_$
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Fraction(Polynomial(Integer))))->_$
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Polynomial(Float)))->_$
+      from FortranMatrixFunctionCategory
+   retract : (Matrix(Polynomial(Integer)))->_$
+      from FortranMatrixFunctionCategory
+   rightScalarTimes! : (Matrix(R),Matrix(R),R)->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+   solve
+      :
+      (Matrix(F),List(Vector(F)))->List(Record(particular
+      :Union(Vector(F),"failed"),basis:List(Vector(F))))
+      from LinearSystemMatrixPackage1(F)
+   solve
+      :
+      (Matrix(F),Vector(F))->Record(particular:Union(Vect
+      or(F),"failed"),basis:List(Vector(F)))
+      from LinearSystemMatrixPackage1(F)
+   splitDenominator
+      : (Matrix(Q))->Record(num:Matrix(R),den:R)
+      from MatrixCommonDenominator(R,Q)
+   squareMatrix : (Matrix(R))->_$
+      from SquareMatrix(ndim,R) (unexposed)
+   times! : (Matrix(R),Matrix(R),Matrix(R))->Matrix(R)
+      from StorageEfficientMatrixOperations(R) (unexposed)
+                                             Type: Void
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty14}
+\begin{paste}{ugDomainsExamplesPageEmpty14}{ugDomainsExamplesPagePatch14}
+\pastebutton{ugDomainsExamplesPageEmpty14}{\showpaste}
+\tab{5}\spadcommand{fullDisplay(fm-\%)\bound{x13 }\free{x12 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch15}
+\begin{paste}{ugDomainsExamplesPageFull15}{ugDomainsExamplesPageEmpty15}
+\pastebutton{ugDomainsExamplesPageFull15}{\hidepaste}
+\tab{5}\spadcommand{m := tm+fm\bound{x14 }\free{x10 x11 }}
+\indentrel{3}begin{verbatim}
+   (15)  499
+                               Type: Database IndexCard
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty15}
+\begin{paste}{ugDomainsExamplesPageEmpty15}{ugDomainsExamplesPagePatch15}
+\pastebutton{ugDomainsExamplesPageEmpty15}{\showpaste}
+\tab{5}\spadcommand{m := tm+fm\bound{x14 }\free{x10 x11 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch16}
+\begin{paste}{ugDomainsExamplesPageFull16}{ugDomainsExamplesPageEmpty16}
+\pastebutton{ugDomainsExamplesPageFull16}{\hidepaste}
+\tab{5}\spadcommand{fullDisplay(m, 202, 205)\free{x14 }}
+\indentrel{3}begin{verbatim}
+   elt : (_$,List(Integer),List(Integer))->_$
+      from MatrixCategory(R,Row,Col)
+   elt : (_$,Integer,Integer,R)->R
+      from RectangularMatrixCategory(m,n,R,Row,Col)
+   elt
+      :
+      (_$,NonNegativeInteger,NonNegativeInteger,NonNegati
+      veInteger)->R
+      from ThreeDimensionalMatrix(R)
+   eval
+      :
+      (Matrix(Expression(DoubleFloat)),List(Symbol),Vecto
+      r(Expression(DoubleFloat)))->Matrix(Expression(Doub
+      leFloat))
+      from d02AgentsPackage
+                                             Type: Void
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty16}
+\begin{paste}{ugDomainsExamplesPageEmpty16}{ugDomainsExamplesPagePatch16}
+\pastebutton{ugDomainsExamplesPageEmpty16}{\showpaste}
+\tab{5}\spadcommand{fullDisplay(m, 202, 205)\free{x14 }}
+\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPagePatch17}
+\begin{paste}{ugDomainsExamplesPageFull17}{ugDomainsExamplesPageEmpty17}
+\pastebutton{ugDomainsExamplesPageFull17}{\hidepaste}
+\tab{5}\spadcommand{elt(elt(elt(m,name),unique),count)\free{x14 }}
+\indentrel{3}begin{verbatim}
+   (17)  317
+                                  Type: PositiveInteger
+end{verbatim}
+\indentrel{-3}\end{paste}\end{patch}
+
+\begin{patch}{ugDomainsExamplesPageEmpty17}
+\begin{paste}{ugDomainsExamplesPageEmpty17}{ugDomainsExamplesPagePatch17}
+\pastebutton{ugDomainsExamplesPageEmpty17}{\showpaste}
+\tab{5}\spadcommand{elt(elt(elt(m,name),unique),count)\free{x14 }}
+\end{paste}\end{patch}
+\end{verbatim}
+
+@
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/input/de2re.input.pamphlet b/src/input/de2re.input.pamphlet
index ee1d5dc..615318c 100644
--- a/src/input/de2re.input.pamphlet
+++ b/src/input/de2re.input.pamphlet
@@ -16,9 +16,9 @@ The function |LinearOrdinaryDifferentialOperator| is undefined
 dn := D()$L
 -- 4 well known differential operators
 exp:= dn - 1
-sincos := dn**2 + 1
-airy := dn**2 - n
-hermite := dn**2 - 2*n*dn + 1
+sincos := dn^2 + 1
+airy := dn^2 - n
+hermite := dn^2 - 2*n*dn + 1
 
 -- the recurrences satisfied by the coefficients of their series solutions
 --recurrence(exp, 0)
@@ -28,7 +28,7 @@ hermite := dn**2 - 2*n*dn + 1
 --recurrence(hermite, 0)
 
 -- a non-trivial example from the GFUN tech. rep (Salvy & Zimmermann)
-op := (335 * n**2 + 1290) * dn**2 + 1540 * n * dn + 468720
+op := (335 * n^2 + 1290) * dn^2 + 1540 * n * dn + 468720
 --recurrence(op, 0)
 \end{chunk}
 \begin{chunk}{bugs}
diff --git a/src/input/decimal.input.pamphlet b/src/input/decimal.input.pamphlet
index cff1dcd..9136db1 100644
--- a/src/input/decimal.input.pamphlet
+++ b/src/input/decimal.input.pamphlet
@@ -68,7 +68,7 @@ decimal(1/2049)
 --E 4
 
 --S 5 of 7
-p := decimal(1/4)*x**2 + decimal(2/3)*x + decimal(4/9)
+p := decimal(1/4)*x^2 + decimal(2/3)*x + decimal(4/9)
 --R 
 --R
 --R             2     _      _
diff --git a/src/input/defintef.input.pamphlet b/src/input/defintef.input.pamphlet
index db06ce5..35a530e 100644
--- a/src/input/defintef.input.pamphlet
+++ b/src/input/defintef.input.pamphlet
@@ -31,7 +31,7 @@ int(sin(x)^3/(sin(x)^3+cos(x)^3),x=0..Pi/2)
 is one of them.
 \begin{chunk}{*}
 --S 1 of 8
-sin(x)**3/(sin(x)**3+cos(x)**3)
+sin(x)^3/(sin(x)^3+cos(x)^3)
 --R 
 --R
 --R                   3
@@ -53,7 +53,7 @@ integrate(%, x = 0..%pi/2, "noPole")
 --E 2
 
 --S 3 of 8
-x**2/(1+x**3)
+x^2/(1+x^3)
 --R 
 --R
 --R           2
@@ -73,7 +73,7 @@ integrate(%, x=0..%plusInfinity)
 --E 4
 
 --S 5 of 8
-exp(-x**2)*log(x)**2
+exp(-x^2)*log(x)^2
 --R 
 --R
 --R             2
diff --git a/src/input/defintrf.input.pamphlet b/src/input/defintrf.input.pamphlet
index ddb71f1..25a825c 100644
--- a/src/input/defintrf.input.pamphlet
+++ b/src/input/defintrf.input.pamphlet
@@ -27,7 +27,7 @@ Most symbolic indefinite integrals for $f$ will have a pole between 1 and 2.
 Note that $f$ is positive on $[1..2]$ so we expect the integral to be positive
 \begin{chunk}{*}
 --S 1 of 3
-f := (x**4 - 3*x**2 + 6)/(x**6-5*x**4+5*x**2+4)
+f := (x^4 - 3*x^2 + 6)/(x^6-5*x^4+5*x^2+4)
 --R 
 --R
 --R            4     2
diff --git a/src/input/defs.input.pamphlet b/src/input/defs.input.pamphlet
index bec137a..b23aff2 100644
--- a/src/input/defs.input.pamphlet
+++ b/src/input/defs.input.pamphlet
@@ -20,7 +20,7 @@ fib(1) == 1
 fib(n) == fib(n-1) + fib(n-2) otherwise
 fib(10)
 fib(100)
-[fib(2**i) for i in 1..]
+[fib(2^i) for i in 1..]
 
 \end{chunk}
 The when clause is not recognized either in the NAG version or
diff --git a/src/input/derham.input.pamphlet b/src/input/derham.input.pamphlet
index 652d3b0..9e23907 100644
--- a/src/input/derham.input.pamphlet
+++ b/src/input/derham.input.pamphlet
@@ -54,7 +54,7 @@ R := Expression coefRing
 --E 4
 
 --S 5 of 33
-f : R := x**2*y*z-5*x**3*y**2*z**5
+f : R := x^2*y*z-5*x^3*y^2*z^5
 --R 
 --R
 --R            3 2 5    2
@@ -63,7 +63,7 @@ f : R := x**2*y*z-5*x**3*y**2*z**5
 --E 5
 
 --S 6 of 33
-g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
+g : R := z^2*y*cos(z)-7*sin(x^3*y^2)*z^2
 --R 
 --R
 --R            2     3 2       2
@@ -72,7 +72,7 @@ g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
 --E 6
 
 --S 7 of 33
-h : R :=x*y*z-2*x**3*y*z**2
+h : R :=x*y*z-2*x^3*y*z^2
 --R 
 --R
 --R            3   2
diff --git a/src/input/divisor.input.pamphlet b/src/input/divisor.input.pamphlet
index 83b0254..7a737e8 100644
--- a/src/input/divisor.input.pamphlet
+++ b/src/input/divisor.input.pamphlet
@@ -42,7 +42,7 @@ P1 := UP(y, FRAC P0)
 This is the curve given by $y^2 = x^8 + 1$ (genus = 3)
 \begin{chunk}{*}
 --S 3 of 18
-R := RADFF(FRAC INT, P0, P1, 1 + x**8, 2)
+R := RADFF(FRAC INT, P0, P1, 1 + x^8, 2)
 --R 
 --R
 --R   (3)
diff --git a/src/input/dmp.input.pamphlet b/src/input/dmp.input.pamphlet
index f05f7bc..11f8c76 100644
--- a/src/input/dmp.input.pamphlet
+++ b/src/input/dmp.input.pamphlet
@@ -30,7 +30,7 @@
 --E 1
 
 --S 2 of 8
-d1 := -4*z + 4*y**2*x + 16*x**2 + 1
+d1 := -4*z + 4*y^2*x + 16*x^2 + 1
 --R 
 --R
 --R                 2       2
@@ -39,7 +39,7 @@ d1 := -4*z + 4*y**2*x + 16*x**2 + 1
 --E 2
 
 --S 3 of 8
-d2 := 2*z*y**2 + 4*x + 1
+d2 := 2*z*y^2 + 4*x + 1
 --R 
 --R
 --R            2
@@ -48,7 +48,7 @@ d2 := 2*z*y**2 + 4*x + 1
 --E 3
 
 --S 4 of 8
-d3 := 2*z*x**2 - 2*y**2 - x
+d3 := 2*z*x^2 - 2*y^2 - x
 --R 
 --R
 --R            2     2
diff --git a/src/input/dpol.input.pamphlet b/src/input/dpol.input.pamphlet
index 1f2ef85..2901f9a 100644
--- a/src/input/dpol.input.pamphlet
+++ b/src/input/dpol.input.pamphlet
@@ -114,7 +114,7 @@ f:=w.4::dpol - w.1 * w.1 * z.3
 --E 8
 
 --S 9 of 18
-b:=(z.1::dpol)**3 * (z.2)**2 - w.2
+b:=(z.1::dpol)^3 * (z.2)^2 - w.2
 --R 
 --R
 --R          3  2
diff --git a/src/input/draw.input.pamphlet b/src/input/draw.input.pamphlet
index fa47095..e6e4c34 100644
--- a/src/input/draw.input.pamphlet
+++ b/src/input/draw.input.pamphlet
@@ -55,7 +55,7 @@ draw(cos(x*y),x = -3..3,y = -3..3)
 colorFunction1(x:DFLOAT,y:DFLOAT):DFLOAT == x
 draw(cos(x*y),x = -3..3,y = -3..3,colorFunction == colorFunction1)
 
-colorFunction2(x:DFLOAT,y:DFLOAT):DFLOAT == x**2 + y**2
+colorFunction2(x:DFLOAT,y:DFLOAT):DFLOAT == x^2 + y^2
 draw(cos(x*y),x = -3..3,y = -3..3,colorFunction == colorFunction2)
 
 colorFunction3(x:DFLOAT,y:DFLOAT,z:DFLOAT):DFLOAT == -z
diff --git a/src/input/drawalg.input.pamphlet b/src/input/drawalg.input.pamphlet
index cc00f56..9ed302b 100644
--- a/src/input/drawalg.input.pamphlet
+++ b/src/input/drawalg.input.pamphlet
@@ -19,7 +19,7 @@
 -- TopLevelDrawFunctionsForAlgebraicCurves example
 
 --Plotting Plane Algebraic Curve
-draw(y**2 + y - (x**3 - x) = 0, x, y, range == [-2..2,-2..1])
+draw(y^2 + y - (x^3 - x) = 0, x, y, range == [-2..2,-2..1])
 
 \end{chunk}
 \eject
diff --git a/src/input/drawcfn.input.pamphlet b/src/input/drawcfn.input.pamphlet
index 7cc01fa..c42442d 100644
--- a/src/input/drawcfn.input.pamphlet
+++ b/src/input/drawcfn.input.pamphlet
@@ -66,7 +66,7 @@ draw(l,-3..3,-3..3)
 colorFunction1(x:SF,y:SF):SF == x
 draw(l,-3..3,-3..3,colorFunction == colorFunction1)
 
-colorFunction2(x:SF,y:SF):SF == x**2 + y**2
+colorFunction2(x:SF,y:SF):SF == x^2 + y^2
 draw(l,-3..3,-3..3,colorFunction == colorFunction2)
 
 colorFunction3(x:SF,y:SF,z:SF):SF == -z
diff --git a/src/input/drawcfun.input.pamphlet b/src/input/drawcfun.input.pamphlet
index 78016c0..9ec0796 100644
--- a/src/input/drawcfun.input.pamphlet
+++ b/src/input/drawcfun.input.pamphlet
@@ -72,7 +72,7 @@ draw(l,-3..3,-3..3)
 colorFunction1(x:DFLOAT,y:DFLOAT):DFLOAT == x
 draw(l,-3..3,-3..3,colorFunction == colorFunction1)
 
-colorFunction2(x:DFLOAT,y:DFLOAT):DFLOAT == x**2 + y**2
+colorFunction2(x:DFLOAT,y:DFLOAT):DFLOAT == x^2 + y^2
 draw(l,-3..3,-3..3,colorFunction == colorFunction2)
 
 colorFunction3(x:DFLOAT,y:DFLOAT,z:DFLOAT):DFLOAT == -z
diff --git a/src/input/drawcurv.input.pamphlet b/src/input/drawcurv.input.pamphlet
index 4b489c7..56b142b 100644
--- a/src/input/drawcurv.input.pamphlet
+++ b/src/input/drawcurv.input.pamphlet
@@ -23,21 +23,21 @@
 seg1 : SEG FRAC INT := -3/2..3/2
 range1 : LIST SEG FRAC INT := [seg1,seg1]
 
-draw(x**2 + y**2 = 1,x,y,range == range1,title == "Unit Circle")
+draw(x^2 + y^2 = 1,x,y,range == range1,title == "Unit Circle")
 
 -- ditto
 
 seg2 : SEG FLOAT := -1.1..1.1
 range2 : LIST SEG FLOAT := [seg2,seg2]
 
-draw(x**2 + y**2 = 1,x,y,range == range2,title == "Unit Circle, 2nd Graph")
+draw(x^2 + y^2 = 1,x,y,range == range2,title == "Unit Circle, 2nd Graph")
 
 -- an ellipse
 
 seg3 : SEG FRAC INT := -4..4
 range3 : LIST SEG FRAC INT := [seg3,seg3]
 
-draw(x**2/9 + y**2/4 = 1,x,y,range == range3,_
+draw(x^2/9 + y^2/4 = 1,x,y,range == range3,_
                              toScale == true,title == "Ellipse")
 
 -- another ellipse
@@ -45,18 +45,18 @@ draw(x**2/9 + y**2/4 = 1,x,y,range == range3,_
 seg4 : SEG FRAC INT := -5..5
 range4 : LIST SEG FRAC INT := [seg4,seg4]
 
-draw(5*x**2 - 8*x*y + 5*y**2 = 9,x,y,range == range4)
+draw(5*x^2 - 8*x*y + 5*y^2 = 9,x,y,range == range4)
 
 -- a parabola
 
 seg5a : SEG FRAC INT := -3..14
 seg5b : SEG FRAC INT := -3..10
 range5 : LIST SEG FRAC INT := [seg5a,seg5b]
-draw(x**2 - 2*x*y + y**2 - x - 2 = 0,x,y,range == range5)
+draw(x^2 - 2*x*y + y^2 - x - 2 = 0,x,y,range == range5)
 
 -- a hyperbola
 
-draw(x**2/4 - y**2 = 1,x,y,range == range4)
+draw(x^2/4 - y^2 = 1,x,y,range == range4)
 
 -- an elliptic curve
 
@@ -64,7 +64,7 @@ seg6a : SEG FRAC INT := -2..2
 seg6b : SEG FRAC INT := -2..1
 range6 : LIST SEG FRAC INT := [seg6a,seg6b]
 
-draw(y**2 + y = x**3 - x,x,y,range == range6)
+draw(y^2 + y = x^3 - x,x,y,range == range6)
 
 -- ovals
 
@@ -72,13 +72,13 @@ seg7a : SEG FRAC INT := -8..8
 seg7b : SEG FRAC INT := -4..4
 range7 : LIST SEG FRAC INT := [seg7a,seg7b]
 
-eq1 := (x**2 + y**2 + 5**2)**2 - (6**4 + 4*5**2*x**2) = 0
+eq1 := (x^2 + y^2 + 5^2)^2 - (6^4 + 4*5^2*x^2) = 0
 draw(eq1,x,y,range == range7,title == "Cassinian oval with one loop")
 
 seg8a : SEG FRAC INT := -10..10
 range8 : LIST SEG FRAC INT := [seg8a,seg7b]
 
-eq2 := (x**2 + y**2 + 7**2)**2 - (6**4 + 4*7**2*x**2) = 0
+eq2 := (x^2 + y^2 + 7^2)^2 - (6^4 + 4*7^2*x^2) = 0
 draw(eq2,x,y,range == range8,title == "Cassinian oval with two loops")
 \end{chunk}
 \eject
diff --git a/src/input/drawcx.input.pamphlet b/src/input/drawcx.input.pamphlet
index 410d781..9300489 100644
--- a/src/input/drawcx.input.pamphlet
+++ b/src/input/drawcx.input.pamphlet
@@ -39,7 +39,7 @@ draw(curve(i1,i2,i3),0..15*%pi,title == "Parametric Curve")
 --Plotting Three Dimensional Compiled Functions of Two Variables
 l(x:DFLOAT,y:DFLOAT):DFLOAT == cos(x*y)
 draw(l,-3..3,-3..3)
-colorFxn(x:DFLOAT,y:DFLOAT):DFLOAT == 1/(x**2 + y**2 + 1)
+colorFxn(x:DFLOAT,y:DFLOAT):DFLOAT == 1/(x^2 + y^2 + 1)
 draw(l,-3..3,-3..3, colorFunction == colorFxn)
 
 --Plotting Three Dimensional Compiled Parametric Surface Functions
@@ -47,7 +47,7 @@ n1(u:DFLOAT,v:DFLOAT):DFLOAT == u*cos(v)
 n2(u:DFLOAT,v:DFLOAT):DFLOAT == u*sin(v)
 n3(u:DFLOAT,v:DFLOAT):DFLOAT == v*cos(u)
 draw(surface(n1,n2,n3),-4..4,0..2*%pi)
-colorFxn(x:DFLOAT,y:DFLOAT):DFLOAT == 1/(x**2 + y**2 + 1)
+colorFxn(x:DFLOAT,y:DFLOAT):DFLOAT == 1/(x^2 + y^2 + 1)
 draw(surface(n1,n2,n3),-4..4,0..2*%pi, colorFunction == colorFxn)
 
 \end{chunk}
diff --git a/src/input/drawex.input.pamphlet b/src/input/drawex.input.pamphlet
index 3af5f7e..d0c5f45 100644
--- a/src/input/drawex.input.pamphlet
+++ b/src/input/drawex.input.pamphlet
@@ -33,13 +33,13 @@ draw(curve(t - 2*sin t,1 - 2*cos t),t = -5..5)
 
 draw(surface(5*sin(u)*cos(v),4*sin(u)*sin(v),3*cos(u)),u=0..%pi,v=0..2*%pi)
 
-draw(surface(cos(t)/(1+sin(t)**2),sin(t)*cos(t)*cos(u)/(1+sin(t)**2),
-     sin(t)*cos(t)*sin(u)/(1+sin(t)**2)),t = -%pi..%pi,u = 0..%pi)
+draw(surface(cos(t)/(1+sin(t)^2),sin(t)*cos(t)*cos(u)/(1+sin(t)^2),
+     sin(t)*cos(t)*sin(u)/(1+sin(t)^2)),t = -%pi..%pi,u = 0..%pi)
 
 -- helix
 draw(curve(4*cos(t),4*sin(t),t),t = -10..10, title == "Helix")
 
-draw(sin(2 * x**2 + 3 * y**2)/(x**2 + y**2),x = -3..3,y = -3..3)
+draw(sin(2 * x^2 + 3 * y^2)/(x^2 + y^2),x = -3..3,y = -3..3)
 
 draw(curve(9*sin(3*t/4),8*sin(t)),t = -4*%pi..4*%pi, _
      title == "Lissajous curve")
@@ -47,11 +47,11 @@ draw(curve(9*sin(3*t/4),8*sin(t)),t = -4*%pi..4*%pi, _
 draw(curve(-9*sin(4*t/5),8*sin(t)),t = -5*%pi..5*%pi, _
      title == "Lissajous curve")
 
-draw(curve(t**2 + 2*t - 1,t**2 + t - 2),t = -4..3)
+draw(curve(t^2 + 2*t - 1,t^2 + t - 2),t = -4..3)
 
-draw((x**2 - y**2)/(x**2 + y**2),x = -1..1,y = -1..1)
+draw((x^2 - y^2)/(x^2 + y^2),x = -1..1,y = -1..1)
 
-draw(x**2 - y**2,x = -2..2, y = -2..2)
+draw(x^2 - y^2,x = -2..2, y = -2..2)
 
 draw(sin inv x,x = -1.03..3)
 
@@ -63,16 +63,16 @@ draw(t/100,t = 0..100,coordinates == polar)
 
 draw(cos(x*y),x = -3..3, y = -3..3)
 
-draw(curve(3*(t**2-3),t*(t**2-3)),t = -3..3, title == "Tschirnhausen's Cubic")
+draw(curve(3*(t^2-3),t*(t^2-3)),t = -3..3, title == "Tschirnhausen's Cubic")
 
 draw(curve(sin(t), cos(t), 0), t=0..2*%pi, tubeRadius == 0.5)
 
-draw(curve((t**2-1)/(3*t**2+1),t*(t**2-1)/(3*t**2+1)),t = -3..3, title == _
+draw(curve((t^2-1)/(3*t^2+1),t*(t^2-1)/(3*t^2+1)),t = -3..3, title == _
   "Folium of Descartes")
 
 draw(curve(t - 2*sin t,1 - 2*cos t),t = -5..5)
 
-draw(curve(cos(t)/(1+sin(t)**2),sin(t)*cos(t)/(1+sin(t)**2)),t = _
+draw(curve(cos(t)/(1+sin(t)^2),sin(t)*cos(t)/(1+sin(t)^2)),t = _
   -%pi..%pi, title == "Lemniscate of Bernoulli")
 
 \end{chunk}
diff --git a/src/input/drawpoly.input.pamphlet b/src/input/drawpoly.input.pamphlet
index e135855..50060b3 100644
--- a/src/input/drawpoly.input.pamphlet
+++ b/src/input/drawpoly.input.pamphlet
@@ -16,14 +16,14 @@
 \end{chunk}
 \begin{chunk}{*}
 \getchunk{license}
-a1**18   - 83.30408576104702*a1**17   + 4016.670203940073*a1**16 + _
-     - 167241.63892168205*a1**15   + 5649108.7097550742*a1**14 + _
-     - 1.4927698938773671E8*a1**13   + 3.2737267549354239E9*a1**12 + _
-     - 6.0880865153029945E10*a1**11   + 8.4818140701374121E11*a1**10 + _
-     - 7.1925755048090801E12*a1**9  + 3.6866360833695195E13*a1**8 + _
-     - 1.2269584766923825E14*a1**7  + 2.990307540150555E14*a1**6 + _
-     - 5.580671179246935E14*a1**5  + 5.4087180857969938E14*a1**4 + _
-     3.5962416171315931E14*a1**3  - 8.254469833838275E14*a1**2 + _
+a1^18   - 83.30408576104702*a1^17   + 4016.670203940073*a1^16 + _
+     - 167241.63892168205*a1^15   + 5649108.7097550742*a1^14 + _
+     - 1.4927698938773671E8*a1^13   + 3.2737267549354239E9*a1^12 + _
+     - 6.0880865153029945E10*a1^11   + 8.4818140701374121E11*a1^10 + _
+     - 7.1925755048090801E12*a1^9  + 3.6866360833695195E13*a1^8 + _
+     - 1.2269584766923825E14*a1^7  + 2.990307540150555E14*a1^6 + _
+     - 5.580671179246935E14*a1^5  + 5.4087180857969938E14*a1^4 + _
+     3.5962416171315931E14*a1^3  - 8.254469833838275E14*a1^2 + _
      - 4.3259667313869412E14*a1 - 1.2086386259492219E13
 draw(%,a1=-0.028..-0.027)
 \end{chunk}
diff --git a/src/input/drawx.input.pamphlet b/src/input/drawx.input.pamphlet
index 067e4de..e5fe38d 100644
--- a/src/input/drawx.input.pamphlet
+++ b/src/input/drawx.input.pamphlet
@@ -34,13 +34,13 @@ draw(curve(cos(t),sin(t),t),t=0..6,tubeRadius == .35,tubePoints == 8)
 --Plotting Three Dimensional Functions of Two Variables
 draw(cos(x*y),x = -3..3, y = -3..3)
 l(x:DoubleFloat,y:DoubleFloat):DoubleFloat == cos(x*y)
-colorFxn(x:DoubleFloat,y:DoubleFloat):DoubleFloat == 1/(x**2 + y**2 + 1)
+colorFxn(x:DoubleFloat,y:DoubleFloat):DoubleFloat == 1/(x^2 + y^2 + 1)
 draw(cos(x*y),x = -3..3, y = -3..3, colorFunction == colorFxn)
 
 --Plotting Three Dimensional Parametric Surfaces
 draw(surface(u*cos(v),u*sin(v),v*cos(u)),u=-4..4,v=0..2*%pi)
 l(x:DoubleFloat,y:DoubleFloat):DoubleFloat == cos(x*y)
-colorFxn(x:DoubleFloat,y:DoubleFloat):DoubleFloat == 1/(x**2 + y**2 + 1)
+colorFxn(x:DoubleFloat,y:DoubleFloat):DoubleFloat == 1/(x^2 + y^2 + 1)
 draw(cos(x*y),x = -3..3, y = -3..3, colorFunction == colorFxn)
 
 \end{chunk}
diff --git a/src/input/dropt.input.pamphlet b/src/input/dropt.input.pamphlet
index 9675779..45f3167 100644
--- a/src/input/dropt.input.pamphlet
+++ b/src/input/dropt.input.pamphlet
@@ -42,12 +42,12 @@ draw(sin(x),x=-%pi..%pi,curveColor == bright red())
 draw(sin(x),x=-%pi..%pi,pointColor == 3.0)
 draw(sin(x),x=-%pi..%pi,pointColor == dim yellow())
 
-draw(y**2 + y - (x**3 - x) = 0,x,y,range == [-2..2,-2..1])
-p := ((x**2 + y**2 + 1) - 8*x)**2 - (8*(x**2 + y**2 + 1) - 4*x - 1)
+draw(y^2 + y - (x^3 - x) = 0,x,y,range == [-2..2,-2..1])
+p := ((x^2 + y^2 + 1) - 8*x)^2 - (8*(x^2 + y^2 + 1) - 4*x - 1)
 draw(p = 0,x,y,range == [-1.0..11.0, -7.0..7.0])
 seg1 : SEG FRAC INT := -3/2..3/2
 range1 : LIST SEG FRAC INT := [seg1,seg1]
-draw(x**2 + y**2 = 1,x,y,range == range1)
+draw(x^2 + y^2 = 1,x,y,range == range1)
 
 f1(t:DFLOAT):DFLOAT == 9*sin(3*t/4)
 f2(t:DFLOAT):DFLOAT == 8*sin(t)
@@ -73,9 +73,9 @@ colorFxn1(x:DFLOAT,y:DFLOAT):DFLOAT == x*sin(x)
 draw(m,0..2*%pi,0..%pi,colorFunction == colorFxn1,title == _
   "color = x*sin(x)",coordinates == spherical)
 
-colorFxn2(x:DFLOAT,y:DFLOAT):DFLOAT == x**2 - y**2
+colorFxn2(x:DFLOAT,y:DFLOAT):DFLOAT == x^2 - y^2
 draw(m,0..2*%pi,0..%pi,colorFunction == colorFxn2,title == _
-  "color = x**2 - y**2",coordinates == spherical)
+  "color = x^2 - y^2",coordinates == spherical)
 
 colorFxn3(x:DFLOAT,y:DFLOAT,z:DFLOAT):DFLOAT == sin(x*z) + cos(y*z)
 draw(m,0..2*%pi,0..%pi,colorFunction == colorFxn3,title == _
diff --git a/src/input/e04dgf.input.pamphlet b/src/input/e04dgf.input.pamphlet
index 97a5876..aa109f3 100644
--- a/src/input/e04dgf.input.pamphlet
+++ b/src/input/e04dgf.input.pamphlet
@@ -35,7 +35,7 @@ ve:=0
 x:Matrix SF:=
  [[-1.0 ,1.0 ]]
 ef:Expression Float:=_
-  (exp(X[1])*(4*X[1]**2+2*X[2]**2+4*X[1]*X[2]+2*X[2]+1))::EXPR FLOAT
+  (exp(X[1])*(4*X[1]^2+2*X[2]^2+4*X[1]*X[2]+2*X[2]+1))::EXPR FLOAT
 objfun:ASP49(OBJFUN):= retract ef
 result:=e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,-1,objfun)
 \end{chunk}
diff --git a/src/input/e04fdf.input.pamphlet b/src/input/e04fdf.input.pamphlet
index 3b8939e..2baa82f 100644
--- a/src/input/e04fdf.input.pamphlet
+++ b/src/input/e04fdf.input.pamphlet
@@ -27,21 +27,21 @@ lw:=171
 x:Matrix SF:=
  [[0.5 ,1.0 ,1.5 ]]
 vef:Vector Expression Float:= vector
- [(XC[3]+15*XC[2])**(-1)+XC[1]-0.14 ,_
-  2*(2*XC[3]+14*XC[2])**(-1)+XC[1]-0.18 ,_
-  3*(3*XC[3]+13*XC[2])**(-1)+XC[1]-0.22 ,_
-  4*(4*XC[3]+12*XC[2])**(-1)+XC[1]-0.25 ,_
-  5*(5*XC[3]+11*XC[2])**(-1)+XC[1]-0.29 ,_
-  6*(6*XC[3]+10*XC[2])**(-1)+XC[1]-0.32 ,_
-  7*(7*XC[3]+9*XC[2])**(-1)+XC[1]-0.35 ,_
-  8*(8*XC[3]+8*XC[2])**(-1)+XC[1]-0.39 ,_
-  9*(7*XC[3]+7*XC[2])**(-1)+XC[1]-0.37 ,_
-  10*(6*XC[3]+6*XC[2])**(-1)+XC[1]-0.58 ,_
-  11*(5*XC[3]+5*XC[2])**(-1)+XC[1]-0.73 ,_
-  12*(4*XC[3]+4*XC[2])**(-1)+XC[1]-0.96 ,_
-  13*(3*XC[3]+3*XC[2])**(-1)+XC[1]-1.34 ,_
-  14*(2*XC[3]+2*XC[2])**(-1)+XC[1]-2.1 ,_
-  15*(XC[3]+XC[2])**(-1)+XC[1]-4.39 ]
+ [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
+  2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
+  3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
+  4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
+  5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
+  6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
+  7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
+  8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
+  9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
+  10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
+  11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
+  12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
+  13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
+  14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
+  15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
 lsfun1:ASP50(LSFUN1):= retract vef
 result:=e04fdf(m,n,liw,lw,x,-1,lsfun1)
 \end{chunk}
diff --git a/src/input/e04gcf.input.pamphlet b/src/input/e04gcf.input.pamphlet
index c79858d..18565d9 100644
--- a/src/input/e04gcf.input.pamphlet
+++ b/src/input/e04gcf.input.pamphlet
@@ -27,21 +27,21 @@ lw:=177
 x:Matrix SF:=
  [[0.5 ,1.0 ,1.5 ]]
 vef:Vector Expression Float:=vector
- [(XC[3]+15*XC[2])**(-1)+XC[1]-0.14 ,_
-   2*(2*XC[3]+14*XC[2])**(-1)+XC[1]-0.18 ,_
-   3*(3*XC[3]+13*XC[2])**(-1)+XC[1]-0.22 ,_
-   4*(4*XC[3]+12*XC[2])**(-1)+XC[1]-0.25 ,_
-   5*(5*XC[3]+11*XC[2])**(-1)+XC[1]-0.29 ,_
-   6*(6*XC[3]+10*XC[2])**(-1)+XC[1]-0.32 ,_
-   7*(7*XC[3]+9*XC[2])**(-1)+XC[1]-0.35 ,_
-   8*(8*XC[3]+8*XC[2])**(-1)+XC[1]-0.39 ,_
-   9*(7*XC[3]+7*XC[2])**(-1)+XC[1]-0.37 ,_
-   10*(6*XC[3]+6*XC[2])**(-1)+XC[1]-0.58 ,_
-   11*(5*XC[3]+5*XC[2])**(-1)+XC[1]-0.73 ,_
-   12*(4*XC[3]+4*XC[2])**(-1)+XC[1]-0.96 ,_
-   13*(3*XC[3]+3*XC[2])**(-1)+XC[1]-1.34 ,_
-   14*(2*XC[3]+2*XC[2])**(-1)+XC[1]-2.1 ,_
-   15*(XC[3]+XC[2])**(-1)+XC[1]-4.39 ]
+ [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
+   2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
+   3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
+   4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
+   5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
+   6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
+   7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
+   8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
+   9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
+   10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
+   11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
+   12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
+   13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
+   14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
+   15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
 lsfun2:Asp19(LSFUN2):= retract vef
 result:=e04gcf(m,n,liw,lw,x,-1,lsfun2)
 \end{chunk}
diff --git a/src/input/e04jaf.input.pamphlet b/src/input/e04jaf.input.pamphlet
index 08f8b73..2479974 100644
--- a/src/input/e04jaf.input.pamphlet
+++ b/src/input/e04jaf.input.pamphlet
@@ -31,8 +31,8 @@ bu:Matrix SF:=
 x:Matrix SF:=
  [[3 ,-1 ,0 ,1 ]]
 ef:Expression Float:=
- ((XC[1]+10*XC[2])**2+5*(XC[3]-XC[4])**2+(XC[2]-2*XC[3])**4+_
-   10*(XC[1]-XC[4])**4)::EXPR FLOAT
+ ((XC[1]+10*XC[2])^2+5*(XC[3]-XC[4])^2+(XC[2]-2*XC[3])^4+_
+   10*(XC[1]-XC[4])^4)::EXPR FLOAT
 funct1:Asp24(FUNCT1):=retract ef
 result:=e04jaf(n,ibound,liw,lw,bl,bu,x,-1,funct1)
 \end{chunk}
diff --git a/src/input/e04ucf.input.pamphlet b/src/input/e04ucf.input.pamphlet
index 7d1b849..efdaf6a 100644
--- a/src/input/e04ucf.input.pamphlet
+++ b/src/input/e04ucf.input.pamphlet
@@ -73,20 +73,20 @@ r:Matrix SF:=new(9,9,0.0)
 x:Matrix SF:=
  [[0.1 ,0.125 ,0.666666 ,0.142857 ,0.111111 ,0.2 ,0.25 ,-0.2 ,-0.25 ]]
 vef:Vector Expression Float:=vector
- [X[1]**2 + X[6]**2 ,_
- (X[2] - X[1])**2 + (X[7] - X[6])**2 ,_
- (X[3] - X[1])**2 + X[6]*2 ,_
- (X[1] - X[4])**2 + (X[6] - X[8])**2 ,_
- (X[1] - X[5])**2 + (X[6] - X[9])**2 ,_
- X[2]**2 + X[7]**2 ,_
- (X[3] - X[2])**2 + X[7]**2 ,_
- (X[4] - X[2])**2 + (X[8] - X[7])**2 ,_
- (X[2] - X[5])**2 + (X[7] - X[9])**2 ,_
- (X[4] - X[3])**2 + X[8]**2 ,_
- (X[5] - X[3])**2 + X[9]**2 ,_
- X[4]**2 + X[8]**2 ,_
- (X[4] - X[5])**2 + (X[9] - X[8])**2 ,_
- X[5]**2 + X[9]**2 ]
+ [X[1]^2 + X[6]^2 ,_
+ (X[2] - X[1])^2 + (X[7] - X[6])^2 ,_
+ (X[3] - X[1])^2 + X[6]*2 ,_
+ (X[1] - X[4])^2 + (X[6] - X[8])^2 ,_
+ (X[1] - X[5])^2 + (X[6] - X[9])^2 ,_
+ X[2]^2 + X[7]^2 ,_
+ (X[3] - X[2])^2 + X[7]^2 ,_
+ (X[4] - X[2])^2 + (X[8] - X[7])^2 ,_
+ (X[2] - X[5])^2 + (X[7] - X[9])^2 ,_
+ (X[4] - X[3])^2 + X[8]^2 ,_
+ (X[5] - X[3])^2 + X[9]^2 ,_
+ X[4]^2 + X[8]^2 ,_
+ (X[4] - X[5])^2 + (X[9] - X[8])^2 ,_
+ X[5]^2 + X[9]^2 ]
 confun:Asp55(CONFUN):= retract vef
 ef:Expression Float:=(-X[2]*X[6] + X[1]*X[7] - X[3]*X[7] - _
                       X[5]*X[8] + X[4]*X[9] + X[3]*X[8])::EXPR FLOAT
diff --git a/src/input/easter.input.pamphlet b/src/input/easter.input.pamphlet
index 54d2c86..33afc73 100644
--- a/src/input/easter.input.pamphlet
+++ b/src/input/easter.input.pamphlet
@@ -192,7 +192,7 @@ Numbers are nice, but symbols allow for variability---try some high school
 algebra: rational simplification
 \begin{chunk}{*}
 --S 15 of 200
-(x**2 - 4)/(x**2 + 4*x + 4)
+(x^2 - 4)/(x^2 + 4*x + 4)
 --R 
 --R
 --R         x - 2
@@ -205,7 +205,7 @@ algebra: rational simplification
 This example requires more sophistication
 \begin{chunk}{*}
 --S 16 of 200
-(%e**x - 1)/(%e**(x/2) + 1)
+(%e^x - 1)/(%e^(x/2) + 1)
 --R 
 --R
 --R           x
@@ -233,7 +233,7 @@ normalize(%)
 Expand and factor polynomials
 \begin{chunk}{*}
 --S 18 of 200
-(x + 1)**20
+(x + 1)^20
 --R 
 --R
 --R   (18)
@@ -274,7 +274,7 @@ factor(%)
 --E 20
 
 --S 21 of 200
-x**100 - 1
+x^100 - 1
 --R 
 --R
 --R          100
@@ -302,7 +302,7 @@ factor(%)
 Factor polynomials over finite fields and field extensions
 \begin{chunk}{*}
 --S 23 of 200
-p:= x**4 - 3*x**2 + 1
+p:= x^4 - 3*x^2 + 1
 --R 
 --R
 --R          4     2
@@ -320,7 +320,7 @@ factor(p)
 --E 24
 
 --S 25 of 200
-phi:= rootOf(phi**2 - phi - 1);
+phi:= rootOf(phi^2 - phi - 1);
 --R 
 --R
 --R                                                        Type: AlgebraicNumber
@@ -356,7 +356,7 @@ expand(%)
 Partial fraction decomposition
 \begin{chunk}{*}
 --S 29 of 200
-(x**2 + 2*x + 3)/(x**3 + 4*x**2 + 5*x + 2)
+(x^2 + 2*x + 3)/(x^3 + 4*x^2 + 5*x + 2)
 --R 
 --R
 --R             2
@@ -450,7 +450,7 @@ r:= 'r;
 The following expressions are all equal to zero
 \begin{chunk}{*}
 --S 37 of 200
-sqrt(997) - (997**3)**(1/6)
+sqrt(997) - (997^3)^(1/6)
 --R 
 --R
 --R   (37)  0
@@ -458,7 +458,7 @@ sqrt(997) - (997**3)**(1/6)
 --E 37
 
 --S 38 of 200
-sqrt(999983) - (999983**3)**(1/6)
+sqrt(999983) - (999983^3)^(1/6)
 --R 
 --R
 --R   (38)  0
@@ -466,7 +466,7 @@ sqrt(999983) - (999983**3)**(1/6)
 --E 38
 
 --S 39 of 200
-(2**(1/3) + 4**(1/3))**3 - 6*(2**(1/3) + 4**(1/3)) - 6
+(2^(1/3) + 4^(1/3))^3 - 6*(2^(1/3) + 4^(1/3)) - 6
 --R 
 --R
 --R          3+-+3+-+2     3+-+2     3+-+    3+-+
@@ -487,7 +487,7 @@ simplify(%)
 This expression is zero for $x, y > 0$ and $n$ not equal to zero
 \begin{chunk}{*}
 --S 41 of 200
-x**(1/n)*y**(1/n) - (x*y)**(1/n)
+x^(1/n)*y^(1/n) - (x*y)^(1/n)
 --R 
 --R
 --R                1    1 1
@@ -647,8 +647,8 @@ simplify(%)
 --E 49
 
 --S 50 of 200
-(4*r + 4*sqrt(r) + 1)**(sqrt(r)/(2*sqrt(r) + 1)) _
-   * (2*sqrt(r) + 1)**(1/(2*sqrt(r) + 1)) - 2*sqrt(r) - 1
+(4*r + 4*sqrt(r) + 1)^(sqrt(r)/(2*sqrt(r) + 1)) _
+   * (2*sqrt(r) + 1)^(1/(2*sqrt(r) + 1)) - 2*sqrt(r) - 1
 --R 
 --R
 --R                                                 +-+
@@ -712,7 +712,7 @@ $\sqrt{(x y)}/\sqrt{(x)}$,
 but no further in general (consider what happens when x, y = -1).
 \begin{chunk}{*}
 --S 55 of 200
-sqrt(x*y*abs(z)**2) / (sqrt(x)*abs(z))
+sqrt(x*y*abs(z)^2) / (sqrt(x)*abs(z))
 --R 
 --R
 --R          +-----------+
@@ -745,7 +745,7 @@ sqrt(1/z) - 1/sqrt(z)
 If $z = 3 \pi i$, $\log(\exp(z))$ is not equal to $z$
 \begin{chunk}{*}
 --S 57 of 200
-log(%e**z)
+log(%e^z)
 --R 
 --R
 --R   (57)  z
@@ -764,7 +764,7 @@ normalize(%)
 The principal value of this expression is $(10 - 4 \pi) i$
 \begin{chunk}{*}
 --S 59 of 200
-log(%e**(10*%i))
+log(%e^(10*%i))
 --R 
 --R
 --R               10%i
@@ -796,7 +796,7 @@ atan(tan(z))
 If $z = 2 \pi i$, $\sqrt(\exp(z))$ is not equal to $\exp(z/2)$
 \begin{chunk}{*}
 --S 62 of 200
-sqrt(%e**z) - %e**(z/2)
+sqrt(%e^z) - %e^(z/2)
 --R 
 --R
 --R                    z
@@ -824,7 +824,7 @@ Manipulate an equation using a natural syntax
 Solve various nonlinear equations---this cubic polynomial has all real roots
 \begin{chunk}{*}
 --S 64 of 200
-radicalSolve(3*x**3 - 18*x**2 + 33*x - 19 = 0, x)
+radicalSolve(3*x^3 - 18*x^2 + 33*x - 19 = 0, x)
 --R 
 --R
 --R   (64)
@@ -926,7 +926,7 @@ map(e +-> lhs(e) = rectform(rhs(e)), %)
 Some simple seeming problems can have messy answers
 \begin{chunk}{*}
 --S 66 of 200
-eqn:= x**4 + x**3 + x**2 + x + 1 = 0
+eqn:= x^4 + x^3 + x^2 + x + 1 = 0
 --R 
 --R
 --R          4    3    2
@@ -1375,7 +1375,7 @@ eval(eqn, %.1)
 --E 68
 
 --S 69 of 200
-%e**(2*x) + 2*%e**x + 1 = z
+%e^(2*x) + 2*%e^x + 1 = z
 --R 
 --R
 --R           2x      x
@@ -1396,7 +1396,7 @@ solve(%, x)
 This equation is already factored and so {\sl should} be easy to solve
 \begin{chunk}{*}
 --S 71 of 200
-(x + 1) * (sin(x)**2 + 1)**2 * cos(3*x)**3 = 0
+(x + 1) * (sin(x)^2 + 1)^2 * cos(3*x)^3 = 0
 --R 
 --R
 --R                       3      4                  3      2                 3
@@ -1419,7 +1419,7 @@ The following equations have an infinite number of solutions (let $n$ be an
 arbitrary integer): $z = 0 [+ n 2 \pi i]$
 \begin{chunk}{*}
 --S 73 of 200
-solve(%e**z = 1, z)
+solve(%e^z = 1, z)
 --R 
 --R
 --R   (73)  [z= 0]
@@ -1464,7 +1464,7 @@ solve(sin(x) = tan(x), x)
 This equation has no solutions
 \begin{chunk}{*}
 --S 77 of 200
-solve(sqrt(x**2 + 1) = x - 2, x)
+solve(sqrt(x^2 + 1) = x - 2, x)
 --R 
 --R
 --R   (77)  []
@@ -1512,7 +1512,7 @@ solve([eq1, eq2, eq3], [x, y, z])
 Solve a system of nonlinear equations
 \begin{chunk}{*}
 --S 82 of 200
-eq1:= x**2*y + 3*y*z - 4 = 0
+eq1:= x^2*y + 3*y*z - 4 = 0
 --R 
 --R
 --R                 2
@@ -1521,7 +1521,7 @@ eq1:= x**2*y + 3*y*z - 4 = 0
 --E 82
 
 --S 83 of 200
-eq2:= -3*x**2*z + 2*y**2 + 1 = 0
+eq2:= -3*x^2*z + 2*y^2 + 1 = 0
 --R 
 --R
 --R             2      2
@@ -1530,7 +1530,7 @@ eq2:= -3*x**2*z + 2*y**2 + 1 = 0
 --E 83
 
 --S 84 of 200
-eq3:= 2*y*z**2 - z**2 - 1 = 0
+eq3:= 2*y*z^2 - z^2 - 1 = 0
 --R 
 --R
 --R                  2
@@ -1608,8 +1608,8 @@ Define a Vandermonde matrix (useful for doing polynomial interpolations)
 --S 89 of 200
 matrix([[1,    1,    1,    1   ], _
         [w,    x,    y,    z   ], _
-        [w**2, x**2, y**2, z**2], _
-        [w**3, x**3, y**3, z**3]])
+        [w^2, x^2, y^2, z^2], _
+        [w^3, x^3, y^3, z^3]])
 --R 
 --R
 --R         +1   1   1   1 +
@@ -1700,7 +1700,7 @@ m:= 'm;
 \subsection{Sums: finite and infinite}
 \begin{chunk}{*}
 --S 96 of 200
-summation(k**3, k = 1..n)
+summation(k^3, k = 1..n)
 --R 
 --R
 --R          n
@@ -1712,7 +1712,7 @@ summation(k**3, k = 1..n)
 --E 96
 
 --S 97 of 200
-sum(k**3, k = 1..n)
+sum(k^3, k = 1..n)
 --R 
 --R
 --R          4     3    2
@@ -1723,7 +1723,7 @@ sum(k**3, k = 1..n)
 --E 97
 
 --S 98 of 200
-limit(sum(1/k**2 + 1/k**3, k = 1..n), n = %plusInfinity)
+limit(sum(1/k^2 + 1/k^3, k = 1..n), n = %plusInfinity)
 --R 
 --R
 --R   (98)  "failed"
@@ -1749,7 +1749,7 @@ product(k, k = 1..n)
 \subsection{Limits --- start with a famous example}
 \begin{chunk}{*}
 --S 100 of 200
-limit((1 + 1/n)**n, n = %plusInfinity)
+limit((1 + 1/n)^n, n = %plusInfinity)
 --R 
 --R
 --R   (100)  %e
@@ -1757,7 +1757,7 @@ limit((1 + 1/n)**n, n = %plusInfinity)
 --E 100
 
 --S 101 of 200
-limit((1 - cos(x))/x**2, x = 0)
+limit((1 - cos(x))/x^2, x = 0)
 --R 
 --R
 --R          1
@@ -1800,7 +1800,7 @@ D(y(x(t)), t, 2)
 \subsection{Indefinite Integrals}
 \begin{chunk}{*}
 --S 105 of 200
-1/(x**3 + 2)
+1/(x^3 + 2)
 --R 
 --R
 --R             1
@@ -1978,7 +1978,7 @@ integrate(1/x, x = -1..1)
 --E 117
 
 --S 118 of 200
-integrate(1/x**2, x = -1..1)
+integrate(1/x^2, x = -1..1)
 --R 
 --R 
 --RDaly Bug
@@ -2054,7 +2054,7 @@ integrate(sqrt(x + 1/x - 2), x = 0..2, "noPole")
 \subsection{Contour integrals}
 \begin{chunk}{*}
 --S 125 of 200
-integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity)
+integrate(cos(x)/(x^2 + a^2), x = %minusInfinity..%plusInfinity)
 --R 
 --R
 --R   (123)  potentialPole
@@ -2062,7 +2062,7 @@ integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity)
 --E 125
 
 --S 126 of 200
-integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity, "noPole")
+integrate(cos(x)/(x^2 + a^2), x = %minusInfinity..%plusInfinity, "noPole")
 --R 
 --R
 --R   (124)  "failed"
@@ -2073,7 +2073,7 @@ integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity, "noPole")
 \subsection{Integrand with a branch point}
 \begin{chunk}{*}
 --S 127 of 200
-integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity)
+integrate(t^(a - 1)/(1 + t), t = 0..%plusInfinity)
 --R 
 --R
 --R   (125)  potentialPole
@@ -2081,7 +2081,7 @@ integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity)
 --E 127
 
 --S 128 of 200
-integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity, "noPole")
+integrate(t^(a - 1)/(1 + t), t = 0..%plusInfinity, "noPole")
 --R 
 --R
 --R   (126)  "failed"
@@ -2108,7 +2108,7 @@ integrate(integrate(integrate(1, z = 0..c*(1 - x/a - y/b)), _
 Taylor series---this first example comes from special relativity
 \begin{chunk}{*}
 --S 130 of 200
-1/sqrt(1 - (v/c)**2)
+1/sqrt(1 - (v/c)^2)
 --R 
 --R
 --R                1
@@ -2134,7 +2134,7 @@ series(%, v = 0)
 --E 131
 
 --S 132 of 200
-1/%**2
+1/%^2
 --R 
 --R
 --R               1  2      8
@@ -2194,7 +2194,7 @@ Look at the Taylor series around $x = 1$
 )set streams calculate 1
 
 --S 137 of 200
-log(x)**a*exp(-b*x)
+log(x)^a*exp(-b*x)
 --R 
 --R
 --R            - b x      a
@@ -2442,7 +2442,7 @@ y:= operator('y);
 --E 158
 
 --S 159 of 200
-x**2 * D(y(x), x) + 3*x*y(x) = sin(x)/x
+x^2 * D(y(x), x) + 3*x*y(x) = sin(x)/x
 --R 
 --R
 --R           2 ,               sin(x)
@@ -2466,7 +2466,7 @@ solve(%, y, x)
 \subsection{Nonlinear ODE}
 \begin{chunk}{*}
 --S 161 of 200
-D(y(x), x, 2) + y(x)*D(y(x), x)**3 = 0
+D(y(x), x, 2) + y(x)*D(y(x), x)^3 = 0
 --R 
 --R
 --R           ,,           ,   3
@@ -2517,7 +2517,7 @@ This problem has nontrivial solutions
 $y(x) = A \sin([\pi/2 + n \pi] x)$ for $n$ an arbitrary integer.
 \begin{chunk}{*}
 --S 165 of 200
-solve(D(y(x), x, 2) + k**2*y(x) = 0, y, x)
+solve(D(y(x), x, 2) + k^2*y(x) = 0, y, x)
 --R 
 --R
 --R   (157)  [particular= 0,basis= [cos(k x),sin(k x)]]
@@ -2673,7 +2673,7 @@ subst(L(subst(g(y), y = x)), x = y)
 --E 179
 
 --S 180 of 200
-subst(L(subst(A * sin(z**2), z = x)), x = z)
+subst(L(subst(A * sin(z^2), z = x)), x = z)
 --R 
 --R
 --R                 2           2                    2
@@ -2685,9 +2685,9 @@ subst(L(subst(A * sin(z**2), z = x)), x = z)
 \subsection{Truncated Taylor series operator}
 \begin{chunk}{*}
 --S 181 of 200
-T:= (f, xx, a) +-> subst((DD**0)(f(x)), x = a)/factorial(0) * (xx - a)**0 + _
-                   subst((DD**1)(f(x)), x = a)/factorial(1) * (xx - a)**1 + _
-                   subst((DD**2)(f(x)), x = a)/factorial(2) * (xx - a)**2
+T:= (f, xx, a) +-> subst((DD^0)(f(x)), x = a)/factorial(0) * (xx - a)^0 + _
+                   subst((DD^1)(f(x)), x = a)/factorial(1) * (xx - a)^1 + _
+                   subst((DD^2)(f(x)), x = a)/factorial(2) * (xx - a)^2
 --R 
 --R
 --R   (173)
@@ -2761,7 +2761,7 @@ T(Sin, z, c)
 Write a simple program to compute Legendre polynomials
 \begin{chunk}{*}
 --S 187 of 200
-p(n, x) == 1/(2**n*factorial(n)) * D((x**2 - 1)**n, x, n)
+p(n, x) == 1/(2^n*factorial(n)) * D((x^2 - 1)^n, x, n)
 --R 
 --R                                                                   Type: Void
 --E 187
@@ -2876,7 +2876,7 @@ a:= operator('a)
 --E 194
 
 --S 195 of 200
-sum(a(i)*x**i, i = 1..5)
+sum(a(i)*x^i, i = 1..5)
 --R 
 --R
 --R               5        4        3        2
diff --git a/src/input/eigen.input.pamphlet b/src/input/eigen.input.pamphlet
index 443ce63..c466ba8 100644
--- a/src/input/eigen.input.pamphlet
+++ b/src/input/eigen.input.pamphlet
@@ -59,7 +59,7 @@ characteristicPolynomial(m,x)
 \subsection{For matrix of polynomials}
 \begin{chunk}{*}
 --S 4 of 36
-p:=matrix([[x+1,2-x*y,x**2+1],[2-x,y+2*x,x**2-2],[y**2,x-2,4-x*y]])
+p:=matrix([[x+1,2-x*y,x^2+1],[2-x,y+2*x,x^2-2],[y^2,x-2,4-x*y]])
 --R 
 --R
 --R        +                      2      +
@@ -226,7 +226,7 @@ eigenvectors m
 --E 14
 
 --S 15 of 36
-q:=matrix [[x**2-y**2,(x-y)*(2*x+3*y)],[x+y,2*x+3*y]]
+q:=matrix [[x^2-y^2,(x-y)*(2*x+3*y)],[x+y,2*x+3*y]]
 --R 
 --R
 --R         +   2    2      2           2+
@@ -342,7 +342,7 @@ generalizedEigenvector(ll.1,p)$EP(INT)
 These functions return respectively the complete set of 
 generalized eigenvectors
 or the generalized eigenvectors associated to a particular eigenvalue alpha,
-i.e. a basis of the nullSpace((p-alpha*I)**k) where k is the  algebraic
+i.e. a basis of the nullSpace((p-alpha*I)^k) where k is the  algebraic
 multiplicity of alpha.
 
 In the case of symbolic eigenvalues it is possible to convert the symbolic
diff --git a/src/input/elemfun.input.pamphlet b/src/input/elemfun.input.pamphlet
index 70b63db..1500cad 100644
--- a/src/input/elemfun.input.pamphlet
+++ b/src/input/elemfun.input.pamphlet
@@ -76,7 +76,7 @@ simplify %
 The same goes with the usual relations
 \begin{chunk}{*}
 --S 7 of 28
-sin(3)**2 + cos(3)**2
+sin(3)^2 + cos(3)^2
 --R 
 --R
 --R              2         2
@@ -166,7 +166,7 @@ Given such a trig expression not involving any variables,
 we can get a numeric approximation
 \begin{chunk}{*}
 --S 17 of 28
-t := sin(7)**2 - sec(7)/(1 - cot(7) + csc(7)**3)
+t := sin(7)^2 - sec(7)/(1 - cot(7) + csc(7)^3)
 --R 
 --R
 --R                3                    2
@@ -230,7 +230,7 @@ If we do have an expression involving variables, we can use eval
 to give them values
 \begin{chunk}{*}
 --S 22 of 28
-u := exp(sin(x-1)**2 - cos(x-1)/sec(x-1))
+u := exp(sin(x-1)^2 - cos(x-1)/sec(x-1))
 --R 
 --R
 --R                               2
@@ -255,7 +255,7 @@ eval(u,x=1)
 Here is another technique using rewrite rules
 \begin{chunk}{*}
 --S 24 of 28
-v(x) == exp(sin(x-1)**2 - cos(x-1)/sec(x-1))
+v(x) == exp(sin(x-1)^2 - cos(x-1)/sec(x-1))
 --R 
 --R                                                                   Type: Void
 --E 24
diff --git a/src/input/elfuts.input.pamphlet b/src/input/elfuts.input.pamphlet
index de84dcd..4f1251f 100644
--- a/src/input/elfuts.input.pamphlet
+++ b/src/input/elfuts.input.pamphlet
@@ -144,7 +144,7 @@ dnn:=dn(yy,k::QF UP(k,RN))
 --E 10
 
 --S 11 of 40
-snn**2+cnn**2
+snn^2+cnn^2
 --R 
 --R
 --R                11
@@ -153,7 +153,7 @@ snn**2+cnn**2
 --E 11
 
 --S 12 of 40
-ksquared:=(k::UP(k,RN))**2
+ksquared:=(k::UP(k,RN))^2
 --R 
 --R
 --R          2
@@ -162,7 +162,7 @@ ksquared:=(k::UP(k,RN))**2
 --E 12
 
 --S 13 of 40
-dnn**2+ksquared*snn**2
+dnn^2+ksquared*snn^2
 --R 
 --R
 --R                11
@@ -171,7 +171,7 @@ dnn**2+ksquared*snn**2
 --E 13
 
 --S 14 of 40
-(differentiate snn)**2
+(differentiate snn)^2
 --R 
 --R
 --R   (14)
@@ -190,7 +190,7 @@ dnn**2+ksquared*snn**2
 --E 14
 
 --S 15 of 40
-(1-snn**2)*(1-ksquared*snn**2)
+(1-snn^2)*(1-ksquared*snn^2)
 --R 
 --R
 --R   (15)
@@ -209,7 +209,7 @@ dnn**2+ksquared*snn**2
 --E 15
 
 --S 16 of 40
-(differentiate cnn)**2
+(differentiate cnn)^2
 --R 
 --R
 --R   (16)
@@ -228,7 +228,7 @@ dnn**2+ksquared*snn**2
 --E 16
 
 --S 17 of 40
-(1-cnn**2)*(1-ksquared+ksquared*cnn**2)
+(1-cnn^2)*(1-ksquared+ksquared*cnn^2)
 --R 
 --R
 --R   (17)
@@ -247,7 +247,7 @@ dnn**2+ksquared*snn**2
 --E 17
 
 --S 18 of 40
-(differentiate dnn)**2
+(differentiate dnn)^2
 --R 
 --R
 --R   (18)
@@ -266,7 +266,7 @@ dnn**2+ksquared*snn**2
 --E 18
 
 --S 19 of 40
-(1-dnn**2)*(dnn**2-1+ksquared)
+(1-dnn^2)*(dnn^2-1+ksquared)
 --R 
 --R
 --R   (19)
@@ -285,7 +285,7 @@ dnn**2+ksquared*snn**2
 --E 19
 
 --S 20 of 40
-kkk:=integrate(1/((1-yy**2)*(1-ksquared*yy**2))**(1/2))
+kkk:=integrate(1/((1-yy^2)*(1-ksquared*yy^2))^(1/2))
 --R 
 --R
 --R   (20)
@@ -358,10 +358,10 @@ snn
 \end{chunk}
 Theta-functions expanded as power series
 \begin{chunk}{*}
-q0=*/[1-q**2*n for n in 1..]
-q1=*/[1+q**2*n for n in 1..]
-q2=*/[1+q**(2*n-1) for n in 1..]
-q3=*/[1-q**(2*n-1) for n in 1..]
+q0=*/[1-q^2*n for n in 1..]
+q1=*/[1+q^2*n for n in 1..]
+q2=*/[1+q^(2*n-1) for n in 1..]
+q3=*/[1-q^(2*n-1) for n in 1..]
 \begin{chunk}{*}
 --S 23 of 40
 eprod x==exp evenlambert log x
@@ -433,7 +433,7 @@ q1*q2*q3
 --E 30
 
 --S 31 of 40
-q2**8-q3**8
+q2^8-q3^8
 --R 
 --R
 --R                   3       5        7        9      11
@@ -442,7 +442,7 @@ q2**8-q3**8
 --E 31
 
 --S 32 of 40
-16*qq*q1**8
+16*qq*q1^8
 --R 
 --R
 --R                   3       5        7        9      11
@@ -450,11 +450,11 @@ q2**8-q3**8
 --R                          Type: UnivariateTaylorSeries(Fraction(Integer),q,0)
 --E 32
 
---(q1**2/q2**2)**2
---(q3**2/q2**2)**2
+--(q1^2/q2^2)^2
+--(q3^2/q2^2)^2
 
 --S 33 of 40
-q0**3
+q0^3
 --R 
 --R
 --R               2     6      11
@@ -463,7 +463,7 @@ q0**3
 --E 33
 
 --S 34 of 40
-q1**2*q0
+q1^2*q0
 --R 
 --R
 --R              2    6      11
@@ -472,7 +472,7 @@ q1**2*q0
 --E 34
 
 --S 35 of 40
-q2**2*q0
+q2^2*q0
 --R 
 --R
 --R                    4     9      11
@@ -481,7 +481,7 @@ q2**2*q0
 --E 35
 
 --S 36 of 40
-q3**2*q0
+q3^2*q0
 --R 
 --R
 --R                    4     9      11
@@ -529,7 +529,7 @@ eprod(1-qqq)*oprod(1-a*qqq)*oprod(1-qqq/a)
 --E 39
 
 --S 40 of 40
-sq:=ksquared*snn**2
+sq:=ksquared*snn^2
 --R 
 --R
 --R   (40)
diff --git a/src/input/elt.input.pamphlet b/src/input/elt.input.pamphlet
index a86777f..af2fcfe 100644
--- a/src/input/elt.input.pamphlet
+++ b/src/input/elt.input.pamphlet
@@ -43,7 +43,7 @@ u(3..5) := false; u
 )clear all
 
 --S 3 of 4
-u:Any := [1, 7.2, 3/2, x**2, "wally"]
+u:Any := [1, 7.2, 3/2, x^2, "wally"]
 --R 
 --R
 --R               3  2
diff --git a/src/input/eq.input.pamphlet b/src/input/eq.input.pamphlet
index b719659..a3b48ac 100644
--- a/src/input/eq.input.pamphlet
+++ b/src/input/eq.input.pamphlet
@@ -82,7 +82,7 @@ eq1 * eq2
 --E 7
 
 --S 8 of 12
-eq1**2
+eq1^2
 --R 
 --R
 --R           2             2
diff --git a/src/input/equation.input.pamphlet b/src/input/equation.input.pamphlet
index 3f73d54..4829fc8 100644
--- a/src/input/equation.input.pamphlet
+++ b/src/input/equation.input.pamphlet
@@ -50,7 +50,7 @@ is 0 and we have an IntegralDomain.
 
 \begin{chunk}{*}
 --S 1 of 12
-eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
+eq1 := (-6*x^3+13*x^2+4)=(-x^4+12*x)
 --R 
 --R
 --R            3      2         4
@@ -59,7 +59,7 @@ eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
 --E 1
 
 --S 2 of 12
-eq2 := x**4+13*x**2-12*x = 6*x**3-4
+eq2 := x^4+13*x^2-12*x = 6*x^3-4
 --R 
 --R
 --R         4      2          3
@@ -68,7 +68,7 @@ eq2 := x**4+13*x**2-12*x = 6*x**3-4
 --E 2
 
 --S 3 of 12
-eq := eq1*y**2+eq2
+eq := eq1*y^2+eq2
 --R 
 --R
 --R             3      2      2    4      2            4        2     3
@@ -95,7 +95,7 @@ swap %
 --E 5
 
 --S 6 of 12
-%-6*x**3
+%-6*x^3
 --R 
 --R
 --R            4        2       3      2      2    4     3      2
diff --git a/src/input/equation2.input.pamphlet b/src/input/equation2.input.pamphlet
index f144282..edb08b1 100644
--- a/src/input/equation2.input.pamphlet
+++ b/src/input/equation2.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 27
-solve([3*x**3 + y + 1,y - 1],[x,y])
+solve([3*x^3 + y + 1,y - 1],[x,y])
 --R 
 --R
 --R            3
@@ -31,7 +31,7 @@ solve([3*x**3 + y + 1,y - 1],[x,y])
 --E 1
 
 --S 2 of 27
-solve([x**3 + x - y**2 + 4,x*y + 2],[x,y],"sym")
+solve([x^3 + x - y^2 + 4,x*y + 2],[x,y],"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -53,7 +53,7 @@ solve([x**3 + x - y**2 + 4,x*y + 2],[x,y],"sym")
 --E 2
 
 --S 3 of 27
-solve([x = y**2-19,y = z**2+x+3,z = 3*x],[x,y,z])
+solve([x = y^2-19,y = z^2+x+3,z = 3*x],[x,y,z])
 --R 
 --R
 --R                    2
@@ -72,7 +72,7 @@ solve([3*x + 2*y - z,x - 1/2*y + 1/3*z,4/5*x - 2/3*y - z])
 --E 4
 
 --S 5 of 27
-solve([x**2*y - 1,x*y**2 - 2],[x,y],.01)
+solve([x^2*y - 1,x*y^2 - 2],[x,y],.01)
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -94,7 +94,7 @@ solve([x**2*y - 1,x*y**2 - 2],[x,y],.01)
 --E 5
 
 --S 6 of 27
-solve([x**2/a = 1,a**2 - a*x = 0],[x,a],.001)
+solve([x^2/a = 1,a^2 - a*x = 0],[x,a],.001)
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -116,7 +116,7 @@ solve([x**2/a = 1,a**2 - a*x = 0],[x,a],.001)
 --E 6
 
 --S 7 of 27
-solve([x**2/a + a + y**3 - 1,a*y + a + 1],[x,y])
+solve([x^2/a + a + y^3 - 1,a*y + a + 1],[x,y])
 --R 
 --R
 --R           2 2    4     3     2                - a - 1
@@ -128,7 +128,7 @@ solve([x**2/a + a + y**3 - 1,a*y + a + 1],[x,y])
 )clear all
 
 --S 8 of 27
-solve(x**3 + 1 = 0,x)
+solve(x^3 + 1 = 0,x)
 --R 
 --R
 --R                 2
@@ -137,7 +137,7 @@ solve(x**3 + 1 = 0,x)
 --E 8
 
 --S 9 of 27
-solve(x**3*y + x*y + 1,x,"sym")
+solve(x^3*y + x*y + 1,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -169,7 +169,7 @@ solve(3*x + 1/4*y = 1,x)
 --E 10
 
 --S 11 of 27
-solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
+solve(x^4 - 10*x^3 + 35*x^2 - 50*x + 25,x,1/1000)
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -191,7 +191,7 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
 --E 11
 
 --S 12 of 27
-solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
+solve(x^4 - 10*x^3 + 35*x^2 - 50*x + 25,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -213,7 +213,7 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
 --E 12
 
 --S 13 of 27
-solve(x**3 - sqrt(2))
+solve(x^3 - sqrt(2))
 --R 
 --R
 --R          3    +-+
@@ -222,7 +222,7 @@ solve(x**3 - sqrt(2))
 --E 13
 
 --S 14 of 27
-solve(x**3/a + x/a + 1,x)
+solve(x^3/a + x/a + 1,x)
 --R 
 --R
 --R          3
@@ -233,7 +233,7 @@ solve(x**3/a + x/a + 1,x)
 )clear all
 
 --S 15 of 27
-solve(1/x**3 + 1/x**2 + 1/x = 0,x,"sym")
+solve(1/x^3 + 1/x^2 + 1/x = 0,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -255,7 +255,7 @@ solve(1/x**3 + 1/x**2 + 1/x = 0,x,"sym")
 --E 15
 
 --S 16 of 27
-solve(x**3 + 1 = 0,x)
+solve(x^3 + 1 = 0,x)
 --R 
 --R
 --R                 2
@@ -264,7 +264,7 @@ solve(x**3 + 1 = 0,x)
 --E 16
 
 --S 17 of 27
-solve(x**3*y + x*y + 1,x,"sym")
+solve(x^3*y + x*y + 1,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -296,7 +296,7 @@ solve(3*x + 1/4*y = 1,x)
 --E 18
 
 --S 19 of 27
-solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
+solve(x^4 - 10*x^3 + 35*x^2 - 50*x + 25,x,1/1000)
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -318,7 +318,7 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,1/1000)
 --E 19
 
 --S 20 of 27
-solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
+solve(x^4 - 10*x^3 + 35*x^2 - 50*x + 25,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
@@ -340,7 +340,7 @@ solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,x,"sym")
 --E 20
 
 --S 21 of 27
-solve(x**3 - sqrt(2))
+solve(x^3 - sqrt(2))
 --R 
 --R
 --R          3    +-+
@@ -349,7 +349,7 @@ solve(x**3 - sqrt(2))
 --E 21
 
 --S 22 of 27
-solve(x**3/a + x/a + 1,x)
+solve(x^3/a + x/a + 1,x)
 --R 
 --R
 --R          3
@@ -358,7 +358,7 @@ solve(x**3/a + x/a + 1,x)
 --E 22
 
 --S 23 of 27
-solve(1/x**3 + 1/x**2 + 1/x = 0,x,"sym")
+solve(1/x^3 + 1/x^2 + 1/x = 0,x,"sym")
 --R 
 --R   There are 6 exposed and 1 unexposed library operations named solve 
 --R      having 3 argument(s) but none was determined to be applicable. 
diff --git a/src/input/eval.input.pamphlet b/src/input/eval.input.pamphlet
index 1aa6127..da05c3c 100644
--- a/src/input/eval.input.pamphlet
+++ b/src/input/eval.input.pamphlet
@@ -38,7 +38,7 @@ f := operator 'f
 --E 1
 
 --S 2 of 23
-a := f(x**2)
+a := f(x^2)
 --R 
 --R
 --R           2
diff --git a/src/input/exampleagcode.input.pamphlet b/src/input/exampleagcode.input.pamphlet
index f765867..6ca150b 100644
--- a/src/input/exampleagcode.input.pamphlet
+++ b/src/input/exampleagcode.input.pamphlet
@@ -120,7 +120,7 @@ P1:= PAFFFF(K1,[X,Y,Z],BLQT)
 --E 3
 
 --S 4 of 19
-C1:R1:=X**5 + Y**2*Z**3+Y*Z**4
+C1:R1:=X^5 + Y^2*Z^3+Y*Z^4
 --R 
 --R
 --R         5    2 3      4
@@ -173,7 +173,7 @@ definingPolynomial(a)
 --E 8
 
 --S 9 of 19
-a**3 + a**2 + 1
+a^3 + a^2 + 1
 --R 
 --R
 --R   (9)  0
diff --git a/src/input/exdiff.input.pamphlet b/src/input/exdiff.input.pamphlet
index 52eff66..df1411b 100644
--- a/src/input/exdiff.input.pamphlet
+++ b/src/input/exdiff.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 10
-differentiate(sin(x) * exp(x**2),x)
+differentiate(sin(x) * exp(x^2),x)
 --R 
 --R
 --R              2                  2
@@ -35,7 +35,7 @@ differentiate(sin(x) * exp(x**2),x)
 )clear all
 
 --S 2 of 10
-differentiate(sin(x) * tan(y)/(x**2 + y**2),x)
+differentiate(sin(x) * tan(y)/(x^2 + y^2),x)
 --R 
 --R
 --R                         2    2
@@ -47,7 +47,7 @@ differentiate(sin(x) * tan(y)/(x**2 + y**2),x)
 --E 2
 
 --S 3 of 10
-differentiate(sin(x) * tan(y)/(x**2 + y**2),y)
+differentiate(sin(x) * tan(y)/(x^2 + y^2),y)
 --R 
 --R
 --R          2    2             2                       2    2
@@ -62,7 +62,7 @@ differentiate(sin(x) * tan(y)/(x**2 + y**2),y)
 )clear all
 
 --S 4 of 10
-differentiate(sin(x)/(x**2 + y**2),[x,y])
+differentiate(sin(x)/(x^2 + y^2),[x,y])
 --R 
 --R
 --R                           3     2
@@ -74,7 +74,7 @@ differentiate(sin(x)/(x**2 + y**2),[x,y])
 --E 4
 
 --S 5 of 10
-differentiate(sin(x)/(x**2 + y**2),[x,y,y])
+differentiate(sin(x)/(x^2 + y^2),[x,y,y])
 --R 
 --R
 --R                2     3             4     2 2     4
@@ -90,7 +90,7 @@ differentiate(sin(x)/(x**2 + y**2),[x,y,y])
 )clear all
 
 --S 6 of 10
-differentiate(cos(z)/(x**2 + y**3),[x,y,z],[1,2,3])
+differentiate(cos(z)/(x^2 + y^3),[x,y,z],[1,2,3])
 --R 
 --R
 --R                    4      3
@@ -105,7 +105,7 @@ differentiate(cos(z)/(x**2 + y**3),[x,y,z],[1,2,3])
 )clear all
 
 --S 7 of 10
-differentiate(exp(x**2),x,4)
+differentiate(exp(x^2),x,4)
 --R 
 --R
 --R                             2
@@ -118,7 +118,7 @@ differentiate(exp(x**2),x,4)
 )clear all
  
 --S 8 of 10
-f := integrate(sqrt(1 + t**3),t)
+f := integrate(sqrt(1 + t^3),t)
 --R 
 --R
 --R           t  +-------+
@@ -139,7 +139,7 @@ differentiate(f,t)
 --E 9
 
 --S 10 of 10
-differentiate(f * t**2,t)
+differentiate(f * t^2,t)
 --R 
 --R
 --R             t  +-------+          +------+
diff --git a/src/input/exint.input.pamphlet b/src/input/exint.input.pamphlet
index 91a20b5..f4085ce 100644
--- a/src/input/exint.input.pamphlet
+++ b/src/input/exint.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 10
-integrate(1/(x**2 + a),x)
+integrate(1/(x^2 + a),x)
 --R 
 --R
 --R               2      +---+
@@ -39,7 +39,7 @@ integrate(1/(x**2 + a),x)
 )clear all
 
 --S 2 of 10
-integrate((x**2+2*x+1)/((x+1)**6+1),x)
+integrate((x^2+2*x+1)/((x+1)^6+1),x)
 --R 
 --R
 --R              3     2
@@ -66,7 +66,7 @@ integrate(tan(atan(x)/3),x)
 )clear all
 
 --S 4 of 10
-complexIntegrate(1/(x**2 + a),x)
+complexIntegrate(1/(x^2 + a),x)
 --R 
 --R
 --R         +---+      +---+         +---+        +---+
@@ -94,7 +94,7 @@ integrate(log(1 + sqrt(a*x + b)) / x,x)
 )clear all
 
 --S 6 of 10
-integrate(x**3 / (a+b*x)**(1/3),x)
+integrate(x^3 / (a+b*x)^(1/3),x)
 --R 
 --R
 --R             3 3         2 2       2          3 3+-------+2
@@ -106,7 +106,7 @@ integrate(x**3 / (a+b*x)**(1/3),x)
 --E 6
 
 --S 7 of 10
-integrate(1 / (x**3 * (a+b*x)**(1/3)),x)
+integrate(1 / (x^3 * (a+b*x)^(1/3)),x)
 --R 
 --R
 --R   (2)
@@ -129,7 +129,7 @@ integrate(1 / (x**3 * (a+b*x)**(1/3)),x)
 )clear all
 
 --S 8 of 10
-integrate((x + 1) / (x * (x + log x)**(3/2)),x)
+integrate((x + 1) / (x * (x + log x)^(3/2)),x)
 --R 
 --R
 --R            +----------+
@@ -142,7 +142,7 @@ integrate((x + 1) / (x * (x + log x)**(3/2)),x)
 )clear all
 
 --S 9 of 10
-integrate(exp(-x**2) * erf(x) / (erf(x)**3 - erf(x)**2 - erf(x) + 1),x)
+integrate(exp(-x^2) * erf(x) / (erf(x)^3 - erf(x)^2 - erf(x) + 1),x)
 --R 
 --R
 --R                     +---+    erf(x) - 1      +---+
diff --git a/src/input/exlap.input.pamphlet b/src/input/exlap.input.pamphlet
index 9d28435..0ffb1cf 100644
--- a/src/input/exlap.input.pamphlet
+++ b/src/input/exlap.input.pamphlet
@@ -83,7 +83,7 @@ laplace(sin(a*t) * cosh(a*t) - cos(a*t) * sinh(a*t), t, s)
 )clear all
 
 --S 6 of 6
-laplace(t**4 * exp(-a*t) / factorial(4), t, s)
+laplace(t^4 * exp(-a*t) / factorial(4), t, s)
 --R 
 --R
 --R                            1
diff --git a/src/input/exlimit.input.pamphlet b/src/input/exlimit.input.pamphlet
index 5a9deca..26202b2 100644
--- a/src/input/exlimit.input.pamphlet
+++ b/src/input/exlimit.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 13
-limit((x**2 - 3*x + 2)/(x**2 - 1),x = 1)
+limit((x^2 - 3*x + 2)/(x^2 - 1),x = 1)
 --R 
 --R
 --R          1
@@ -78,7 +78,7 @@ limit(x * log(x),x = 0)
 )clear all
 
 --S 7 of 13
-limit(sqrt(y**2)/y,y = 0)
+limit(sqrt(y^2)/y,y = 0)
 --R 
 --R
 --R   (1)  [leftHandLimit= - 1,rightHandLimit= 1]
@@ -99,7 +99,7 @@ limit(sqrt(1 - cos(t))/t,t = 0)
 )clear all
 
 --S 9 of 13
-limit(sqrt(3*x**2 + 1)/(5*x),x = %plusInfinity)
+limit(sqrt(3*x^2 + 1)/(5*x),x = %plusInfinity)
 --R 
 --R
 --R         +-+
@@ -110,7 +110,7 @@ limit(sqrt(3*x**2 + 1)/(5*x),x = %plusInfinity)
 --E 9
 
 --S 10 of 13
-limit(sqrt(3*x**2 + 1)/(5*x),x = %minusInfinity)
+limit(sqrt(3*x^2 + 1)/(5*x),x = %minusInfinity)
 --R 
 --R
 --R           +-+
diff --git a/src/input/expexpan.input.pamphlet b/src/input/expexpan.input.pamphlet
index 3338da1..4353392 100644
--- a/src/input/expexpan.input.pamphlet
+++ b/src/input/expexpan.input.pamphlet
@@ -32,7 +32,7 @@ xxp f == exprToXXP(f,true)$FS2EXPXP(INT,EXPR INT,x,0)
 --E 1
 
 --S 2 of 18
-f1 := (a**2 + 1) * exp(1/x**3 + 2/x**2) - exp(b) * exp(1/x**3 + 3/x**2)
+f1 := (a^2 + 1) * exp(1/x^3 + 2/x^2) - exp(b) * exp(1/x^3 + 3/x^2)
 --R 
 --R
 --R            3x + 1                2x + 1
@@ -65,7 +65,7 @@ limitPlus x1   -- %minusInfinity
 --E 4
 
 --S 5 of 18
-f2 := (a**2 + 1) * exp(1/x**3 + 2/x**2) - exp(b) * exp(-1/x**3 + 3/x**2)
+f2 := (a^2 + 1) * exp(1/x^3 + 2/x^2) - exp(b) * exp(-1/x^3 + 3/x^2)
 --R 
 --R
 --R            3x - 1                2x + 1
@@ -95,7 +95,7 @@ limitPlus x2   -- %plusInfinity
 --E 7
 
 --S 8 of 18
-f3 := (a**2 + 1) * exp(1/x**3) - exp(b) * exp(c/x**2)
+f3 := (a^2 + 1) * exp(1/x^3) - exp(b) * exp(c/x^2)
 --R 
 --R
 --R             c                 1
@@ -125,7 +125,7 @@ limitPlus x3   -- %plusInfinity
 --E 10
 
 --S 11 of 18
-f4 := (a**2 + 1) * exp(-1/x**3) - exp(b) * exp(c/x**2)
+f4 := (a^2 + 1) * exp(-1/x^3) - exp(b) * exp(c/x^2)
 --R 
 --R
 --R              c                   1
@@ -155,7 +155,7 @@ limitPlus x4   -- "failed"
 --E 13
 
 --S 14 of 18
-p5 := tan(x) * exp(1/x**2) - tan(x) * exp(1/x**2 - 1/x) + sin(x) * exp(1/x)
+p5 := tan(x) * exp(1/x^2) - tan(x) * exp(1/x^2 - 1/x) + sin(x) * exp(1/x)
 --R 
 --R
 --R             1     - x + 1
@@ -167,7 +167,7 @@ p5 := tan(x) * exp(1/x**2) - tan(x) * exp(1/x**2 - 1/x) + sin(x) * exp(1/x)
 --E 14
 
 --S 15 of 18
-q5 := -4 * exp(-1/x**2 - 1/x) + sin(x) * exp(-1/x**2 + 1/x)
+q5 := -4 * exp(-1/x^2 - 1/x) + sin(x) * exp(-1/x^2 + 1/x)
 --R 
 --R
 --R           x - 1            - x - 1
diff --git a/src/input/explim.input.pamphlet b/src/input/explim.input.pamphlet
index a7a7cdb..fa53d2a 100644
--- a/src/input/explim.input.pamphlet
+++ b/src/input/explim.input.pamphlet
@@ -36,7 +36,7 @@ limit(x/exp(x),x = %plusInfinity)              -- 0
 --E 1
 
 --S 2 of 12
-limit(x**10000/exp(x),x = %plusInfinity)       -- 0
+limit(x^10000/exp(x),x = %plusInfinity)       -- 0
 --R 
 --R
 --R   (2)  0
@@ -44,7 +44,7 @@ limit(x**10000/exp(x),x = %plusInfinity)       -- 0
 --E 2
 
 --S 3 of 12
-limit(x**(10**20)/exp(x),x = %plusInfinity)    -- 0
+limit(x^(10^20)/exp(x),x = %plusInfinity)    -- 0
 --R 
 --R
 --R   (3)  0
@@ -52,7 +52,7 @@ limit(x**(10**20)/exp(x),x = %plusInfinity)    -- 0
 --E 3
 
 --S 4 of 12
-limit(x**h/exp(x),x = %plusInfinity)           -- 0
+limit(x^h/exp(x),x = %plusInfinity)           -- 0
 --R 
 --R
 --R   (4)  0
@@ -68,7 +68,7 @@ limit(x/exp(x),x = %minusInfinity)             -- %minusInfinity
 --E 5
 
 --S 6 of 12
-limit(x**10000/exp(x),x = %minusInfinity)      -- %plusInfinity
+limit(x^10000/exp(x),x = %minusInfinity)      -- %plusInfinity
 --R 
 --R
 --R   (6)   + infinity
@@ -76,7 +76,7 @@ limit(x**10000/exp(x),x = %minusInfinity)      -- %plusInfinity
 --E 6
 
 --S 7 of 12
-limit(x**(10**20)/exp(x),x = %minusInfinity)   -- %plusInfinity
+limit(x^(10^20)/exp(x),x = %minusInfinity)   -- %plusInfinity
 --R 
 --R
 --R   (7)   + infinity
@@ -84,7 +84,7 @@ limit(x**(10**20)/exp(x),x = %minusInfinity)   -- %plusInfinity
 --E 7
 
 --S 8 of 12
-limit(x**h/exp(x),x = %minusInfinity)          -- "failed"
+limit(x^h/exp(x),x = %minusInfinity)          -- "failed"
 --R 
 --R
 --R   (8)  "failed"
@@ -120,7 +120,7 @@ limit(exp(-x) * exp(x),x = %plusInfinity)      -- 1
 --E 11
 
 --S 12 of 12
-limit((x + 1)**(x + 1)/x**x - x**x/(x - 1)**(x - 1),x = %plusInfinity)  -- %e
+limit((x + 1)^(x + 1)/x^x - x^x/(x - 1)^(x - 1),x = %plusInfinity)  -- %e
 --R 
 --R
 --R   (12)  %e
diff --git a/src/input/explot2d.input.pamphlet b/src/input/explot2d.input.pamphlet
index d5a4e69..c08dd67 100644
--- a/src/input/explot2d.input.pamphlet
+++ b/src/input/explot2d.input.pamphlet
@@ -20,7 +20,7 @@ draw(sin(4*t/7),t = 0..14*%pi,coordinates == polar)
 -- Input for page ExPlot2DAlgebraic
 )clear all
 
-draw(solution(y**2 + y - (x**3 - x) = 0),x,y,clip == (-2..2,-2..1))
+draw(solution(y^2 + y - (x^3 - x) = 0),x,y,clip == (-2..2,-2..1))
 
 -- Input for page ExPlot2DFunctions
 )clear all
diff --git a/src/input/explot3d.input.pamphlet b/src/input/explot3d.input.pamphlet
index 3f6b6d8..87a5002 100644
--- a/src/input/explot3d.input.pamphlet
+++ b/src/input/explot3d.input.pamphlet
@@ -16,7 +16,7 @@
 )clear all
 
 draw(curve(cos(t),sin(t),t),t=0..6)
-draw(curve(t,t**2,t**3),t=-3..3)
+draw(curve(t,t^2,t^3),t=-3..3)
 
 -- Input for page ExPlot3DParametricSurface
 )clear all
diff --git a/src/input/expr.input.pamphlet b/src/input/expr.input.pamphlet
index 80e6ae5..0814522 100644
--- a/src/input/expr.input.pamphlet
+++ b/src/input/expr.input.pamphlet
@@ -46,7 +46,7 @@ g := foo x
 --E 3
 
 --S 4 of 29
-eval(g, x = x**2 + 1)
+eval(g, x = x^2 + 1)
 --R 
 --R
 --R             2
@@ -102,7 +102,7 @@ eval(f, [x = y, y = x])
 The multivariate chain rule
 \begin{chunk}{*}
 --S 9 of 29
-ff := eval(f, [x = x**2 * foo y, y = x + y])
+ff := eval(f, [x = x^2 * foo y, y = x + y])
 --R 
 --R
 --R             2
@@ -250,7 +250,7 @@ derivative(bar, [bar1, bar2]$(LIST(LIST(EXPR INT) -> EXPR INT)))
 Some structural testing
 \begin{chunk}{*}
 --S 23 of 29
-h := inv(x + f + g**2)
+h := inv(x + f + g^2)
 --R 
 --R
 --R                  1
@@ -270,7 +270,7 @@ isPower h
 --E 24
 
 --S 25 of 29
-y * g**2 * h
+y * g^2 * h
 --R 
 --R
 --R                      2
@@ -302,7 +302,7 @@ isPlus(denom(h)::EXPR(INT))
 --E 27
 
 --S 28 of 29
-isExpt(inv(g**2), "foo")
+isExpt(inv(g^2), "foo")
 --R 
 --R
 --R   (27)  [var= foo(x),exponent= - 2]
@@ -310,7 +310,7 @@ isExpt(inv(g**2), "foo")
 --E 28
 
 --S 29 of 29
-isExpt(inv(g**2), "bar")
+isExpt(inv(g^2), "bar")
 --R 
 --R
 --R   (28)  "failed"
diff --git a/src/input/expr1.input.pamphlet b/src/input/expr1.input.pamphlet
index b05a48f..50ba204 100644
--- a/src/input/expr1.input.pamphlet
+++ b/src/input/expr1.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 23
-sin(x) + 3*cos(x)**2
+sin(x) + 3*cos(x)^2
 --R 
 --R
 --R                        2
@@ -39,7 +39,7 @@ tan(x) - 3.45*x
 --E 2
 
 --S 3 of 23
-(tan sqrt 7 - sin sqrt 11)**2 / (4 - cos(x - y))
+(tan sqrt 7 - sin sqrt 11)^2 / (4 - cos(x - y))
 --R 
 --R
 --R               +-+ 2         +--+      +-+         +--+ 2
@@ -95,7 +95,7 @@ height mainKernel sin(x + 4)
 --E 8
 
 --S 9 of 23
-e := (sin(x) - 4)**2 / ( 1 - 2*y*sqrt(- y) )
+e := (sin(x) - 4)^2 / ( 1 - 2*y*sqrt(- y) )
 --R 
 --R
 --R                2
@@ -175,7 +175,7 @@ numeric(tan 3.8)
 --E 15
 
 --S 16 of 23
-e2 := cos(x**2 - y + 3)
+e2 := cos(x^2 - y + 3)
 --R 
 --R
 --R                  2
@@ -230,7 +230,7 @@ cos(%pi / 4)
 --E 21
 
 --S 22 of 23
-tan(x)**6 + 3*tan(x)**4 + 3*tan(x)**2 + 1
+tan(x)^6 + 3*tan(x)^4 + 3*tan(x)^2 + 1
 --R 
 --R
 --R               6          4          2
diff --git a/src/input/exprode.input.pamphlet b/src/input/exprode.input.pamphlet
index 024227f..eb5e96e 100644
--- a/src/input/exprode.input.pamphlet
+++ b/src/input/exprode.input.pamphlet
@@ -126,7 +126,7 @@ x := operator 'x
 --E 7
 
 --S 8 of 13
-eq1 := differentiate(x t, t) = 1 + x(t)**2
+eq1 := differentiate(x t, t) = 1 + x(t)^2
 --R 
 --R
 --R         ,         2
diff --git a/src/input/exprpoly.input.pamphlet b/src/input/exprpoly.input.pamphlet
index 16eda49..12945c6 100644
--- a/src/input/exprpoly.input.pamphlet
+++ b/src/input/exprpoly.input.pamphlet
@@ -29,7 +29,7 @@ polynomial types and back.
 Start with a simple expression involving variables
 \begin{chunk}{*}
 --S 1 of 20
-a := sin(i)*x**2 - y*x*sin(j)
+a := sin(i)*x^2 - y*x*sin(j)
 --R 
 --R
 --R                        2
@@ -159,7 +159,7 @@ We needn't have had such a complicated expression. The following is
 really just a multivariate polynomial.
 \begin{chunk}{*}
 --S 14 of 20
-b : EXPR INT := (x - 2*y + 3*z)**3
+b : EXPR INT := (x - 2*y + 3*z)^3
 --R 
 --R
 --R   (14)
diff --git a/src/input/exseries.input.pamphlet b/src/input/exseries.input.pamphlet
index b107e60..1bc435a 100644
--- a/src/input/exseries.input.pamphlet
+++ b/src/input/exseries.input.pamphlet
@@ -143,7 +143,7 @@ f := series(1/(1-x),x = 0)
 --E 8
 
 --S 9 of 9
-f ** 2
+f ^ 2
 --R 
 --R
 --R   (2)
diff --git a/src/input/exsum.input.pamphlet b/src/input/exsum.input.pamphlet
index c47b5a8..f7bcdd1 100644
--- a/src/input/exsum.input.pamphlet
+++ b/src/input/exsum.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 13
-sum(k * x**k,k = 1..n)
+sum(k * x^k,k = 1..n)
 --R 
 --R
 --R            2               n
@@ -48,7 +48,7 @@ limit( sum(1/(k * (k + 2)),k = 1..n) ,n = %plusInfinity)
 )clear all
 
 --S 3 of 13
-s := sum(k**2,k = a..b)
+s := sum(k^2,k = a..b)
 --R 
 --R
 --R          3     2         3     2
@@ -67,7 +67,7 @@ eval(s,[a,b],[1,25])
 --E 4
 
 --S 5 of 13
-reduce(+,[i**2 for i in 1..25])
+reduce(+,[i^2 for i in 1..25])
 --R 
 --R
 --R   (3)  5525
@@ -77,7 +77,7 @@ reduce(+,[i**2 for i in 1..25])
 )clear all
 
 --S 6 of 13
-sum(3*k**2/(c**2 + 1) + 12*k/d,k = (3*a)..(4*b))
+sum(3*k^2/(c^2 + 1) + 12*k/d,k = (3*a)..(4*b))
 --R 
 --R
 --R   (1)
@@ -123,7 +123,7 @@ reduce(+,[1.0/factorial(n) for n in 0..20])
 )clear all
 
 --S 10 of 13
-[n**2 for n in 5..20]
+[n^2 for n in 5..20]
 --R 
 --R
 --R   (1)  [25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]
@@ -131,7 +131,7 @@ reduce(+,[1.0/factorial(n) for n in 0..20])
 --E 10
 
 --S 11 of 13
-reduce(+,[n**2 for n in 5..20])
+reduce(+,[n^2 for n in 5..20])
 --R 
 --R
 --R   (2)  2840
@@ -141,7 +141,7 @@ reduce(+,[n**2 for n in 5..20])
 )clear all
 
 --S 12 of 13
-sum(k**3,k = 1..n)
+sum(k^3,k = 1..n)
 --R 
 --R
 --R         4     3    2
@@ -152,7 +152,7 @@ sum(k**3,k = 1..n)
 --E 12
 
 --S 13 of 13
-sum(k,k = 1..n) ** 2
+sum(k,k = 1..n) ^ 2
 --R 
 --R
 --R         4     3    2
diff --git a/src/input/f04qaf.input.pamphlet b/src/input/f04qaf.input.pamphlet
index 2745f3e..e98f251 100644
--- a/src/input/f04qaf.input.pamphlet
+++ b/src/input/f04qaf.input.pamphlet
@@ -23,7 +23,7 @@ showScalarValues true
 n := 12
 m := 13
 h:SF := 0.1
-b :Matrix SF:= -h**2 * [[0],[0],[0],[1],[1],[0],[0],[1],[1],[0],[0],[0],[-h**-3]] 
+b :Matrix SF:= -h^2 * [[0],[0],[0],[1],[1],[0],[0],[1],[1],[0],[0],[0],[-h^-3]] 
 a : Matrix MachineFloat:= 
  [[1,0,0,-1,0,0,0,0,0,0,0,0],_
   [0,1,0,0,-1,0,0,0,0,0,0,0],_
diff --git a/src/input/ffdemo.input.pamphlet b/src/input/ffdemo.input.pamphlet
index 9d2877a..fc29e89 100644
--- a/src/input/ffdemo.input.pamphlet
+++ b/src/input/ffdemo.input.pamphlet
@@ -110,7 +110,7 @@ a/b
 --E 9
 
 --S 10 of 350
-a**1234
+a^1234
 --R 
 --R
 --R   (10)  2068
@@ -118,7 +118,7 @@ a**1234
 --E 10
 
 --S 11 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R   (11)  2407
@@ -172,7 +172,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 17 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (17)  0
@@ -397,7 +397,7 @@ a/b
 --E 39
 
 --S 40 of 350
-a**1234
+a^1234
 --R 
 --R
 --R            5     4      3
@@ -406,7 +406,7 @@ a**1234
 --E 40
 
 --S 41 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R   (41)  %A + 6
@@ -460,7 +460,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 47 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (47)  0
@@ -678,7 +678,7 @@ a/b
 --E 66
 
 --S 67 of 350
-a**1234
+a^1234
 --R 
 --R
 --R             5       4       3       2
@@ -688,7 +688,7 @@ a**1234
 --E 67
 
 --S 68 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R             5       4       3       2
@@ -746,7 +746,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 74 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (74)  0
@@ -998,7 +998,7 @@ a/b
 --E 96
 
 --S 97 of 350
-a**1234
+a^1234
 --R 
 --R
 --R           222
@@ -1007,7 +1007,7 @@ a**1234
 --E 97
 
 --S 98 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R           417
@@ -1064,7 +1064,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 104 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (104)  0
@@ -1332,7 +1332,7 @@ a/b
 --E 129
 
 --S 130 of 350
-a**1234
+a^1234
 --R 
 --R
 --R             2
@@ -1341,7 +1341,7 @@ a**1234
 --E 130
 
 --S 131 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R               2
@@ -1396,7 +1396,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 137 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (137)  0
@@ -1621,7 +1621,7 @@ a/b
 --E 158
 
 --S 159 of 350
-a**1234
+a^1234
 --R 
 --R
 --R            q  2             q
@@ -1630,7 +1630,7 @@ a**1234
 --E 159
 
 --S 160 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R            q  2          q
@@ -1685,7 +1685,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 166 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (166)  0
@@ -1913,7 +1913,7 @@ a/b
 --E 187
 
 --S 188 of 350
-a**1234
+a^1234
 --R 
 --R
 --R            5  2     7
@@ -1922,7 +1922,7 @@ a**1234
 --E 188
 
 --S 189 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R            4  2     1       4
@@ -1977,7 +1977,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 195 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (195)  0
@@ -2209,7 +2209,7 @@ a/b
 --E 216
 
 --S 217 of 350
-a**1234
+a^1234
 --R 
 --R
 --R            q
@@ -2218,7 +2218,7 @@ a**1234
 --E 217
 
 --S 218 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R                q
@@ -2274,7 +2274,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 224 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (224)  0
@@ -2508,7 +2508,7 @@ a/b
 --E 245
 
 --S 246 of 350
-a**1234
+a^1234
 --R 
 --R
 --R             q         q       q
@@ -2517,7 +2517,7 @@ a**1234
 --E 246
 
 --S 247 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R                q
@@ -2573,7 +2573,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 253 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (253)  0
@@ -2809,7 +2809,7 @@ a/b
 --E 274
 
 --S 275 of 350
-a**1234
+a^1234
 --R 
 --R
 --R            q     4
@@ -2818,7 +2818,7 @@ a**1234
 --E 275
 
 --S 276 of 350
-a**(-1)
+a^(-1)
 --R 
 --R
 --R            6  q     2
@@ -2874,7 +2874,7 @@ discreteLog(a)
 The next one should equal 0
 \begin{chunk}{*}
 --S 282 of 350
-g**% - a
+g^% - a
 --R 
 --R
 --R   (282)  0
@@ -3503,7 +3503,7 @@ discreteLog(ac)
 \subsection{Exponentiation}
 \begin{chunk}{*}
 --S 345 of 350
-ap**1234567
+ap^1234567
 --R 
 --R
 --R             4     2
@@ -3512,7 +3512,7 @@ ap**1234567
 --E 345
 
 --S 346 of 350
-an**1234567
+an^1234567
 --R 
 --R
 --R              4       2
@@ -3522,7 +3522,7 @@ an**1234567
 --E 346
 
 --S 347 of 350
-ac**1234567
+ac^1234567
 --R 
 --R
 --R            16
diff --git a/src/input/ffieldbug.input.pamphlet b/src/input/ffieldbug.input.pamphlet
index e0d1e47..2ef6834 100644
--- a/src/input/ffieldbug.input.pamphlet
+++ b/src/input/ffieldbug.input.pamphlet
@@ -26,7 +26,7 @@ gf2 := PrimeField 2
 --E 1
 
 --S 2 of 29
-gf16 := FiniteFieldExtensionByPolynomial(gf2,x**4+x+1)
+gf16 := FiniteFieldExtensionByPolynomial(gf2,x^4+x+1)
 --R 
 --R
 --R   (2)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
@@ -42,7 +42,7 @@ a:=primitiveElement()$gf16
 --E 3
 
 --S 4 of 29
-p:POLY gf16:=a*x**3
+p:POLY gf16:=a*x^3
 --R 
 --R
 --R            3
@@ -51,7 +51,7 @@ p:POLY gf16:=a*x**3
 --E 4
 
 --S 5 of 29
-q:POLY gf16:=a*x**2+1
+q:POLY gf16:=a*x^2+1
 --R 
 --R
 --R            2
@@ -98,7 +98,7 @@ a:=primitiveElement()$gf16
 --E 9
 
 --S 10 of 29
-p:POLY gf16:=a*x**3
+p:POLY gf16:=a*x^3
 --R 
 --R
 --R            3
@@ -107,7 +107,7 @@ p:POLY gf16:=a*x**3
 --E 10
 
 --S 11 of 29
-q:POLY gf16:=a*x**2+1
+q:POLY gf16:=a*x^2+1
 --R 
 --R
 --R            2
@@ -154,7 +154,7 @@ a:=primitiveElement()$gf16
 --E 15
 
 --S 16 of 29
-p:POLY gf16:=a*x**3
+p:POLY gf16:=a*x^3
 --R 
 --R
 --R            3
@@ -163,7 +163,7 @@ p:POLY gf16:=a*x**3
 --E 16
 
 --S 17 of 29
-q:POLY gf16:=a*x**2+1
+q:POLY gf16:=a*x^2+1
 --R 
 --R
 --R            2
@@ -211,7 +211,7 @@ gf2:=PrimeField 2
 --E 19
 
 --S 20 of 29
-gf16:=FiniteFieldExtensionByPolynomial(gf2,x**4+x+1)
+gf16:=FiniteFieldExtensionByPolynomial(gf2,x^4+x+1)
 --R 
 --R
 --R   (2)  FiniteFieldExtensionByPolynomial(PrimeField(2),?^4+?+1)
diff --git a/src/input/ffx72.input.pamphlet b/src/input/ffx72.input.pamphlet
index 5329a68..655ade5 100644
--- a/src/input/ffx72.input.pamphlet
+++ b/src/input/ffx72.input.pamphlet
@@ -40,7 +40,7 @@ gf72 := FF(7, 2)
 $x^2+1$ is irreducible over PF 7
 \begin{chunk}{*}
 --S 2 of 13
-u: UP(x,PF 7) := x**2 + 1
+u: UP(x,PF 7) := x^2 + 1
 --R 
 --R
 --R         2
@@ -79,7 +79,7 @@ factor u2
 
 \end{chunk} 
 The following is the irreducible polynomial used in the representation
-of GF(7**2) over PF 7. It will be the same every time this field is
+of GF(7^2) over PF 7. It will be the same every time this field is
 used.
 \begin{chunk}{*}
 --S 6 of 13
diff --git a/src/input/fixed.input.pamphlet b/src/input/fixed.input.pamphlet
index 34816b6..a5619e1 100644
--- a/src/input/fixed.input.pamphlet
+++ b/src/input/fixed.input.pamphlet
@@ -122,7 +122,7 @@ as a constant
 )clear all
 
 --S 7 of 267
-f:=(a-b-c-d)**2::EXPR INT
+f:=(a-b-c-d)^2::EXPR INT
 --R
 --R         2                      2                 2           2
 --R   (1)  d  + (2c + 2b - 2a)d + c  + (2b - 2a)c + b  - 2a b + a
@@ -148,7 +148,7 @@ degree t1
 bmt/10/26/92 wrong answer
 
 I believe this problem simplifies to
-{\tt lfintegrate(sqrt(u**3+u**2),u)} which returns the
+{\tt lfintegrate(sqrt(u^3+u^2),u)} which returns the
 wrong answer due to some confusion in prootintegrate in {\tt INTPAF}.
 I think the confusion happens with the use of radPoly and rootPoly.
 The answer is computed with respect to the result returned by rootPoly
@@ -176,7 +176,7 @@ gives: Cannot convert kernel to gaussian function
 )clear all
 
 --S 11 of 267
-integrate(exp(x**2),x)
+integrate(exp(x^2),x)
 --R
 --R           x     2
 --I         ++    %K
@@ -202,7 +202,7 @@ Do you agree, thus max/ empty list would return 0.
 )clear all
 
 --S 12 of 267
-f:=log(1-(b*x/(a+c*x**2)))/x
+f:=log(1-(b*x/(a+c*x^2)))/x
 --R
 --R               2
 --R            c x  - b x + a
@@ -384,7 +384,7 @@ m*m
 --E 25
 
 --S 26 of 267
-m**2
+m^2
 --R
 --R        +                    +              2           ++
 --R        |+2a + 1   2b + 2 +  |2b + 2a + 4  b  + 3b + 2a ||
@@ -400,7 +400,7 @@ m**2
 --E 26
 
 --S 27 of 267
-m**3
+m^3
 --R
 --R        +matrix1  matrix2+
 --R   (9)  |                |
@@ -527,7 +527,7 @@ Johannes
 \begin{chunk}{*}
 )clear all
 --S 31 of 267
-eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
+eq1 := (-6*x^3+13*x^2+4)=(-x^4+12*x)
 --R
 --R            3      2         4
 --R   (1)  - 6x  + 13x  + 4= - x  + 12x
@@ -535,7 +535,7 @@ eq1 := (-6*x**3+13*x**2+4)=(-x**4+12*x)
 --E 31
 
 --S 32 of 267
-eq2 := x**4+13*x**2-12*x = 6*x**3-4
+eq2 := x^4+13*x^2-12*x = 6*x^3-4
 --R
 --R         4      2          3
 --R   (2)  x  + 13x  - 12x= 6x  - 4
@@ -543,7 +543,7 @@ eq2 := x**4+13*x**2-12*x = 6*x**3-4
 --E 32
 
 --S 33 of 267
-eq := eq1*y**2+eq2
+eq := eq1*y^2+eq2
 --R
 --R             3      2      2    4      2            4        2     3
 --R   (3)  (- 6x  + 13x  + 4)y  + x  + 13x  - 12x= (- x  + 12x)y  + 6x  - 4
@@ -567,7 +567,7 @@ t2:=t1 + 4
 --E 35
 
 --S 36 of 267
-t3:=t2-6*x**3
+t3:=t2-6*x^3
 --R
 --R            4        2       3      2      2    4     3      2
 --R   (6)  (- x  + 12x)y = (- 6x  + 13x  + 4)y  + x  - 6x  + 13x  - 12x + 4
@@ -657,7 +657,7 @@ properly declared despite the error message. --Tim
 --E 43
 
 --S 44 of 267
-p1:=3*x**4+11*x**2-4
+p1:=3*x^4+11*x^2-4
 --R
 --R          4      2
 --R   (2)  3x  + 11x  - 4
@@ -665,7 +665,7 @@ p1:=3*x**4+11*x**2-4
 --E 44
 
 --S 45 of 267
-p2:=9*x**4+9*x**2-4
+p2:=9*x^4+9*x^2-4
 --R
 --R          4     2
 --R   (3)  9x  + 9x  - 4
@@ -701,7 +701,7 @@ dewar/10/02/92 actually, this was never wrong
 )clear all
 
 --S 49 of 267
-numeric(%e ** %pi)
+numeric(%e ^ %pi)
 --R
 --R   (1)  23.1406926327 79269006
 --R                                                                  Type: Float
@@ -825,7 +825,7 @@ y:=operator 'y
 --E 60
 
 --S 61 of 267
-deq:=D(y(x),x)+x**2=(y x)/x-(y x)**2
+deq:=D(y(x),x)+x^2=(y x)/x-(y x)^2
 --R
 --R                            2
 --R         ,       2  - x y(x)  + y(x)
@@ -840,7 +840,7 @@ bmt/10/08/92 laplace
 )clear all
 
 --S 62 of 267
-laplace(exp(-x**3)*x**7,x,s) 
+laplace(exp(-x^3)*x^7,x,s) 
 --R
 --R                       3
 --R                 7  - x
@@ -865,7 +865,7 @@ y:=operator 'y
 --E 63
 
 --S 64 of 267
-x**2 * D(y x, x) + 2*x*(y x) - (y x)**3 = 0
+x^2 * D(y x, x) + 2*x*(y x) - (y x)^3 = 0
 --R
 --R         2 ,          3
 --R   (2)  x y (x) - y(x)  + 2x y(x)= 0
@@ -901,7 +901,7 @@ Is wrong (missing factor of 3).
 \begin{chunk}{*}
 
 --S 67 of 267
-factor(p)**2 
+factor(p)^2 
 --R
 --R                2
 --R   (2)  9(x + 1)
@@ -985,7 +985,7 @@ bmt/10/08/92 factoring over SAEs
 )clear all
 
 --S 76 of 267
-a | a**2+1
+a | a^2+1
 --R   Your statement has resulted in the following assignments and 
 --R      declaration:
 --R
@@ -1122,7 +1122,7 @@ Has an extra factor of 2.
 )clear all
 
 --S 85 of 267
-squareFree((2*x*y+1)*(x*y+1)**2)
+squareFree((2*x*y+1)*(x*y+1)^2)
 --R
 --R                 2
 --R   (1)  (x y + 1) (2x y + 1)
@@ -2136,7 +2136,7 @@ evaluate(dx,p+-> differentiate(p,'x))
 --E 98
 
 --S 99 of 267
-E n == (1-x**2)*dx**2-2*x*dx+n*(n+1)
+E n == (1-x^2)*dx^2-2*x*dx+n*(n+1)
 --R                                                                   Type: Void
 --E 99
 
@@ -2177,7 +2177,7 @@ bmt/10/12/92 EFSTRUC recursion problem
 )clear all
 
 --S 102 of 267
-bug:=(1+x**(1/4))**(1/3)/(x**(1/2))
+bug:=(1+x^(1/4))^(1/3)/(x^(1/2))
 --R
 --R         +--------+
 --R        3|4+-+
@@ -2253,19 +2253,19 @@ themos/11/05/92 fortran output bug
 )clear all
 --      REAL T7,T6,T5,T4,T3,T2,T1
 --      T1=x*x
---      T2=2.*y**5
+--      T2=2.*y^5
 --      T3=4.*T1
---      T4=y**3
+--      T4=y^3
 --      T5=2.*T7
---      T6=x**3
---      T7=x**4
+--      T6=x^3
+--      T7=x^4
 --      R46=((T2+(T3+8.*x+8.)*T4+(T5+8.*T6+(-40.*T1))*y)*SIN(x)+(-T2+(-T3+
---     &16.*x)*T4+(-T5+16.*T6)*y)*COS(x))/(y**8+4.*T1*y**6+6.*T7*y**4+4.*x
---     &**6*y*y+x**8)
+--     &16.*x)*T4+(-T5+16.*T6)*y)*COS(x))/(y^8+4.*T1*y^6+6.*T7*y^4+4.*x
+--     &^6*y*y+x^8)
 -- T7 is referenced before it is defined
 
 --S 107 of 267
-a1:=sin(x)/(x**2+y**2)
+a1:=sin(x)/(x^2+y^2)
 --R
 --R         sin(x)
 --R   (1)  -------
@@ -2349,7 +2349,7 @@ gbp := groebner lip
 --E 113
 
 --S 114 of 267
-normalForm(x1**2+x2**2+x3**2,gbp)
+normalForm(x1^2+x2^2+x3^2,gbp)
 --R
 --R          2
 --R   (5)  e3  - 2e2
@@ -2382,7 +2382,7 @@ gb := groebner li
 --E 117
 
 --S 118 of 267
-p:dmp:=(x1**2+x2**2+x3**2)
+p:dmp:=(x1^2+x2^2+x3^2)
 --R
 --R          2     2     2
 --R   (9)  x1  + x2  + x3
@@ -2398,7 +2398,7 @@ normalForm(p,gb)
 --E 119
 
 --S 120 of 267
-normalForm(x1**2+x2**2+x3**2,gb)
+normalForm(x1^2+x2^2+x3^2,gb)
 --R
 --R            2                      2              2
 --R   (11)  2x2  + (2x1 - 2e1)x2 + 2x1  - 2e1 x1 + e1
@@ -2453,7 +2453,7 @@ used to give error:
 )clear all
 
 --S 122 of 267
-integrate(((-x-1)*log((x**2+x))**2+2*log(x))/(x+1),x)
+integrate(((-x-1)*log((x^2+x))^2+2*log(x))/(x+1),x)
 --R
 --R           x                 2      2
 --I         ++  (- %K - 1)log(%K  + %K)  + 2log(%K)
@@ -2605,7 +2605,7 @@ retract back from the algebraic extension.
 )clear all
 
 --S 133 of 267
-pol:DMP([x,y,z],PF(2)):=x**2*y**2+x**2*y*z+x**2*z**2+x*y*z**2+y**3*z+y*z**3
+pol:DMP([x,y,z],PF(2)):=x^2*y^2+x^2*y*z+x^2*z^2+x*y*z^2+y^3*z+y*z^3
 --R
 --R         2 2    2       2 2        2    3       3
 --R   (1)  x y  + x y z + x z  + x y z  + y z + y z
@@ -2638,7 +2638,7 @@ up := UP('w,FRAC INT)
 --E 135
 
 --S 136 of 267
-p : up := w**4 + w**3 + w**2 + w + 1
+p : up := w^4 + w^3 + w^2 + w + 1
 --R
 --R         4    3    2
 --R   (2)  w  + w  + w  + w + 1
@@ -2655,7 +2655,7 @@ sae := SAE(FRAC INT,up,p)
 --E 137
 
 --S 138 of 267
-q : UP('x,sae) := x**5 - 1
+q : UP('x,sae) := x^5 - 1
 --R
 --R         5
 --R   (4)  x  - 1
@@ -2663,7 +2663,7 @@ q : UP('x,sae) := x**5 - 1
 --E 138
 
 \end{chunk}
-Used to report: x**5-1 
+Used to report: x^5-1 
 \begin{chunk}{*}
 --S 139 of 267
 factor q 
@@ -2750,7 +2750,7 @@ t1:=factor(-12)
 --E 145
 
 --S 146 of 267
-t1**2
+t1^2
 --R
 --R         4 2
 --R   (2)  2 3
@@ -2921,7 +2921,7 @@ exp(log(-1))
 --E 154
 
 --S 155 of 267
-sum((-1)**k * (k+m),k=0..n)
+sum((-1)^k * (k+m),k=0..n)
 --R
 --R                          n
 --R        (2n + 2m + 1)(- 1)  + 2m - 1
@@ -2952,7 +2952,7 @@ bronstei@inf.ethz.ch/10/4/93 (Manuel Bronstein)
 )clear all
 
 --S 157 of 267
-integrate(1/(x**2 + %i*a),x)
+integrate(1/(x^2 + %i*a),x)
 --R
 --R         +--+         +--+         +--+           +--+
 --R         |%i          |%i          |%i            |%i
@@ -2969,7 +2969,7 @@ bmt@spadserv.watson.ibm.com/9/28/93 (Barry Trager)
 )clear all
 
 --S 158 of 267
-limit(1/2**n,n=%plusInfinity)
+limit(1/2^n,n=%plusInfinity)
 --R
 --R   (1)  0
 --R                      Type: Union(OrderedCompletion(Expression(Integer)),...)
@@ -2988,7 +2988,7 @@ As a result, integrals involving sqrt(-2) etc... are now treated correctly
 )clear all
 
 --S 159 of 267
-x := sqrt(-3) + sqrt 2 + sqrt(- exp a) + log(-a**2-1)
+x := sqrt(-3) + sqrt 2 + sqrt(- exp a) + log(-a^2-1)
 --R
 --R         +-----+
 --R         |    a           2         +-+    +---+
@@ -3024,8 +3024,8 @@ imag x
 bronstei@inf.ethz.ch/9/22/93 (Manuel Bronstein)
 \begin{verbatim}
   haha := rule x*x == z
-  haha(a*a + b*b + c**2)        -->  3z
-  haha(a*a + b*b + c**2 + d*d)  -->  z
+  haha(a*a + b*b + c^2)        -->  3z
+  haha(a*a + b*b + c^2 + d*d)  -->  z
 \end{verbatim}
 
 The bug is that the last line returns z instead of 4z.
@@ -3033,7 +3033,7 @@ The bug is that the last line returns z instead of 4z.
 Sorry guys, this is not a bug: haha is so general a rule that it matches
 the integer 4 (as 2 squared), so the rewrite chain for the last example is:
 \begin{verbatim}
- a*a + b*b + c**2 + d*d  --->  z + z + z + z  = 4 * z ---> z * z ---> z
+ a*a + b*b + c^2 + d*d  --->  z + z + z + z  = 4 * z ---> z * z ---> z
 \end{verbatim}
 Here is a console showing what exactly happens:
 \begin{chunk}{*}
@@ -3080,7 +3080,7 @@ To see the whole rewrite chain:
 \begin{chunk}{*}
 
 --S 168 of 267
-t1:=a*a + b*b + c**2 + d*d
+t1:=a*a + b*b + c^2 + d*d
 --R
 --R         2    2    2    2
 --R   (6)  d  + c  + b  + a
@@ -3194,7 +3194,7 @@ The technical problem is that ``generalized'' power series may have
 )clear all
 
 --S 177 of 267
-t1:=series(x**x,x=0)
+t1:=series(x^x,x=0)
 --R
 --R   (1)
 --R                         2            3            4            5
@@ -3271,7 +3271,7 @@ should be able to truncate a series to an EXPR.
 I thought I had you on this one!  The signature is there (in pscat.spad):
 \begin{verbatim}
     if Coef has coerce: Symbol -> Coef then
-      if Coef has "**":(Coef,Expon) -> Coef then
+      if Coef has "^":(Coef,Expon) -> Coef then
         approximate: ($,Expon) -> Coef
           ++ \spad{approximate(f)} returns a truncated power series with the
           ++ series variable viewed as an element of the coefficient domain.
@@ -3333,7 +3333,7 @@ approximate(t2,3)
 --E 182
 
 --S 183 of 267
-t3:=series(cos(x**(2/3) + a),x=0)
+t3:=series(cos(x^(2/3) + a),x=0)
 --R
 --R   (5)
 --R                   2           4                       8           10      11
@@ -3418,8 +3418,8 @@ As a side-effect, this fixes the problem with numeric\hfill\\
 bronstei@inf.ethz.ch/9/22/93 (manuel bronstein)
 
 Here is a (rather major) bug fix to ffactor in FSUPFACT.nrlib. It causes
-a large family of integrals to return 0, because ffactor(?**2+expr) returned
-?**2 when expr involved a parameter. This is fixed now.
+a large family of integrals to return 0, because ffactor(?^2+expr) returned
+?^2 when expr involved a parameter. This is fixed now.
 
 jhd@maths.bath.ac.uk/8/15/93 James Davenport
 
@@ -3462,7 +3462,7 @@ is still fairly ugly.
 )clear all
 
 --S 190 of 267
-integrate(1/(x*(log(x)**2+a**2-1)),x)
+integrate(1/(x*(log(x)^2+a^2-1)),x)
 --R
 --R   (1)
 --R                           +--------+                                +------+
@@ -3482,12 +3482,12 @@ integrate(1/(x*(log(x)**2+a**2-1)),x)
 bronstei@inf.ethz.ch/8/9/93 (manuel bronstein)
 
 Here is efstruc.spad with a change to normalize so that
-this now returns  2**(1/4) ** 2 + 2**(1/4)
+this now returns  2^(1/4) ^ 2 + 2^(1/4)
 \begin{chunk}{*}
 )clear all
 
 --S 191 of 267
-normalize(2**(1/2) + 2**(1/4)) 
+normalize(2^(1/2) + 2^(1/4)) 
 --R
 --R        4+-+2   4+-+
 --R   (1)  \|2   + \|2
@@ -3505,7 +3505,7 @@ Isn't this a bug?
 )clear all
 
 --S 912 of 267
-integrate(%e**x,x=0..1)
+integrate(%e^x,x=0..1)
 --R
 --R   (1)  %e - 1
 --R                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
@@ -3522,12 +3522,12 @@ integrate(log(x),x=1..2)
 
 bronstei@inf.ethz.ch/8/5/93 (manuel bronstein)
 
-This will return 2**(5/6).
+This will return 2^(5/6).
 \begin{chunk}{*}
 )clear all
 
 --S 194 of 267
-simplify(2**(1/3)*2**(1/2)) -- 
+simplify(2^(1/3)*2^(1/2)) -- 
 --R
 --R        6+-+5
 --R   (1)  \|2
@@ -3575,7 +3575,7 @@ bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
 )clear all
 
 --S 197 of 267
-a := 2**(1/6)
+a := 2^(1/6)
 --R
 --R        6+-+
 --R   (1)  \|2
@@ -3583,7 +3583,7 @@ a := 2**(1/6)
 --E 197
 
 --S 198 of 267
-[a**n for n in 2..13]
+[a^n for n in 2..13]
 --R
 --R         6+-+2 6+-+3 6+-+4 6+-+5    6+-+  6+-+2  6+-+3  6+-+4  6+-+5    6+-+
 --R   (2)  [\|2  ,\|2  ,\|2  ,\|2  ,2,2\|2 ,2\|2  ,2\|2  ,2\|2  ,2\|2  ,4,4\|2 ]
@@ -3597,7 +3597,7 @@ bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
 )clear all
 
 --S 199 of 267
-int:=sqrt(a*(1-u**2)/(1+u**2))/u
+int:=sqrt(a*(1-u^2)/(1+u^2))/u
 --R
 --R         +----------+
 --R         |     2
@@ -3678,7 +3678,7 @@ integrate(eval(int,a=sqrt(-1)),u)
 Dies after a long time with an elt index error
 \begin{chunk}{*}
 --S 202 of 267
-integrate(eval(int,a=1)*(-1)**(1/4),u)
+integrate(eval(int,a=1)*(-1)^(1/4),u)
 --R
 --R   (4)
 --R                                            +--------+
@@ -3721,7 +3721,7 @@ bronstei@inf.ethz.ch/8/4/93 (manuel bronstein)
 )clear all
 
 --S 203 of 267
-t1:=sqrt((1-x**2)*(1-k**2*x**2))
+t1:=sqrt((1-x^2)*(1-k^2*x^2))
 --R
 --R         +-----------------------+
 --R         | 2 4       2      2
@@ -3746,7 +3746,7 @@ bronstei@inf.ethz.ch/7/26/93 (manuel bronstein)
 )clear all
 
 --S 205 of 267
-t1:=last zerosOf((2+y)**8-3,y)
+t1:=last zerosOf((2+y)^8-3,y)
 --R
 --R           +-------------+
 --R           |    +-------+
@@ -3899,7 +3899,7 @@ b := x::EXPR COMPLEX INT
 --E 218
 
 --S 219 of 267
-zeroOf(a**4+1,x)
+zeroOf(a^4+1,x)
 --R
 --R         +---+
 --R        \|- 1  + 1
@@ -3910,7 +3910,7 @@ zeroOf(a**4+1,x)
 --E 219
 
 --S 220 of 267
-zeroOf(b**4+1,x)
+zeroOf(b^4+1,x)
 --R
 --R        1 + %i
 --R   (4)  ------
@@ -3927,7 +3927,7 @@ Now returns 0  (was crashing before)
 )clear all
 
 --S 221 of 267
-normalize(0**a)
+normalize(0^a)
 --R
 --R   (1)  0
 --R                                                    Type: Expression(Integer)
@@ -5762,7 +5762,7 @@ bronstei@inf.ethz.ch/11/24/93 Manuel Bronstein
 
 copper@yktvmv/12/1/93 Don Coppersmith
 
-Attached is the list of integers n such that 2**512-n is prime
+Attached is the list of integers n such that 2^512-n is prime
 and n is between 0 and 5000:
 \begin{verbatim}
    4893,4653,4475,4005,3893,3669,3459,3143,2967,
@@ -5774,7 +5774,7 @@ It was gotten from Axiom by issuing the commands
 )clear all
 
 --S 241 of 267
-qrimes : Stream Integer := generate(nextPrime,2**512-5000)
+qrimes : Stream Integer := generate(nextPrime,2^512-5000)
 --R
 --R   (1)
 --R   [
@@ -5832,7 +5832,7 @@ qrimes : Stream Integer := generate(nextPrime,2**512-5000)
 --E 241
 
 --S 242 of 267
-rrimes := [ 2**512-p for p in qrimes while p < 2**512 ]
+rrimes := [ 2^512-p for p in qrimes while p < 2^512 ]
 --R
 --R   (2)  [5000,4893,4653,4475,4005,3893,3669,3459,3143,2967,...]
 --R                                                        Type: Stream(Integer)
@@ -6033,7 +6033,7 @@ n : PositiveInteger := 15
 --E 257
 
 --S 258 of 267
-E := SimpleAlgebraicExtension(K, PolK, X**n + X**(n-3) -1) 
+E := SimpleAlgebraicExtension(K, PolK, X^n + X^(n-3) -1) 
 --R
 --R   (5)
 --R  SimpleAlgebraicExtension(Fraction(Integer),UnivariatePolynomial(X,Fraction(In
@@ -6060,7 +6060,7 @@ minimalPolynomial(y)$E
 \begin{verbatim}
 Internal Error
 The function minimalPolynomial with signature SimpleAlgebraicExtension(
-Fraction Integer,UnivariatePolynomial(X,Fraction Integer),X**15+X**12-1)
+Fraction Integer,UnivariatePolynomial(X,Fraction Integer),X^15+X^12-1)
  UnivariatePolynomial(X,Fraction Integer) is missing from domain
 SimpleAlgebraicExtension(Fraction (Integer))
 (UnivariatePolynomial X (Fraction (Integer)))((15 1 . 1) (12 1 . 1) (0 -1 . 1))
@@ -6074,7 +6074,7 @@ I'm trying to define the following rule
 )clear all
 
 --S 261 of 267
-tr := rule cos(x)**(n | integer? n and even? n)==(1-sin(x)**2)**(n/2)
+tr := rule cos(x)^(n | integer? n and even? n)==(1-sin(x)^2)^(n/2)
 --R
 --R                                  n
 --R                                  -
@@ -6163,7 +6163,7 @@ from bob sutor:
 The pade operation requires a taylor series as its third object while
 ``series'' returns a UnivariatePuiseuxSeries. If you set
 \begin{verbatim}
-  y := taylor(1+x)**(1/5)
+  y := taylor(1+x)^(1/5)
 \end{verbatim}
 then things work. You can also do
 \begin{verbatim}
@@ -6271,7 +6271,7 @@ Used to give a lisp error
 )clear all
 
 --S 266 of 267
-x**10+1::Polynomial PrimeField 2
+x^10+1::Polynomial PrimeField 2
 --R
 --R         10
 --R   (1)  x   + 1
@@ -6284,7 +6284,7 @@ themos@num-alg-grp.co.uk/03/11/94 Themos Tsikas
 )clear all
 
 --S 267 of 267
-f(x)==x**2
+f(x)==x^2
 --R                                                                   Type: Void
 --E 267
 
diff --git a/src/input/float.input.pamphlet b/src/input/float.input.pamphlet
index c0a6499..23bedc8 100644
--- a/src/input/float.input.pamphlet
+++ b/src/input/float.input.pamphlet
@@ -114,7 +114,7 @@ c := cos(p/12)
 
 -- we have enough precision to get 0 in following
 --S 12 of 13
-16*c**4 - 16*c**2 + 1
+16*c^4 - 16*c^2 + 1
 --R 
 --R
 --R   (12)  0.0
diff --git a/src/input/float1.input.pamphlet b/src/input/float1.input.pamphlet
index 7a75037..1999198 100644
--- a/src/input/float1.input.pamphlet
+++ b/src/input/float1.input.pamphlet
@@ -39,7 +39,7 @@
 --E 2
 
 --S 3 of 37
-sqrt(1.2 + 2.3 / 3.4 ** 4.5)
+sqrt(1.2 + 2.3 / 3.4 ^ 4.5)
 --R 
 --R
 --R   (3)  1.0996972790 671286226
@@ -215,7 +215,7 @@ outputSpacing 5; x
 --E 22
 
 --S 23 of 37
-y := x/10**10
+y := x/10^10
 --R 
 --R
 --R   (3)  0.44721 35954 99957 93928 E -10
diff --git a/src/input/float2.input.pamphlet b/src/input/float2.input.pamphlet
index f859f9a..26a953a 100644
--- a/src/input/float2.input.pamphlet
+++ b/src/input/float2.input.pamphlet
@@ -86,7 +86,7 @@ atanh tanh f
 --E 8
 
 --S 9 of 41
-sqrt(f**2)
+sqrt(f^2)
 --R 
 --R
 --R   (9)  0.6666666666 6666666667
@@ -142,7 +142,7 @@ exp log f
 --E 15
 
 --S 16 of 41
-sqrt(f**2)
+sqrt(f^2)
 --R 
 --R
 --R   (16)  14.2857142857 14285714
@@ -150,7 +150,7 @@ sqrt(f**2)
 --E 16
 
 --S 17 of 41
-sin(f)**2+cos(f)**2
+sin(f)^2+cos(f)^2
 --R 
 --R
 --R   (17)  1.0
@@ -158,7 +158,7 @@ sin(f)**2+cos(f)**2
 --E 17
 
 --S 18 of 41
-sinh(f)**2-cosh(f)**2
+sinh(f)^2-cosh(f)^2
 --R 
 --R
 --R   (18)  - 1.0
diff --git a/src/input/folium.input.pamphlet b/src/input/folium.input.pamphlet
index 3f50141..ee7a2f9 100644
--- a/src/input/folium.input.pamphlet
+++ b/src/input/folium.input.pamphlet
@@ -11,7 +11,7 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw(curve((t**2-1)/(3*t**2+1),t*(t**2-1)/(3*t**2+1)),_
+draw(curve((t^2-1)/(3*t^2+1),t*(t^2-1)/(3*t^2+1)),_
      t = -3..3, [title "Folium of Descartes"])
 \end{chunk}
 \eject
diff --git a/src/input/fparfrac.input.pamphlet b/src/input/fparfrac.input.pamphlet
index 67533ff..b0b8fa2 100644
--- a/src/input/fparfrac.input.pamphlet
+++ b/src/input/fparfrac.input.pamphlet
@@ -53,7 +53,7 @@ Fx := FRAC Px
 Here is a simple-looking function
 \begin{chunk}{*}
 --S 4 of 18
-f:Fx := 36 / (x**5-2*x**4-2*x**3+4*x**2+x-2)
+f:Fx := 36 / (x^5-2*x^4-2*x^3+4*x^2+x-2)
 --R 
 --R
 --R                     36
@@ -144,7 +144,7 @@ g5::Fx - f5
 Here are more complicated examples:
 \begin{chunk}{*}
 --S 10 of 18
-f:Fx := (x**5 * (x-1)) / ((x**2 + x + 1)**2 * (x-2)**3)
+f:Fx := (x^5 * (x-1)) / ((x^2 + x + 1)^2 * (x-2)^3)
 --R 
 --R
 --R                        6    5
@@ -187,7 +187,7 @@ g::Fx - f
 --E 12
 
 --S 13 of 18
-f:Fx := (2*x**7-7*x**5+26*x**3+8*x)/(x**8-5*x**6+6*x**4+4*x**2-8)
+f:Fx := (2*x^7-7*x^5+26*x^3+8*x)/(x^8-5*x^6+6*x^4+4*x^2-8)
 --R 
 --R
 --R             7     5      3
@@ -221,9 +221,9 @@ g::Fx - f
 --E 15
 
 --S 16 of 18
-f:Fx := x**3/(x**21+2*x**20+4*x**19+7*x**18+10*x**17+17*x**16+22*x**15+30*x**14
-                +36*x**13+40*x**12+47*x**11+46*x**10+49*x**9+43*x**8+38*x**7
-                  +32*x**6+23*x**5+19*x**4+10*x**3+7*x**2+2*x+1)
+f:Fx := x^3/(x^21+2*x^20+4*x^19+7*x^18+10*x^17+17*x^16+22*x^15+30*x^14
+                +36*x^13+40*x^12+47*x^11+46*x^10+49*x^9+43*x^8+38*x^7
+                  +32*x^6+23*x^5+19*x^4+10*x^3+7*x^2+2*x+1)
 --R 
 --R
 --R   (16)
diff --git a/src/input/fparfrc.input.pamphlet b/src/input/fparfrc.input.pamphlet
index ed0f84f..7c8db26 100644
--- a/src/input/fparfrc.input.pamphlet
+++ b/src/input/fparfrc.input.pamphlet
@@ -30,7 +30,7 @@ Fx := FRAC UP(x, FRAC INT)
 --E 1
 
 --S 2 of 16
-f : Fx := 36 / (x**5-2*x**4-2*x**3+4*x**2+x-2)
+f : Fx := 36 / (x^5-2*x^4-2*x^3+4*x^2+x-2)
 --R 
 --R
 --R                     36
@@ -106,7 +106,7 @@ g5::Fx - f5
 --E 7
 
 --S 8 of 16
-f : Fx := (x**5 * (x-1)) / ((x**2 + x + 1)**2 * (x-2)**3)
+f : Fx := (x^5 * (x-1)) / ((x^2 + x + 1)^2 * (x-2)^3)
 --R 
 --R
 --R                       6    5
@@ -149,7 +149,7 @@ g :: Fx - f
 --E 10
 
 --S 11 of 16
-f : Fx := (2*x**7-7*x**5+26*x**3+8*x) / (x**8-5*x**6+6*x**4+4*x**2-8)
+f : Fx := (2*x^7-7*x^5+26*x^3+8*x) / (x^8-5*x^6+6*x^4+4*x^2-8)
 --R 
 --R
 --R             7     5      3
@@ -183,10 +183,10 @@ g :: Fx - f
 --E 13
 
 --S 14 of 16
-f:Fx := x**3 / (x**21 + 2*x**20 + 4*x**19 + 7*x**18 + 10*x**17 + 17*x**16 + _
-        22*x**15 + 30*x**14 + 36*x**13 + 40*x**12 + 47*x**11 + 46*x**10 + _
-        49*x**9 + 43*x**8 + 38*x**7 + 32*x**6 + 23*x**5 + 19*x**4 + 10*x**3 + _
-        7*x**2 + 2*x + 1)
+f:Fx := x^3 / (x^21 + 2*x^20 + 4*x^19 + 7*x^18 + 10*x^17 + 17*x^16 + _
+        22*x^15 + 30*x^14 + 36*x^13 + 40*x^12 + 47*x^11 + 46*x^10 + _
+        49*x^9 + 43*x^8 + 38*x^7 + 32*x^6 + 23*x^5 + 19*x^4 + 10*x^3 + _
+        7*x^2 + 2*x + 1)
 --R 
 --R
 --R   (14)
diff --git a/src/input/fr.input.pamphlet b/src/input/fr.input.pamphlet
index a89fe63..a51bdbd 100644
--- a/src/input/fr.input.pamphlet
+++ b/src/input/fr.input.pamphlet
@@ -31,7 +31,7 @@
 Automatic coercion of integers to factored integers
 \begin{chunk}{*}
 --S 2 of 55
-x := 2**8 * 78**7 * 111**3 * 74534
+x := 2^8 * 78^7 * 111^3 * 74534
 --R 
 --R
 --R         16 10  7  3
@@ -40,7 +40,7 @@ x := 2**8 * 78**7 * 111**3 * 74534
 --E 2
 
 --S 3 of 55
-y := 2**4 * 45**3 * 162**6 * 774325
+y := 2^4 * 45^3 * 162^6 * 774325
 --R 
 --R
 --R         10 30 5
@@ -209,7 +209,7 @@ f := x/y
 --E 18
 
 --S 19 of 55
-g := (x ** 9) / y
+g := (x ^ 9) / y
 --R 
 --R
 --R          134 60  63  27  9   9
@@ -271,7 +271,7 @@ Manipulation of factored polynomials
 Coercion to FR POLY INT involves factoring
 \begin{chunk}{*}
 --S 24 of 55
-u := (x**4 - y**4) :: POLY INT
+u := (x^4 - y^4) :: POLY INT
 --R 
 --R
 --R                          2    2
@@ -283,7 +283,7 @@ u := (x**4 - y**4) :: POLY INT
 PrimeFactor creates factors that are asserted to be prime
 \begin{chunk}{*}
 --S 25 of 55
-v := primeFactor(x-y,2) * primeFactor(x+y,2) * primeFactor(x**2 + y**2,1)
+v := primeFactor(x-y,2) * primeFactor(x+y,2) * primeFactor(x^2 + y^2,1)
 --R 
 --R
 --R               2       2  2    2
@@ -292,7 +292,7 @@ v := primeFactor(x-y,2) * primeFactor(x+y,2) * primeFactor(x**2 + y**2,1)
 --E 25
 
 --S 26 of 55
-w := factor(x**2 + 2*x*y + 2*x + 2*y + y**2 + 1) * primeFactor(x-y,2)
+w := factor(x^2 + 2*x*y + 2*x + 2*y + y^2 + 1) * primeFactor(x-y,2)
 --R 
 --R
 --R               2           2
diff --git a/src/input/fr1.input.pamphlet b/src/input/fr1.input.pamphlet
index be447a2..99e8d4d 100644
--- a/src/input/fr1.input.pamphlet
+++ b/src/input/fr1.input.pamphlet
@@ -154,7 +154,7 @@ f * g
 --E 15
 
 --S 16 of 38
-f**500
+f^500
 --R 
 --R
 --R         2000 1000 500 1500
diff --git a/src/input/frac.input.pamphlet b/src/input/frac.input.pamphlet
index 9f3669c..d9e513e 100644
--- a/src/input/frac.input.pamphlet
+++ b/src/input/frac.input.pamphlet
@@ -42,7 +42,7 @@ b := 23/24
 --E 2
 
 --S 3 of 12
-3 - a*b**2 + a + b/a
+3 - a*b^2 + a + b/a
 --R 
 --R
 --R        313271
@@ -68,7 +68,7 @@ denom(b)
 --E 5
 
 --S 6 of 12
-r := (x**2 + 2*x + 1)/(x**2 - 2*x + 1)
+r := (x^2 + 2*x + 1)/(x^2 - 2*x + 1)
 --R 
 --R
 --R         2
diff --git a/src/input/function.input.pamphlet b/src/input/function.input.pamphlet
index a9331aa..dc49e0a 100644
--- a/src/input/function.input.pamphlet
+++ b/src/input/function.input.pamphlet
@@ -65,7 +65,7 @@ Input for page AlgebraicFunctionPage
 )clear all
 
 --S 6 of 33
-f := sqrt(1 + x ** (1/3))
+f := sqrt(1 + x ^ (1/3))
 --R
 --R         +--------+
 --R         |3+-+
@@ -74,7 +74,7 @@ f := sqrt(1 + x ** (1/3))
 --E 6
 
 --S 7 of 33
-y := rootOf(y**3 + y**2 - x*y + x**3 - 1, y)
+y := rootOf(y^3 + y^2 - x*y + x^3 - 1, y)
 --R
 --R   (2)  y
 --R                                                    Type: Expression(Integer)
@@ -92,7 +92,7 @@ differentiate(y, x)
 --E 8
 
 --S 9 of 33
-(y + 1) ** 3
+(y + 1) ^ 3
 --R
 --R          2               3
 --R   (4)  2y  + (x + 3)y - x  + 2
@@ -156,7 +156,7 @@ Input for page FunctionSimplificationPage
 )clear all
 
 --S 15 of 33
-f := cos(x)/sec(x) * log(sin(x)**2/(cos(x)**2+sin(x)**2))
+f := cos(x)/sec(x) * log(sin(x)^2/(cos(x)^2+sin(x)^2))
 --R
 --R                             2
 --R                       sin(x)
@@ -202,7 +202,7 @@ expandLog h
 --E 18
 
 --S 19 of 33
-f1 := sqrt((x+1)**3)
+f1 := sqrt((x+1)^3)
 --R
 --R         +-----------------+
 --R         | 3     2
@@ -318,7 +318,7 @@ groupSqrt a
 --E 29
 
 --S 30 of 33
-a := (sqrt(x) + sqrt(y))**4
+a := (sqrt(x) + sqrt(y))^4
 --R
 --R                  +-+ +-+    2           2
 --R   (4)  (4y + 4x)\|x \|y  + y  + 6x y + x
diff --git a/src/input/galois.input.pamphlet b/src/input/galois.input.pamphlet
index 1e1904a..edb2996 100644
--- a/src/input/galois.input.pamphlet
+++ b/src/input/galois.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 28
-p := x**5 - 5*x + 12
+p := x^5 - 5*x + 12
 --R 
 --R
 --R         5
@@ -44,7 +44,7 @@ q := resultant(eval(p,x,y),-eval(p,x,y-x),y)
 --E 2
 
 --S 3 of 28
-q1 := exquo(q, x**5)
+q1 := exquo(q, x^5)
 --R 
 --R
 --R   (3)
diff --git a/src/input/genups.input.pamphlet b/src/input/genups.input.pamphlet
index 349380a..57461bc 100644
--- a/src/input/genups.input.pamphlet
+++ b/src/input/genups.input.pamphlet
@@ -37,7 +37,7 @@ taylor(n +-> 1/factorial(n),x = 0)      -- expansion of exp(x) at x = 0
 --E 1
 
 --S 2 of 40
-taylor(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
+taylor(n +-> (-1)^(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R 
 --R
 --R   (2)
@@ -52,7 +52,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --E 2
 
 --S 3 of 40
-taylor(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
+taylor(n +-> (-1)^(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --R 
 --R
 --R   (3)
@@ -63,7 +63,7 @@ taylor(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --E 3
 
 --S 4 of 40
-laurent(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
+laurent(m +-> m^2,x = 7,-2..)          -- infinite Laurent expansion
 --R 
 --R
 --R   (4)
@@ -76,7 +76,7 @@ laurent(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
 --E 4
 
 --S 5 of 40
-laurent(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
+laurent(m +-> m^2,x = 7,-2..5)         --   finite Laurent expansion
 --R 
 --R
 --R   (5)
@@ -89,7 +89,7 @@ laurent(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
 --E 5
 
 --S 6 of 40
-puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
+puiseux(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --R 
 --R
 --R            1  3    1   5     1   7      1    9       1     11      12
@@ -99,7 +99,7 @@ puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --E 6
 
 --S 7 of 40
-puiseux(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
+puiseux(i +-> (-1)^(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R 
 --R
 --R            1  2    1  4    1   6     1    8      1     10      11
@@ -108,10 +108,10 @@ puiseux(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 7
 
--- puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
+-- puiseux(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
 -- interpretor needs help here
 --S 8 of 40
-puiseux(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
+puiseux(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
 --R 
 --R
 --R            1  3    1   5     1   7      1    9
@@ -164,7 +164,7 @@ taylor(1/factorial(n),n,x = 0)      -- expansion of exp(x) at x = 0
 --E 11
 
 --S 12 of 40
-taylor((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
+taylor((-1)^(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R 
 --R
 --R   (12)
@@ -179,7 +179,7 @@ taylor((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --E 12
 
 --S 13 of 40
-taylor((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
+taylor((-1)^(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --R 
 --R
 --R   (13)
@@ -190,7 +190,7 @@ taylor((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --E 13
 
 --S 14 of 40
-laurent(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
+laurent(m^2,m,x = 7,-2..)          -- infinite Laurent expansion
 --R 
 --R
 --R   (14)
@@ -203,7 +203,7 @@ laurent(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
 --E 14
 
 --S 15 of 40
-laurent(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
+laurent(m^2,m,x = 7,-2..5)         --   finite Laurent expansion
 --R 
 --R
 --R   (15)
@@ -216,7 +216,7 @@ laurent(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
 --E 15
 
 --S 16 of 40
-puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
+puiseux((-1)^((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --R 
 --R
 --R             1  3    1   5     1   7      1    9       1     11      12
@@ -226,7 +226,7 @@ puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --E 16
 
 --S 17 of 40
-puiseux((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
+puiseux((-1)^(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R 
 --R
 --R             1  2    1  4    1   6     1    8      1     10      11
@@ -235,10 +235,10 @@ puiseux((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 17
 
--- puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
+-- puiseux((-1)^((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
 -- interpretor needs help here
 --S 18 of 40
-puiseux((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
+puiseux((-1)^((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
 --R 
 --R
 --R             1  3    1   5     1   7      1    9
@@ -292,7 +292,7 @@ series(n +-> 1/factorial(n),x = 0)      -- expansion of exp(x) at x = 0
 --E 21
 
 --S 22 of 40
-series(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
+series(n +-> (-1)^(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R 
 --R
 --R   (22)
@@ -310,7 +310,7 @@ series(n +-> (-1)**(n-1)/n,x = 1,1..)   -- expansion of log(x) at x = 1
 --E 22
 
 --S 23 of 40
-series(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
+series(n +-> (-1)^(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --R 
 --R
 --R   (23)
@@ -321,7 +321,7 @@ series(n +-> (-1)**(n-1)/n,x = 1,1..6)  -- truncated expansion of log(x)
 --E 23
 
 --S 24 of 40
-series(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
+series(m +-> m^2,x = 7,-2..)          -- infinite Laurent expansion
 --R 
 --R
 --R   (24)
@@ -334,7 +334,7 @@ series(m +-> m**2,x = 7,-2..)          -- infinite Laurent expansion
 --E 24
 
 --S 25 of 40
-series(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
+series(m +-> m^2,x = 7,-2..5)         --   finite Laurent expansion
 --R 
 --R
 --R   (25)
@@ -347,7 +347,7 @@ series(m +-> m**2,x = 7,-2..5)         --   finite Laurent expansion
 --E 25
 
 --S 26 of 40
-series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
+series(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --R 
 --R
 --R             1  3    1   5     1   7      1    9       1     11      12
@@ -357,7 +357,7 @@ series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..,2)  -- sin(x) at x = 0
 --E 26
 
 --S 27 of 40
-series(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
+series(i +-> (-1)^(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R 
 --R
 --R             1  2    1  4    1   6     1    8      1     10      11
@@ -366,10 +366,10 @@ series(i +-> (-1)**(i/2)/factorial(i),x = 0,0..,2)      -- cos(x) at x = 0
 --R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 27
 
--- series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
+-- series(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..9,2) -- truncated sin(x)
 -- interpretor needs help here
 --S 28 of 40
-series(i +-> (-1)**((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
+series(i +-> (-1)^((i-1)/2)/factorial(i),x = 0,1..9/1,2) -- truncated sin(x)
 --R 
 --R
 --R             1  3    1   5     1   7      1    9
@@ -422,7 +422,7 @@ series(1/factorial(n),n,x = 0)      -- expansion of exp(x) at x = 0
 --E 31
 
 --S 32 of 40
-series((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
+series((-1)^(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --R 
 --R
 --R   (32)
@@ -440,7 +440,7 @@ series((-1)**(n-1)/n,n,x = 1,1..)   -- expansion of log(x) at x = 1
 --E 32
 
 --S 33 of 40
-series((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
+series((-1)^(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --R 
 --R
 --R   (33)
@@ -451,7 +451,7 @@ series((-1)**(n-1)/n,n,x = 1,1..6)  -- truncated expansion of log(x)
 --E 33
 
 --S 34 of 40
-series(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
+series(m^2,m,x = 7,-2..)          -- infinite Laurent expansion
 --R 
 --R
 --R   (34)
@@ -464,7 +464,7 @@ series(m**2,m,x = 7,-2..)          -- infinite Laurent expansion
 --E 34
 
 --S 35 of 40
-series(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
+series(m^2,m,x = 7,-2..5)         --   finite Laurent expansion
 --R 
 --R
 --R   (35)
@@ -477,7 +477,7 @@ series(m**2,m,x = 7,-2..5)         --   finite Laurent expansion
 --E 35
 
 --S 36 of 40
-series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
+series((-1)^((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --R 
 --R
 --R             1  3    1   5     1   7      1    9       1     11      12
@@ -487,7 +487,7 @@ series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..,2)  -- sin(x) at x = 0
 --E 36
 
 --S 37 of 40
-series((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
+series((-1)^(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R 
 --R
 --R             1  2    1  4    1   6     1    8      1     10      11
@@ -496,10 +496,10 @@ series((-1)**(i/2)/factorial(i),i,x = 0,0..,2)      -- cos(x) at x = 0
 --R                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
 --E 37
 
--- series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
+-- series((-1)^((i-1)/2)/factorial(i),i,x = 0,1..9,2) -- truncated sin(x)
 -- interpretor needs help here
 --S 38 of 40
-series((-1)**((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
+series((-1)^((i-1)/2)/factorial(i),i,x = 0,1..9/1,2) -- truncated sin(x)
 --R 
 --R
 --R             1  3    1   5     1   7      1    9
diff --git a/src/input/gnarly1.input.pamphlet b/src/input/gnarly1.input.pamphlet
index 0c78961..2ed0fbd 100644
--- a/src/input/gnarly1.input.pamphlet
+++ b/src/input/gnarly1.input.pamphlet
@@ -11,8 +11,8 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw(surface(cos(t)/(1+sin(t)**2),sin(t)*cos(t)*cos(u)/(1+sin(t)**2),
-     sin(t)*cos(t)*sin(u)/(1+sin(t)**2)),t = -%pi..%pi,u = 0..%pi)
+draw(surface(cos(t)/(1+sin(t)^2),sin(t)*cos(t)*cos(u)/(1+sin(t)^2),
+     sin(t)*cos(t)*sin(u)/(1+sin(t)^2)),t = -%pi..%pi,u = 0..%pi)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/graphics.input.pamphlet b/src/input/graphics.input.pamphlet
index 33b2925..f4ba30d 100644
--- a/src/input/graphics.input.pamphlet
+++ b/src/input/graphics.input.pamphlet
@@ -31,10 +31,10 @@ write(v,"saddle","pixmap")
 )clear all
 
 draw(x * y = 1, x, y, range == [-3..3, -3..3])
-draw(y**2 + y = x**3 - x, x, y, range == [-2..2, -2..1])
-p := ((x**2 + y**2 + 1) - 8*x)**2 - (8*(x**2 + y**2 + 1) - 4*x - 1)
+draw(y^2 + y = x^3 - x, x, y, range == [-2..2, -2..1])
+p := ((x^2 + y^2 + 1) - 8*x)^2 - (8*(x^2 + y^2 + 1) - 4*x - 1)
 draw(p = 0, x, y, range == [-1..11, -7..7], title == "Cartesian Ovals")
-q := (x**2 + y**2 + 7**2)**2 - (6**4 + 4*7**2*x**2)
+q := (x^2 + y^2 + 7^2)^2 - (6^4 + 4*7^2*x^2)
 draw(q = 0, x, y, range == [-10..10, -4..4], title == _
   "Cassinian oval with two loops")
 All
@@ -60,7 +60,7 @@ All
 -- Input for page ParametricCurveGraphicsExamplePage
 )clear all
 
-draw(curve(cos(t/(1+sin(t)**2)), sin(t)*cos(t)/(1+sin(t)**2)), t = -%pi..%pi)
+draw(curve(cos(t/(1+sin(t)^2)), sin(t)*cos(t)/(1+sin(t)^2)), t = -%pi..%pi)
 draw(curve(9*sin(3*t/4), 8*sin(t)), t = -4*%pi..4*%pi)
 draw(curve(sin(t)*sin(2*t)*sin(3*t), sin(4*t)*sin(5*t)*sin(6*t)),t = 0..2*%pi)
 draw(curve(cos(4*t)*cos(7*t), cos(4*t)*sin(7*t)), t = 0..2*%pi)
@@ -94,7 +94,7 @@ draw(sin tan x - tan sin x,x = 0..6)
 draw(curve(sin(t)*sin(2*t), sin(3*t)*sin(4*t)), t = 0..2*%pi)
 draw(curve(sin(t)*sin(2*t), sin(3*t)*sin(4*t), sin(5*t)*sin(6*t)), t = 0..2*%pi)
 draw(sin(17*t), t = 0..2*%pi, coordinates == polar)
-draw(y**2 + y = x**3 - x, x, y,range == [-2..2,-2..1])
+draw(y^2 + y = x^3 - x, x, y,range == [-2..2,-2..1])
 All
 \end{chunk}
 \eject
diff --git a/src/input/graphviz.input.pamphlet b/src/input/graphviz.input.pamphlet
index 890d13c..7ff4ace 100644
--- a/src/input/graphviz.input.pamphlet
+++ b/src/input/graphviz.input.pamphlet
@@ -22,7 +22,7 @@
 )set message auto off
 )clear all
 
---S 1 of 6
+--S 1 of 5
 header:=standardDotHeader()
 --R 
 --R
@@ -32,7 +32,7 @@ header:=standardDotHeader()
 --R                                                           Type: List(String)
 --E 1
 
---S 2 of 6
+--S 2 of 5
 graph:=sampleDotGraph()
 --R 
 --R
@@ -52,23 +52,19 @@ graph:=sampleDotGraph()
 --R                                                           Type: List(String)
 --E 2
 
---S 3 of 6
+--S 3 of 5
 writeDotGraph(header,graph,"NeuralNet")
 --R 
 --R                                                                   Type: Void
 --E 3
 
---S 4 of 6
+--S 4 of 5
 dot2eps "NeuralNet"
 --R 
 --R                                                                   Type: Void
 --E 4
 
---S 5 of 6
--- dotview("evince","NeuralNet")
---S 5
-
---S 6 of 6
+--S 5 of 5
 )show Graphviz
 --R 
 --R Graphviz  is a package constructor
@@ -82,7 +78,11 @@ dot2eps "NeuralNet"
 --R standardDotHeader : () -> List(String)
 --R writeDotGraph : (List(String),List(String),String) -> Void
 --R
---E 6
+--E 5
+
+--S 6 of 6
+-- dotview("evince","NeuralNet")
+--S 5
 
 )spool
 )lisp (bye)
diff --git a/src/input/groeb.input.pamphlet b/src/input/groeb.input.pamphlet
index 4ba10f6..e1c37ef 100644
--- a/src/input/groeb.input.pamphlet
+++ b/src/input/groeb.input.pamphlet
@@ -35,7 +35,7 @@ s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s
 --E 2
 
 --S 3 of 12
-s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 
+s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b^2 
 --R 
 --R
 --R                                      2
@@ -52,7 +52,7 @@ s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s
 --E 4
 
 --S 5 of 12
-s5:DMP([w,p,z,t,s,b],FRAC(INT)):= w*p + 2*z*t - 11*b**3 
+s5:DMP([w,p,z,t,s,b],FRAC(INT)):= w*p + 2*z*t - 11*b^3 
 --R 
 --R
 --R                        3
@@ -61,7 +61,7 @@ s5:DMP([w,p,z,t,s,b],FRAC(INT)):= w*p + 2*z*t - 11*b**3
 --E 5
 
 --S 6 of 12
-s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 
+s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b^2 
 --R 
 --R
 --R                        2
@@ -70,7 +70,7 @@ s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2
 --E 6
 
 --S 7 of 12
-s7:DMP([w,p,z,t,s,b],FRAC(INT)):= b**2 + 33/50*b + 2673/10000 
+s7:DMP([w,p,z,t,s,b],FRAC(INT)):= b^2 + 33/50*b + 2673/10000 
 --R 
 --R
 --R         2   33      2673
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index 39c5457..5e1684e 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -1638,7 +1638,7 @@ px * pz
 --E 27
 
 --S 28 of 55
-py ** 3
+py ^ 3
 --R 
 --R
 --R   (5)  (3 9 7 5)
diff --git a/src/input/help.input.pamphlet b/src/input/help.input.pamphlet
index 8d4463f..066a15e 100644
--- a/src/input/help.input.pamphlet
+++ b/src/input/help.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 2
-a:= x**2 + 1
+a:= x^2 + 1
 --R 
 --R
 --R         2
@@ -31,7 +31,7 @@ a:= x**2 + 1
 --E 1
 
 --S 2 of 2
-(a - 2)**2
+(a - 2)^2
 --R 
 --R
 --R         4     2
diff --git a/src/input/hexadec.input.pamphlet b/src/input/hexadec.input.pamphlet
index aed12d5..02cdeb5 100644
--- a/src/input/hexadec.input.pamphlet
+++ b/src/input/hexadec.input.pamphlet
@@ -63,7 +63,7 @@ hex(1/1007)
 --E 4
 
 --S 5 of 7
-p := hex(1/4)*x**2 + hex(2/3)*x + hex(4/9)
+p := hex(1/4)*x^2 + hex(2/3)*x + hex(4/9)
 --R 
 --R
 --R            2     _      ___
diff --git a/src/input/i2e.input.pamphlet b/src/input/i2e.input.pamphlet
index 7c3e900..1744446 100644
--- a/src/input/i2e.input.pamphlet
+++ b/src/input/i2e.input.pamphlet
@@ -2,7 +2,7 @@
 \usepackage{axiom}
 \setlength{\textwidth}{400pt}
 \begin{document}
-\title{\$SPAD/src/input algaggr.input}
+\title{\$SPAD/src/input i2e.input}
 \author{Ralf Hemmecke}
 \maketitle
 \begin{abstract}
@@ -32,28 +32,28 @@ ex:=sin(cos(x+2)+3)+exp(x+2)+sqrt(x)
 --S 2 of 6
 exi:=ex::InputForm
 --R
---R   (2)  (+ (sin (+ (cos (+ x 2)) 3)) (+ (** x (/ 1 2)) (exp (+ x 2))))
+--R   (2)  (+ (sin (+ (cos (+ x 2)) 3)) (+ (^ x (/ 1 2)) (exp (+ x 2))))
 --R                                                              Type: InputForm
 --E 2
 
 --S 3 of 6
 d1:=destruct exi
 --R
---R   (3)  [+,(sin (+ (cos (+ x 2)) 3)),(+ (** x (/ 1 2)) (exp (+ x 2)))]
+--R   (3)  [+,(sin (+ (cos (+ x 2)) 3)),(+ (^ x (/ 1 2)) (exp (+ x 2)))]
 --R                                                        Type: List(InputForm)
 --E 3
 
 --S 4 of 6
 l2:=[first d1, first rest d1, first rest destruct first rest rest d1]
 --R
---R   (4)  [+,(sin (+ (cos (+ x 2)) 3)),(** x (/ 1 2))]
+--R   (4)  [+,(sin (+ (cos (+ x 2)) 3)),(^ x (/ 1 2))]
 --R                                                        Type: List(InputForm)
 --E 4
 
 --S 5 of 6
 inf:=convert l2
 --R
---R   (5)  (+ (sin (+ (cos (+ x 2)) 3)) (** x (/ 1 2)))
+--R   (5)  (+ (sin (+ (cos (+ x 2)) 3)) (^ x (/ 1 2)))
 --R                                                              Type: InputForm
 --E 5
 
diff --git a/src/input/ideal.input.pamphlet b/src/input/ideal.input.pamphlet
index c73cf09..53b13f5 100644
--- a/src/input/ideal.input.pamphlet
+++ b/src/input/ideal.input.pamphlet
@@ -28,7 +28,7 @@
 --E 1
 
 --S 2 of 18
-m := [x**2+y**2-1]
+m := [x^2+y^2-1]
 --R 
 --R
 --R          2    2
@@ -37,7 +37,7 @@ m := [x**2+y**2-1]
 --E 2
 
 --S 3 of 18
-n := [x**2-y**2]
+n := [x^2-y^2]
 --R 
 --R
 --R          2    2
@@ -86,7 +86,7 @@ dimension ideal m
 --E 8
 
 --S 9 of 18
-f := x**2-1
+f := x^2-1
 --R 
 --R
 --R         2
@@ -95,7 +95,7 @@ f := x**2-1
 --E 9
 
 --S 10 of 18
-g := x*(x**2-1)
+g := x*(x^2-1)
 --R 
 --R
 --R          3
@@ -119,7 +119,7 @@ l: List DMP([x,y,z],FRAC INT)
 --E 12
 
 --S 13 of 18
-l:=[x**2+2*y**2,x*z**2-y*z,z**2-4]
+l:=[x^2+2*y^2,x*z^2-y*z,z^2-4]
 --R 
 --R
 --R           2     2    2        2
diff --git a/src/input/ifact.input.pamphlet b/src/input/ifact.input.pamphlet
index 6e3dc1a..329593f 100644
--- a/src/input/ifact.input.pamphlet
+++ b/src/input/ifact.input.pamphlet
@@ -25,7 +25,7 @@
 Some integer factorizations
 \begin{chunk}{*}
 --S 1 of 7
-factor(3**17-1)
+factor(3^17-1)
 --R 
 --R
 --R   (1)  2 1871 34511
@@ -33,7 +33,7 @@ factor(3**17-1)
 --E 1
 
 --S 2 of 7
-factor(3**23-1)
+factor(3^23-1)
 --R 
 --R
 --R   (2)  2 47 1001523179
@@ -41,7 +41,7 @@ factor(3**23-1)
 --E 2
 
 --S 3 of 7
-factor(3**31-1)
+factor(3^31-1)
 --R 
 --R
 --R   (3)  2 683 102673 4404047
@@ -49,7 +49,7 @@ factor(3**31-1)
 --E 3
 
 --S 4 of 7
-factor(3**41-1)
+factor(3^41-1)
 --R 
 --R
 --R   (4)  2 83 2526913 86950696619
@@ -57,7 +57,7 @@ factor(3**41-1)
 --E 4
 
 --S 5 of 7
-factor(3**53-1)
+factor(3^53-1)
 --R 
 --R
 --R   (5)  2 107 24169 3747607031112307667
diff --git a/src/input/ifthenelse.input.pamphlet b/src/input/ifthenelse.input.pamphlet
index 3d1c511..2adff07 100644
--- a/src/input/ifthenelse.input.pamphlet
+++ b/src/input/ifthenelse.input.pamphlet
@@ -180,7 +180,7 @@ a:=
     exp(j+1/j)
   else
     j:=cos(i*0.5*pi())
-    log(abs(j)**5+1)
+    log(abs(j)^5+1)
 --R 
 --R
 --R   (8)  0.1353352832 3661269189
diff --git a/src/input/images2.input.pamphlet b/src/input/images2.input.pamphlet
index 394e9a2..09f198a 100644
--- a/src/input/images2.input.pamphlet
+++ b/src/input/images2.input.pamphlet
@@ -21,13 +21,13 @@
 )r newton
 )r cdraw
 
--- create a Newton's iteration function for the equation x**3 = 2.
-f := newtonStep(x**3 - 2)
+-- create a Newton's iteration function for the equation x^3 = 2.
+f := newtonStep(x^3 - 2)
 
 setClipValue(4)
-drawComplexVectorField(f**3, -3..3, -3..3)
-drawComplex(f**3, -3..3, -3..3)
-drawComplex(f**4, -3..3, -3..3)
+drawComplexVectorField(f^3, -3..3, -3..3)
+drawComplex(f^3, -3..3, -3..3)
+drawComplex(f^4, -3..3, -3..3)
 
 \end{chunk}
 \eject
diff --git a/src/input/images2a.input.pamphlet b/src/input/images2a.input.pamphlet
index 08bdcaf..66a1964 100644
--- a/src/input/images2a.input.pamphlet
+++ b/src/input/images2a.input.pamphlet
@@ -193,13 +193,13 @@ clipFun(x:DoubleFloat):DoubleFloat ==
   min(max(x, -clipValue), clipValue)
  
 
--- create a Newton's iteration function for the equation x**3 = 2.
-f := newtonStep(x**3 - 2)
+-- create a Newton's iteration function for the equation x^3 = 2.
+f := newtonStep(x^3 - 2)
 
 setClipValue(4)
-drawComplexVectorField(f**3, -3..3, -3..3)
-drawComplex(f**3, -3..3, -3..3)
-drawComplex(f**4, -3..3, -3..3)
+drawComplexVectorField(f^3, -3..3, -3..3)
+drawComplex(f^3, -3..3, -3..3)
+drawComplex(f^4, -3..3, -3..3)
 
 \end{chunk}
 \eject
diff --git a/src/input/images7a.input.pamphlet b/src/input/images7a.input.pamphlet
index 11aef83..b7a8e09 100644
--- a/src/input/images7a.input.pamphlet
+++ b/src/input/images7a.input.pamphlet
@@ -104,7 +104,7 @@ riemannTransform(z) ==
   r := sqrt norm z
   cosTheta := (real z)/r
   sinTheta := (imag z)/r
-  cp := 4*r/(4+r**2)
+  cp := 4*r/(4+r^2)
   sp := sqrt(1-cp*cp)
   if r>2 then sp := -sp
   point [cosTheta*cp, sinTheta*cp, -sp + 1]
diff --git a/src/input/images8.input.pamphlet b/src/input/images8.input.pamphlet
index 01ddcbe..16bac7e 100644
--- a/src/input/images8.input.pamphlet
+++ b/src/input/images8.input.pamphlet
@@ -36,12 +36,12 @@ drawRings 2
 
 drawScherk(3,3)
 
--- Ribbon Plot of [x**i for i in 1..5]
+-- Ribbon Plot of [x^i for i in 1..5]
 
 )r ribbons
 
 )set message test off
-drawRibbons([x**i for i in 1..5], x=-1..1, y=0..2)
+drawRibbons([x^i for i in 1..5], x=-1..1, y=0..2)
 )set message test on
 \end{chunk}
 \eject
diff --git a/src/input/images8a.input.pamphlet b/src/input/images8a.input.pamphlet
index 1627ec3..f4702a3 100644
--- a/src/input/images8a.input.pamphlet
+++ b/src/input/images8a.input.pamphlet
@@ -143,7 +143,7 @@ drawPyramid 4
 torusRot: DHMATRIX(DoubleFloat)
 
 -- Draw Antoine's Rings with n levels of recursive subdivision.
--- The number of subrings is 10**n.
+-- The number of subrings is 10^n.
 drawRings(n) ==
   s := create3Space()$ThreeSpace DoubleFloat
   -- create an identity transformation
@@ -240,7 +240,7 @@ drawOneScherk(s) ==
 
 drawScherk(3,3)
 
--- Ribbon Plot of [x**i for i in 1..5]
+-- Ribbon Plot of [x^i for i in 1..5]
 
 drawRibbons(flist, xrange, yrange) ==
  sp := createThreeSpace()
@@ -261,7 +261,7 @@ drawRibbons(flist, xrange, yrange) ==
 
 
 )set message test off
-drawRibbons([x**i for i in 1..5], x=-1..1, y=0..2)
+drawRibbons([x^i for i in 1..5], x=-1..1, y=0..2)
 )set message test on
 \end{chunk}
 \eject
diff --git a/src/input/infprod.input.pamphlet b/src/input/infprod.input.pamphlet
index e3642ab..466cc45 100644
--- a/src/input/infprod.input.pamphlet
+++ b/src/input/infprod.input.pamphlet
@@ -62,7 +62,7 @@ infiniteProduct g
 Ramanujan's tau function
 \begin{chunk}{*}
 --S 4 of 11
-h := infiniteProduct(f ** 24)
+h := infiniteProduct(f ^ 24)
 --R 
 --R
 --R   (4)
diff --git a/src/input/int.input.pamphlet b/src/input/int.input.pamphlet
index f11cf15..57bf4f4 100644
--- a/src/input/int.input.pamphlet
+++ b/src/input/int.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 47
-2**(5678 - 4856 + 2 * 17)
+2^(5678 - 4856 + 2 * 17)
 --R 
 --R
 --R   (1)
diff --git a/src/input/intaf.input.pamphlet b/src/input/intaf.input.pamphlet
index 2a5c743..31a6311 100644
--- a/src/input/intaf.input.pamphlet
+++ b/src/input/intaf.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
 
 --S 1 of 20
-x**2 / sqrt(a + b*x**3)
+x^2 / sqrt(a + b*x^3)
 --R 
 --R
 --R              2
@@ -47,7 +47,7 @@ integrate(%,x)
 --E 2
 
 --S 3 of 20
-x**3 * sqrt(a + b*x**4)
+x^3 * sqrt(a + b*x^4)
 --R 
 --R
 --R           +--------+
@@ -69,7 +69,7 @@ integrate(%,x)
 --E 4
 
 --S 5 of 20
-1/sqrt(1+x**3)
+1/sqrt(1+x^3)
 --R 
 --R
 --R            1
@@ -94,7 +94,7 @@ integrate(%,x)
 --E 6
 
 --S 7 of 20
-sqrt(1+x**3)
+sqrt(1+x^3)
 --R 
 --R
 --R         +------+
@@ -115,7 +115,7 @@ integrate(%,x)
 --E 8
 
 --S 9 of 20
-1/(x * sqrt(1 + x**3))
+1/(x * sqrt(1 + x^3))
 --R 
 --R
 --R             1
@@ -139,7 +139,7 @@ integrate(%,x)
 --E 10
 
 --S 11 of 20
-x**3/sqrt(1+x**8)
+x^3/sqrt(1+x^8)
 --R 
 --R
 --R              3
@@ -164,7 +164,7 @@ integrate(%,x)
 --E 12
 
 --S 13 of 20
-x/sqrt(1-x**4)
+x/sqrt(1-x^4)
 --R 
 --R
 --R              x
@@ -189,7 +189,7 @@ integrate(%,x)
 --E 14
 
 --S 15 of 20
-(x+1)/((x-2) * sqrt(1 + x**3))
+(x+1)/((x-2) * sqrt(1 + x^3))
 --R 
 --R
 --R               x + 1
@@ -216,7 +216,7 @@ integrate(%,x)
 --E 16
 
 --S 17 of 20
-x**6/sqrt((x**7+1)*(x**7+2))
+x^6/sqrt((x^7+1)*(x^7+2))
 --R 
 --R
 --R                 6
diff --git a/src/input/intdeq.input.pamphlet b/src/input/intdeq.input.pamphlet
index ff675db..51a6ecb 100644
--- a/src/input/intdeq.input.pamphlet
+++ b/src/input/intdeq.input.pamphlet
@@ -29,7 +29,7 @@ y := operator y
 --E 1
 
 --S 2 of 7
-deq := differentiate(y x, x, 2) + 2*w[0]*differentiate(y x, x) + w[0]**2*y x
+deq := differentiate(y x, x, 2) + 2*w[0]*differentiate(y x, x) + w[0]^2*y x
 --R 
 --R
 --R         ,,          ,        2
diff --git a/src/input/intef.input.pamphlet b/src/input/intef.input.pamphlet
index f4e6aba..c7474d5 100644
--- a/src/input/intef.input.pamphlet
+++ b/src/input/intef.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 16
-(a*x+b) / (b**2 * x * log(x)**2 + 2*a*b*x**2*log(x) + a**2*x**3 + x)
+(a*x+b) / (b^2 * x * log(x)^2 + 2*a*b*x^2*log(x) + a^2*x^3 + x)
 --R 
 --R
 --R                        a x + b
@@ -41,7 +41,7 @@ integrate(%,x)
 --E 2
 
 --S 3 of 16
-((exp(x)-x**2+2*x)/(x**2*(exp(x)+x)**2))*exp((x**2-1)/x+1/(exp(x)+x))
+((exp(x)-x^2+2*x)/(x^2*(exp(x)+x)^2))*exp((x^2-1)/x+1/(exp(x)+x))
 --R 
 --R
 --R                           2       x    3
@@ -113,7 +113,7 @@ integrate(%,x)
 --E 8
 
 --S 9 of 16
-(2 * log(x)**2 - log x - x**2) / (log(x)**3 - x**2 * log x)
+(2 * log(x)^2 - log x - x^2) / (log(x)^3 - x^2 * log x)
 --R 
 --R
 --R               2             2
diff --git a/src/input/intef2.input.pamphlet b/src/input/intef2.input.pamphlet
index 126aca3..a60c833 100644
--- a/src/input/intef2.input.pamphlet
+++ b/src/input/intef2.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 10
-(a*x+b) / (b**2 * x * log(x)**2 + 2*a*b*x**2*log(x) + a**2*x**3 + x)
+(a*x+b) / (b^2 * x * log(x)^2 + 2*a*b*x^2*log(x) + a^2*x^3 + x)
 --R 
 --R
 --R                        a x + b
@@ -40,7 +40,7 @@ integrate(%,x)
 --E 2
 
 --S 3 of 10
-((exp(x)-x**2+2*x)/(x**2*(exp(x)+x)**2))*exp((x**2-1)/x+1/(exp(x)+x))
+((exp(x)-x^2+2*x)/(x^2*(exp(x)+x)^2))*exp((x^2-1)/x+1/(exp(x)+x))
 --R 
 --R
 --R                           2       x    3
diff --git a/src/input/intg0.input.pamphlet b/src/input/intg0.input.pamphlet
index 1677ee0..680e1cf 100644
--- a/src/input/intg0.input.pamphlet
+++ b/src/input/intg0.input.pamphlet
@@ -66,7 +66,7 @@ integrate(t1,x)
 --E 4
 
 --S 5 of 25
-z := sqrt(a**2 - x**2)
+z := sqrt(a^2 - x^2)
 --R 
 --R
 --R         +---------+
@@ -100,7 +100,7 @@ integrate(t2,x)
 --E 7
 
 --S 8 of 25
-t3:=x**2 * z
+t3:=x^2 * z
 --R 
 --R
 --R           +---------+
@@ -135,7 +135,7 @@ integrate(t3,x)
 --E 9
 
 --S 10 of 25
-t4:=x**3 / (a+b*x)**(1/3)
+t4:=x^3 / (a+b*x)^(1/3)
 --R 
 --R
 --R              3
@@ -159,7 +159,7 @@ integrate(t4,x)
 --E 11
 
 --S 12 of 25
-t5:=1 / (x**3 * (a+b*x)**(1/3))
+t5:=1 / (x^3 * (a+b*x)^(1/3))
 --R 
 --R
 --R               1
@@ -194,7 +194,7 @@ integrate(t5,x)
 Examples of transcendentals over a curve of genus 0
 \begin{chunk}{*}
 --S 14 of 25
-t6:=x / (y + y**2) + log(y + 1)
+t6:=x / (y + y^2) + log(y + 1)
 --R 
 --R
 --R           +-------+                +-------+
diff --git a/src/input/intlf.input.pamphlet b/src/input/intlf.input.pamphlet
index 49f409e..6f6e440 100644
--- a/src/input/intlf.input.pamphlet
+++ b/src/input/intlf.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 2
-exp(-x**2) * erf(x) / (erf(x)**3 - erf(x)**2 - erf(x) + 1)
+exp(-x^2) * erf(x) / (erf(x)^3 - erf(x)^2 - erf(x) + 1)
 --R 
 --R
 --R                            2
diff --git a/src/input/intmix.input.pamphlet b/src/input/intmix.input.pamphlet
index f1a1576..b65bf75 100644
--- a/src/input/intmix.input.pamphlet
+++ b/src/input/intmix.input.pamphlet
@@ -22,7 +22,7 @@
 )clear all
  
 --S 1 of 6
-(x + 1) / (x * (x + log x)**(3/2)) - 1/(x * log(x)**2)
+(x + 1) / (x * (x + log x)^(3/2)) - 1/(x * log(x)^2)
 --R 
 --R
 --R                       +----------+                2
@@ -49,7 +49,7 @@ integrate(%, x)
 This one requires solving a risch d.e. over an elliptic curve
 \begin{chunk}{*}
 --S 3 of 6
-((5*x**4+2*x-2)/x**2 * (1+1/sqrt(x**3+1))+x/sqrt(x**3+1)) * exp(x*sqrt(x**3+1))
+((5*x^4+2*x-2)/x^2 * (1+1/sqrt(x^3+1))+x/sqrt(x^3+1)) * exp(x*sqrt(x^3+1))
 --R 
 --R
 --R                                                         +------+
@@ -80,7 +80,7 @@ integrate(%, x)
 This one does not have an elementary integral
 \begin{chunk}{*}
 --S 5 of 6
-log(1 + exp x)**(1/3) / (1 + log(1 + exp x))
+log(1 + exp x)^(1/3) / (1 + log(1 + exp x))
 --R 
 --R
 --R          +------------+
diff --git a/src/input/intmix2.input.pamphlet b/src/input/intmix2.input.pamphlet
index a5c26a8..abab3d2 100644
--- a/src/input/intmix2.input.pamphlet
+++ b/src/input/intmix2.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 4
-(x + 1) / (x * (x + log x)**(3/2))
+(x + 1) / (x * (x + log x)^(3/2))
 --R 
 --R
 --R                    x + 1
@@ -46,7 +46,7 @@ integrate(%, x)
 This one does not have an elementary integral
 \begin{chunk}{*}
 --S 3 of 4
-log(1 + exp x)**(1/3) / (1 + log(1 + exp x))
+log(1 + exp x)^(1/3) / (1 + log(1 + exp x))
 --R 
 --R
 --R          +------------+
diff --git a/src/input/intrf.input.pamphlet b/src/input/intrf.input.pamphlet
index f0b5fc1..ba3bdb7 100644
--- a/src/input/intrf.input.pamphlet
+++ b/src/input/intrf.input.pamphlet
@@ -50,7 +50,7 @@ integrate(%,x)
 We need not factor the denominator
 \begin{chunk}{*}
 --S 3 of 14
-(x+1)**2/((x+1)**6+1)
+(x+1)^2/((x+1)^6+1)
 --R 
 --R
 --R                       2
@@ -73,7 +73,7 @@ integrate(%,x)
 --E 4
 
 --S 5 of 14
-(2*x**2+4)**4/(x**2-2)**5
+(2*x^2+4)^4/(x^2-2)^5
 --R 
 --R
 --R            8       6       4       2
@@ -104,7 +104,7 @@ integrate(%,x)
 --E 6
 
 --S 7 of 14
-x**5/(x**4+x**2+1)**2
+x^5/(x^4+x^2+1)^2
 --R 
 --R
 --R                    5
@@ -130,7 +130,7 @@ integrate(%,x)
 --E 8
 
 --S 9 of 14
-1/(x**2 + a)
+1/(x^2 + a)
 --R 
 --R
 --R           1
@@ -156,7 +156,7 @@ integrate(%,x)
 --E 10
 
 --S 11 of 14
-x**2/(x**4-a**2)
+x^2/(x^4-a^2)
 --R 
 --R
 --R             2
@@ -192,7 +192,7 @@ integrate(%,x)
 --E 12
 
 --S 13 of 14
-x/(1-x**3)
+x/(1-x^3)
 --R 
 --R
 --R              x
diff --git a/src/input/kamke0.input.pamphlet b/src/input/kamke0.input.pamphlet
index 2c03218..b7913aa 100644
--- a/src/input/kamke0.input.pamphlet
+++ b/src/input/kamke0.input.pamphlet
@@ -43,7 +43,7 @@ g := operator 'g
 --E 3
 
 --S 4 of 134
-ode1 := D(y(x),x) - (a4*x**4+a3*x**3+a2*x**2+a1*x+a0)**(-1/2)
+ode1 := D(y(x),x) - (a4*x^4+a3*x^3+a2*x^2+a1*x+a0)^(-1/2)
 --R 
 --R
 --R         +---------------------------------+
@@ -146,7 +146,7 @@ ode3expr:=D(yx,x) + a*yx - b*sin(c*x)
 --E 13
 
 --S 14 of 134
-ode4 := D(y(x),x) + 2*x*y(x) - x*exp(-x**2)
+ode4 := D(y(x),x) + 2*x*y(x) - x*exp(-x^2)
 --R
 --R                        2
 --R          ,          - x
@@ -178,7 +178,7 @@ yx:=ode4a.particular
 --E 16
 
 --S 17 of 134
-ode4expr:=D(yx,x) + 2*x*yx - x*exp(-x**2)
+ode4expr:=D(yx,x) + 2*x*yx - x*exp(-x^2)
 --R
 --R   (17)  0
 --R                                                    Type: Expression(Integer)
@@ -414,7 +414,7 @@ ode11a:=solve(ode11,y,x)
 --E 41
 
 --S 42 of 134
-ode12 := D(y(x),x) + y(x)**2 - 1
+ode12 := D(y(x),x) + y(x)^2 - 1
 --R
 --R          ,          2
 --R   (40)  y (x) + y(x)  - 1
@@ -432,7 +432,7 @@ yx:=solve(ode12,y,x)
 --E 43
 
 --S 44 of 134
-ode12expr:=D(yx,x) + yx**2 - 1
+ode12expr:=D(yx,x) + yx^2 - 1
 --R
 --R   (42)
 --R         ,           2                  2
@@ -451,7 +451,7 @@ ode12expr:=D(yx,x) + yx**2 - 1
 --E 44
 
 --S 45 of 134
-ode13 := D(y(x),x) + y(x)**2 - a*x - b
+ode13 := D(y(x),x) + y(x)^2 - a*x - b
 --R
 --R          ,          2
 --R   (43)  y (x) + y(x)  - a x - b
@@ -467,7 +467,7 @@ ode13a:=solve(ode13,y,x)
 --E 46
 
 --S 47 of 134
-ode14 := D(y(x),x) + y(x)**2 + a*x**m
+ode14 := D(y(x),x) + y(x)^2 + a*x^m
 --R 
 --R
 --R          ,         m       2
@@ -484,7 +484,7 @@ ode14a:=solve(ode14,y,x)
 --E 48
 
 --S 49 of 134
-ode15 := D(y(x),x) + y(x)**2 - 2*x**2*y(x) + x**4 -2*x-1
+ode15 := D(y(x),x) + y(x)^2 - 2*x^2*y(x) + x^4 -2*x-1
 --R 
 --R
 --R          ,          2     2        4
@@ -505,7 +505,7 @@ yx:=solve(ode15,y,x)
 --E 50
 
 --S 51 of 134
-ode15expr:=D(yx,x) + yx**2 - 2*x**2*yx + x**4 -2*x-1
+ode15expr:=D(yx,x) + yx^2 - 2*x^2*yx + x^4 -2*x-1
 --R
 --R   (49)
 --R            2x ,
@@ -533,7 +533,7 @@ ode15expr:=D(yx,x) + yx**2 - 2*x**2*yx + x**4 -2*x-1
 --E 51
 
 --S 52 of 134
-ode16 := D(y(x),x) + y(x)**2 +(x*y(x)-1)*f(x)
+ode16 := D(y(x),x) + y(x)^2 +(x*y(x)-1)*f(x)
 --R
 --R          ,          2
 --R   (50)  y (x) + y(x)  + x f(x)y(x) - f(x)
@@ -549,7 +549,7 @@ ode16a:=solve(ode16,y,x)
 --E 53
 
 --S 54 of 134
-ode17 := D(y(x),x) - y(x)**2 -3*y(x) + 4 
+ode17 := D(y(x),x) - y(x)^2 -3*y(x) + 4 
 --R 
 --R
 --R          ,          2
@@ -569,7 +569,7 @@ yx:=solve(ode17,y,x)
 --E 55
 
 --S 56 of 134
-ode17expr:=D(yx,x) - yx**2 -3*yx + 4 
+ode17expr:=D(yx,x) - yx^2 -3*yx + 4 
 --R
 --R   (54)
 --R          ,             2                          2
@@ -598,7 +598,7 @@ ode17expr:=D(yx,x) - yx**2 -3*yx + 4
 --E 56
 
 --S 57 of 134
-ode18 := D(y(x),x) - y(x)**2 - x*y(x) - x + 1 
+ode18 := D(y(x),x) - y(x)^2 - x*y(x) - x + 1 
 --R 
 --R
 --R          ,          2
@@ -631,7 +631,7 @@ yx:=solve(ode18,y,x)
 --E 58
 
 --S 59 of 134
-ode18expr:=D(yx,x) - yx**2 - x*yx - x + 1 
+ode18expr:=D(yx,x) - yx^2 - x*yx - x + 1 
 --R   (57)
 --R                                  2      2
 --R                               - x  + 4x
@@ -687,7 +687,7 @@ ode18expr:=D(yx,x) - yx**2 - x*yx - x + 1
 --E 59
 
 --S 60 of 134
-ode19 := D(y(x),x) - (y(x) + x)**2
+ode19 := D(y(x),x) - (y(x) + x)^2
 --R 
 --R
 --R          ,          2              2
@@ -710,7 +710,7 @@ yx:=solve(ode19,y,x)
 --E 61
 
 --S 62 of 134
-ode19expr := D(yx,x) - (yx + x)**2
+ode19expr := D(yx,x) - (yx + x)^2
 --R
 --R   (60)
 --R               +---+
@@ -745,7 +745,7 @@ ode19expr := D(yx,x) - (yx + x)**2
 --E 62
 
 --S 63 of 134
-ode20 := D(y(x),x) - y(x)**2 +(x**2 + 1)*y(x) - 2*x 
+ode20 := D(y(x),x) - y(x)^2 +(x^2 + 1)*y(x) - 2*x 
 --R 
 --R
 --R          ,          2     2
@@ -777,7 +777,7 @@ yx:=solve(ode20,y,x)
 --E 64
 
 --S 65 of 134
-ode20expr:=D(yx,x) - yx**2 +(x**2 + 1)*yx - 2*x 
+ode20expr:=D(yx,x) - yx^2 +(x^2 + 1)*yx - 2*x 
 --R
 --R   (63)
 --R                                                       3      2
@@ -847,7 +847,7 @@ ode20expr:=D(yx,x) - yx**2 +(x**2 + 1)*yx - 2*x
 --E 65
 
 --S 66 of 134
-ode21 := D(y(x),x) - y(x)**2 +y(x)*sin(x) - cos(x) 
+ode21 := D(y(x),x) - y(x)^2 +y(x)*sin(x) - cos(x) 
 --R 
 --R
 --R          ,                                2
@@ -865,7 +865,7 @@ ode21a:=solve(ode21,y,x)
 --E 67
 
 --S 68 of 134
-ode22 := D(y(x),x) - y(x)**2 -y(x)*sin(2*x) - cos(2*x) 
+ode22 := D(y(x),x) - y(x)^2 -y(x)*sin(2*x) - cos(2*x) 
 --R 
 --R
 --R          ,                                  2
@@ -883,7 +883,7 @@ ode22a:=solve(ode22,y,x)
 --E 69
 
 --S 70 of 134
-ode23 := D(y(x),x) + a*y(x)**2 - b
+ode23 := D(y(x),x) + a*y(x)^2 - b
 --R 
 --R
 --R          ,            2
@@ -908,7 +908,7 @@ yx:=solve(ode23,y,x)
 --E 71
 
 --S 72 of 134
-ode23expr := D(yx,x) + a*yx**2 - b
+ode23expr := D(yx,x) + a*yx^2 - b
 --R
 --R   (70)
 --R                                         2      +---+             2
@@ -932,7 +932,7 @@ ode23expr := D(yx,x) + a*yx**2 - b
 --E 72
 
 --S 73 of 134
-ode24 := D(y(x),x) + a*y(x)**2 - b*x**nu
+ode24 := D(y(x),x) + a*y(x)^2 - b*x^nu
 --R 
 --R
 --R          ,         nu         2
@@ -950,7 +950,7 @@ ode24a:=solve(ode24,y,x)
 --E 74
 
 --S 75 of 134
-ode25 := D(y(x),x) + a*y(x)**2 - b*x**(2*nu) - c*x**(nu-1)
+ode25 := D(y(x),x) + a*y(x)^2 - b*x^(2*nu) - c*x^(nu-1)
 --R 
 --R
 --R          ,         2nu      nu - 1         2
@@ -1100,7 +1100,7 @@ ode27a:=solve(ode27,y,x)
 --E 81
 
 --S 82 of 134
-ode28 := D(y(x),x) + x*y(x)**2 -x**3*y(x) - 2*x 
+ode28 := D(y(x),x) + x*y(x)^2 -x^3*y(x) - 2*x 
 --R 
 --R
 --R          ,            2    3
@@ -1133,7 +1133,7 @@ ode28a:=solve(ode28,y,x)
 --E 83
 
 --S 84 of 134
-ode29 := D(y(x),x) - x*y(x)**2 - 3*x*y(x) 
+ode29 := D(y(x),x) - x*y(x)^2 - 3*x*y(x) 
 --R 
 --R
 --R          ,            2
@@ -1154,7 +1154,7 @@ yx:=solve(ode29,y,x)
 --E 85
 
 --S 86 of 134
-ode29expr := D(yx,x) - x*yx**2 - 3*x*yx 
+ode29expr := D(yx,x) - x*yx^2 - 3*x*yx 
 --R
 --R   (84)
 --R          ,                2                         2
@@ -1184,7 +1184,7 @@ ode29expr := D(yx,x) - x*yx**2 - 3*x*yx
 --E 86
 
 --S 87 of 134
-ode30 := D(y(x),x) + x**(-a-1)*y(x)**2 - x**a
+ode30 := D(y(x),x) + x^(-a-1)*y(x)^2 - x^a
 --R 
 --R
 --R          ,       a       2 - a - 1
@@ -1202,7 +1202,7 @@ ode30a:=solve(ode30,y,x)
 --E 88
 
 --S 89 of 134
-ode31 := D(y(x),x) - a*x**n*(y(x)**2+1) 
+ode31 := D(y(x),x) - a*x^n*(y(x)^2+1) 
 --R 
 --R
 --R          ,               2      n
@@ -1223,7 +1223,7 @@ yx:=solve(ode31,y,x)
 --E 90
 
 --S 91 of 134
-ode31expr := D(yx,x) - a*x**n*(yx**2+1) 
+ode31expr := D(yx,x) - a*x^n*(yx^2+1) 
 --R
 --R   (89)
 --R         2           ,          3 2    2    3 2  n   n log(x) 2
@@ -1251,7 +1251,7 @@ ode31expr := D(yx,x) - a*x**n*(yx**2+1)
 --E 91
 
 --S 92 of 134
-ode32 := D(y(x),x) + y(x)**2*sin(x) - 2*sin(x)/cos(x)**2
+ode32 := D(y(x),x) + y(x)^2*sin(x) - 2*sin(x)/cos(x)^2
 --R 
 --R
 --R               2 ,           2      2
@@ -1272,7 +1272,7 @@ yx:=solve(ode32,y,x)
 --E 93
 
 --S 94 of 134
-ode33 := D(y(x),x) - y(x)**2*D(f(x),x)/g(x) + D(g(x),x)/f(x)
+ode33 := D(y(x),x) - y(x)^2*D(f(x),x)/g(x) + D(g(x),x)/f(x)
 --R
 --R                  ,           ,              2 ,
 --R         f(x)g(x)y (x) + g(x)g (x) - f(x)y(x) f (x)
@@ -1290,7 +1290,7 @@ ode33a:=solve(ode33,y,x)
 --E 95
 
 --S 96 of 134
-ode34 := D(y(x),x) + f(x)*y(x)**2 + g(x)*y(x) 
+ode34 := D(y(x),x) + f(x)*y(x)^2 + g(x)*y(x) 
 --R
 --R          ,              2
 --R   (94)  y (x) + f(x)y(x)  + g(x)y(x)
@@ -1310,7 +1310,7 @@ ode34a:=solve(ode34,y,x)
 --E 97
 
 --S 98 of 134
-ode35 := D(y(x),x) + f(x)*(y(x)**2 + 2*a*y(x) +b) 
+ode35 := D(y(x),x) + f(x)*(y(x)^2 + 2*a*y(x) +b) 
 --R
 --R          ,              2
 --R   (95)  y (x) + f(x)y(x)  + 2a f(x)y(x) + b f(x)
@@ -1341,7 +1341,7 @@ yx:=solve(ode35,y,x)
 --E 99
 
 --S 100 of 134
-ode35expr := D(yx,x) + f(x)*(yx**2 + 2*a*yx +b) 
+ode35expr := D(yx,x) + f(x)*(yx^2 + 2*a*yx +b) 
 --R
 --R   (97)
 --R                  2         2             3               2     2
@@ -1400,7 +1400,7 @@ ode35expr := D(yx,x) + f(x)*(yx**2 + 2*a*yx +b)
 --R             /
 --R                    2
 --R                y(x)  + 2a y(x) + b
---R        **
+--R        ^
 --R           2
 --R     + 
 --R                    3         2      2      4                 2     3
@@ -1433,7 +1433,7 @@ ode35expr := D(yx,x) + f(x)*(yx**2 + 2*a*yx +b)
 --E 100
 
 --S 101 of 134
-ode36 := D(y(x),x) + y(x)**3 + a*x*y(x)**2 
+ode36 := D(y(x),x) + y(x)^3 + a*x*y(x)^2 
 --R 
 --R
 --R          ,          3           2
@@ -1451,7 +1451,7 @@ ode36a:=solve(ode36,y,x)
 --E 102
 
 --S 103 of 134
-ode37 := D(y(x),x) - y(x)**3 - a*exp(x)*y(x)**2
+ode37 := D(y(x),x) - y(x)^3 - a*exp(x)*y(x)^2
 --R
 --R           ,            2  x       3
 --R   (100)  y (x) - a y(x) %e  - y(x)
@@ -1467,7 +1467,7 @@ ode37a:=solve(ode37,y,x)
 --E 104
 
 --S 105 of 134
-ode38 := D(y(x),x) - a*y(x)**3 - b*x**(3/2)
+ode38 := D(y(x),x) - a*y(x)^3 - b*x^(3/2)
 --R
 --R           ,          +-+         3
 --R   (102)  y (x) - b x\|x  - a y(x)
@@ -1483,7 +1483,7 @@ ode38a:=solve(ode38,y,x)
 --E 106
 
 --S 107 of 134
-ode39 := D(y(x),x) - a3*y(x)**3 - a2*y(x)**2 - a1*y(x) - a0
+ode39 := D(y(x),x) - a3*y(x)^3 - a2*y(x)^2 - a1*y(x) - a0
 --R
 --R           ,             3          2
 --R   (104)  y (x) - a3 y(x)  - a2 y(x)  - a1 y(x) - a0
@@ -1662,7 +1662,7 @@ yx:=solve(ode39,y,x)
 --E 108
 
 --S 109 of 134
-ode40 := D(y(x),x) + 3*a*y(x)**3 + 6*a*x*y(x)**2
+ode40 := D(y(x),x) + 3*a*y(x)^3 + 6*a*x*y(x)^2
 --R
 --R           ,             3            2
 --R   (106)  y (x) + 3a y(x)  + 6a x y(x)
@@ -1678,7 +1678,7 @@ ode40a:=solve(ode40,y,x)
 --E 110
 
 --S 111 of 134
-ode41 := D(y(x),x) + a*x*y(x)**3 + b*y(x)**2
+ode41 := D(y(x),x) + a*x*y(x)^3 + b*y(x)^2
 --R
 --R           ,              3         2
 --R   (108)  y (x) + a x y(x)  + b y(x)
@@ -1694,7 +1694,7 @@ ode41a:=solve(ode41,y,x)
 --E 112
 
 --S 113 of 134
-ode42 := D(y(x),x) - x*(x+2)*y(x)**3 - (x+3)*y(x)**2
+ode42 := D(y(x),x) - x*(x+2)*y(x)^3 - (x+3)*y(x)^2
 --R
 --R           ,          2          3                2
 --R   (110)  y (x) + (- x  - 2x)y(x)  + (- x - 3)y(x)
@@ -1710,7 +1710,7 @@ ode42a:=solve(ode42,y,x)
 --E 114
 
 --S 115 of 134
-ode43 := D(y(x),x) + (3*a*x**2 + 4*a**2*x + b)*y(x)**3 + 3*x*y(x)**2
+ode43 := D(y(x),x) + (3*a*x^2 + 4*a^2*x + b)*y(x)^3 + 3*x*y(x)^2
 --R
 --R           ,           2     2          3          2
 --R   (112)  y (x) + (3a x  + 4a x + b)y(x)  + 3x y(x)
@@ -1726,7 +1726,7 @@ ode43a:=solve(ode43,y,x)
 --E 116
 
 --S 117 of 134
-ode44 := D(y(x),x) + 2*a*x**3*y(x)**3 + 2*x*y(x)
+ode44 := D(y(x),x) + 2*a*x^3*y(x)^3 + 2*x*y(x)
 --R
 --R           ,          3    3
 --R   (114)  y (x) + 2a x y(x)  + 2x y(x)
@@ -1747,7 +1747,7 @@ yx:=solve(ode44,y,x)
 --E 118
 
 --S 119 of 134
-ode44expr := D(yx,x) + 2*a*x**3*yx**3 + 2*x*yx
+ode44expr := D(yx,x) + 2*a*x^3*yx^3 + 2*x*yx
 --R
 --R   (116)
 --R                    2 2                                               2 2
@@ -1768,7 +1768,7 @@ ode44expr := D(yx,x) + 2*a*x**3*yx**3 + 2*x*yx
 --E 119
 
 --S 120 of 134
-ode45 := D(y(x),x) + 2*(a**2*x**3 - b**2*x)*y(x)**3 + 3*b*y(x)**2
+ode45 := D(y(x),x) + 2*(a^2*x^3 - b^2*x)*y(x)^3 + 3*b*y(x)^2
 --R
 --R           ,         2 3     2      3          2
 --R   (117)  y (x) + (2a x  - 2b x)y(x)  + 3b y(x)
@@ -1784,8 +1784,8 @@ ode45a:=solve(ode45,y,x)
 --E 121
 
 --S 122 of 134
-ode46 := D(y(x),x) - x**a*y(x)**3 + 3*y(x)**2 - x**(-a)*y(x) _
-              -x**(-2*a) + a*x**(-a-1)
+ode46 := D(y(x),x) - x^a*y(x)^3 + 3*y(x)^2 - x^(-a)*y(x) _
+              -x^(-2*a) + a*x^(-a-1)
 --R
 --R           ,          3 a        - a      - a - 1    - 2a        2
 --R   (119)  y (x) - y(x) x  - y(x)x    + a x        - x     + 3y(x)
@@ -1801,7 +1801,7 @@ ode46a:=solve(ode46,y,x)
 --E 123
 
 --S 124 of 134
-ode47 := D(y(x),x) - a*(x**n - x)*y(x)**3 - y(x)**2
+ode47 := D(y(x),x) - a*(x^n - x)*y(x)^3 - y(x)^2
 --R
 --R           ,            3 n           3       2
 --R   (121)  y (x) - a y(x) x  + a x y(x)  - y(x)
@@ -1817,7 +1817,7 @@ ode47a:=solve(ode47,y,x)
 --E 125
 
 --S 126 of 134
-ode48 := D(y(x),x) - (a*x**n + b*x)*y(x)**3 - c*y(x)**2
+ode48 := D(y(x),x) - (a*x^n + b*x)*y(x)^3 - c*y(x)^2
 --R
 --R           ,            3 n           3         2
 --R   (123)  y (x) - a y(x) x  - b x y(x)  - c y(x)
@@ -1833,7 +1833,7 @@ ode48a:=solve(ode48,y,x)
 --E 127
 
 --S 128 of 134
-ode49 := D(y(x),x) + a*diff(phi(x),x)*y(x)**3 + 6*a*phi(x)*y(x)**2 + _
+ode49 := D(y(x),x) + a*diff(phi(x),x)*y(x)^3 + 6*a*phi(x)*y(x)^2 + _
           (2*a+1)*y(x)*diff(phi(x),x,x)/diff(phi(x),x) +2*(a+1)
 --R 
 --R   There are no library operations named phi 
@@ -1879,7 +1879,7 @@ f0 := operator 'f0
 --E 132
 
 --S 133 of 134
-ode50 := D(y(x),x) - f3(x)*y(x)**3 - f2(x)*y(x)**2 - f1(x)*y(x) - f0(x)
+ode50 := D(y(x),x) - f3(x)*y(x)^3 - f2(x)*y(x)^2 - f1(x)*y(x) - f0(x)
 --R
 --R           ,               3            2
 --R   (129)  y (x) - f3(x)y(x)  - f2(x)y(x)  - f1(x)y(x) - f0(x)
diff --git a/src/input/kamke1.input.pamphlet b/src/input/kamke1.input.pamphlet
index db98425..c9fe836 100644
--- a/src/input/kamke1.input.pamphlet
+++ b/src/input/kamke1.input.pamphlet
@@ -87,7 +87,7 @@ ode51a:=solve(ode51,y,x)
 --E 6
 
 --S 7 of 120
-ode52 := D(y(x),x) - a*y(x)**n - b*x**(n/(1-n))
+ode52 := D(y(x),x) - a*y(x)^n - b*x^(n/(1-n))
 --R
 --R                                 n
 --R                             - -----
@@ -105,7 +105,7 @@ ode52a:=solve(ode52,y,x)
 --E 8
 
 --S 9 of 120
-ode53 := D(y(x),x) - f(x)**(1-n)*D(g(x),x)*y(x)**n/(a*g(x)+b)**n _
+ode53 := D(y(x),x) - f(x)^(1-n)*D(g(x),x)*y(x)^n/(a*g(x)+b)^n _
            - D(f(x),x)*y(x)/f(x) - f(x)*D(g(x),x)
 --R
 --R   (9)
@@ -130,7 +130,7 @@ ode53a:=solve(ode53,y,x)
 --E 10
 
 --S 11 of 120
-ode54 := D(y(x),x) - a**n*f(x)**(1-n)*D(g(x),x)*y(x)**n - _
+ode54 := D(y(x),x) - a^n*f(x)^(1-n)*D(g(x),x)*y(x)^n - _
           D(f(x),x)*y(x)/f(x) - f(x)*D(g(x),x)
 --R
 --R              ,              n    - n + 1    n       2  ,           ,
@@ -149,7 +149,7 @@ ode54a:=solve(ode54,y,x)
 --E 12
 
 --S 13 of 120
-ode55 := D(y(x),x) - f(x)*y(x)**n - g(x)*y(x) - h(x)
+ode55 := D(y(x),x) - f(x)*y(x)^n - g(x)*y(x) - h(x)
 --R
 --R          ,              n
 --R   (13)  y (x) - f(x)y(x)  - g(x)y(x) - h(x)
@@ -165,7 +165,7 @@ ode55a:=solve(ode55,y,x)
 --E 14
 
 --S 15 of 120
-ode56 := D(y(x),x) - f(x)*y(x)**a - g(x)*y(x)**b
+ode56 := D(y(x),x) - f(x)*y(x)^a - g(x)*y(x)^b
 --R
 --R          ,              b           a
 --R   (15)  y (x) - g(x)y(x)  - f(x)y(x)
@@ -235,11 +235,11 @@ ode58a:=solve(ode58,y,x)
 --E 21
 
 --  this never finishes
---  ode59 := D(y(x),x) - a*sqrt(y(x)**2+1) - b
+--  ode59 := D(y(x),x) - a*sqrt(y(x)^2+1) - b
 --
 
 --S 22 of 120
-ode60 := D(y(x),x) - sqrt(y(x)**2-1)/sqrt(x**2-1)
+ode60 := D(y(x),x) - sqrt(y(x)^2-1)/sqrt(x^2-1)
 --R
 --R          +------+         +---------+
 --R          | 2      ,       |    2
@@ -260,7 +260,7 @@ ode60a:=solve(ode60,y,x)
 --E 23
 
 --S 24 of 120
-ode61 := D(y(x),x) - sqrt(x**2-1)/sqrt(y(x)**2-1)
+ode61 := D(y(x),x) - sqrt(x^2-1)/sqrt(y(x)^2-1)
 --R
 --R          +---------+         +------+
 --R          |    2      ,       | 2
@@ -326,7 +326,7 @@ yx:=solve(ode61,y,x)
 --E 25
 
 --S 26 of 120
-ode61expr := D(yx,x) - sqrt(x**2-1)/sqrt(yx**2-1)
+ode61expr := D(yx,x) - sqrt(x^2-1)/sqrt(yx^2-1)
 --R
 --R   (26)
 --R                             4      2         5       4      2          3
@@ -964,8 +964,8 @@ ode61expr := D(yx,x) - sqrt(x**2-1)/sqrt(yx**2-1)
 --E 26
 
 --S 27 of 120
-ode62 := D(y(x),x) - (y(x)-x**2*sqrt(x**2-y(x)**2))/_
-                      (x*y(x)*sqrt(x**2-y(x)**2)+x)
+ode62 := D(y(x),x) - (y(x)-x^2*sqrt(x^2-y(x)^2))/_
+                      (x*y(x)*sqrt(x^2-y(x)^2)+x)
 --R
 --R                 +------------+                +------------+
 --R                 |      2    2       ,       2 |      2    2
@@ -986,7 +986,7 @@ ode62a:=solve(ode62,y,x)
 --E 28
 
 --S 29 of 120
-ode63 := D(y(x),x) - (1+ y(x)**2)/(abs(y(x)+sqrt(1+y(x)))*sqrt(1+x)**3)
+ode63 := D(y(x),x) - (1+ y(x)^2)/(abs(y(x)+sqrt(1+y(x)))*sqrt(1+x)^3)
 --R
 --R                 +-----+ ,        +--------+               2
 --R         (x + 1)\|x + 1 y (x)abs(\|y(x) + 1  + y(x)) - y(x)  - 1
@@ -1005,7 +1005,7 @@ ode63a:=solve(ode63,y,x)
 --E 30
 
 --S 31 of 120
-ode64 := D(y(x),x) - sqrt((a*y(x)**2+b*y(x)+c)/(a*x**2+b*x+c))
+ode64 := D(y(x),x) - sqrt((a*y(x)^2+b*y(x)+c)/(a*x^2+b*x+c))
 --R
 --R                  +--------------------+
 --R                  |      2
@@ -1116,11 +1116,11 @@ The results of this substitution are too long to include.
 It should be zero but Axiom cannot simplify it.
 \begin{chunk}{*}
 --S 33 of 120
-ode64expr := D(yx,x) - sqrt((a*yx**2+b*yx+c)/(a*x**2+b*x+c));
+ode64expr := D(yx,x) - sqrt((a*yx^2+b*yx+c)/(a*x^2+b*x+c));
 --E 33
 
 --S 34 of 120
-ode65 := D(y(x),x) - sqrt((y(x)**3+1)/(x**3+1))
+ode65 := D(y(x),x) - sqrt((y(x)^3+1)/(x^3+1))
 --R
 --R                  +---------+
 --R                  |    3
@@ -1175,7 +1175,7 @@ ode66a:=solve(ode66,y,x)
 --E 37
 
 --S 38 of 120
-ode67 := D(y(x),x) - sqrt(1-y(x)**4)/sqrt(1-x**4)
+ode67 := D(y(x),x) - sqrt(1-y(x)^4)/sqrt(1-x^4)
 --R
 --R          +--------+         +-----------+
 --R          |   4      ,       |      4
@@ -1196,7 +1196,7 @@ ode67a:=solve(ode67,y,x)
 --E 39
 
 --S 40 of 120
-ode68 := D(y(x),x) - sqrt((a*y(x)**4+b*y(x)**2+1)/(a*x**4+b*x**2+1))
+ode68 := D(y(x),x) - sqrt((a*y(x)^4+b*y(x)^2+1)/(a*x^4+b*x^2+1))
 --R
 --R                  +---------------------+
 --R                  |      4         2
@@ -1226,8 +1226,8 @@ ode68a:=solve(ode68,y,x)
 --E 41
 
 --S 42 of 120
-ode69 := D(y(x),x) - sqrt((b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0)*_
-                           (a4*x**4+a3*x**3+a2*x**2+a1*x+a0))
+ode69 := D(y(x),x) - sqrt((b4*y(x)^4+b3*y(x)^3+b2*y(x)^2+b1*y(x)+b0)*_
+                           (a4*x^4+a3*x^3+a2*x^2+a1*x+a0))
 --R 
 --R
 --R   (42)
@@ -1266,8 +1266,8 @@ ode69a:=solve(ode69,y,x)
 --E 43
 
 --S 44 of 120
-ode70 := D(y(x),x) - sqrt((a4*x**4+a3*x**3+a2*x**2+a1*x+a0)/_
-                        (b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0))
+ode70 := D(y(x),x) - sqrt((a4*x^4+a3*x^3+a2*x^2+a1*x+a0)/_
+                        (b4*y(x)^4+b3*y(x)^3+b2*y(x)^2+b1*y(x)+b0))
 --R
 --R                  +---------------------------------------------+
 --R                  |          4       3       2
@@ -1290,8 +1290,8 @@ ode70a:=solve(ode70,y,x)
 --E 45
 
 --S 46 of 120
-ode71 := D(y(x),x) - sqrt((b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0)/_
-                       (a4*x**4+a3*x**3+a2*x**2+a1*x+a0))
+ode71 := D(y(x),x) - sqrt((b4*y(x)^4+b3*y(x)^3+b2*y(x)^2+b1*y(x)+b0)/_
+                       (a4*x^4+a3*x^3+a2*x^2+a1*x+a0))
 --R
 --R                  +---------------------------------------------+
 --R                  |       4          3          2
@@ -1342,8 +1342,8 @@ R2:=operator 'R2
 --E 49
 
 --S 50 of 120
-ode72 := D(y(x),x) - R1(x,sqrt(a4*x**4+a3*x**3+a2*x**2+a1*x+a0))*_
-             R2(y(x),sqrt(b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0))
+ode72 := D(y(x),x) - R1(x,sqrt(a4*x^4+a3*x^3+a2*x^2+a1*x+a0))*_
+             R2(y(x),sqrt(b4*y(x)^4+b3*y(x)^3+b2*y(x)^2+b1*y(x)+b0))
 --R
 --R   (48)
 --R     -
@@ -1372,8 +1372,8 @@ ode72a:=solve(ode72,y,x)
 --E 51
 
 --S 52 of 120
-ode73 := D(y(x),x) - ((a3*x**3+a2*x**2+a1*x+a0)/_
-           (a3*y(x)**3+a2*y(x)**2+a1*y(x)+a0))**(2/3)
+ode73 := D(y(x),x) - ((a3*x^3+a2*x^2+a1*x+a0)/_
+           (a3*y(x)^3+a2*y(x)^2+a1*y(x)+a0))^(2/3)
 --R
 --R                  +----------------------------------+2
 --R                  |         3       2
@@ -1600,7 +1600,7 @@ ode81a:=solve(ode81,y,x)
 --E 69
 
 --S 70 of 120
-ode82 := D(y(x),x) - a*(1+tan(y(x))**2) + tan(y(x))*tan(x)
+ode82 := D(y(x),x) - a*(1+tan(y(x))^2) + tan(y(x))*tan(x)
 --R
 --R          ,                 2
 --R   (67)  y (x) - a tan(y(x))  + tan(x)tan(y(x)) - a
@@ -1648,7 +1648,7 @@ ode84a:=solve(ode84,y,x)
 --E 75
 
 --S 76 of 120
-ode85 := D(y(x),x) - x**(a-1)*y(x)**(1-b)*f(x**a/a + y(x)**b/b)
+ode85 := D(y(x),x) - x^(a-1)*y(x)^(1-b)*f(x^a/a + y(x)^b/b)
 --R
 --R                                    b      a
 --R            a - 1    - b + 1  a y(x)  + b x      ,
@@ -1665,7 +1665,7 @@ ode85a:=solve(ode85,y,x)
 --E 77
 
 --S 78 of 120
-ode86 := D(y(x),x) - (y(x)-x*f(x**2+a*y(x)**2))/(x+a*y(x)*f(x**2+a*y(x)**2))
+ode86 := D(y(x),x) - (y(x)-x*f(x^2+a*y(x)^2))/(x+a*y(x)*f(x^2+a*y(x)^2))
 --R
 --R                        2    2       ,                2    2
 --R         (a y(x)f(a y(x)  + x ) + x)y (x) + x f(a y(x)  + x ) - y(x)
@@ -1684,8 +1684,8 @@ ode86a:=solve(ode86,y,x)
 --E 79
 
 --S 80 of 120
-ode87 := D(y(x),x) - (y(x)*a*f(x**c*y(x))+c*x**a*y(x)**b)/_
-            (x*b*f(x**c*y(x))-x**a*y(x)**b)
+ode87 := D(y(x),x) - (y(x)*a*f(x^c*y(x))+c*x^a*y(x)^b)/_
+            (x*b*f(x^c*y(x))-x^a*y(x)^b)
 --R
 --R           a    b              c   ,         a    b                c
 --R         (x y(x)  - b x f(y(x)x ))y (x) + c x y(x)  + a y(x)f(y(x)x )
@@ -1704,7 +1704,7 @@ ode87a:=solve(ode87,y,x)
 --E 81
 
 --S 82 of 120
-ode88 := 2*D(y(x),x) - 3*y(x)**2 - 4*a*y(x) - b - c*exp(-2*a*x)
+ode88 := 2*D(y(x),x) - 3*y(x)^2 - 4*a*y(x) - b - c*exp(-2*a*x)
 --R
 --R           ,          - 2a x        2
 --R   (79)  2y (x) - c %e       - 3y(x)  - 4a y(x) - b
@@ -1720,7 +1720,7 @@ ode88a:=solve(ode88,y,x)
 --E 83
 
 --S 84 of 120
-ode89 := x*D(y(x),x) - sqrt(a**2 - x**2)
+ode89 := x*D(y(x),x) - sqrt(a^2 - x^2)
 --R
 --R                   +---------+
 --R           ,       |   2    2
@@ -1761,7 +1761,7 @@ yx:=ode89a.particular
 --E 86
 
 --S 87 of 120
-ode89expr := x*D(yx,x) - sqrt(a**2 - x**2)
+ode89expr := x*D(yx,x) - sqrt(a^2 - x^2)
 --R
 --R   (84)  0
 --R                                                    Type: Expression(Integer)
@@ -1834,7 +1834,7 @@ ode91expr := x*D(yx,x) - yx - x/log(x)
 --E 95
 
 --S 96 of 120
-ode92 := x*D(y(x),x) - y(x) - x**2*sin(x)
+ode92 := x*D(y(x),x) - y(x) - x^2*sin(x)
 --R
 --R           ,       2
 --R   (93)  xy (x) - x sin(x) - y(x)
@@ -1857,7 +1857,7 @@ yx:=ode92a.particular
 --E 98
 
 --S 99 of 120
-ode92expr := x*D(yx,x) - yx - x**2*sin(x)
+ode92expr := x*D(yx,x) - yx - x^2*sin(x)
 --R
 --R   (96)  0
 --R                                                    Type: Expression(Integer)
@@ -1897,7 +1897,7 @@ ode93 := x*D(yx,x) - yx - x*cos(log(log(x)))/log(x)
 --E 103
 
 --S 104 of 120
-ode94 := x*D(y(x),x) +a*y(x) + b*x**n
+ode94 := x*D(y(x),x) +a*y(x) + b*x^n
 --R
 --R            ,         n
 --R   (101)  xy (x) + b x  + a y(x)
@@ -1926,7 +1926,7 @@ yx:=ode94a.particular
 --E 106
 
 --S 107 of 120
-ode94expr := x*D(yx,x) +a*yx + b*x**n
+ode94expr := x*D(yx,x) +a*yx + b*x^n
 --R
 --R                n log(x)      n
 --R   (104)  - b %e         + b x
@@ -1949,7 +1949,7 @@ exprule ode94expr
 --E 109
 
 --S 110 of 120
-ode95 := x*D(y(x),x) + y(x)**2 + x**2
+ode95 := x*D(y(x),x) + y(x)^2 + x^2
 --R
 --R            ,          2    2
 --R   (107)  xy (x) + y(x)  + x
@@ -1966,7 +1966,7 @@ ode95a:=solve(ode95,y,x)
 --E 111
 
 --S 112 of 120
-ode96 := x*D(y(x),x) - y(x)**2 + 1
+ode96 := x*D(y(x),x) - y(x)^2 + 1
 --R 
 --R
 --R            ,          2
@@ -1986,7 +1986,7 @@ yx:=solve(ode96,y,x)
 --E 113
 
 --S 114 of 120
-ode96expr := x*D(yx,x) - yx**2 + 1
+ode96expr := x*D(yx,x) - yx^2 + 1
 --R
 --R   (111)
 --R    2 ,           2             2      +--------+ +--------+         2
@@ -1999,7 +1999,7 @@ ode96expr := x*D(yx,x) - yx**2 + 1
 --E 114
 
 --S 115 of 120
-ode98 := x*D(y(x),x) + a*y(x)**2 - b*y(x) + c*x**(2*b)
+ode98 := x*D(y(x),x) + a*y(x)^2 - b*y(x) + c*x^(2*b)
 --R 
 --R
 --R            ,         2b         2
@@ -2016,7 +2016,7 @@ ode98a:=solve(ode98,y,x)
 --E 116
 
 --S 117 of 120
-ode99 := x*D(y(x),x) + a*y(x)**2 - b*y(x) - c*x**beta
+ode99 := x*D(y(x),x) + a*y(x)^2 - b*y(x) - c*x^beta
 --R 
 --R
 --R            ,         beta         2
@@ -2034,7 +2034,7 @@ ode99a:=solve(ode99,y,x)
 --E 118
 
 --S 119 of 120
-ode100 := x*D(y(x),x) + x*y(x)**2 + a
+ode100 := x*D(y(x),x) + x*y(x)^2 + a
 --R 
 --R
 --R            ,            2
diff --git a/src/input/kamke2.input.pamphlet b/src/input/kamke2.input.pamphlet
index cf319aa..0930ad6 100644
--- a/src/input/kamke2.input.pamphlet
+++ b/src/input/kamke2.input.pamphlet
@@ -43,7 +43,7 @@ g:=operator 'g
 
 -------------------------------------------------------------------
 --S 4 of 126
-ode101 := x*D(y(x),x) + x*y(x)**2 - y(x)
+ode101 := x*D(y(x),x) + x*y(x)^2 - y(x)
 --R
 --R          ,            2
 --R   (4)  xy (x) + x y(x)  - y(x)
@@ -74,7 +74,7 @@ yx:=solve(ode101,y,x)
 --E 5
 
 --S 6 of 126
-ode101expr := x*D(yx,x) + x*yx**2 - yx
+ode101expr := x*D(yx,x) + x*yx^2 - yx
 --R
 --R          2 ,        5     2     2     4         3
 --R        4x y (x) + (x  + 2x )y(x)  - 4x y(x) + 4x
@@ -87,7 +87,7 @@ ode101expr := x*D(yx,x) + x*yx**2 - yx
 
 -------------------------------------------------------------------
 --S 7 of 126
-ode102 := x*D(y(x),x) + x*y(x)**2 - y(x) - a*x**3
+ode102 := x*D(y(x),x) + x*y(x)^2 - y(x) - a*x^3
 --R
 --R          ,            2             3
 --R   (7)  xy (x) + x y(x)  - y(x) - a x
@@ -120,7 +120,7 @@ yx:=solve(ode102,y,x)
 --E 8
 
 --S 9 of 126
-ode102expr := x*D(yx,x) + x*yx**2 - yx - a*x**3
+ode102expr := x*D(yx,x) + x*yx^2 - yx - a*x^3
 --R
 --R   (9)
 --R                   2         2           3       2  3  +-+
@@ -222,7 +222,7 @@ ode102expr := x*D(yx,x) + x*yx**2 - yx - a*x**3
 
 -------------------------------------------------------------------
 --S 10 of 126
-ode103 := x*D(y(x),x) + x*y(x)**2 - (2*x**2+1)*y(x) - x**3
+ode103 := x*D(y(x),x) + x*y(x)^2 - (2*x^2+1)*y(x) - x^3
 --R
 --R           ,            2        2             3
 --R   (10)  xy (x) + x y(x)  + (- 2x  - 1)y(x) - x
@@ -257,7 +257,7 @@ yx:=solve(ode103,y,x)
 --E 11
 
 --S 12 of 126
-ode103expr := x*D(yx,x) + x*yx**2 - (2*x**2+1)*yx - x**3
+ode103expr := x*D(yx,x) + x*yx^2 - (2*x^2+1)*yx - x^3
 --R
 --R   (12)
 --R                                                            2 +-+
@@ -311,7 +311,7 @@ ode103expr := x*D(yx,x) + x*yx**2 - (2*x**2+1)*yx - x**3
 
 -------------------------------------------------------------------
 --S 13 of 126
-ode106 := x*D(y(x),x) + x**a*y(x)**2 + (a-b)*y(x)/2 + x**b
+ode106 := x*D(y(x),x) + x^a*y(x)^2 + (a-b)*y(x)/2 + x^b
 --R
 --R            ,        b        2 a
 --R         2xy (x) + 2x  + 2y(x) x  + (- b + a)y(x)
@@ -347,7 +347,7 @@ yx:=solve(ode106,y,x)
 
 -------------------------------------------------------------------
 --S 15 of 126
-ode107 := x*D(y(x),x) + a*x**alpha*y(x)**2 + b*y(x) - c*x**beta
+ode107 := x*D(y(x),x) + a*x^alpha*y(x)^2 + b*y(x) - c*x^beta
 --R
 --R           ,         beta         2 alpha
 --R   (15)  xy (x) - c x     + a y(x) x      + b y(x)
@@ -367,7 +367,7 @@ yx:=solve(ode107,y,x)
 
 -------------------------------------------------------------------
 --S 17 of 126
-ode108 := x*D(y(x),x) - y(x)**2*log(x) + y(x)
+ode108 := x*D(y(x),x) - y(x)^2*log(x) + y(x)
 --R
 --R           ,          2
 --R   (17)  xy (x) - y(x) log(x) + y(x)
@@ -397,7 +397,7 @@ yx:=solve(ode108,y,x)
 --E 18
 
 --S 19 of 126
-ode108expr := x*D(yx,x) - yx**2*log(x) + yx
+ode108expr := x*D(yx,x) - yx^2*log(x) + yx
 --R
 --R   (19)
 --R          2 ,          2      3           2               2
@@ -462,7 +462,7 @@ ode109expr := x*D(yx,x) - yx*(2*yx*log(x)-1)
 
 -------------------------------------------------------------------
 --S 23 of 126
-ode110 := x*D(y(x),x) + f(x)*(y(x)**2-x**2)
+ode110 := x*D(y(x),x) + f(x)*(y(x)^2-x^2)
 --R
 --R           ,              2    2
 --R   (23)  xy (x) + f(x)y(x)  - x f(x)
@@ -482,7 +482,7 @@ yx:=solve(ode110,y,x)
 
 -------------------------------------------------------------------
 --S 25 of 126
-ode111 := x*D(y(x),x) + y(x)**3 + 3*x*y(x)**2
+ode111 := x*D(y(x),x) + y(x)^3 + 3*x*y(x)^2
 --R
 --R           ,          3          2
 --R   (25)  xy (x) + y(x)  + 3x y(x)
@@ -505,7 +505,7 @@ yx:=solve(ode111,y,x)
 
 -------------------------------------------------------------------
 --S 27 of 126
-ode112 := x*D(y(x),x) - sqrt(y(x)**2 + x**2) - y(x)
+ode112 := x*D(y(x),x) - sqrt(y(x)^2 + x^2) - y(x)
 --R
 --R                   +----------+
 --R           ,       |    2    2
@@ -532,7 +532,7 @@ yx:=solve(ode112,y,x)
 
 -------------------------------------------------------------------
 --S 29 of 126
-ode113 := x*D(y(x),x) + a*sqrt(y(x)**2 + x**2) - y(x)
+ode113 := x*D(y(x),x) + a*sqrt(y(x)^2 + x^2) - y(x)
 --R
 --R                    +----------+
 --R           ,        |    2    2
@@ -564,7 +564,7 @@ yx:=solve(ode113,y,x)
 
 -------------------------------------------------------------------
 --S 31 of 126
-ode114 := x*D(y(x),x) - x*sqrt(y(x)**2 + x**2) - y(x)
+ode114 := x*D(y(x),x) - x*sqrt(y(x)^2 + x^2) - y(x)
 --R
 --R                    +----------+
 --R           ,        |    2    2
@@ -591,7 +591,7 @@ yx:=solve(ode114,y,x)
 
 -------------------------------------------------------------------
 --S 33 of 126
-ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)**2 + x**2) - y(x)
+ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)^2 + x^2) - y(x)
 --R
 --R                                  +----------+
 --R           ,                   2  |    2    2
@@ -618,7 +618,7 @@ yx:=solve(ode115,y,x)
 
 -------------------------------------------------------------------
 --S 35 of 126
-ode116 := x*D(y(x),x) - x*sqrt((y(x)**2 - x**2)*(y(x)**2-4*x**2)) - y(x)
+ode116 := x*D(y(x),x) - x*sqrt((y(x)^2 - x^2)*(y(x)^2-4*x^2)) - y(x)
 --R
 --R                    +----------------------+
 --R           ,        |    4     2    2     4
@@ -759,7 +759,7 @@ yx:=solve(ode119,y,x)
 
 -------------------------------------------------------------------
 --S 44 of 126
-ode120 := x*D(y(x),x) - y(x)*(x*log(x**2/y(x))+2)
+ode120 := x*D(y(x),x) - y(x)*(x*log(x^2/y(x))+2)
 --R
 --R                              2
 --R           ,                 x
@@ -812,7 +812,7 @@ yx:=solve(ode121,y,x)
 
 -------------------------------------------------------------------
 --S 48 of 126
-ode122 := x*D(y(x),x) + (sin(y(x))-3*x**2*cos(y(x)))*cos(y(x))
+ode122 := x*D(y(x),x) + (sin(y(x))-3*x^2*cos(y(x)))*cos(y(x))
 --R
 --R           ,                             2         2
 --R   (48)  xy (x) + cos(y(x))sin(y(x)) - 3x cos(y(x))
@@ -963,7 +963,7 @@ yx:=solve(ode126,y,x)
 
 -------------------------------------------------------------------
 --S 58 of 126
-ode127 := x*D(y(x),x) - y(x)*f(x**a*y(x)**b)
+ode127 := x*D(y(x),x) - y(x)*f(x^a*y(x)^b)
 --R
 --R                  a    b      ,
 --R   (58)  - y(x)f(x y(x) ) + xy (x)
@@ -988,7 +988,7 @@ yx:=solve(ode127,y,x)
 
 -------------------------------------------------------------------
 --S 60 of 126
-ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x**a*y(x))
+ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x^a*y(x))
 --R
 --R           ,                 a
 --R   (60)  xy (x) - f(x)g(y(x)x ) + a y(x)
@@ -1054,7 +1054,7 @@ yx:=solve(ode129,y,x)
 
 -------------------------------------------------------------------
 --S 64 of 126
-ode130 := 2*x*D(y(x),x) - y(x) -2*x**3
+ode130 := 2*x*D(y(x),x) - y(x) -2*x^3
 --R
 --R            ,               3
 --R   (64)  2xy (x) - y(x) - 2x
@@ -1096,7 +1096,7 @@ yx:=ode130a.particular
 --E 66
 
 --S 67 of 126
-ode130expr := 2*x*D(yx,x) - yx -2*x**3
+ode130expr := 2*x*D(yx,x) - yx -2*x^3
 --R
 --R   (67)  0
 --R                                                    Type: Expression(Integer)
@@ -1149,7 +1149,7 @@ ode131expr := (2*x+1)*D(yx,x) - 4*exp(-yx) + 2
 
 -------------------------------------------------------------------
 --S 71 of 126
-ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)**4 - y(x)
+ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)^4 - y(x)
 --R
 --R            ,             4
 --R   (71)  3xy (x) - 3x y(x) log(x) - y(x)
@@ -1200,7 +1200,7 @@ yx:=solve(ode132,y,x)
 --E 72
 
 --S 73 of 126
-ode132expr := 3*x*D(yx,x) - 3*x*log(x)*yx**4 - yx
+ode132expr := 3*x*D(yx,x) - 3*x*log(x)*yx^4 - yx
 --R
 --R   (73)
 --R            2    8 ,           9    12      5
@@ -1234,7 +1234,7 @@ ode132expr := 3*x*D(yx,x) - 3*x*log(x)*yx**4 - yx
 
 -------------------------------------------------------------------
 --S 74 of 126
-ode133 := x**2*D(y(x),x) + y(x) - x
+ode133 := x^2*D(y(x),x) + y(x) - x
 --R
 --R          2 ,
 --R   (74)  x y (x) + y(x) - x
@@ -1272,7 +1272,7 @@ yx:=solve(ode133,y,x)
 
 -------------------------------------------------------------------
 --S 76 of 126
-ode134 := x**2*D(y(x),x) - y(x) + x**2*exp(x-1/x)
+ode134 := x^2*D(y(x),x) - y(x) + x^2*exp(x-1/x)
 --R
 --R                        2
 --R                       x  - 1
@@ -1322,7 +1322,7 @@ yx:=ode134a.particular
 --E 78
 
 --S 79 of 126
-ode134expr := x**2*D(yx,x) - yx + x**2*exp(x-1/x)
+ode134expr := x^2*D(yx,x) - yx + x^2*exp(x-1/x)
 --R
 --R   (79)  0
 --R                                                    Type: Expression(Integer)
@@ -1330,7 +1330,7 @@ ode134expr := x**2*D(yx,x) - yx + x**2*exp(x-1/x)
 
 -------------------------------------------------------------------
 --S 80 of 126
-ode135 := x**2*D(y(x),x) - (x-1)*y(x)
+ode135 := x^2*D(y(x),x) - (x-1)*y(x)
 --R
 --R          2 ,
 --R   (80)  x y (x) + (- x + 1)y(x)
@@ -1368,7 +1368,7 @@ yx:=ode135a.particular
 --E 82
 
 --S 83 of 126
-ode135expr := x**2*D(yx,x) - (x-1)*yx
+ode135expr := x^2*D(yx,x) - (x-1)*yx
 --R
 --R   (83)  0
 --R                                                    Type: Expression(Integer)
@@ -1376,7 +1376,7 @@ ode135expr := x**2*D(yx,x) - (x-1)*yx
 
 -------------------------------------------------------------------
 --S 84 of 126
-ode136 := x**2*D(y(x),x) + y(x)**2 + x*y(x) + x**2
+ode136 := x^2*D(y(x),x) + y(x)^2 + x*y(x) + x^2
 --R
 --R          2 ,          2             2
 --R   (84)  x y (x) + y(x)  + x y(x) + x
@@ -1406,7 +1406,7 @@ yx:=solve(ode136,y,x)
 --E 85
 
 --S 86 of 126
-ode136expr := x**2*D(yx,x) + yx**2 + x*yx + x**2
+ode136expr := x^2*D(yx,x) + yx^2 + x*yx + x^2
 --R
 --R   (86)
 --R          3 ,           2              2       2
@@ -1426,7 +1426,7 @@ ode136expr := x**2*D(yx,x) + yx**2 + x*yx + x**2
 
 -------------------------------------------------------------------
 --S 87 of 126
-ode137 := x**2*D(y(x),x) - y(x)**2 - x*y(x)
+ode137 := x^2*D(y(x),x) - y(x)^2 - x*y(x)
 --R
 --R          2 ,          2
 --R   (87)  x y (x) - y(x)  - x y(x)
@@ -1456,7 +1456,7 @@ yx:=solve(ode137,y,x)
 --E 88
 
 --S 89 of 126
-ode137expr := x**2*D(yx,x) - yx**2 - x*yx
+ode137expr := x^2*D(yx,x) - yx^2 - x*yx
 --R
 --R            3 ,          2      2            2                          2    2
 --R         - x y (x) - y(x) log(x)  + (- x y(x)  - 2x y(x))log(x) + x y(x)  - x
@@ -1469,7 +1469,7 @@ ode137expr := x**2*D(yx,x) - yx**2 - x*yx
 
 -------------------------------------------------------------------
 --S 90 of 126
-ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
+ode138 := x^2*D(y(x),x) - y(x)^2 - x*y(x) - x^2
 --R
 --R          2 ,          2             2
 --R   (90)  x y (x) - y(x)  - x y(x) - x
@@ -1503,7 +1503,7 @@ yx:=solve(ode138,y,x)
 --E 91
 
 --S 92 of 126
-ode138expr := x**2*D(yx,x) - yx**2 - x*yx - x**2
+ode138expr := x^2*D(yx,x) - yx^2 - x*yx - x^2
 --R
 --R   (92)
 --R                  3 +---+        3             4 +---+        4
@@ -1554,7 +1554,7 @@ ode138expr := x**2*D(yx,x) - yx**2 - x*yx - x**2
 
 -------------------------------------------------------------------
 --S 93 of 126
-ode139 := x**2*(D(y(x),x)+y(x)**2) + a*x**k - b*(b-1)
+ode139 := x^2*(D(y(x),x)+y(x)^2) + a*x^k - b*(b-1)
 --R
 --R          2 ,         k    2    2    2
 --R   (93)  x y (x) + a x  + x y(x)  - b  + b
@@ -1579,7 +1579,7 @@ yx:=solve(ode139,y,x)
 
 -------------------------------------------------------------------
 --S 95 of 126
-ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
+ode140 := x^2*(D(y(x),x)+y(x)^2) + 4*x*y(x) + 2
 --R
 --R          2 ,       2    2
 --R   (95)  x y (x) + x y(x)  + 4x y(x) + 2
@@ -1610,7 +1610,7 @@ yx:=solve(ode140,y,x)
 --E 96
 
 --S 97 of 126
-ode140expr := x**2*(D(yx,x)+yx**2) + 4*x*yx + 2
+ode140expr := x^2*(D(yx,x)+yx^2) + 4*x*yx + 2
 --R
 --R   (97)
 --R      4 ,         4     3     2     2       3      2                2
@@ -1624,7 +1624,7 @@ ode140expr := x**2*(D(yx,x)+yx**2) + 4*x*yx + 2
 
 -------------------------------------------------------------------
 --S 98 of 126
-ode141 := x**2*(D(y(x),x)+y(x)**2) + a*x*y(x) + b
+ode141 := x^2*(D(y(x),x)+y(x)^2) + a*x*y(x) + b
 --R
 --R          2 ,       2    2
 --R   (98)  x y (x) + x y(x)  + a x y(x) + b
@@ -1663,7 +1663,7 @@ yx:=solve(ode141,y,x)
 --E 99
 
 --S 100 of 126
-ode141expr := x**2*(D(yx,x)+yx**2) + a*x*yx + b
+ode141expr := x^2*(D(yx,x)+yx^2) + a*x*yx + b
 --R
 --R   (100)
 --R                        2           4                       3     2           3
@@ -1824,7 +1824,7 @@ ode141expr := x**2*(D(yx,x)+yx**2) + a*x*yx + b
 
 -------------------------------------------------------------------
 --S 101 of 126
-ode142 := x**2*(D(y(x),x)-y(x)**2) - a*x**2*y(x) + a*x + 2
+ode142 := x^2*(D(y(x),x)-y(x)^2) - a*x^2*y(x) + a*x + 2
 --R
 --R           2 ,       2    2      2
 --R   (101)  x y (x) - x y(x)  - a x y(x) + a x + 2
@@ -1848,7 +1848,7 @@ yx:=solve(ode142,y,x)
 --E 102
 
 --S 103 of 126
-ode142expr := x**2*(D(yx,x)-yx**2) - a*x**2*yx + a*x + 2
+ode142expr := x^2*(D(yx,x)-yx^2) - a*x^2*yx + a*x + 2
 --R
 --R   (103)
 --R          6 6  - a x ,
@@ -1883,7 +1883,7 @@ ode142expr := x**2*(D(yx,x)-yx**2) - a*x**2*yx + a*x + 2
 
 -------------------------------------------------------------------
 --S 104 of 126
-ode143 := x**2*(D(y(x),x)+a*y(x)**2) - b
+ode143 := x^2*(D(y(x),x)+a*y(x)^2) - b
 --R
 --R           2 ,         2    2
 --R   (104)  x y (x) + a x y(x)  - b
@@ -1924,7 +1924,7 @@ yx:=solve(ode143,y,x)
 --E 105
 
 --S 106 of 126
-ode143expr := x**2*(D(yx,x)+a*yx**2) - b
+ode143expr := x^2*(D(yx,x)+a*yx^2) - b
 --R
 --R   (106)
 --R                                  +--------+
@@ -1963,7 +1963,7 @@ ode143expr := x**2*(D(yx,x)+a*yx**2) - b
 
 -------------------------------------------------------------------
 --S 107 of 126
-ode144 := x**2*(D(y(x),x)+a*y(x)**2) + b*x**alpha + c
+ode144 := x^2*(D(y(x),x)+a*y(x)^2) + b*x^alpha + c
 --R
 --R           2 ,         alpha      2    2
 --R   (107)  x y (x) + b x      + a x y(x)  + c
@@ -1983,7 +1983,7 @@ yx:=solve(ode144,y,x)
 
 -------------------------------------------------------------------
 --S 109 of 126
-ode145 := x**2*D(y(x),x) + a*y(x)**3 - a*x**2*y(x)**2
+ode145 := x^2*D(y(x),x) + a*y(x)^3 - a*x^2*y(x)^2
 --R
 --R           2 ,            3      2    2
 --R   (109)  x y (x) + a y(x)  - a x y(x)
@@ -2005,7 +2005,7 @@ yx:=solve(ode145,y,x)
 
 -------------------------------------------------------------------
 --S 111 of 126
-ode146 := x**2*D(y(x),x) + x*y(x)**3 + a*y(x)**2
+ode146 := x^2*D(y(x),x) + x*y(x)^3 + a*y(x)^2
 --R
 --R           2 ,            3         2
 --R   (111)  x y (x) + x y(x)  + a y(x)
@@ -2027,7 +2027,7 @@ yx:=solve(ode146,y,x)
 
 -------------------------------------------------------------------
 --S 113 of 126
-ode147 := x**2*D(y(x),x) + a*x**2*y(x)**3 + b*y(x)**2
+ode147 := x^2*D(y(x),x) + a*x^2*y(x)^3 + b*y(x)^2
 --R
 --R           2 ,         2    3         2
 --R   (113)  x y (x) + a x y(x)  + b y(x)
@@ -2048,7 +2048,7 @@ yx:=solve(ode147,y,x)
 
 -------------------------------------------------------------------
 --S 115 of 126
-ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
+ode148 := (x^2+1)*D(y(x),x) + x*y(x) - 1
 --R
 --R            2      ,
 --R   (115)  (x  + 1)y (x) + x y(x) - 1
@@ -2095,7 +2095,7 @@ yx:=ode148a.particular
 --E 117
 
 --S 118 of 126
-ode148expr := (x**2+1)*D(yx,x) + x*yx - 1
+ode148expr := (x^2+1)*D(yx,x) + x*yx - 1
 --R
 --R   (118)  0
 --R                                                    Type: Expression(Integer)
@@ -2103,7 +2103,7 @@ ode148expr := (x**2+1)*D(yx,x) + x*yx - 1
 
 -------------------------------------------------------------------
 --S 119 of 126
-ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
+ode149 := (x^2+1)*D(y(x),x) + x*y(x) - x*(x^2+1)
 --R
 --R            2      ,                3
 --R   (119)  (x  + 1)y (x) + x y(x) - x  - x
@@ -2147,7 +2147,7 @@ yx:=ode149a.particular
 --E 121
 
 --S 122 of 126
-ode149expr := (x**2+1)*D(yx,x) + x*yx - x*(x**2+1)
+ode149expr := (x^2+1)*D(yx,x) + x*yx - x*(x^2+1)
 --R
 --R   (122)  0
 --R                                                    Type: Expression(Integer)
@@ -2155,7 +2155,7 @@ ode149expr := (x**2+1)*D(yx,x) + x*yx - x*(x**2+1)
 
 -------------------------------------------------------------------
 --S 123 of 126
-ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
+ode150 := (x^2+1)*D(y(x),x) + 2*x*y(x) - 2*x^2
 --R
 --R            2      ,                  2
 --R   (123)  (x  + 1)y (x) + 2x y(x) - 2x
@@ -2199,7 +2199,7 @@ yx:=ode150a.particular
 --E 125
 
 --S 126 of 126
-ode150expr := (x**2+1)*D(yx,x) + 2*x*yx - 2*x**2
+ode150expr := (x^2+1)*D(yx,x) + 2*x*yx - 2*x^2
 --R
 --R   (126)  0
 --R                                                    Type: Expression(Integer)
diff --git a/src/input/kamke3.input.pamphlet b/src/input/kamke3.input.pamphlet
index 7834508..697b94a 100644
--- a/src/input/kamke3.input.pamphlet
+++ b/src/input/kamke3.input.pamphlet
@@ -29,7 +29,7 @@ y:=operator 'y
 --E 1
 
 --S 2 of 139
-ode151 := (x**2+1)*D(y(x),x) + (y(x)**2+1)*(2*x*y(x) - 1)
+ode151 := (x^2+1)*D(y(x),x) + (y(x)^2+1)*(2*x*y(x) - 1)
 --R 
 --R
 --R          2      ,             3       2
@@ -47,7 +47,7 @@ ode151a:=solve(ode151,y,x)
 --E 3
 
 --S 4 of 139
-ode152 := (x**2+1)*D(y(x),x) + x*sin(y(x))*cos(y(x)) - x*(x**2+1)*cos(y(x))**2
+ode152 := (x^2+1)*D(y(x),x) + x*sin(y(x))*cos(y(x)) - x*(x^2+1)*cos(y(x))^2
 --R 
 --R
 --R          2      ,                                 3              2
@@ -65,7 +65,7 @@ ode152a:=solve(ode152,y,x)
 --E 5
 
 --S 6 of 139
-ode153 := (x**2-1)*D(y(x),x) - x*y(x) + a
+ode153 := (x^2-1)*D(y(x),x) - x*y(x) + a
 --R 
 --R
 --R          2      ,
@@ -93,7 +93,7 @@ yx:=ode153a.particular
 --E 8
 
 --S 9 of 139
-ode153expr := (x**2-1)*D(yx,x) - x*yx + a
+ode153expr := (x^2-1)*D(yx,x) - x*yx + a
 --R 
 --R
 --R   (9)  0
@@ -101,7 +101,7 @@ ode153expr := (x**2-1)*D(yx,x) - x*yx + a
 --E 9
 
 --S 10 of 139
-ode154 := (x**2-1)*D(y(x),x) + 2*x*y(x) - cos(x)
+ode154 := (x^2-1)*D(y(x),x) + 2*x*y(x) - cos(x)
 --R 
 --R
 --R           2      ,
@@ -133,7 +133,7 @@ yx:=ode154a.particular
 --E 12
 
 --S 13 of 139
-ode154expr := (x**2-1)*D(yx,x) + 2*x*yx - cos(x)
+ode154expr := (x^2-1)*D(yx,x) + 2*x*yx - cos(x)
 --R 
 --R
 --R   (13)  0
@@ -141,7 +141,7 @@ ode154expr := (x**2-1)*D(yx,x) + 2*x*yx - cos(x)
 --E 13
 
 --S 14 of 139
-ode155 := (x**2-1)*D(y(x),x) + y(x)**2 - 2*x*y(x) + 1
+ode155 := (x^2-1)*D(y(x),x) + y(x)^2 - 2*x*y(x) + 1
 --R 
 --R
 --R           2      ,          2
@@ -161,7 +161,7 @@ yx:=solve(ode155,y,x)
 --E 15
 
 --S 16 of 139
-ode155expr := (x**2-1)*D(yx,x) + yx**2 - 2*x*yx + 1
+ode155expr := (x^2-1)*D(yx,x) + yx^2 - 2*x*yx + 1
 --R 
 --R
 --R   (16)
@@ -188,7 +188,7 @@ ode155expr := (x**2-1)*D(yx,x) + yx**2 - 2*x*yx + 1
 --E 16
 
 --S 17 of 139
-ode156 := (x**2-1)*D(y(x),x) - y(x)*(y(x)-x)
+ode156 := (x^2-1)*D(y(x),x) - y(x)*(y(x)-x)
 --R 
 --R
 --R           2      ,          2
@@ -210,7 +210,7 @@ yx:=solve(ode156,y,x)
 --E 18
 
 --S 19 of 139
-ode156expr := (x**2-1)*D(yx,x) - yx*(yx-x)
+ode156expr := (x^2-1)*D(yx,x) - yx*(yx-x)
 --R 
 --R
 --R   (19)
@@ -229,7 +229,7 @@ ode156expr := (x**2-1)*D(yx,x) - yx*(yx-x)
 --E 19
 
 --S 20 of 139
-ode157 := (x**2-1)*D(y(x),x) + a*(y(x)**2-2*x*y(x)+1)
+ode157 := (x^2-1)*D(y(x),x) + a*(y(x)^2-2*x*y(x)+1)
 --R 
 --R
 --R           2      ,            2
@@ -247,7 +247,7 @@ ode157a:=solve(ode157,y,x)
 --E 21
 
 --S 22 of 139
-ode158 := (x**2-1)*D(y(x),x) + a*x*y(x)**2 + x*y(x)
+ode158 := (x^2-1)*D(y(x),x) + a*x*y(x)^2 + x*y(x)
 --R 
 --R
 --R           2      ,              2
@@ -269,7 +269,7 @@ yx:=solve(ode158,y,x)
 --E 23
 
 --S 24 of 139
-ode158expr := (x**2-1)*D(yx,x) + a*x*yx**2 + x*yx
+ode158expr := (x^2-1)*D(yx,x) + a*x*yx^2 + x*yx
 --R 
 --R
 --R   (24)
@@ -289,7 +289,7 @@ ode158expr := (x**2-1)*D(yx,x) + a*x*yx**2 + x*yx
 --E 24
 
 --S 25 of 139
-ode159 := (x**2-1)*D(y(x),x) - 2*x*y(x)*log(y(x))
+ode159 := (x^2-1)*D(y(x),x) - 2*x*y(x)*log(y(x))
 --R 
 --R
 --R           2      ,
@@ -310,7 +310,7 @@ yx:=solve(ode159,y,x)
 --E 26
 
 --S 27 of 139
-ode159expr := (x**2-1)*D(yx,x) - 2*x*yx*log(yx)
+ode159expr := (x^2-1)*D(yx,x) - 2*x*yx*log(yx)
 --R 
 --R
 --R   (27)
@@ -328,7 +328,7 @@ ode159expr := (x**2-1)*D(yx,x) - 2*x*yx*log(yx)
 --E 27
 
 --S 28 of 139
-ode160 := (x**2-4)*D(y(x),x) + (x+2)*y(x)**2 - 4*y(x)
+ode160 := (x^2-4)*D(y(x),x) + (x+2)*y(x)^2 - 4*y(x)
 --R 
 --R
 --R           2      ,                 2
@@ -348,7 +348,7 @@ yx:=solve(ode160,y,x)
 --E 29
 
 --S 30 of 139
-ode160expr := (x**2-4)*D(yx,x) + (x+2)*yx**2 - 4*yx
+ode160expr := (x^2-4)*D(yx,x) + (x+2)*yx^2 - 4*yx
 --R 
 --R
 --R   (30)
@@ -365,7 +365,7 @@ ode160expr := (x**2-4)*D(yx,x) + (x+2)*yx**2 - 4*yx
 --E 30
 
 --S 31 of 139
-ode161 := (x**2-5*x+6)*D(y(x),x) + 3*x*y(x) - 8*y(x) + x**2
+ode161 := (x^2-5*x+6)*D(y(x),x) + 3*x*y(x) - 8*y(x) + x^2
 --R 
 --R
 --R           2           ,                      2
@@ -399,7 +399,7 @@ yx:=ode161a.particular
 --E 33
 
 --S 34 of 139
-ode161expr := (x**2-5*x+6)*D(yx,x) + 3*x*yx - 8*yx + x**2
+ode161expr := (x^2-5*x+6)*D(yx,x) + 3*x*yx - 8*yx + x^2
 --R 
 --R
 --R   (34)  0
@@ -407,7 +407,7 @@ ode161expr := (x**2-5*x+6)*D(yx,x) + 3*x*yx - 8*yx + x**2
 --E 34
 
 --S 35 of 139
-ode162 := (x-a)*(x-b)*D(y(x),x) + y(x)**2 + k*(y(x)+x-a)*(y(x)+x-b)
+ode162 := (x-a)*(x-b)*D(y(x),x) + y(x)^2 + k*(y(x)+x-a)*(y(x)+x-b)
 --R 
 --R
 --R   (35)
@@ -431,7 +431,7 @@ ode162a:=solve(ode162,y,x)
 \end{verbatim} 
 \begin{chunk}{*}
 --S 36 of 139
-ode163 := 2*x**2*D(y(x),x) - 2*y(x)**2 - x*y(x) + 2*a**2*x
+ode163 := 2*x^2*D(y(x),x) - 2*y(x)^2 - x*y(x) + 2*a^2*x
 --R 
 --R
 --R           2 ,           2              2
@@ -456,7 +456,7 @@ yx:=solve(ode163,y,x)
 --E 37
 
 --S 38 of 139
-ode163expr := 2*x**2*D(yx,x) - 2*yx**2 - x*yx + 2*a**2*x
+ode163expr := 2*x^2*D(yx,x) - 2*yx^2 - x*yx + 2*a^2*x
 --R 
 --R
 --R   (38)
@@ -515,7 +515,7 @@ ode163expr := 2*x**2*D(yx,x) - 2*yx**2 - x*yx + 2*a**2*x
 --E 38
 
 --S 39 of 139
-ode164 := 2*x**2*D(y(x),x) - 2*y(x)**2 - 3*x*y(x) + 2*a**2*x
+ode164 := 2*x^2*D(y(x),x) - 2*y(x)^2 - 3*x*y(x) + 2*a^2*x
 --R 
 --R
 --R           2 ,           2               2
@@ -540,7 +540,7 @@ yx:=solve(ode164,y,x)
 --E 40
 
 --S 41 of 139
-ode164expr := 2*x**2*D(yx,x) - 2*yx**2 - 3*x*yx + 2*a**2*x
+ode164expr := 2*x^2*D(yx,x) - 2*yx^2 - 3*x*yx + 2*a^2*x
 --R 
 --R
 --R   (41)
@@ -656,7 +656,7 @@ ode164expr := 2*x**2*D(yx,x) - 2*yx**2 - 3*x*yx + 2*a**2*x
 --E 41
 
 --S 42 of 139
-ode165 := x*(2*x-1)*D(y(x),x) + y(x)**2 - (4*x+1)*y(x) + 4*x
+ode165 := x*(2*x-1)*D(y(x),x) + y(x)^2 - (4*x+1)*y(x) + 4*x
 --R 
 --R
 --R            2      ,          2
@@ -677,7 +677,7 @@ yx:=solve(ode165,y,x)
 --E 43
 
 --S 44 of 139
-ode165expr := x*(2*x-1)*D(yx,x) + yx**2 - (4*x+1)*yx + 4*x
+ode165expr := x*(2*x-1)*D(yx,x) + yx^2 - (4*x+1)*yx + 4*x
 --R 
 --R
 --R   (44)
@@ -694,7 +694,7 @@ ode165expr := x*(2*x-1)*D(yx,x) + yx**2 - (4*x+1)*yx + 4*x
 --E 44
 
 --S 45 of 139
-ode166 := 2*x*(x-1)*D(y(x),x) + (x-1)*y(x)**2 - x
+ode166 := 2*x*(x-1)*D(y(x),x) + (x-1)*y(x)^2 - x
 --R 
 --R
 --R            2       ,                 2
@@ -712,7 +712,7 @@ ode166a:=solve(ode166,y,x)
 --E 46
 
 --S 47 of 139
-ode167 := 3*x**2*D(y(x),x) - 7*y(x)**2 - 3*x*y(x) - x**2
+ode167 := 3*x^2*D(y(x),x) - 7*y(x)^2 - 3*x*y(x) - x^2
 --R 
 --R
 --R           2 ,           2              2
@@ -737,7 +737,7 @@ yx:=solve(ode167,y,x)
 --E 48
 
 --S 49 of 139
-ode167expr := 3*x**2*D(yx,x) - 7*yx**2 - 3*x*yx - x**2
+ode167expr := 3*x^2*D(yx,x) - 7*yx^2 - 3*x*yx - x^2
 --R 
 --R
 --R   (49)
@@ -808,7 +808,7 @@ ode167expr := 3*x**2*D(yx,x) - 7*yx**2 - 3*x*yx - x**2
 --E 49
 
 --S 50 of 139
-ode168 := 3*(x**2-4)*D(y(x),x) + y(x)**2 - x*y(x) - 3
+ode168 := 3*(x^2-4)*D(y(x),x) + y(x)^2 - x*y(x) - 3
 --R 
 --R
 --R            2       ,          2
@@ -826,7 +826,7 @@ ode168a:=solve(ode168,y,x)
 --E 51
 
 --S 52 of 139
-ode169 := (a*x+b)**2*D(y(x),x) + (a*x+b)*y(x)**3 + c*y(x)**2
+ode169 := (a*x+b)^2*D(y(x),x) + (a*x+b)*y(x)^3 + c*y(x)^2
 --R 
 --R
 --R           2 2             2  ,                   3         2
@@ -844,7 +844,7 @@ ode169a:=solve(ode169,y,x)
 --E 53
 
 --S 54 of 139
-ode170 := x**3*D(y(x),x) - y(x)**2 - x**4
+ode170 := x^3*D(y(x),x) - y(x)^2 - x^4
 --R 
 --R
 --R          3 ,          2    4
@@ -866,7 +866,7 @@ yx:=solve(ode170,y,x)
 --E 55
 
 --S 56 of 139
-ode170expr := x**3*D(yx,x) - yx**2 - x**4
+ode170expr := x^3*D(yx,x) - yx^2 - x^4
 --R 
 --R
 --R   (56)
@@ -883,7 +883,7 @@ ode170expr := x**3*D(yx,x) - yx**2 - x**4
 --E 56
 
 --S 57 of 139
-ode171 := x**3*D(y(x),x) - y(x)**2 - x**2*y(x)
+ode171 := x^3*D(y(x),x) - y(x)^2 - x^2*y(x)
 --R 
 --R
 --R          3 ,          2    2
@@ -904,7 +904,7 @@ yx:=solve(ode171,y,x)
 --E 58
 
 --S 59 of 139
-ode171expr := x**3*D(yx,x) - yx**2 - x**2*yx
+ode171expr := x^3*D(yx,x) - yx^2 - x^2*yx
 --R 
 --R
 --R            6 ,         3         2     2        4
@@ -917,7 +917,7 @@ ode171expr := x**3*D(yx,x) - yx**2 - x**2*yx
 --E 59
 
 --S 60 of 139
-ode172 := x**3*D(y(x),x) - x**4*y(x)**2 + x**2*y(x) + 20
+ode172 := x^3*D(y(x),x) - x^4*y(x)^2 + x^2*y(x) + 20
 --R 
 --R
 --R          3 ,       4    2    2
@@ -939,7 +939,7 @@ yx:=solve(ode172,y,x)
 --E 61
 
 --S 62 of 139
-ode172expr := x**3*D(yx,x) - x**4*yx**2 + x**2*yx + 20
+ode172expr := x^3*D(yx,x) - x^4*yx^2 + x^2*yx + 20
 --R 
 --R
 --R   (62)
@@ -979,7 +979,7 @@ ode172expr := x**3*D(yx,x) - x**4*yx**2 + x**2*yx + 20
 --E 62
 
 --S 63 of 139
-ode173 := x**3*D(y(x),x) - x**6*y(x)**2 - (2*x-3)*x**2*y(x) + 3
+ode173 := x^3*D(y(x),x) - x^6*y(x)^2 - (2*x-3)*x^2*y(x) + 3
 --R 
 --R
 --R          3 ,       6    2        3     2
@@ -1001,7 +1001,7 @@ yx:=solve(ode173,y,x)
 --E 64
 
 --S 65 of 139
-ode173expr := x**3*D(yx,x) - x**6*yx**2 - (2*x-3)*x**2*yx + 3
+ode173expr := x^3*D(yx,x) - x^6*yx^2 - (2*x-3)*x^2*yx + 3
 --R 
 --R
 --R   (65)
@@ -1021,7 +1021,7 @@ ode173expr := x**3*D(yx,x) - x**6*yx**2 - (2*x-3)*x**2*yx + 3
 --E 65
 
 --S 66 of 139
-ode174 := x*(x**2+1)*D(y(x),x) + x**2*y(x)
+ode174 := x*(x^2+1)*D(y(x),x) + x^2*y(x)
 --R 
 --R
 --R           3      ,       2
@@ -1051,7 +1051,7 @@ yx:=ode174a.particular
 --E 68
 
 --S 69 of 139
-ode174expr := x*(x**2+1)*D(yx,x) + x**2*yx
+ode174expr := x*(x^2+1)*D(yx,x) + x^2*yx
 --R 
 --R
 --R   (69)  0
@@ -1059,7 +1059,7 @@ ode174expr := x*(x**2+1)*D(yx,x) + x**2*yx
 --E 69
 
 --S 70 of 139
-ode175 := x*(x**2-1)*D(y(x),x) - (2*x**2-1)*y(x) + a*x**3
+ode175 := x*(x^2-1)*D(y(x),x) - (2*x^2-1)*y(x) + a*x^3
 --R 
 --R
 --R           3      ,           2               3
@@ -1087,7 +1087,7 @@ yx:=ode175a.particular
 --E 72
 
 --S 73 of 139
-ode175expr := x*(x**2-1)*D(yx,x) - (2*x**2-1)*yx + a*x**3
+ode175expr := x*(x^2-1)*D(yx,x) - (2*x^2-1)*yx + a*x^3
 --R 
 --R
 --R   (73)  0
@@ -1095,7 +1095,7 @@ ode175expr := x*(x**2-1)*D(yx,x) - (2*x**2-1)*yx + a*x**3
 --E 73
 
 --S 74 of 139
-ode176 := x*(x**2-1)*D(y(x),x) + (x**2-1)*y(x)**2 - x**2
+ode176 := x*(x^2-1)*D(y(x),x) + (x^2-1)*y(x)^2 - x^2
 --R 
 --R
 --R           3      ,        2         2    2
@@ -1113,7 +1113,7 @@ ode176a:=solve(ode176,y,x)
 --E 75
 
 --S 76 of 139
-ode177 := x**2*(x-1)*D(y(x),x) - y(x)**2 - x*(x-2)*y(x)
+ode177 := x^2*(x-1)*D(y(x),x) - y(x)^2 - x*(x-2)*y(x)
 --R 
 --R
 --R           3    2  ,          2       2
@@ -1134,7 +1134,7 @@ yx:=solve(ode177,y,x)
 --E 77
 
 --S 78 of 139
-ode177expr := x**2*(x-1)*D(yx,x) - yx**2 - x*(x-2)*yx
+ode177expr := x^2*(x-1)*D(yx,x) - yx^2 - x*(x-2)*yx
 --R 
 --R
 --R             6     5    4  ,         3     2              2     2        4
@@ -1147,8 +1147,8 @@ ode177expr := x**2*(x-1)*D(yx,x) - yx**2 - x*(x-2)*yx
 --E 78
 
 --S 79 of 139
-ode178 := 2*x*(x**2-1)*D(y(x),x) + 2*(x**2-1)*y(x)**2 _
-           - (3*x**2-5)*y(x) + x**2 - 3
+ode178 := 2*x*(x^2-1)*D(y(x),x) + 2*(x^2-1)*y(x)^2 _
+           - (3*x^2-5)*y(x) + x^2 - 3
 --R 
 --R
 --R            3       ,         2         2        2             2
@@ -1175,8 +1175,8 @@ yx:=solve(ode178,y,x)
 --E 80
 
 --S 81 of 139
-ode178expr := 2*x*(x**2-1)*D(yx,x) + 2*(x**2-1)*yx**2 _
-               - (3*x**2-5)*yx + x**2 - 3
+ode178expr := 2*x*(x^2-1)*D(yx,x) + 2*(x^2-1)*yx^2 _
+               - (3*x^2-5)*yx + x^2 - 3
 --R 
 --R
 --R   (81)
@@ -1223,7 +1223,7 @@ ode178expr := 2*x*(x**2-1)*D(yx,x) + 2*(x**2-1)*yx**2 _
 --E 81
 
 --S 82 of 139
-ode179 := 3*x*(x**2-1)*D(y(x),x) + x*y(x)**2 - (x**2+1)*y(x) - 3*x
+ode179 := 3*x*(x^2-1)*D(y(x),x) + x*y(x)^2 - (x^2+1)*y(x) - 3*x
 --R 
 --R
 --R            3       ,            2       2
@@ -1241,7 +1241,7 @@ ode179a:=solve(ode179,y,x)
 --E 83
 
 --S 84 of 139
-ode180 := (a*x**2+b*x+c)*(x*D(y(x),x)-y(x)) - y(x)**2 + x**2
+ode180 := (a*x^2+b*x+c)*(x*D(y(x),x)-y(x)) - y(x)^2 + x^2
 --R 
 --R
 --R             3      2        ,          2         2                   2
@@ -1255,7 +1255,7 @@ yx:=solve(ode180,y,x)
 --E 85
 
 --S 86 of 139
-ode180expr := (a*x**2+b*x+c)*(x*D(yx,x)-yx) - yx**2 + x**2
+ode180expr := (a*x^2+b*x+c)*(x*D(yx,x)-yx) - yx^2 + x^2
 --R 
 --R
 --R   (86)
@@ -1339,7 +1339,7 @@ ode180expr := (a*x**2+b*x+c)*(x*D(yx,x)-yx) - yx**2 + x**2
 --E 86
 
 --S 87 of 139
-ode181 := x**4*(D(y(x),x)+y(x)**2) + a
+ode181 := x^4*(D(y(x),x)+y(x)^2) + a
 --R 
 --R
 --R          4 ,       4    2
@@ -1366,7 +1366,7 @@ yx:=solve(ode181,y,x)
 --E 88
 
 --S 89 of 139
-ode181expr := x**4*(D(yx,x)+yx**2) + a
+ode181expr := x^4*(D(yx,x)+yx^2) + a
 --R 
 --R
 --R   (89)
@@ -1407,7 +1407,7 @@ ode181expr := x**4*(D(yx,x)+yx**2) + a
 --E 89
 
 --S 90 of 139
-ode182 := x*(x**3-1)*D(y(x),x) - 2*x*y(x)**2 + y(x) + x**2
+ode182 := x*(x^3-1)*D(y(x),x) - 2*x*y(x)^2 + y(x) + x^2
 --R 
 --R
 --R           4      ,             2           2
@@ -1424,7 +1424,7 @@ This never completes
 \begin{chunk}{*}
 
 --S 91 of 139
-ode183 := (2*x**4-x)*D(y(x),x) - 2*(x**3-1)*y(x)
+ode183 := (2*x^4-x)*D(y(x),x) - 2*(x^3-1)*y(x)
 --R 
 --R
 --R            4      ,           3
@@ -1455,7 +1455,7 @@ yx:=ode183a.particular
 --E 93
 
 --S 94 of 139
-ode183expr := (2*x**4-x)*D(yx,x) - 2*(x**3-1)*yx
+ode183expr := (2*x^4-x)*D(yx,x) - 2*(x^3-1)*yx
 --R 
 --R
 --R   (94)  0
@@ -1463,7 +1463,7 @@ ode183expr := (2*x**4-x)*D(yx,x) - 2*(x**3-1)*yx
 --E 94
 
 --S 95 of 139
-ode184 := (a*x**2+b*x+c)**2*(D(y(x),x)+y(x)**2) + A
+ode184 := (a*x^2+b*x+c)^2*(D(y(x),x)+y(x)^2) + A
 --R 
 --R
 --R   (95)
@@ -1484,7 +1484,7 @@ This never completes
 \begin{chunk}{*}
 
 --S 96 of 139
-ode185 := x**7*D(y(x),x) + 2*(x**2+1)*y(x)**3 + 5*x**3*y(x)**2
+ode185 := x^7*D(y(x),x) + 2*(x^2+1)*y(x)^3 + 5*x^3*y(x)^2
 --R 
 --R
 --R          7 ,         2         3     3    2
@@ -1502,7 +1502,7 @@ ode185a:=solve(ode185,y,x)
 --E 97
 
 --S 98 of 139
-ode186 := x**n*D(y(x),x) + y(x)**2 -(n-1)*x**(n-1)*y(x) + x**(2*n-2)
+ode186 := x^n*D(y(x),x) + y(x)^2 -(n-1)*x^(n-1)*y(x) + x^(2*n-2)
 --R 
 --R
 --R          n ,       2n - 2                 n - 1       2
@@ -1520,7 +1520,7 @@ ode186a:=solve(ode186,y,x)
 --E 99
 
 --S 100 of 139
-ode187 := x**n*D(y(x),x) - a*y(x)**2 - b*x**(2*n-2)
+ode187 := x^n*D(y(x),x) - a*y(x)^2 - b*x^(2*n-2)
 --R 
 --R
 --R           n ,         2n - 2         2
@@ -1538,7 +1538,7 @@ ode187a:=solve(ode187,y,x)
 --E 101
 
 --S 102 of 139
-ode188 := x**(2*n+1)*D(y(x),x) - a*y(x)**3 - b*x**3*n
+ode188 := x^(2*n+1)*D(y(x),x) - a*y(x)^3 - b*x^3*n
 --R 
 --R
 --R           2n + 1 ,            3        3
@@ -1556,7 +1556,7 @@ ode188a:=solve(ode188,y,x)
 --E 103
 
 --S 104 of 139
-ode189 := x**(m*(n-1)+n)*D(y(x),x) - a*y(x)**n - b*x**(n*(m+1))
+ode189 := x^(m*(n-1)+n)*D(y(x),x) - a*y(x)^n - b*x^(n*(m+1))
 --R 
 --R
 --R           (m + 1)n - m ,            n      (m + 1)n
@@ -1574,7 +1574,7 @@ ode189a:=solve(ode189,y,x)
 --E 105
 
 --S 106 of 139
-ode190 := sqrt(x**2-1)*D(y(x),x) - sqrt(y(x)**2-1)
+ode190 := sqrt(x^2-1)*D(y(x),x) - sqrt(y(x)^2-1)
 --R 
 --R
 --R           +------+         +---------+
@@ -1593,7 +1593,7 @@ ode190a:=solve(ode190,y,x)
 --E 107
 
 --S 108 of 139
-ode191 := sqrt(1-x**2)*D(y(x),x) - y(x)*sqrt(y(x)**2-1)
+ode191 := sqrt(1-x^2)*D(y(x),x) - y(x)*sqrt(y(x)^2-1)
 --R 
 --R
 --R           +--------+             +---------+
@@ -1612,7 +1612,7 @@ ode191a:=solve(ode191,y,x)
 --E 109
 
 --S 110 of 139
-ode192 := sqrt(x**2+a**2)*D(y(x),x) + y(x) - sqrt(x**2+a**2) + x
+ode192 := sqrt(x^2+a^2)*D(y(x),x) + y(x) - sqrt(x^2+a^2) + x
 --R 
 --R
 --R           +-------+         +-------+
@@ -1644,7 +1644,7 @@ yx:=ode192a.particular
 --E 112
 
 --S 113 of 139
-ode192expr := sqrt(x**2+a**2)*D(yx,x) + yx - sqrt(x**2+a**2) + x
+ode192expr := sqrt(x^2+a^2)*D(yx,x) + yx - sqrt(x^2+a^2) + x
 --R 
 --R
 --R   (113)  0
@@ -1686,8 +1686,8 @@ ode193expr := x*D(yx,x)*log(x) + yx - a*x*(log(x)+1)
 --E 117
 
 --S 118 of 139
-ode194 := x*D(y(x),x)*log(x) - y(x)**2*log(x) - _
-            (2*log(x)**2+1)*y(x) - log(x)**3
+ode194 := x*D(y(x),x)*log(x) - y(x)^2*log(x) - _
+            (2*log(x)^2+1)*y(x) - log(x)^3
 --R 
 --R
 --R                   ,            3              2       2
@@ -1705,7 +1705,7 @@ ode194a:=solve(ode194,y,x)
 --E 119
 
 --S 120 of 139
-ode195 := sin(x)*D(y(x),x) - y(x)**2*sin(x)**2 + (cos(x) - 3*sin(x))*y(x) + 4
+ode195 := sin(x)*D(y(x),x) - y(x)^2*sin(x)^2 + (cos(x) - 3*sin(x))*y(x) + 4
 --R 
 --R
 --R                 ,          2      2
@@ -1726,7 +1726,7 @@ yx:=solve(ode195,y,x)
 --E 121
 
 --S 122 of 139
-ode195expr:=sin(x)*D(yx,x) - yx**2*sin(x)**2 + (cos(x) - 3*sin(x))*yx + 4
+ode195expr:=sin(x)*D(yx,x) - yx^2*sin(x)^2 + (cos(x) - 3*sin(x))*yx + 4
 --R 
 --R
 --R   (122)
@@ -1835,7 +1835,7 @@ ode196expr := cos(x)*D(yx,x) + yx + (1 + sin(x))*cos(x)
 --E 126
 
 --S 127 of 139
-ode197 := cos(x)*D(y(x),x) - y(x)**4 - y(x)*sin(x)
+ode197 := cos(x)*D(y(x),x) - y(x)^4 - y(x)*sin(x)
 --R 
 --R
 --R                 ,                       4
@@ -1857,7 +1857,7 @@ yx:=solve(ode197,y,x)
 --E 128
 
 --S 129 of 139
-ode197expr := cos(x)*D(yx,x) - yx**4 - yx*sin(x)
+ode197expr := cos(x)*D(yx,x) - yx^4 - yx*sin(x)
 --R 
 --R
 --R   (129)
@@ -1892,7 +1892,7 @@ ode197expr := cos(x)*D(yx,x) - yx**4 - yx*sin(x)
 --E 129
 
 --S 130 of 139
-ode198 := sin(x)*cos(x)*D(y(x),x) - y(x) - sin(x)**3
+ode198 := sin(x)*cos(x)*D(y(x),x) - y(x) - sin(x)^3
 --R 
 --R
 --R                       ,            3
@@ -1920,7 +1920,7 @@ yx:=ode198a.particular
 --E 132
 
 --S 133 of 139
-ode198expr := sin(x)*cos(x)*D(yx,x) - yx - sin(x)**3
+ode198expr := sin(x)*cos(x)*D(yx,x) - yx - sin(x)^3
 --R 
 --R
 --R                  3            2
@@ -1947,7 +1947,7 @@ ode199a:=solve(ode199,y,x)
 --E 135
 
 --S 136 of 139
-ode200 := (a*sin(x)**2+b)*D(y(x),x) + a*y(x)*sin(2*x) + A*x*(a*sin(x)**2+c)
+ode200 := (a*sin(x)^2+b)*D(y(x),x) + a*y(x)*sin(2*x) + A*x*(a*sin(x)^2+c)
 --R 
 --R
 --R                   2      ,                                  2
@@ -1986,7 +1986,7 @@ yx:=ode200a.particular
 --E 138
 
 --S 139 of 139
-ode200expr := (a*sin(x)**2+b)*D(yx,x) + a*yx*sin(2*x) + A*x*(a*sin(x)**2+c)
+ode200expr := (a*sin(x)^2+b)*D(yx,x) + a*yx*sin(2*x) + A*x*(a*sin(x)^2+c)
 --R 
 --R
 --R   (139)
diff --git a/src/input/kamke4.input.pamphlet b/src/input/kamke4.input.pamphlet
index 1fe0f82..1cd0200 100644
--- a/src/input/kamke4.input.pamphlet
+++ b/src/input/kamke4.input.pamphlet
@@ -84,7 +84,7 @@ h:=operator 'h
 --E 8
 
 --S 9 of 127
-ode201 := 2*f(x)*D(y(x),x)+2*f(x)*y(x)**2-D(f(x),x)*y(x)-2*f(x)**2
+ode201 := 2*f(x)*D(y(x),x)+2*f(x)*y(x)^2-D(f(x),x)*y(x)-2*f(x)^2
 --R 
 --R
 --R              ,           ,               2        2
@@ -120,7 +120,7 @@ solve(ode202,y,x)
 --E 12
 
 --S 13 of 127
-ode203 := y(x)*D(y(x),x)+y(x)+x**3
+ode203 := y(x)*D(y(x),x)+y(x)+x^3
 --R 
 --R
 --R              ,              3
@@ -156,7 +156,7 @@ solve(ode204,y,x)
 --E 16
 
 --S 17 of 127
-ode205 := y(x)*D(y(x),x)+a*y(x)+(a**2-1)/(4)*x+b*x**n
+ode205 := y(x)*D(y(x),x)+a*y(x)+(a^2-1)/(4)*x+b*x^n
 --R 
 --R
 --R               ,          n               2
@@ -194,7 +194,7 @@ solve(ode206,y,x)
 --E 20
 
 --S 21 of 127
-ode207 := y(x)*D(y(x),x)+y(x)**2+4*x*(x+1)
+ode207 := y(x)*D(y(x),x)+y(x)^2+4*x*(x+1)
 --R 
 --R
 --R              ,          2     2
@@ -215,7 +215,7 @@ yx:=solve(ode207,y,x)
 --E 22
 
 --S 23 of 127
-ode207expr := yx*D(yx,x)+yx**2+4*x*(x+1)
+ode207expr := yx*D(yx,x)+yx^2+4*x*(x+1)
 --R 
 --R
 --R   (23)
@@ -231,7 +231,7 @@ ode207expr := yx*D(yx,x)+yx**2+4*x*(x+1)
 --E 23
 
 --S 24 of 127
-ode208 := y(x)*D(y(x),x)+a*y(x)**2-b*cos(x+c)
+ode208 := y(x)*D(y(x),x)+a*y(x)^2-b*cos(x+c)
 --R 
 --R
 --R              ,                           2
@@ -253,7 +253,7 @@ yx:=solve(ode208,y,x)
 --E 25
 
 --S 26 of 127
-ode208expr := yx*D(yx,x)+a*yx**2-b*cos(x+c)
+ode208expr := yx*D(yx,x)+a*yx^2-b*cos(x+c)
 --R 
 --R
 --R   (26)
@@ -291,7 +291,7 @@ ode208expr := yx*D(yx,x)+a*yx**2-b*cos(x+c)
 --E 26
 
 --S 27 of 127
-ode209 := y(x)*D(y(x),x)-sqrt(a*y(x)**2+b)
+ode209 := y(x)*D(y(x),x)-sqrt(a*y(x)^2+b)
 --R 
 --R
 --R                      +-----------+
@@ -316,7 +316,7 @@ yx:=solve(ode209,y,x)
 --E 28
 
 --S 29 of 127
-ode209expr := yx*D(yx,x)-sqrt(a*yx**2+b)
+ode209expr := yx*D(yx,x)-sqrt(a*yx^2+b)
 --R 
 --R
 --R   (29)
@@ -361,7 +361,7 @@ ode209expr := yx*D(yx,x)-sqrt(a*yx**2+b)
 --E 29
 
 --S 30 of 127
-ode210 := y(x)*D(y(x),x)+x*y(x)**2-4*x
+ode210 := y(x)*D(y(x),x)+x*y(x)^2-4*x
 --R 
 --R
 --R              ,            2
@@ -383,7 +383,7 @@ yx:=solve(ode210,y,x)
 --E 31
 
 --S 32 of 127
-ode210expr := yx*D(yx,x)+x*yx**2-4*x
+ode210expr := yx*D(yx,x)+x*yx^2-4*x
 --R 
 --R
 --R   (32)
@@ -417,7 +417,7 @@ solve(ode211,y,x)
 --E 34
 
 --S 35 of 127
-ode212 := y(x)*D(y(x),x)+f(x**2+y(x)**2)*g(x)+x
+ode212 := y(x)*D(y(x),x)+f(x^2+y(x)^2)*g(x)+x
 --R 
 --R
 --R              ,                2    2
@@ -507,7 +507,7 @@ solve(ode216,y,x)
 --E 44
 
 --S 45 of 127
-ode217 := (y(x)-x**2)*D(y(x),x)-x
+ode217 := (y(x)-x^2)*D(y(x),x)-x
 --R 
 --R
 --R                  2  ,
@@ -528,7 +528,7 @@ yx:=solve(ode217,y,x)
 --E 46
 
 --S 47 of 127
-ode217expr := (yx-x**2)*D(yx,x)-x
+ode217expr := (yx-x^2)*D(yx,x)-x
 --R 
 --R
 --R   (47)
@@ -550,7 +550,7 @@ ode217expr := (yx-x**2)*D(yx,x)-x
 --E 47
 
 --S 48 of 127
-ode218 := (y(x)-x**2)*D(y(x),x)+4*x*y(x)
+ode218 := (y(x)-x^2)*D(y(x),x)+4*x*y(x)
 --R 
 --R
 --R                  2  ,
@@ -572,7 +572,7 @@ yx:=solve(ode218,y,x)
 --E 49
 
 --S 50 of 127
-ode218expr := (yx-x**2)*D(yx,x)+4*x*yx
+ode218expr := (yx-x^2)*D(yx,x)+4*x*yx
 --R 
 --R
 --R   (50)
@@ -589,7 +589,7 @@ ode218expr := (yx-x**2)*D(yx,x)+4*x*yx
 --E 50
 
 --S 51 of 127
-ode219 := (y(x)+g(x))*D(y(x),x)-f2(x)*y(x)**2-f1(x)*y(x)-f0(x)
+ode219 := (y(x)+g(x))*D(y(x),x)-f2(x)*y(x)^2-f1(x)*y(x)-f0(x)
 --R 
 --R
 --R                       ,               2
@@ -607,7 +607,7 @@ solve(ode219,y,x)
 --E 52
 
 --S 53 of 127
-ode220 := 2*y(x)*D(y(x),x)-x*y(x)**2-x**3
+ode220 := 2*y(x)*D(y(x),x)-x*y(x)^2-x^3
 --R 
 --R
 --R               ,            2    3
@@ -629,7 +629,7 @@ yx:=solve(ode220,y,x)
 --E 54
 
 --S 55 of 127
-ode220expr := 2*yx*D(yx,x)-x*yx**2-x**3
+ode220expr := 2*yx*D(yx,x)-x*yx^2-x^3
 --R 
 --R
 --R   (55)
@@ -876,7 +876,7 @@ ode229expr := (12*yx-5*x-8)*D(yx,x)-5*yx+2*x+3
 --E 76
 
 --S 77 of 127
-ode230 := a*y(x)*D(y(x),x)+b*y(x)**2+f(x)
+ode230 := a*y(x)*D(y(x),x)+b*y(x)^2+f(x)
 --R 
 --R
 --R                ,            2
@@ -916,7 +916,7 @@ solve(ode231,y,x)
 --E 80
 
 --S 81 of 127
-ode232 := x*y(x)*D(y(x),x)+y(x)**2+x**2
+ode232 := x*y(x)*D(y(x),x)+y(x)^2+x^2
 --R 
 --R
 --R                ,          2    2
@@ -937,7 +937,7 @@ yx:=solve(ode232,y,x)
 --E 82
 
 --S 83 of 127
-ode232expr := x*yx*D(yx,x)+yx**2+x**2
+ode232expr := x*yx*D(yx,x)+yx^2+x^2
 --R 
 --R
 --R            5    3     7      ,         4    4      6    2     8      2
@@ -949,7 +949,7 @@ ode232expr := x*yx*D(yx,x)+yx**2+x**2
 --E 83
 
 --S 84 of 127
-ode233 := x*y(x)*D(y(x),x)-y(x)**2+a*x**3*cos(x)
+ode233 := x*y(x)*D(y(x),x)-y(x)^2+a*x^3*cos(x)
 --R 
 --R
 --R                ,         3             2
@@ -971,7 +971,7 @@ yx:=solve(ode233,y,x)
 --E 85
 
 --S 86 of 127
-ode233expr := x*yx*D(yx,x)-yx**2+a*x**3*cos(x)
+ode233expr := x*yx*D(yx,x)-yx^2+a*x^3*cos(x)
 --R 
 --R
 --R   (86)
@@ -988,7 +988,7 @@ ode233expr := x*yx*D(yx,x)-yx**2+a*x**3*cos(x)
 --E 86
 
 --S 87 of 127
-ode234 := x*y(x)*D(y(x),x)-y(x)**2+x*y(x)+x**3-2*x**2
+ode234 := x*y(x)*D(y(x),x)-y(x)^2+x*y(x)+x^3-2*x^2
 --R 
 --R
 --R                ,          2             3     2
@@ -1062,7 +1062,7 @@ ode235expr := (x*yx+a)*D(yx,x)+b*yx
 --E 91
 
 --S 92 of 127
-ode236 := x*(y(x)+4)*D(y(x),x)-y(x)**2-2*y(x)-2*x
+ode236 := x*(y(x)+4)*D(y(x),x)-y(x)^2-2*y(x)-2*x
 --R 
 --R
 --R                       ,          2
@@ -1116,7 +1116,7 @@ solve(ode238,y,x)
 --E 97
 
 --S 98 of 127
-ode239 := (x*y(x)-x**2)*D(y(x),x)+y(x)**2-3*x*y(x)-2*x**2
+ode239 := (x*y(x)-x^2)*D(y(x),x)+y(x)^2-3*x*y(x)-2*x^2
 --R 
 --R
 --R                    2  ,          2               2
@@ -1137,7 +1137,7 @@ yx:=solve(ode239,y,x)
 --E 99
 
 --S 100 of 127
-ode239expr := (x*yx-x**2)*D(yx,x)+yx**2-3*x*yx-2*x**2
+ode239expr := (x*yx-x^2)*D(yx,x)+yx^2-3*x*yx-2*x^2
 --R 
 --R
 --R   (100)
@@ -1153,7 +1153,7 @@ ode239expr := (x*yx-x**2)*D(yx,x)+yx**2-3*x*yx-2*x**2
 --E 100
 
 --S 101 of 127
-ode240 := 2*x*y(x)*D(y(x),x)-y(x)**2+a*x
+ode240 := 2*x*y(x)*D(y(x),x)-y(x)^2+a*x
 --R 
 --R
 --R                  ,          2
@@ -1174,7 +1174,7 @@ yx:=solve(ode240,y,x)
 --E 102
 
 --S 103 of 127
-ode240expr := 2*x*yx*D(yx,x)-yx**2+a*x
+ode240expr := 2*x*yx*D(yx,x)-yx^2+a*x
 --R 
 --R
 --R   (103)
@@ -1191,7 +1191,7 @@ ode240expr := 2*x*yx*D(yx,x)-yx**2+a*x
 --E 103
 
 --S 104 of 127
-ode241 := 2*x*y(x)*D(y(x),x)-y(x)**2+a*x**2
+ode241 := 2*x*y(x)*D(y(x),x)-y(x)^2+a*x^2
 --R 
 --R
 --R                  ,          2      2
@@ -1212,7 +1212,7 @@ yx:=solve(ode241,y,x)
 --E 105
 
 --S 106 of 127
-ode241expr := 2*x*yx*D(yx,x)-yx**2+a*x**2
+ode241expr := 2*x*yx*D(yx,x)-yx^2+a*x^2
 --R 
 --R
 --R                  3       3      ,           4       2    2     2      4
@@ -1225,7 +1225,7 @@ ode241expr := 2*x*yx*D(yx,x)-yx**2+a*x**2
 --E 106
 
 --S 107 of 127
-ode242 := 2*x*y(x)*D(y(x),x)+2*y(x)**2+1
+ode242 := 2*x*y(x)*D(y(x),x)+2*y(x)^2+1
 --R 
 --R
 --R                  ,           2
@@ -1246,7 +1246,7 @@ yx:=solve(ode242,y,x)
 --E 108
 
 --S 109 of 127
-ode242expr := 2*x*yx*D(yx,x)+2*yx**2+1
+ode242expr := 2*x*yx*D(yx,x)+2*yx^2+1
 --R 
 --R
 --R             5    3     5      ,         4    4      4    2     4
@@ -1294,7 +1294,7 @@ solve(ode244,y,x)
 --E 113
 
 --S 114 of 127
-ode245 := (2*x*y(x)+4*x**3)*D(y(x),x)+y(x)**2+112*x**2*y(x)
+ode245 := (2*x*y(x)+4*x^3)*D(y(x),x)+y(x)^2+112*x^2*y(x)
 --R 
 --R
 --R                       3  ,          2       2
@@ -1312,7 +1312,7 @@ solve(ode245,y,x)
 --E 115
 
 --S 116 of 127
-ode246 := x*(3*y(x)+2*x)*D(y(x),x)+3*(y(x)+x)**2
+ode246 := x*(3*y(x)+2*x)*D(y(x),x)+3*(y(x)+x)^2
 --R 
 --R
 --R                       2  ,           2               2
@@ -1333,7 +1333,7 @@ yx:=solve(ode246,y,x)
 --E 117
 
 --S 118 of 127
-ode246expr := x*(3*yx+2*x)*D(yx,x)+3*(yx+x)**2
+ode246expr := x*(3*yx+2*x)*D(yx,x)+3*(yx+x)^2
 --R 
 --R
 --R   (118)
@@ -1352,7 +1352,7 @@ ode246expr := x*(3*yx+2*x)*D(yx,x)+3*(yx+x)**2
 --E 118
 
 --S 119 of 127
-ode247 := (3*x+2)*(y(x)-2*x-1)*D(y(x),x)-y(x)**2+x*y(x)-7*x**2-9*x-3
+ode247 := (3*x+2)*(y(x)-2*x-1)*D(y(x),x)-y(x)^2+x*y(x)-7*x^2-9*x-3
 --R 
 --R
 --R                            2           ,          2              2
@@ -1370,7 +1370,7 @@ solve(ode247,y,x)
 --E 120
 
 --S 121 of 127
-ode248 := (6*x*y(x)+x**2+3)*D(y(x),x)+3*y(x)**2+2*x*y(x)+2*x
+ode248 := (6*x*y(x)+x^2+3)*D(y(x),x)+3*y(x)^2+2*x*y(x)+2*x
 --R 
 --R
 --R                      2      ,           2
@@ -1389,7 +1389,7 @@ yx:=solve(ode248,y,x)
 --E 122
 
 --S 123 of 127
-ode248expr := (6*x*yx+x**2+3)*D(yx,x)+3*yx**2+2*x*yx+2*x
+ode248expr := (6*x*yx+x^2+3)*D(yx,x)+3*yx^2+2*x*yx+2*x
 --R 
 --R
 --R   (123)
@@ -1412,7 +1412,7 @@ ode248expr := (6*x*yx+x**2+3)*D(yx,x)+3*yx**2+2*x*yx+2*x
 --E 123
 
 --S 124 of 127
-ode249 := (a*x*y(x)+b*x**n)*D(y(x),x)+alpha*y(x)**3+beta*y(x)**2
+ode249 := (a*x*y(x)+b*x^n)*D(y(x),x)+alpha*y(x)^3+beta*y(x)^2
 --R 
 --R
 --R              n             ,                3            2
@@ -1430,7 +1430,7 @@ solve(ode249,y,x)
 --E 125
 
 --S 126 of 127
-ode250 := (B*x*y(x)+A*x**2+a*x+b*y(x)+c)*D(y(x),x)-B*g(x)**2+_
+ode250 := (B*x*y(x)+A*x^2+a*x+b*y(x)+c)*D(y(x),x)-B*g(x)^2+_
              A*x*y(x)+alpha*x+beta*y(x)+gamma
 --R 
 --R
diff --git a/src/input/kamke5.input.pamphlet b/src/input/kamke5.input.pamphlet
index c6aa5e9..3136845 100644
--- a/src/input/kamke5.input.pamphlet
+++ b/src/input/kamke5.input.pamphlet
@@ -101,7 +101,7 @@ h:=operator 'h
 --E 10
 
 --S 11 of 130
-ode251 := (x**2*y(x)-1)*D(y(x),x)+x*y(x)**2-1
+ode251 := (x^2*y(x)-1)*D(y(x),x)+x*y(x)^2-1
 --R 
 --R
 --R           2          ,            2
@@ -122,7 +122,7 @@ yx:=solve(ode251,y,x)
 --E 12
 
 --S 13 of 130
-ode251expr := (x**2*yx-1)*D(yx,x)+x*yx**2-1
+ode251expr := (x^2*yx-1)*D(yx,x)+x*yx^2-1
 --R 
 --R
 --R   (13)
@@ -138,7 +138,7 @@ ode251expr := (x**2*yx-1)*D(yx,x)+x*yx**2-1
 --E 13
 
 --S 14 of 130
-ode252 := (x**2*y(x)-1)*D(y(x),x)-(x*y(x)**2-1)
+ode252 := (x^2*y(x)-1)*D(y(x),x)-(x*y(x)^2-1)
 --R 
 --R
 --R           2          ,            2
@@ -156,7 +156,7 @@ solve(ode252,y,x)
 --E 15
 
 --S 16 of 130
-ode253 := (x**2*y(x)-1)*D(y(x),x)+8*(x*y(x)**2-1)
+ode253 := (x^2*y(x)-1)*D(y(x),x)+8*(x*y(x)^2-1)
 --R 
 --R
 --R           2          ,             2
@@ -174,7 +174,7 @@ solve(ode253,y,x)
 --E 17
 
 --S 18 of 130
-ode254 := x*(x*y(x)-2)*D(y(x),x)+x**2*y(x)**3+x*y(x)**2-2*y(x)
+ode254 := x*(x*y(x)-2)*D(y(x),x)+x^2*y(x)^3+x*y(x)^2-2*y(x)
 --R 
 --R
 --R           2           ,       2    3         2
@@ -192,7 +192,7 @@ solve(ode254,y,x)
 --E 19
 
 --S 20 of 130
-ode255 := x*(x*y(x)-3)*D(y(x),x)+x*y(x)**2-y(x)
+ode255 := x*(x*y(x)-3)*D(y(x),x)+x*y(x)^2-y(x)
 --R 
 --R
 --R           2           ,            2
@@ -210,7 +210,7 @@ solve(ode255,y,x)
 --E 21
 
 --S 22 of 130
-ode256 := x**2*(y(x)-1)*D(y(x),x)+(x-1)*y(x)
+ode256 := x^2*(y(x)-1)*D(y(x),x)+(x-1)*y(x)
 --R 
 --R
 --R           2        2  ,
@@ -228,7 +228,7 @@ solve(ode256,y,x)
 --E 23
 
 --S 24 of 130
-ode257 := x*(x*y(x)+x**4-1)*D(y(x),x)-y(x)*(x*y(x)-x**4-1)
+ode257 := x*(x*y(x)+x^4-1)*D(y(x),x)-y(x)*(x*y(x)-x^4-1)
 --R 
 --R
 --R           2        5      ,            2     4
@@ -246,7 +246,7 @@ solve(ode257,y,x)
 --E 25
 
 --S 26 of 130
-ode258 := 2*x**2*y(x)*D(y(x),x)+y(x)**2-2*x**3-x**2
+ode258 := 2*x^2*y(x)*D(y(x),x)+y(x)^2-2*x^3-x^2
 --R 
 --R
 --R           2     ,          2     3    2
@@ -267,7 +267,7 @@ yx:=solve(ode258,y,x)
 --E 27
 
 --S 28 of 130
-ode258expr := 2*x**2*yx*D(yx,x)+yx**2-2*x**3-x**2
+ode258expr := 2*x^2*yx*D(yx,x)+yx^2-2*x^3-x^2
 --R 
 --R
 --R   (28)
@@ -285,7 +285,7 @@ ode258expr := 2*x**2*yx*D(yx,x)+yx**2-2*x**3-x**2
 --E 28
 
 --S 29 of 130
-ode259 := 2*x**2*y(x)*D(y(x),x)-y(x)**2-x**2*exp(x-1/x)
+ode259 := 2*x^2*y(x)*D(y(x),x)-y(x)^2-x^2*exp(x-1/x)
 --R 
 --R
 --R                             2
@@ -310,7 +310,7 @@ yx:=solve(ode259,y,x)
 --E 30
 
 --S 31 of 130
-ode259expr := 2*x**2*yx*D(yx,x)-yx**2-x**2*exp(x-1/x)
+ode259expr := 2*x^2*yx*D(yx,x)-yx^2-x^2*exp(x-1/x)
 --R 
 --R
 --R   (31)
@@ -335,7 +335,7 @@ ode259expr := 2*x**2*yx*D(yx,x)-yx**2-x**2*exp(x-1/x)
 --E 31
 
 --S 32 of 130
-ode260 := (2*x**2*y(x)+x)*D(y(x),x)-x**2*y(x)**3+2*x*y(x)**2+y(x)
+ode260 := (2*x^2*y(x)+x)*D(y(x),x)-x^2*y(x)^3+2*x*y(x)^2+y(x)
 --R 
 --R
 --R            2          ,       2    3          2
@@ -353,7 +353,7 @@ solve(ode260,y,x)
 --E 33
 
 --S 34 of 130
-ode261 := (2*x**2*y(x)-x)*D(y(x),x)-2*x*y(x)**2-y(x)
+ode261 := (2*x^2*y(x)-x)*D(y(x),x)-2*x*y(x)^2-y(x)
 --R 
 --R
 --R            2          ,             2
@@ -371,7 +371,7 @@ solve(ode261,y,x)
 --E 35
 
 --S 36 of 130
-ode262 := (2*x**2*y(x)-x**3)*D(y(x),x)+y(x)**3-4*x*y(x)**2+2*x**3
+ode262 := (2*x^2*y(x)-x^3)*D(y(x),x)+y(x)^3-4*x*y(x)^2+2*x^3
 --R 
 --R
 --R            2        3  ,          3          2     3
@@ -389,7 +389,7 @@ solve(ode262,y,x)
 --E 37
 
 --S 38 of 130
-ode263 := 2*x**3+y(x)*D(y(x),x)+3*x**2*y(x)**2+7
+ode263 := 2*x^3+y(x)*D(y(x),x)+3*x^2*y(x)^2+7
 --R 
 --R
 --R              ,        2    2     3
@@ -410,7 +410,7 @@ solve(ode263,y,x)
 --E 39
 
 --S 40 of 130
-ode264 := 2*x*(x**3*y(x)+1)*D(y(x),x)+(3*x**3*y(x)-1)*y(x)
+ode264 := 2*x*(x^3*y(x)+1)*D(y(x),x)+(3*x^3*y(x)-1)*y(x)
 --R 
 --R
 --R            4           ,        3    2
@@ -428,8 +428,8 @@ solve(ode264,y,x)
 --E 41
 
 --S 42 of 130
-ode265 := (x**(n*(n+1))*y(x)-1)*D(y(x),x)+2*(n+1)**2*x**(n-1)_
-            *(x**(n**2)*y(x)**2-1)
+ode265 := (x^(n*(n+1))*y(x)-1)*D(y(x),x)+2*(n+1)^2*x^(n-1)_
+            *(x^(n^2)*y(x)^2-1)
 --R 
 --R
 --R   (42)
@@ -452,7 +452,7 @@ solve(ode265,y,x)
 --E 43
 
 --S 44 of 130
-ode266 := (y(x)-x)*sqrt(x**2+1)*D(y(x),x)-a*sqrt((y(x)**2+1)**3)
+ode266 := (y(x)-x)*sqrt(x^2+1)*D(y(x),x)-a*sqrt((y(x)^2+1)^3)
 --R 
 --R
 --R                    +------+          +---------------------------+
@@ -471,7 +471,7 @@ solve(ode266,y,x)
 --E 45
 
 --S 46 of 130
-ode267 := y(x)*D(y(x),x)*sin(x)**2+y(x)**2*cos(x)*sin(x)-1
+ode267 := y(x)*D(y(x),x)*sin(x)^2+y(x)^2*cos(x)*sin(x)-1
 --R 
 --R
 --R                   2 ,          2
@@ -492,7 +492,7 @@ yx:=solve(ode267,y,x)
 --E 47
 
 --S 48 of 130
-ode267expr := yx*D(yx,x)*sin(x)**2+yx**2*cos(x)*sin(x)-1
+ode267expr := yx*D(yx,x)*sin(x)^2+yx^2*cos(x)*sin(x)-1
 --R 
 --R
 --R   (48)
@@ -508,7 +508,7 @@ ode267expr := yx*D(yx,x)*sin(x)**2+yx**2*cos(x)*sin(x)-1
 --E 48
 
 --S 49 of 130
-ode268 := f(x)*y(x)*D(y(x),x)+g(x)*y(x)**2+h(x)
+ode268 := f(x)*y(x)*D(y(x),x)+g(x)*y(x)^2+h(x)
 --R 
 --R
 --R                  ,              2
@@ -530,7 +530,7 @@ solve(ode268,y,x)
 
 --S 51 of 130
 ode269 := (g1(x)*y(x)+g0(x))*D(y(x),x)-f1(x)*y(x)-_
-              f2(x)*y(x)**2-f3(x)*y(x)**3-f0(x)
+              f2(x)*y(x)^2-f3(x)*y(x)^3-f0(x)
 --R 
 --R
 --R   (50)
@@ -549,7 +549,7 @@ solve(ode269,y,x)
 --E 52
 
 --S 53 of 130
-ode270 := (y(x)**2-x)*D(y(x),x)-y(x)+x**2
+ode270 := (y(x)^2-x)*D(y(x),x)-y(x)+x^2
 --R 
 --R
 --R              2      ,              2
@@ -570,7 +570,7 @@ yx:=solve(ode270,y,x)
 --E 54
 
 --S 55 of 130
-ode270expr := (yx**2-x)*D(yx,x)-yx+x**2
+ode270expr := (yx^2-x)*D(yx,x)-yx+x^2
 --R 
 --R
 --R   (54)
@@ -595,7 +595,7 @@ ode270expr := (yx**2-x)*D(yx,x)-yx+x**2
 --E 55
 
 --S 56 of 130
-ode271 := (y(x)**2+x**2)*D(y(x),x)+2*x*(y(x)+2*x)
+ode271 := (y(x)^2+x^2)*D(y(x),x)+2*x*(y(x)+2*x)
 --R 
 --R
 --R              2    2  ,                  2
@@ -616,7 +616,7 @@ yx:=solve(ode271,y,x)
 --E 57
 
 --S 58 of 130
-ode271expr := (yx**2+x**2)*D(yx,x)+2*x*(yx+2*x)
+ode271expr := (yx^2+x^2)*D(yx,x)+2*x*(yx+2*x)
 --R 
 --R
 --R   (57)
@@ -641,7 +641,7 @@ ode271expr := (yx**2+x**2)*D(yx,x)+2*x*(yx+2*x)
 --E 58
 
 --S 59 of 130
-ode272 := (y(x)**2+x**2)*D(y(x),x)-y(x)**2
+ode272 := (y(x)^2+x^2)*D(y(x),x)-y(x)^2
 --R 
 --R
 --R              2    2  ,          2
@@ -659,7 +659,7 @@ solve(ode272,y,x)
 --E 60
 
 --S 61 of 130
-ode273 := (y(x)**2+x**2+a)*D(y(x),x)+2*x*y(x)
+ode273 := (y(x)^2+x^2+a)*D(y(x),x)+2*x*y(x)
 --R 
 --R
 --R              2    2      ,
@@ -680,7 +680,7 @@ yx:=solve(ode273,y,x)
 --E 62
 
 --S 63 of 130
-ode273expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx
+ode273expr := (yx^2+x^2+a)*D(yx,x)+2*x*yx
 --R 
 --R
 --R   (62)
@@ -705,7 +705,7 @@ ode273expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx
 --E 63
 
 --S 64 of 130
-ode274 := (y(x)**2+x**2+a)*D(y(x),x)+2*x*y(x)+x**2+b
+ode274 := (y(x)^2+x^2+a)*D(y(x),x)+2*x*y(x)+x^2+b
 --R 
 --R
 --R              2    2      ,                 2
@@ -726,7 +726,7 @@ yx:=solve(ode274,y,x)
 --E 65
 
 --S 66 of 130
-ode274expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx+x**2+b
+ode274expr := (yx^2+x^2+a)*D(yx,x)+2*x*yx+x^2+b
 --R 
 --R
 --R   (65)
@@ -772,7 +772,7 @@ ode274expr := (yx**2+x**2+a)*D(yx,x)+2*x*yx+x**2+b
 --E 66
 
 --S 67 of 130
-ode275 := (y(x)**2+x**2+x)*D(y(x),x)-y(x)
+ode275 := (y(x)^2+x^2+x)*D(y(x),x)-y(x)
 --R 
 --R
 --R              2    2      ,
@@ -790,7 +790,7 @@ solve(ode275,y,x)
 --E 68
 
 --S 69 of 130
-ode276 := (y(x)**2-x**2)*D(y(x),x)+2*x*y(x)
+ode276 := (y(x)^2-x^2)*D(y(x),x)+2*x*y(x)
 --R 
 --R
 --R              2    2  ,
@@ -811,7 +811,7 @@ yx:=solve(ode276,y,x)
 --E 70
 
 --S 71 of 130
-ode276expr := (yx**2-x**2)*D(yx,x)+2*x*yx
+ode276expr := (yx^2-x^2)*D(yx,x)+2*x*yx
 --R 
 --R
 --R              6    6  ,             5     3    3     5
@@ -824,7 +824,7 @@ ode276expr := (yx**2-x**2)*D(yx,x)+2*x*yx
 --E 71
 
 --S 72 of 130
-ode277 := (y(x)**2+x**4)*D(y(x),x)-4*x**3*y(x)
+ode277 := (y(x)^2+x^4)*D(y(x),x)-4*x^3*y(x)
 --R 
 --R
 --R              2    4  ,        3
@@ -845,7 +845,7 @@ yx:=solve(ode277,y,x)
 --E 73
 
 --S 74 of 130
-ode277expr := (yx**2+x**4)*D(yx,x)-4*x**3*yx
+ode277expr := (yx^2+x^4)*D(yx,x)-4*x^3*yx
 --R 
 --R
 --R              6    12  ,        3    5     7    3     11
@@ -858,7 +858,7 @@ ode277expr := (yx**2+x**4)*D(yx,x)-4*x**3*yx
 --E 74
 
 --S 75 of 130
-ode278 := (y(x)**2+4*sin(x))*D(y(x),x)-cos(x)
+ode278 := (y(x)^2+4*sin(x))*D(y(x),x)-cos(x)
 --R 
 --R
 --R                        2  ,
@@ -879,7 +879,7 @@ yx:=solve(ode278,y,x)
 --E 76
 
 --S 77 of 130
-ode278expr := (yx**2+4*sin(x))*D(yx,x)-cos(x)
+ode278expr := (yx^2+4*sin(x))*D(yx,x)-cos(x)
 --R 
 --R
 --R   (76)
@@ -919,7 +919,7 @@ ode278expr := (yx**2+4*sin(x))*D(yx,x)-cos(x)
 --E 77
 
 --S 78 of 130
-ode279 := (y(x)**2+2*y(x)+x)*D(y(x),x)+(y(x)+x)**2*y(x)**2+y(x)*(y(x)+1)
+ode279 := (y(x)^2+2*y(x)+x)*D(y(x),x)+(y(x)+x)^2*y(x)^2+y(x)*(y(x)+1)
 --R 
 --R
 --R              2              ,          4          3     2         2
@@ -937,7 +937,7 @@ solve(ode279,y,x)
 --E 79
 
 --S 80 of 130
-ode280 := (y(x)+x)**2*D(y(x),x)-a**2
+ode280 := (y(x)+x)^2*D(y(x),x)-a^2
 --R 
 --R
 --R              2              2  ,       2
@@ -955,8 +955,8 @@ solve(ode280,y,x)
 --E 81
 
 --S 82 of 130
-ode281 := (y(x)**2+2*x*y(x)-x**2)*D(y(x),x)-_
-            y(x)**2+2*x*y(x)+x**2
+ode281 := (y(x)^2+2*x*y(x)-x^2)*D(y(x),x)-_
+            y(x)^2+2*x*y(x)+x^2
 --R 
 --R
 --R              2              2  ,          2              2
@@ -974,7 +974,7 @@ solve(ode281,y,x)
 --E 83
 
 --S 84 of 130
-ode282 := (y(x)+3*x-1)**2*D(y(x),x)-(2*y(x)-1)*(4*y(x)+6*x-3)
+ode282 := (y(x)+3*x-1)^2*D(y(x),x)-(2*y(x)-1)*(4*y(x)+6*x-3)
 --R 
 --R
 --R   (83)
@@ -995,7 +995,7 @@ solve(ode282,y,x)
 --E 85
 
 --S 86 of 130
-ode283 := 3*(y(x)**2-x**2)*D(y(x),x)+2*y(x)**3-6*x*(x+1)*y(x)-3*exp(x)
+ode283 := 3*(y(x)^2-x^2)*D(y(x),x)+2*y(x)^3-6*x*(x+1)*y(x)-3*exp(x)
 --R 
 --R
 --R               2     2  ,         x        3        2
@@ -1014,7 +1014,7 @@ yx:=solve(ode283,y,x)
 --E 87
 
 --S 88 of 130
-ode283expr := 3*(yx**2-x**2)*D(yx,x)+2*yx**3-6*x*(x+1)*yx-3*exp(x)
+ode283expr := 3*(yx^2-x^2)*D(yx,x)+2*yx^3-6*x*(x+1)*yx-3*exp(x)
 --R 
 --R
 --R   (87)
@@ -1052,7 +1052,7 @@ ode283expr := 3*(yx**2-x**2)*D(yx,x)+2*yx**3-6*x*(x+1)*yx-3*exp(x)
 --E 88
 
 --S 89 of 130
-ode284 := (4*y(x)**2+x**2)*D(y(x),x)-x*y(x)
+ode284 := (4*y(x)^2+x^2)*D(y(x),x)-x*y(x)
 --R 
 --R
 --R               2    2  ,
@@ -1074,7 +1074,7 @@ yx:=solve(ode284,y,x)
 --E 90
 
 --S 91 of 130
-ode284expr := (4*yx**2+x**2)*D(yx,x)-x*yx
+ode284expr := (4*yx^2+x^2)*D(yx,x)-x*yx
 --R 
 --R
 --R   (90)
@@ -1103,7 +1103,7 @@ ode284expr := (4*yx**2+x**2)*D(yx,x)-x*yx
 --E 91
 
 --S 92 of 130
-ode285 := (4*y(x)**2+2*x*y(x)+3*x**2)*D(y(x),x)+y(x)**2+6*x*y(x)+2*x**2
+ode285 := (4*y(x)^2+2*x*y(x)+3*x^2)*D(y(x),x)+y(x)^2+6*x*y(x)+2*x^2
 --R 
 --R
 --R               2               2  ,          2               2
@@ -1124,7 +1124,7 @@ yx:=solve(ode285,y,x)
 --E 93
 
 --S 94 of 130
-ode285expr := (4*yx**2+2*x*yx+3*x**2)*D(yx,x)+yx**2+6*x*yx+2*x**2
+ode285expr := (4*yx^2+2*x*yx+3*x^2)*D(yx,x)+yx^2+6*x*yx+2*x^2
 --R 
 --R
 --R   (93)
@@ -1161,7 +1161,7 @@ ode285expr := (4*yx**2+2*x*yx+3*x**2)*D(yx,x)+yx**2+6*x*yx+2*x**2
 --E 94
 
 --S 95 of 130
-ode286 := (2*y(x)-3*x+1)**2*D(y(x),x)-(3*y(x)-2*x-4)**2
+ode286 := (2*y(x)-3*x+1)^2*D(y(x),x)-(3*y(x)-2*x-4)^2
 --R 
 --R
 --R   (94)
@@ -1183,7 +1183,7 @@ solve(ode286,y,x)
 --E 96
 
 --S 97 of 130
-ode287 := (2*y(x)-4*x+1)**2*D(y(x),x)-(y(x)-2*x)**2
+ode287 := (2*y(x)-4*x+1)^2*D(y(x),x)-(y(x)-2*x)^2
 --R 
 --R
 --R   (96)
@@ -1202,7 +1202,7 @@ solve(ode287,y,x)
 --E 98
 
 --S 99 of 130
-ode288 := (6*y(x)**2-3*x**2*y(x)+1)*D(y(x),x)-3*x*y(x)**2+x
+ode288 := (6*y(x)^2-3*x^2*y(x)+1)*D(y(x),x)-3*x*y(x)^2+x
 --R 
 --R
 --R               2     2          ,             2
@@ -1223,7 +1223,7 @@ yx:=solve(ode288,y,x)
 --E 100
 
 --S 101 of 130
-ode288expr := (6*yx**2-3*x**2*yx+1)*D(yx,x)-3*x*yx**2+x
+ode288expr := (6*yx^2-3*x^2*yx+1)*D(yx,x)-3*x*yx^2+x
 --R 
 --R
 --R   (100)
@@ -1248,7 +1248,7 @@ ode288expr := (6*yx**2-3*x**2*yx+1)*D(yx,x)-3*x*yx**2+x
 --E 101
 
 --S 102 of 130
-ode289 := (6*y(x)-x)**2*D(y(x),x)-6*y(x)**2+2*x*y(x)+a
+ode289 := (6*y(x)-x)^2*D(y(x),x)-6*y(x)^2+2*x*y(x)+a
 --R 
 --R
 --R                 2               2  ,           2
@@ -1267,7 +1267,7 @@ yx:=solve(ode289,y,x)
 --E 103
 
 --S 104 of 130
-ode289expr := (6*yx-x)**2*D(yx,x)-6*yx**2+2*x*yx+a
+ode289expr := (6*yx-x)^2*D(yx,x)-6*yx^2+2*x*yx+a
 --R 
 --R
 --R   (103)
@@ -1308,7 +1308,7 @@ ode289expr := (6*yx-x)**2*D(yx,x)-6*yx**2+2*x*yx+a
 --E 104
 
 --S 105 of 130
-ode290 := (a*y(x)**2+2*b*x*y(x)+c*x**2)*D(y(x),x)+b*y(x)**2+2*c*x*y(x)+d*x**2
+ode290 := (a*y(x)^2+2*b*x*y(x)+c*x^2)*D(y(x),x)+b*y(x)^2+2*c*x*y(x)+d*x^2
 --R 
 --R
 --R                 2                  2  ,            2                  2
@@ -1329,7 +1329,7 @@ yx:=solve(ode290,y,x)
 --E 106
 
 --S 107 of 130
-ode290expr:=(a*yx**2+2*b*x*yx+c*x**2)*D(yx,x)+b*yx**2+2*c*x*yx+d*x**2
+ode290expr:=(a*yx^2+2*b*x*yx+c*x^2)*D(yx,x)+b*yx^2+2*c*x*yx+d*x^2
 --R 
 --R
 --R   (106)
@@ -1384,8 +1384,8 @@ ode290expr:=(a*yx**2+2*b*x*yx+c*x**2)*D(yx,x)+b*yx**2+2*c*x*yx+d*x**2
 --E 107
 
 --S 108 of 130
-ode291 := (b*(beta*y(x)+alpha*x)**2-beta*(b*y(x)+a*x))*D(y(x),x)+_
-              a*(beta*y(x)+alpha*x)**2-alpha*(b*y(x)+a*x)
+ode291 := (b*(beta*y(x)+alpha*x)^2-beta*(b*y(x)+a*x))*D(y(x),x)+_
+              a*(beta*y(x)+alpha*x)^2-alpha*(b*y(x)+a*x)
 --R 
 --R
 --R   (107)
@@ -1410,7 +1410,7 @@ solve(ode291,y,x)
 --E 109
 
 --S 110 of 130
-ode292 := (a*y(x)+b*x+c)**2*D(y(x),x)+(alpha*y(x)+beta*x+gamma)**2
+ode292 := (a*y(x)+b*x+c)^2*D(y(x),x)+(alpha*y(x)+beta*x+gamma)^2
 --R 
 --R
 --R   (109)
@@ -1432,7 +1432,7 @@ solve(ode292,y,x)
 --E 111
 
 --S 112 of 130
-ode293 := x*(y(x)**2-3*x)*D(y(x),x)+2*y(x)**3-5*x*y(x)
+ode293 := x*(y(x)^2-3*x)*D(y(x),x)+2*y(x)^3-5*x*y(x)
 --R 
 --R
 --R                 2     2  ,           3
@@ -1450,7 +1450,7 @@ solve(ode293,y,x)
 --E 113
 
 --S 114 of 130
-ode294 := x*(y(x)**2+x**2-a)*D(y(x),x)-y(x)*(y(x)**2+x**2+a)
+ode294 := x*(y(x)^2+x^2-a)*D(y(x),x)-y(x)*(y(x)^2+x^2+a)
 --R 
 --R
 --R                 2    3        ,          3       2
@@ -1468,7 +1468,7 @@ solve(ode294,y,x)
 --E 115
 
 --S 116 of 130
-ode295 := x*(y(x)**2+x*y(x)-x**2)*D(y(x),x)-y(x)**3+x*y(x)**2+x**2*y(x)
+ode295 := x*(y(x)^2+x*y(x)-x^2)*D(y(x),x)-y(x)^3+x*y(x)^2+x^2*y(x)
 --R 
 --R
 --R                 2    2        3  ,          3         2    2
@@ -1486,7 +1486,7 @@ solve(ode295,y,x)
 --E 117
 
 --S 118 of 130
-ode296 := x*(y(x)**2+x**2*y(x)+x**2)*D(y(x),x)-2*y(x)**3-2*x**2*y(x)**2+x**4
+ode296 := x*(y(x)^2+x^2*y(x)+x^2)*D(y(x),x)-2*y(x)^3-2*x^2*y(x)^2+x^4
 --R 
 --R
 --R                 2    3        3  ,           3     2    2    4
@@ -1504,7 +1504,7 @@ solve(ode296,y,x)
 --E 119
 
 --S 120 of 130
-ode297 := 2*x*(y(x)**2+5*x**2)*D(y(x),x)+y(x)**3-x**2*y(x)
+ode297 := 2*x*(y(x)^2+5*x^2)*D(y(x),x)+y(x)^3-x^2*y(x)
 --R 
 --R
 --R                  2      3  ,          3    2
@@ -1522,7 +1522,7 @@ solve(ode297,y,x)
 --E 121
 
 --S 122 of 130
-ode298 := 3*x*y(x)**2*D(y(x),x)+y(x)**3-2*x
+ode298 := 3*x*y(x)^2*D(y(x),x)+y(x)^3-2*x
 --R 
 --R
 --R                 2 ,          3
@@ -1541,7 +1541,7 @@ yx:=solve(ode298,y,x)
 --E 123
 
 --S 124 of 130
-ode298expr := 3*x*yx**2*D(yx,x)+yx**3-2*x
+ode298expr := 3*x*yx^2*D(yx,x)+yx^3-2*x
 --R 
 --R
 --R   (123)
@@ -1555,7 +1555,7 @@ ode298expr := 3*x*yx**2*D(yx,x)+yx**3-2*x
 --E 124
 
 --S 125 of 130
-ode299 := (3*x*y(x)**2-x**2)*D(y(x),x)+y(x)**3-2*x*y(x)
+ode299 := (3*x*y(x)^2-x^2)*D(y(x),x)+y(x)^3-2*x*y(x)
 --R 
 --R
 --R                  2    2  ,          3
@@ -1574,7 +1574,7 @@ yx:=solve(ode299,y,x)
 --E 126
 
 --S 127 of 130
-ode299expr := (3*x*yx**2-x**2)*D(yx,x)+yx**3-2*x*yx
+ode299expr := (3*x*yx^2-x^2)*D(yx,x)+yx^3-2*x*yx
 --R 
 --R
 --R   (126)
@@ -1588,7 +1588,7 @@ ode299expr := (3*x*yx**2-x**2)*D(yx,x)+yx**3-2*x*yx
 --E 127
 
 --S 128 of 130
-ode300 := 6*x*y(x)**2*D(y(x),x)+2*y(x)**3+x
+ode300 := 6*x*y(x)^2*D(y(x),x)+2*y(x)^3+x
 --R 
 --R
 --R                 2 ,           3
@@ -1609,7 +1609,7 @@ yx:=solve(ode300,y,x)
 --E 129
 
 --S 130 of 130
-ode300expr := 6*x*yx**2*D(yx,x)+2*yx**3+x
+ode300expr := 6*x*yx^2*D(yx,x)+2*yx^3+x
 --R 
 --R
 --R   (129)
diff --git a/src/input/kamke6.input.pamphlet b/src/input/kamke6.input.pamphlet
index a16be4c..07479a2 100644
--- a/src/input/kamke6.input.pamphlet
+++ b/src/input/kamke6.input.pamphlet
@@ -45,7 +45,7 @@ g:=operator 'g
 --E 3
 
 --S 4 of 120
-ode301 := (6*x*y(x)**2+x**2)*D(y(x),x)-y(x)*(3*y(x)**2-x)
+ode301 := (6*x*y(x)^2+x^2)*D(y(x),x)-y(x)*(3*y(x)^2-x)
 --R 
 --R
 --R                2    2  ,           3
@@ -63,7 +63,7 @@ solve(ode301,y,x)
 --E 5
 
 --S 6 of 120
-ode302 := (x**2*y(x)**2+x)*D(y(x),x)+y(x)
+ode302 := (x^2*y(x)^2+x)*D(y(x),x)+y(x)
 --R 
 --R
 --R          2    2      ,
@@ -81,7 +81,7 @@ solve(ode302,y,x)
 --E 7
 
 --S 8 of 120
-ode303 := (x*y(x)-1)**2*x*D(y(x),x)+(x**2*y(x)**2+1)*y(x)
+ode303 := (x*y(x)-1)^2*x*D(y(x),x)+(x^2*y(x)^2+1)*y(x)
 --R 
 --R
 --R          3    2     2          ,       2    3
@@ -99,7 +99,7 @@ solve(ode303,y,x)
 --E 9
 
 --S 10 of 120
-ode304 := (10*x**3*y(x)**2+x**2*y(x)+2*x)*D(y(x),x)+5*x**2*y(x)**3+x*y(x)**2
+ode304 := (10*x^3*y(x)^2+x^2*y(x)+2*x)*D(y(x),x)+5*x^2*y(x)^3+x*y(x)^2
 --R 
 --R
 --R             3    2    2           ,        2    3         2
@@ -117,7 +117,7 @@ solve(ode304,y,x)
 --E 11
 
 --S 12 of 120
-ode305 := (y(x)**3-3*x)*D(y(x),x)-3*y(x)+x**2
+ode305 := (y(x)^3-3*x)*D(y(x),x)-3*y(x)+x^2
 --R 
 --R
 --R              3       ,               2
@@ -138,7 +138,7 @@ yx:=solve(ode305,y,x)
 --E 13
 
 --S 14 of 120
-ode305expr := (yx**3-3*x)*D(yx,x)-3*yx+x**2
+ode305expr := (yx^3-3*x)*D(yx,x)-3*yx+x^2
 --R 
 --R
 --R   (14)
@@ -175,7 +175,7 @@ ode305expr := (yx**3-3*x)*D(yx,x)-3*yx+x**2
 --E 14
 
 --S 15 of 120
-ode306 := (y(x)**3-x**3)*D(y(x),x)-x**2*y(x)
+ode306 := (y(x)^3-x^3)*D(y(x),x)-x^2*y(x)
 --R 
 --R
 --R              3    3  ,       2
@@ -196,7 +196,7 @@ yx:=solve(ode306,y,x)
 --E 16
 
 --S 17 of 120
-ode306expr := (yx**3-x**3)*D(yx,x)-x**2*yx
+ode306expr := (yx^3-x^3)*D(yx,x)-x^2*yx
 --R 
 --R
 --R   (17)
@@ -218,7 +218,7 @@ ode306expr := (yx**3-x**3)*D(yx,x)-x**2*yx
 --E 17
 
 --S 18 of 120
-ode307 := (y(x)**2+x**2+a)*y(x)*D(y(x),x)+(y(x)**2+x**2-a)*x
+ode307 := (y(x)^2+x^2+a)*y(x)*D(y(x),x)+(y(x)^2+x^2-a)*x
 --R 
 --R
 --R              3     2           ,            2    3
@@ -239,7 +239,7 @@ yx:=solve(ode307,y,x)
 --E 19
 
 --S 20 of 120
-ode307expr := (yx**2+x**2+a)*yx*D(yx,x)+(yx**2+x**2-a)*x
+ode307expr := (yx^2+x^2+a)*yx*D(yx,x)+(yx^2+x^2-a)*x
 --R 
 --R
 --R   (20)
@@ -302,7 +302,7 @@ ode307expr := (yx**2+x**2+a)*yx*D(yx,x)+(yx**2+x**2-a)*x
 --E 20
 
 --S 21 of 120
-ode308 := 2*y(x)**3*D(y(x),x)+x*y(x)**2
+ode308 := 2*y(x)^3*D(y(x),x)+x*y(x)^2
 --R 
 --R
 --R              3 ,            2
@@ -323,7 +323,7 @@ yx:=solve(ode308,y,x)
 --E 22
 
 --S 23 of 120
-ode308expr := 2*yx**3*D(yx,x)+x*yx**2
+ode308expr := 2*yx^3*D(yx,x)+x*yx^2
 --R 
 --R
 --R   (23)
@@ -339,7 +339,7 @@ ode308expr := 2*yx**3*D(yx,x)+x*yx**2
 --E 23
 
 --S 24 of 120
-ode309 := (2*y(x)**3+y(x))*D(y(x),x)-2*x**3-x
+ode309 := (2*y(x)^3+y(x))*D(y(x),x)-2*x^3-x
 --R 
 --R
 --R               3         ,        3
@@ -360,7 +360,7 @@ yx:=solve(ode309,y,x)
 --E 25
 
 --S 26 of 120
-ode309expr := (2*yx**3+yx)*D(yx,x)-2*x**3-x
+ode309expr := (2*yx^3+yx)*D(yx,x)-2*x^3-x
 --R 
 --R
 --R   (26)
@@ -400,7 +400,7 @@ ode309expr := (2*yx**3+yx)*D(yx,x)-2*x**3-x
 --E 26
 
 --S 27 of 120
-ode310 := (2*y(x)**3+5*x**2*y(x))*D(y(x),x)+5*x*y(x)**2+x**3
+ode310 := (2*y(x)^3+5*x^2*y(x))*D(y(x),x)+5*x*y(x)^2+x^3
 --R 
 --R
 --R               3     2      ,             2    3
@@ -421,7 +421,7 @@ yx:=solve(ode310,y,x)
 --E 28
 
 --S 29 of 120
-ode310expr := (2*yx**3+5*x**2*yx)*D(yx,x)+5*x*yx**2+x**3
+ode310expr := (2*yx^3+5*x^2*yx)*D(yx,x)+5*x*yx^2+x^3
 --R 
 --R
 --R   (29)
@@ -452,8 +452,8 @@ ode310expr := (2*yx**3+5*x**2*yx)*D(yx,x)+5*x*yx**2+x**3
 --E 29
 
 --S 30 of 120
-ode311 := (20*y(x)**3-3*x*y(x)**2+6*x**2*y(x)+3*x**3)*D(y(x),x)-_
-             y(x)**3+6*x*y(x)**2+9*x**2*y(x)+4*x**3
+ode311 := (20*y(x)^3-3*x*y(x)^2+6*x^2*y(x)+3*x^3)*D(y(x),x)-_
+             y(x)^3+6*x*y(x)^2+9*x^2*y(x)+4*x^3
 --R 
 --R
 --R   (30)
@@ -473,8 +473,8 @@ yx:=solve(ode311,y,x)
 --E 31
 
 --S 32 of 120
-ode311expr := (20*yx**3-3*x*yx**2+6*x**2*yx+3*x**3)*D(yx,x)-_
-                yx**3+6*x*yx**2+9*x**2*yx+4*x**3
+ode311expr := (20*yx^3-3*x*yx^2+6*x^2*yx+3*x^3)*D(yx,x)-_
+                yx^3+6*x*yx^2+9*x^2*yx+4*x^3
 --R 
 --R
 --R   (32)
@@ -533,7 +533,7 @@ ode311expr := (20*yx**3-3*x*yx**2+6*x**2*yx+3*x**3)*D(yx,x)-_
 --E 32
 
 --S 33 of 120
-ode312 := (y(x)**2/b+x**2/a)*(y(x)*D(y(x),x)+x)+((a-b)/(a+b))*_
+ode312 := (y(x)^2/b+x^2/a)*(y(x)*D(y(x),x)+x)+((a-b)/(a+b))*_
              (y(x)*D(y(x),x)-x)
 --R 
 --R
@@ -559,8 +559,8 @@ solve(ode312,y,x)
 --E 34
 
 --S 35 of 120
-ode313 := (2*a*y(x)**3+3*a*x*y(x)**2-b*x**3+c*x**2)*D(y(x),x)-_
-             a*y(x)**3+c*y(x)**2+3*b*x**2*y(x)+2*b*x**3
+ode313 := (2*a*y(x)^3+3*a*x*y(x)^2-b*x^3+c*x^2)*D(y(x),x)-_
+             a*y(x)^3+c*y(x)^2+3*b*x^2*y(x)+2*b*x^3
 --R 
 --R
 --R   (35)
@@ -582,7 +582,7 @@ solve(ode313,y,x)
 --E 36
 
 --S 37 of 120
-ode314 := x*y(x)**3*D(y(x),x)+y(x)**4-x*sin(x)
+ode314 := x*y(x)^3*D(y(x),x)+y(x)^4-x*sin(x)
 --R 
 --R
 --R               3 ,                     4
@@ -603,7 +603,7 @@ yx:=solve(ode314,y,x)
 --E 38
 
 --S 39 of 120
-ode314expr := x*yx**3*D(yx,x)+yx**4-x*sin(x)
+ode314expr := x*yx^3*D(yx,x)+yx^4-x*sin(x)
 --R 
 --R
 --R   (39)
@@ -760,7 +760,7 @@ ode314expr := x*yx**3*D(yx,x)+yx**4-x*sin(x)
 --E 39
 
 --S 40 of 120
-ode315 := (2*x*y(x)**3-x**4)*D(y(x),x)-y(x)**4+2*x**3*y(x)
+ode315 := (2*x*y(x)^3-x^4)*D(y(x),x)-y(x)^4+2*x^3*y(x)
 --R 
 --R
 --R                 3    4  ,          4     3
@@ -778,7 +778,7 @@ solve(ode315,y,x)
 --E 41
 
 --S 42 of 120
-ode316 := (2*x*y(x)**3+y(x))*D(y(x),x)+2*y(x)**2
+ode316 := (2*x*y(x)^3+y(x))*D(y(x),x)+2*y(x)^2
 --R 
 --R
 --R                 3         ,           2
@@ -803,7 +803,7 @@ yx:=solve(ode316,y,x)
 --E 43
 
 --S 44 of 120
-ode316expr := (2*x*yx**3+yx)*D(yx,x)+2*yx**2
+ode316expr := (2*x*yx^3+yx)*D(yx,x)+2*yx^2
 --R 
 --R
 --R   (44)
@@ -858,7 +858,7 @@ ode316expr := (2*x*yx**3+yx)*D(yx,x)+2*yx**2
 --E 44
 
 --S 45 of 120
-ode317 := (2*x*y(x)**3+x*y(x)+x**2)*D(y(x),x)+y(x)**2-x*y(x)
+ode317 := (2*x*y(x)^3+x*y(x)+x^2)*D(y(x),x)+y(x)^2-x*y(x)
 --R 
 --R
 --R                 3             2  ,          2
@@ -876,7 +876,7 @@ solve(ode317,y,x)
 --E 46
 
 --S 47 of 120
-ode318 := (3*x*y(x)**3-4*x*y(x)+y(x))*D(y(x),x)+y(x)**2*(y(x)**2-2)
+ode318 := (3*x*y(x)^3-4*x*y(x)+y(x))*D(y(x),x)+y(x)^2*(y(x)^2-2)
 --R 
 --R
 --R                 3                   ,          4        2
@@ -903,7 +903,7 @@ yx:=solve(ode318,y,x)
 --E 48
 
 --S 49 of 120
-ode318expr := (3*x*yx**3-4*x*yx+yx)*D(yx,x)+yx**2*(yx**2-2)
+ode318expr := (3*x*yx^3-4*x*yx+yx)*D(yx,x)+yx^2*(yx^2-2)
 --R 
 --R
 --R   (49)
@@ -929,7 +929,7 @@ ode318expr := (3*x*yx**3-4*x*yx+yx)*D(yx,x)+yx**2*(yx**2-2)
 --E 49
 
 --S 50 of 120
-ode319 := (7*x*y(x)**3+y(x)-5*x)*D(y(x),x)+y(x)**4-5*y(x)
+ode319 := (7*x*y(x)^3+y(x)-5*x)*D(y(x),x)+y(x)^4-5*y(x)
 --R 
 --R
 --R                 3              ,          4
@@ -950,7 +950,7 @@ yx:=solve(ode319,y,x)
 --E 51
 
 --S 52 of 120
-ode319expr := (7*x*yx**3+yx-5*x)*D(yx,x)+yx**4-5*yx
+ode319expr := (7*x*yx^3+yx-5*x)*D(yx,x)+yx^4-5*yx
 --R 
 --R
 --R   (52)
@@ -1052,7 +1052,7 @@ ode319expr := (7*x*yx**3+yx-5*x)*D(yx,x)+yx**4-5*yx
 --E 52
 
 --S 53 of 120
-ode320 := (x**2*y(x)**3+x*y(x))*D(y(x),x)-1
+ode320 := (x^2*y(x)^3+x*y(x))*D(y(x),x)-1
 --R 
 --R
 --R           2    3           ,
@@ -1070,7 +1070,7 @@ solve(ode320,y,x)
 --E 54
 
 --S 55 of 120
-ode321 := (2*x**2*y(x)**3+x**2*y(x)**2-2*x)*D(y(x),x)-2*y(x)-1
+ode321 := (2*x^2*y(x)^3+x^2*y(x)^2-2*x)*D(y(x),x)-2*y(x)-1
 --R 
 --R
 --R            2    3    2    2       ,
@@ -1088,7 +1088,7 @@ solve(ode321,y,x)
 --E 56
 
 --S 57 of 120
-ode322 := (10*x**2*y(x)**3-3*y(x)**2-2)*D(y(x),x)+5*x*y(x)**4+x
+ode322 := (10*x^2*y(x)^3-3*y(x)^2-2)*D(y(x),x)+5*x*y(x)^4+x
 --R 
 --R
 --R             2    3        2      ,             4
@@ -1109,7 +1109,7 @@ yx:=solve(ode322,y,x)
 --E 58
 
 --S 59 of 120
-ode322expr := (10*x**2*yx**3-3*yx**2-2)*D(yx,x)+5*x*yx**4+x
+ode322expr := (10*x^2*yx^3-3*yx^2-2)*D(yx,x)+5*x*yx^4+x
 --R 
 --R
 --R   (59)
@@ -1164,7 +1164,7 @@ ode322expr := (10*x**2*yx**3-3*yx**2-2)*D(yx,x)+5*x*yx**4+x
 --E 59
 
 --S 60 of 120
-ode323 := (a*x*y(x)**3+c)*x*D(y(x),x)+(b*x**3*y(x)+c)*y(x)
+ode323 := (a*x*y(x)^3+c)*x*D(y(x),x)+(b*x^3*y(x)+c)*y(x)
 --R 
 --R
 --R             2    3        ,         3    2
@@ -1182,7 +1182,7 @@ solve(ode323,y,x)
 --E 61
 
 --S 62 of 120
-ode324 := (2*x**3*y(x)**3-x)*D(y(x),x)+2*x**3*y(x)**3-y(x)
+ode324 := (2*x^3*y(x)^3-x)*D(y(x),x)+2*x^3*y(x)^3-y(x)
 --R 
 --R
 --R            3    3      ,        3    3
@@ -1200,7 +1200,7 @@ solve(ode324,y,x)
 --E 63
 
 --S 64 of 120
-ode325 := y(x)*(y(x)**3-2*x**3)*D(y(x),x)+(2*y(x)**3-x**3)*x
+ode325 := y(x)*(y(x)^3-2*x^3)*D(y(x),x)+(2*y(x)^3-x^3)*x
 --R 
 --R
 --R              4     3      ,             3    4
@@ -1218,7 +1218,7 @@ solve(ode325,y,x)
 --E 65
 
 --S 66 of 120
-ode326 := y(x)*((a*y(x)+b*x)**3+b*x**3)*D(y(x),x)+x*((a*y(x)+b*x)**3+a*y(x)**3)
+ode326 := y(x)*((a*y(x)+b*x)^3+b*x^3)*D(y(x),x)+x*((a*y(x)+b*x)^3+a*y(x)^3)
 --R 
 --R
 --R   (66)
@@ -1240,7 +1240,7 @@ solve(ode326,y,x)
 --E 67
 
 --S 68 of 120
-ode327 := (x*y(x)**4+2*x**2*y(x)**3+2*y(x)+x)*D(y(x),x)+y(x)**5+y(x)
+ode327 := (x*y(x)^4+2*x^2*y(x)^3+2*y(x)+x)*D(y(x),x)+y(x)^5+y(x)
 --R 
 --R
 --R                4     2    3              ,          5
@@ -1258,7 +1258,7 @@ solve(ode327,y,x)
 --E 69
 
 --S 70 of 120
-ode328 := a*x**2*y(x)**n*D(y(x),x)-2*x*D(y(x),x)+y(x)
+ode328 := a*x^2*y(x)^n*D(y(x),x)-2*x*D(y(x),x)+y(x)
 --R 
 --R
 --R             2    n       ,
@@ -1276,7 +1276,7 @@ solve(ode328,y,x)
 --E 71
 
 --S 72 of 120
-ode329 := y(x)**m*x**n*(a*x*D(y(x),x)+b*y(x))+alpha*x*D(y(x),x)+beta*y(x)
+ode329 := y(x)^m*x^n*(a*x*D(y(x),x)+b*y(x))+alpha*x*D(y(x),x)+beta*y(x)
 --R 
 --R
 --R               n    m            ,             n    m
@@ -1317,14 +1317,14 @@ solve(ode330,y,x)
 \end{chunk}
 I have no idea what to do with this
 \begin{verbatim}
- ode331 := D(y(x),x)*convert([sum(f[nu](x)*y(x)**nu,'nu'=1..p)],`+`)-_
-                     convert([sum(g[nu](x)*y(x)**nu,'nu'=1..q)],`+`)
+ ode331 := D(y(x),x)*convert([sum(f[nu](x)*y(x)^nu,'nu'=1..p)],`+`)-_
+                     convert([sum(g[nu](x)*y(x)^nu,'nu'=1..q)],`+`)
 \end{verbatim}
 \begin{chunk}{*}
 --R
 --S 76 of 120
-ode333 := (2*x**(5/2)*y(x)**(3/2)+x**2*y(x)-x)*D(y(x),x)-_
-            x**(3/2)*y(x)**(5/2)+x*y(x)**2-y(x)
+ode333 := (2*x^(5/2)*y(x)^(3/2)+x^2*y(x)-x)*D(y(x),x)-_
+            x^(3/2)*y(x)^(5/2)+x*y(x)^2-y(x)
 --R 
 --R
 --R   (75)
@@ -1361,7 +1361,7 @@ solve(ode334,y,x)
 --E 79
 
 --S 80 of 120
-ode335 := sqrt(y(x)**2-1)*D(y(x),x)-sqrt(x**2-1)
+ode335 := sqrt(y(x)^2-1)*D(y(x),x)-sqrt(x^2-1)
 --R 
 --R
 --R          +---------+         +------+
@@ -1425,7 +1425,7 @@ yx:=solve(ode335,y,x)
 --E 81
 
 --S 82 of 120
-ode335expr := sqrt(yx**2-1)*D(yx,x)-sqrt(x**2-1)
+ode335expr := sqrt(yx^2-1)*D(yx,x)-sqrt(x^2-1)
 --R 
 --R
 --R   (81)
@@ -1822,7 +1822,7 @@ ode335expr := sqrt(yx**2-1)*D(yx,x)-sqrt(x**2-1)
 --E 82
 
 --S 83 of 120
-ode336 := (sqrt(y(x)**2+1)+a*x)*D(y(x),x)+sqrt(x**2+1)+a*y(x)
+ode336 := (sqrt(y(x)^2+1)+a*x)*D(y(x),x)+sqrt(x^2+1)+a*y(x)
 --R 
 --R
 --R           +---------+                +------+
@@ -1889,7 +1889,7 @@ yx:=solve(ode336,y,x)
 --E 84
 
 --S 85 of 120
-ode336expr := (sqrt(yx**2+1)+a*x)*D(yx,x)+sqrt(x**2+1)+a*yx
+ode336expr := (sqrt(yx^2+1)+a*x)*D(yx,x)+sqrt(x^2+1)+a*yx
 --R 
 --R
 --R   (84)
@@ -2974,7 +2974,7 @@ ode336expr := (sqrt(yx**2+1)+a*x)*D(yx,x)+sqrt(x**2+1)+a*yx
 --E 85
 
 --S 86 of 120
-ode337 := (sqrt(y(x)**2+x**2)+x)*D(y(x),x)-y(x)
+ode337 := (sqrt(y(x)^2+x^2)+x)*D(y(x),x)-y(x)
 --R 
 --R
 --R           +----------+
@@ -2993,9 +2993,9 @@ solve(ode337,y,x)
 --E 87
 
 --S 88 of 120
-ode338 := (y(x)*sqrt(y(x)**2+x**2)+(y(x)**2-x**2)*sin(alpha)-_
-            2*x*y(x)*cos(alpha))*D(y(x),x)+x*sqrt(y(x)**2+x**2)+_
-            2*x*y(x)*sin(alpha)+(y(x)**2-x**2)*cos(alpha)
+ode338 := (y(x)*sqrt(y(x)^2+x^2)+(y(x)^2-x^2)*sin(alpha)-_
+            2*x*y(x)*cos(alpha))*D(y(x),x)+x*sqrt(y(x)^2+x^2)+_
+            2*x*y(x)*sin(alpha)+(y(x)^2-x^2)*cos(alpha)
 --R 
 --R
 --R   (87)
@@ -3019,8 +3019,8 @@ solve(ode338,y,x)
 --E 89
 
 --S 90 of 120
-ode339 := (x*sqrt(x**2+y(x)**2+1)-y(x)*(x**2+y(x)**2))*D(y(x),x)-_
-            y(x)*sqrt(x**2+y(x)**2+1)-x*(x**2+y(x)**2)
+ode339 := (x*sqrt(x^2+y(x)^2+1)-y(x)*(x^2+y(x)^2))*D(y(x),x)-_
+            y(x)*sqrt(x^2+y(x)^2+1)-x*(x^2+y(x)^2)
 --R 
 --R
 --R   (89)
@@ -3043,9 +3043,9 @@ solve(ode339,y,x)
 --E 91
 
 --S 92 of 120
-ode340 := (e1*(x+a)/((x+a)**2+y(x)**2)**(3/2)+e2*(x-a)/_
-           ((x-a)**2+y(x)**2)**(3/2))*D(y(x),x)-y(x)*_
-           (e1/((x+a)**2+y(x)**2)**(3/2)+e2/((x-a)**2+y(x)**2)**(3/2))
+ode340 := (e1*(x+a)/((x+a)^2+y(x)^2)^(3/2)+e2*(x-a)/_
+           ((x-a)^2+y(x)^2)^(3/2))*D(y(x),x)-y(x)*_
+           (e1/((x+a)^2+y(x)^2)^(3/2)+e2/((x-a)^2+y(x)^2)^(3/2))
 --R 
 --R
 --R   (91)
@@ -3268,7 +3268,7 @@ ode344expr := (log(yx)+2*x-1)*D(yx,x)-2*yx
 --E 105
 
 --S 106 of 120
-ode345 := x*(2*x**2*y(x)*log(y(x))+1)*D(y(x),x)-2*y(x)
+ode345 := x*(2*x^2*y(x)*log(y(x))+1)*D(y(x),x)-2*y(x)
 --R 
 --R
 --R             3                   ,
@@ -3290,7 +3290,7 @@ yx:=solve(ode345,y,x)
 --E 107
 
 --S 108 of 120
-ode345expr := x*(2*x**2*yx*log(yx)+1)*D(yx,x)-2*yx
+ode345expr := x*(2*x^2*yx*log(yx)+1)*D(yx,x)-2*yx
 --R 
 --R
 --R   (107)
@@ -3632,7 +3632,7 @@ solve(ode349,y,x)
 --E 118
 
 --S 119 of 120
-ode350 := D(y(x),x)*cos(y(x))-cos(x)*sin(y(x))**2-sin(y(x))
+ode350 := D(y(x),x)*cos(y(x))-cos(x)*sin(y(x))^2-sin(y(x))
 --R 
 --R
 --R                    ,                     2
diff --git a/src/input/kamke7.input.pamphlet b/src/input/kamke7.input.pamphlet
index 05f62f9..bab39ad 100644
--- a/src/input/kamke7.input.pamphlet
+++ b/src/input/kamke7.input.pamphlet
@@ -298,7 +298,7 @@ ode355expr := (x*cos(yx)+cos(x))*D(yx,x)-yx*sin(x)+sin(yx)
 --E 22
 
 --S 23 of 97
-ode356 := (x**2*cos(y(x))+2*y(x)*sin(x))*D(y(x),x)+2*x*sin(y(x))+y(x)**2*cos(x)
+ode356 := (x^2*cos(y(x))+2*y(x)*sin(x))*D(y(x),x)+2*x*sin(y(x))+y(x)^2*cos(x)
 --R 
 --R
 --R           2                         ,                         2
@@ -317,7 +317,7 @@ yx:=solve(ode356,y,x)
 --E 24
 
 --S 25 of 97
-ode356expr:=(x**2*cos(yx)+2*yx*sin(x))*D(yx,x)+2*x*sin(yx)+yx**2*cos(x)
+ode356expr:=(x^2*cos(yx)+2*yx*sin(x))*D(yx,x)+2*x*sin(yx)+yx^2*cos(x)
 --R 
 --R
 --R   (25)
@@ -503,7 +503,7 @@ ode361expr:=(x*sin(x*yx)+cos(x+yx)-sin(yx))*D(yx,x)+_
 --E 31
 
 --S 32 of 97
-ode363 := (x*D(y(x),x)-y(x))*cos(y(x)/x)**2+x
+ode363 := (x*D(y(x),x)-y(x))*cos(y(x)/x)^2+x
 --R 
 --R
 --R               y(x) 2 ,              y(x) 2
@@ -525,7 +525,7 @@ yx:=solve(ode363,y,x)
 --E 33
 
 --S 34 of 97
-ode363expr := (x*D(yx,x)-yx)*cos(yx/x)**2+x
+ode363expr := (x*D(yx,x)-yx)*cos(yx/x)^2+x
 --R 
 --R
 --R   (34)
@@ -640,7 +640,7 @@ ode434expr := D(yx,x)-1
 --E 41
 
 --S 42 of 97
-ode683 := (D(y(x),x) = y(x)*(-1+log(x*(x+1))*y(x)*x**4-log(x*(x+1))*x**3)/x)
+ode683 := (D(y(x),x) = y(x)*(-1+log(x*(x+1))*y(x)*x^4-log(x*(x+1))*x^3)/x)
 --R 
 --R
 --R                  4    2    3          2
@@ -665,7 +665,7 @@ solve(ode683,y,x)
 --E 43
 
 --S 44 of 97
-ode703 := (D(y(x),x) = y(x)*(1-x+y(x)*x**2*log(x)+y(x)*x**3-x*log(x)-x**2)/_
+ode703 := (D(y(x),x) = y(x)*(1-x+y(x)*x^2*log(x)+y(x)*x^3-x*log(x)-x^2)/_
             (x-1)/x)
 --R 
 --R
@@ -689,8 +689,8 @@ solve(ode703,y,x)
 --E 45
 
 --S 46 of 97
-ode714 := (D(y(x),x) = -y(x)*(-log(1/x)+exp(x)+y(x)*x**2*log(x)+_
-            y(x)*x**3-x*log(x)-x**2)/(-log(1/x)+exp(x))/x)
+ode714 := (D(y(x),x) = -y(x)*(-log(1/x)+exp(x)+y(x)*x^2*log(x)+_
+            y(x)*x^3-x*log(x)-x^2)/(-log(1/x)+exp(x))/x)
 --R 
 --R
 --R   (46)
@@ -752,7 +752,7 @@ solve(ode714,y,x)
 --E 47
 
 --S 48 of 97
-ode719 := (D(y(x),x) = y(x)*(-exp(x)+log(2*x)*x**2*y(x)-log(2*x)*x)/x/exp(x))
+ode719 := (D(y(x),x) = y(x)*(-exp(x)+log(2*x)*x^2*y(x)-log(2*x)*x)/x/exp(x))
 --R 
 --R
 --R                  2    2                          x
@@ -779,7 +779,7 @@ solve(ode719,y,x)
 --E 49
 
 --S 50 of 97
-ode736 := (D(y(x),x) = (2*x**2+2*x+x**4-2*y(x)*x**2-1+y(x)**2)/(x+1))
+ode736 := (D(y(x),x) = (2*x^2+2*x+x^4-2*y(x)*x^2-1+y(x)^2)/(x+1))
 --R 
 --R
 --R                    2     2        4     2
@@ -833,7 +833,7 @@ solve(ode765,y,x)
 
 --S 54 of 97
 ode766 := (D(y(x),x) = y(x)*(-log(x)-x*log((x-1)*(1+x)/x)+_
-            log((x-1)*(1+x)/x)*x**2*y(x))/x/log(x))
+            log((x-1)*(1+x)/x)*x^2*y(x))/x/log(x))
 --R 
 --R
 --R                                                      2
@@ -885,8 +885,8 @@ solve(ode766,y,x)
 --E 55
 
 --S 56 of 97
-ode776 := (D(y(x),x) = y(x)*(-log(1/x)-log((x**2+1)/x)*x+_
-              log((x**2+1)/x)*x**2*y(x))/x/log(1/x))
+ode776 := (D(y(x),x) = y(x)*(-log(1/x)-log((x^2+1)/x)*x+_
+              log((x^2+1)/x)*x^2*y(x))/x/log(1/x))
 --R 
 --R
 --R                                       2
@@ -919,9 +919,9 @@ solve(ode776,y,x)
 --E 57
 
 --S 58 of 97
-ode872 := (D(y(x),x) = 1/5*(-30*y(x)*x**3+12*x**6+70*x**(7/2)-30*x**3-_
-            25*y(x)*x**(1/2)+50*x-25*x**(1/2)-25)/_
-            (-5*y(x)+2*x**3+10*x**(1/2)-5)/x)
+ode872 := (D(y(x),x) = 1/5*(-30*y(x)*x^3+12*x^6+70*x^(7/2)-30*x^3-_
+            25*y(x)*x^(1/2)+50*x-25*x^(1/2)-25)/_
+            (-5*y(x)+2*x^3+10*x^(1/2)-5)/x)
 --R 
 --R
 --R                               3       +-+      3          6      3
@@ -948,7 +948,7 @@ solve(ode872,y,x)
 --E 59
 
 --S 60 of 97
-ode555 := sqrt(D(y(x),x)**2+1)+x*D(y(x),x)-y(x)
+ode555 := sqrt(D(y(x),x)^2+1)+x*D(y(x),x)-y(x)
 --R 
 --R
 --R          +----------+
@@ -973,7 +973,7 @@ solve(ode555,y,x)
 --E 61
 
 --S 62 of 97
-ode557 := x*(sqrt(D(y(x),x)**2+1)+D(y(x),x))-y(x)
+ode557 := x*(sqrt(D(y(x),x)^2+1)+D(y(x),x))-y(x)
 --R 
 --R
 --R           +----------+
@@ -998,7 +998,7 @@ solve(ode557,y,x)
 --E 63
 
 --S 64 of 97
-ode558 := a*x*sqrt(D(y(x),x)**2+1)+x*D(y(x),x)-y(x)
+ode558 := a*x*sqrt(D(y(x),x)^2+1)+x*D(y(x),x)-y(x)
 --R 
 --R
 --R             +----------+
@@ -1023,7 +1023,7 @@ solve(ode558,y,x)
 --E 65
 
 --S 66 of 97
-ode562 := a*(D(y(x),x)**3+1)**(1/3)+b*x*D(y(x),x)-y(x)
+ode562 := a*(D(y(x),x)^3+1)^(1/3)+b*x*D(y(x),x)-y(x)
 --R 
 --R
 --R            +----------+
@@ -1093,7 +1093,7 @@ solve(ode564,y,x)
 --E 71
 
 --S 72 of 97
-ode571 := a*x**n*f(D(y(x),x))+x*D(y(x),x)-y(x)
+ode571 := a*x^n*f(D(y(x),x))+x*D(y(x),x)-y(x)
 --R 
 --R
 --R            n   ,         ,
@@ -1116,7 +1116,7 @@ solve(ode571,y,x)
 --E 73
 
 --S 74 of 97
-ode573 := f(x*D(y(x),x)**2)+2*x*D(y(x),x)-y(x)
+ode573 := f(x*D(y(x),x)^2)+2*x*D(y(x),x)-y(x)
 --R 
 --R
 --R              ,   2       ,
@@ -1139,7 +1139,7 @@ solve(ode573,y,x)
 --E 75
 
 --S 76 of 97
-ode683 := (D(y(x),x) = y(x)*(-1+log(x*(x+1))*y(x)*x**4-log(x*(x+1))*x**3)/x)
+ode683 := (D(y(x),x) = y(x)*(-1+log(x*(x+1))*y(x)*x^4-log(x*(x+1))*x^3)/x)
 --R 
 --R
 --R                  4    2    3          2
@@ -1164,7 +1164,7 @@ solve(ode683,y,x)
 --E 77
 
 --S 78 of 97
-ode703 := (D(y(x),x) = y(x)*(1-x+y(x)*x**2*log(x)+y(x)*x**3-x*log(x)-x**2)/_
+ode703 := (D(y(x),x) = y(x)*(1-x+y(x)*x^2*log(x)+y(x)*x^3-x*log(x)-x^2)/_
             (x-1)/x)
 --R 
 --R
@@ -1188,8 +1188,8 @@ solve(ode703,y,x)
 --E 79
 
 --S 80 of 97
-ode714 := (D(y(x),x) = -y(x)*(-log(1/x)+exp(x)+y(x)*x**2*log(x)+_
-           y(x)*x**3-x*log(x)-x**2)/(-log(1/x)+exp(x))/x)
+ode714 := (D(y(x),x) = -y(x)*(-log(1/x)+exp(x)+y(x)*x^2*log(x)+_
+           y(x)*x^3-x*log(x)-x^2)/(-log(1/x)+exp(x))/x)
 --R 
 --R
 --R   (80)
@@ -1251,7 +1251,7 @@ solve(ode714,y,x)
 --E 81
 
 --S 82 of 97
-ode719 := (D(y(x),x) = y(x)*(-exp(x)+log(2*x)*x**2*y(x)-log(2*x)*x)/x/exp(x))
+ode719 := (D(y(x),x) = y(x)*(-exp(x)+log(2*x)*x^2*y(x)-log(2*x)*x)/x/exp(x))
 --R 
 --R
 --R                  2    2                          x
@@ -1278,7 +1278,7 @@ solve(ode719,y,x)
 --E 83
 
 --S 84 of 97
-ode736 := (D(y(x),x) = (2*x**2+2*x+x**4-2*y(x)*x**2-1+y(x)**2)/(x+1))
+ode736 := (D(y(x),x) = (2*x^2+2*x+x^4-2*y(x)*x^2-1+y(x)^2)/(x+1))
 --R 
 --R
 --R                    2     2        4     2
@@ -1332,7 +1332,7 @@ solve(ode765,y,x)
 
 --S 88 of 97
 ode766 := (D(y(x),x) = y(x)*(-log(x)-x*log((x-1)*(1+x)/x)+_
-           log((x-1)*(1+x)/x)*x**2*y(x))/x/log(x))
+           log((x-1)*(1+x)/x)*x^2*y(x))/x/log(x))
 --R 
 --R
 --R                                                      2
@@ -1384,8 +1384,8 @@ solve(ode766,y,x)
 --E 89
 
 --S 90 of 97
-ode776 := (D(y(x),x) = y(x)*(-log(1/x)-log((x**2+1)/x)*x+_
-            log((x**2+1)/x)*x**2*y(x))/x/log(1/x))
+ode776 := (D(y(x),x) = y(x)*(-log(1/x)-log((x^2+1)/x)*x+_
+            log((x^2+1)/x)*x^2*y(x))/x/log(1/x))
 --R 
 --R
 --R                                       2
@@ -1418,9 +1418,9 @@ solve(ode776,y,x)
 --E 91
 
 --S 92 of 97
-ode872 := (D(y(x),x) = 1/5*(-30*y(x)*x**3+12*x**6+70*x**(7/2)-30*x**3-_
-            25*y(x)*x**(1/2)+50*x-25*x**(1/2)-25)/(-5*y(x)+2*x**3+_
-            10*x**(1/2)-5)/x)
+ode872 := (D(y(x),x) = 1/5*(-30*y(x)*x^3+12*x^6+70*x^(7/2)-30*x^3-_
+            25*y(x)*x^(1/2)+50*x-25*x^(1/2)-25)/(-5*y(x)+2*x^3+_
+            10*x^(1/2)-5)/x)
 --R 
 --R
 --R                               3       +-+      3          6      3
@@ -1447,12 +1447,12 @@ solve(ode872,y,x)
 --E 93
 
 --S 94 of 97
-ode956 := (D(y(x),x) = 1/(1+log(x))*y(x)*(-1-x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*x**2-x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*x**2*log(x)+x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*x**2*y(x)+2*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*x**2*y(x)*log(x)+x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*x**2*y(x)*log(x)**2)/x)
+ode956 := (D(y(x),x) = 1/(1+log(x))*y(x)*(-1-x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*x^2-x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*x^2*log(x)+x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*x^2*y(x)+2*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*x^2*y(x)*log(x)+x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*x^2*y(x)*log(x)^2)/x)
 --R 
 --R
 --R   (94)
@@ -1489,12 +1489,12 @@ solve(ode956,y,x)
 --E 95
 
 --S 96 of 97
-ode957 := (D(y(x),x) = 1/(1+log(x))*y(x)*(-1-x**3*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)-x**3*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*log(x)+x**3*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*y(x)+2*x**3*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*y(x)*log(x)+x**3*x**(2/(1+log(x)))*_
-            exp(2/(1+log(x))*log(x)**2)*y(x)*log(x)**2)/x)
+ode957 := (D(y(x),x) = 1/(1+log(x))*y(x)*(-1-x^3*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)-x^3*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*log(x)+x^3*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*y(x)+2*x^3*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*y(x)*log(x)+x^3*x^(2/(1+log(x)))*_
+            exp(2/(1+log(x))*log(x)^2)*y(x)*log(x)^2)/x)
 --R 
 --R
 --R   (96)
diff --git a/src/input/kernel.input.pamphlet b/src/input/kernel.input.pamphlet
index b8f0f4f..3266624 100644
--- a/src/input/kernel.input.pamphlet
+++ b/src/input/kernel.input.pamphlet
@@ -53,7 +53,7 @@ kernels %
 --E 4
 
 --S 5 of 19
-sin(x)**2 + sin(x) + cos(x)
+sin(x)^2 + sin(x) + cos(x)
 --R 
 --R
 --R              2
diff --git a/src/input/kovacic.input.pamphlet b/src/input/kovacic.input.pamphlet
index f8541d0..e233796 100644
--- a/src/input/kovacic.input.pamphlet
+++ b/src/input/kovacic.input.pamphlet
@@ -39,7 +39,7 @@ were rational functions).
 Here is an example of an equation that we can solve in 1.5 and not in 1.0:
 \begin{chunk}{*}
 --S 2 of 3
-eq := 2*x**3 * differentiate(y x,x,2) + 3*x**2 * differentiate(y x,x) - 2 * y x
+eq := 2*x^3 * differentiate(y x,x,2) + 3*x^2 * differentiate(y x,x) - 2 * y x
 --R 
 --R
 --R          3 ,,        2 ,
diff --git a/src/input/laplace.input.pamphlet b/src/input/laplace.input.pamphlet
index 6f56836..216ed3a 100644
--- a/src/input/laplace.input.pamphlet
+++ b/src/input/laplace.input.pamphlet
@@ -25,7 +25,7 @@
 Some laplace transforms
 \begin{chunk}{*}
 --S 1 of 27
-f n == t**(n-1)*exp(-a*t)/factorial(n-1)
+f n == t^(n-1)*exp(-a*t)/factorial(n-1)
 --R 
 --R                                                                   Type: Void
 --E 1
@@ -98,7 +98,7 @@ laplace(%, t, s)
 --E 7
 
 --S 8 of 27
-(cosh(a*t) - cos(a*t))/(2*a**2)
+(cosh(a*t) - cos(a*t))/(2*a^2)
 --R 
 --R
 --R        cosh(a t) - cos(a t)
@@ -120,7 +120,7 @@ laplace(%, t, s)
 --E 9
 
 --S 10 of 27
-exp(-a*t) * sin(b*t) / b**2
+exp(-a*t) * sin(b*t) / b^2
 --R 
 --R
 --R           - a t
@@ -290,7 +290,7 @@ laplace(%, t, s)
 We keep unknown transforms as formal transform in the answer
 \begin{chunk}{*}
 --S 26 of 27
-sin(a*t) - a*t*cos(a*t) + exp(t**2)
+sin(a*t) - a*t*cos(a*t) + exp(t^2)
 --R 
 --R
 --R                       2
diff --git a/src/input/lib.input.pamphlet b/src/input/lib.input.pamphlet
index a6d7ddb..9c95f99 100644
--- a/src/input/lib.input.pamphlet
+++ b/src/input/lib.input.pamphlet
@@ -16,8 +16,8 @@
 )clear all
 
 stuff := library "/tmp/Neat.stuff"
-stuff.int    := 32**2
-stuff."poly" := x**2 + 1
+stuff.int    := 32^2
+stuff."poly" := x^2 + 1
 stuff.str    := "Hello"
 keys stuff
 stuff.poly
diff --git a/src/input/linalg.input.pamphlet b/src/input/linalg.input.pamphlet
index 4fda6c2..9d80b1f 100644
--- a/src/input/linalg.input.pamphlet
+++ b/src/input/linalg.input.pamphlet
@@ -133,7 +133,7 @@ vars : LIST POLY INT := [x,y,z,u]
 --E 12
 
 --S 13 of 82
-for i in 1..4 repeat for j in 1..3 repeat m5(i,j + 1) := (vars.i)**j
+for i in 1..4 repeat for j in 1..3 repeat m5(i,j + 1) := (vars.i)^j
 --R                                                                   Type: Void
 --E 13
 
@@ -268,7 +268,7 @@ m9 : SQMATRIX(2,INT) := matrix([[1,1],[0,1]])
 --E 25
 
 --S 26 of 82
-m8 ** 2
+m8 ^ 2
 --R
 --R         +5  8 +
 --R   (25)  |     |
@@ -277,7 +277,7 @@ m8 ** 2
 --E 26
 
 --S 27 of 82
-m9 ** 3
+m9 ^ 3
 --R
 --R         +1  3+
 --R   (26)  |    |
@@ -338,7 +338,7 @@ mm * mm
 --E 31
 
 --S 32 of 82
-p : POLY SQMATRIX(2,INT) := m8 * x**2 + m9 * x + m8 * m9
+p : POLY SQMATRIX(2,INT) := m8 * x^2 + m9 * x + m8 * m9
 --R
 --R         +1  2+ 2   +1  1+    +1  3+
 --R   (31)  |    |x  + |    |x + |    |
diff --git a/src/input/lode.input.pamphlet b/src/input/lode.input.pamphlet
index eb53ea0..8480c14 100644
--- a/src/input/lode.input.pamphlet
+++ b/src/input/lode.input.pamphlet
@@ -95,8 +95,8 @@ solve(deq = sin x, y, x)
 Some inhomogenuous equations with rational coefficients
 \begin{chunk}{*}
 --S 7 of 15
-deq := x**3 * differentiate(y x, x, 3) + x**2 * differentiate(y x, x, 2) - _
-2 * x * differentiate(y x, x) + 2 * y x = 2 * x**4
+deq := x^3 * differentiate(y x, x, 3) + x^2 * differentiate(y x, x, 2) - _
+2 * x * differentiate(y x, x) + 2 * y x = 2 * x^4
 --R 
 --R
 --R         3 ,,,       2 ,,         ,               4
@@ -135,9 +135,9 @@ solve(deq, y, x = 1, [b, 0, a])
 Third order equation with nontrivial singularities
 \begin{chunk}{*}
 --S 10 of 15
-deq := (x**9 + x**3) * differentiate(y x, x, 3) + _
-18 * x**8 * differentiate(y x, x,2) - 90 * x * differentiate(y x, x) - _
-30 * (11*x**6-3) * y x
+deq := (x^9 + x^3) * differentiate(y x, x, 3) + _
+18 * x^8 * differentiate(y x, x,2) - 90 * x * differentiate(y x, x) - _
+30 * (11*x^6-3) * y x
 --R 
 --R
 --R           9    3  ,,,         8 ,,          ,             6
@@ -164,7 +164,7 @@ Third order equation on a curve of genus 0
 \begin{chunk}{*}
 --S 12 of 15
 deq := (2*x+2)* differentiate(y x, x, 3) + 3* differentiate(y x, x, 2) + _
-(2*x**2+2*x)* differentiate(y x,x) - sqrt(x+1) * y x = 2 * x**2 + x - 1
+(2*x^2+2*x)* differentiate(y x,x) - sqrt(x+1) * y x = 2 * x^2 + x - 1
 --R 
 --R
 --R   (12)
@@ -187,7 +187,7 @@ solve(deq, y, x).particular
 This equation is irreducible over the rational functions
 \begin{chunk}{*}
 --S 14 of 15
-deq := 2*x**3*differentiate(y x,x,2) + 3*x**2*differentiate(y x,x) - 2*y x
+deq := 2*x^3*differentiate(y x,x,2) + 3*x^2*differentiate(y x,x) - 2*y x
 --R 
 --R
 --R           3 ,,        2 ,
diff --git a/src/input/lodesys.input.pamphlet b/src/input/lodesys.input.pamphlet
index aa4e309..c78d919 100644
--- a/src/input/lodesys.input.pamphlet
+++ b/src/input/lodesys.input.pamphlet
@@ -55,7 +55,7 @@ M := matrix [[ 1+4*t,  -5*t,   7*t,  -8*t,   8*t,  -6*t],_
 The original system in Barkatou's AAECC paper is $t^2 dy/dt = M*y$
 \begin{chunk}{*}
 --S 2 of 13
-sol := solve(inv(t**2) * M, t)
+sol := solve(inv(t^2) * M, t)
 --R 
 --R
 --R   (2)
@@ -82,7 +82,7 @@ sol := solve(inv(t**2) * M, t)
 Verify the solutions
 \begin{chunk}{*}
 --S 3 of 13
-[t**2 * map(h +-> D(h, t), v) - M * v for v in sol]
+[t^2 * map(h +-> D(h, t), v) - M * v for v in sol]
 --R 
 --R
 --R   (3)
@@ -153,7 +153,7 @@ v := vector [1, (-29*t + 19)/5, -1, t + 1, - 2*t + 3, -1]
 Get a particular solution to  $t^2 dy/dt = M y + v$
 \begin{chunk}{*}
 --S 9 of 13
-solp := solve(inv(t**2) * M, inv(t**2) * v, t).particular
+solp := solve(inv(t^2) * M, inv(t^2) * v, t).particular
 --R 
 --R
 --R               19
@@ -166,7 +166,7 @@ solp := solve(inv(t**2) * M, inv(t**2) * v, t).particular
 Verify the particular solution
 \begin{chunk}{*}
 --S 10 of 13
-t**2 * map(h +-> D(h, t), solp) - M * solp - v
+t^2 * map(h +-> D(h, t), solp) - M * solp - v
 --R 
 --R
 --R   (10)  [0,0,0,0,0,0]
diff --git a/src/input/lodo.input.pamphlet b/src/input/lodo.input.pamphlet
index c83683a..0db65ae 100644
--- a/src/input/lodo.input.pamphlet
+++ b/src/input/lodo.input.pamphlet
@@ -71,7 +71,7 @@ a  := Dx  + 1
 --E 4
 
 --S 5 of 55
-b  := a + 1/2*Dx**2 - 1/2
+b  := a + 1/2*Dx^2 - 1/2
 --R 
 --R
 --R        1  2       1
@@ -84,7 +84,7 @@ b  := a + 1/2*Dx**2 - 1/2
 Something to work on
 \begin{chunk}{*}
 --S 6 of 55
-p: UP(x,RN) := 4*x**2 + 2/3      
+p: UP(x,RN) := 4*x^2 + 2/3      
 --R 
 --R
 --R          2   2
@@ -124,7 +124,7 @@ Exponentiation follows from multiplication
 \begin{chunk}{*}
 
 --S 9 of 55
-c := (1/9)*b*(a + b)**2    
+c := (1/9)*b*(a + b)^2    
 --R 
 --R
 --R         1  6    5  5   13  4   19  3   79  2    7     1
@@ -137,7 +137,7 @@ c := (1/9)*b*(a + b)**2
 General application of operator expressions
 \begin{chunk}{*}
 --S 10 of 55
-(a**2 - 3/4*b + c) (p + 1) 
+(a^2 - 3/4*b + c) (p + 1) 
 --R 
 --R
 --R           2   44     541
@@ -174,7 +174,7 @@ Dx := D()
 --E 13
 
 --S 14 of 55
-b := 3*x**2*Dx**2 + 2*Dx + 1/x
+b := 3*x^2*Dx^2 + 2*Dx + 1/x
 --R 
 --R
 --R          2 2        1
@@ -194,7 +194,7 @@ a := b*(5*x*Dx + 7)
 --E 15
 
 --S 16 of 55
-p: RFZ := x**2 + 1/x**2
+p: RFZ := x^2 + 1/x^2
 --R 
 --R
 --R         4
@@ -338,8 +338,8 @@ rightRemainder(f, b)
 \begin{verbatim}
 Problem: find the first few coefficients of exp(x)/x^i in Dop phi
   where
-       Dop := D**3 + G/x**2 * D + H/x**3 - 1
-       phi := sum(s[i]*exp(x)/x**i, i = 0..)
+       Dop := D^3 + G/x^2 * D + H/x^3 - 1
+       phi := sum(s[i]*exp(x)/x^i, i = 0..)
 \end{verbatim}
 \begin{chunk}{*}
 )clear all
@@ -358,7 +358,7 @@ Dx := D()
 --E 29
 
 --S 30 of 55
-Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
+Dop:= Dx^3 + G/x^2*Dx + H/x^3 - 1
 --R 
 --R
 --R                       3
@@ -376,7 +376,7 @@ n == 3
 --E 31
 
 --S 32 of 55
-phi == reduce(+,[subscript(s,[i])*exp(x)/x**i for i in 0..n])
+phi == reduce(+,[subscript(s,[i])*exp(x)/x^i for i in 0..n])
 --R 
 --R                                                                   Type: Void
 --E 32
@@ -388,7 +388,7 @@ phi1 ==  Dop(phi) / exp x
 --E 33
 
 --S 34 of 55
-phi2 == phi1 *x**(n+3)
+phi2 == phi1 *x^(n+3)
 --R 
 --R                                                                   Type: Void
 --E 34
@@ -644,7 +644,7 @@ Modo := LODO2(SQMATRIX(3,PZ), Vect);
 --E 45
 
 --S 46 of 55
-p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
+p := directProduct([3*x^2 + 1, 2*x, 7*x^3 + 2*x]::(VECTOR(PZ)))@Vect
 --R 
 --R
 --R           2          3
@@ -653,7 +653,7 @@ p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
 --E 46
 
 --S 47 of 55
-m := [[x**2, 1, 0], [1, x**4, 0], [0, 0, 4*x**2]]::(SQMATRIX(3,PZ))
+m := [[x^2, 1, 0], [1, x^4, 0], [0, 0, 4*x^2]]::(SQMATRIX(3,PZ))
 --R 
 --R
 --R        + 2         +
diff --git a/src/input/lodo1.input.pamphlet b/src/input/lodo1.input.pamphlet
index 88991bd..9f3c6a0 100644
--- a/src/input/lodo1.input.pamphlet
+++ b/src/input/lodo1.input.pamphlet
@@ -45,7 +45,7 @@ Dx : LODO1 RFZ := D()
 --E 3
 
 --S 4 of 20
-b : LODO1 RFZ := 3*x**2*Dx**2 + 2*Dx + 1/x
+b : LODO1 RFZ := 3*x^2*Dx^2 + 2*Dx + 1/x
 --R 
 --R
 --R          2 2        1
@@ -65,7 +65,7 @@ a : LODO1 RFZ := b*(5*x*Dx + 7)
 --E 5
 
 --S 6 of 20
-p := x**2 + 1/x**2
+p := x^2 + 1/x^2
 --R 
 --R
 --R         4
diff --git a/src/input/lodo2.input.pamphlet b/src/input/lodo2.input.pamphlet
index b004d2c..e7f88bd 100644
--- a/src/input/lodo2.input.pamphlet
+++ b/src/input/lodo2.input.pamphlet
@@ -61,7 +61,7 @@ a := Dx  + 1
 --E 5
 
 --S 6 of 26
-b := a + 1/2*Dx**2 - 1/2
+b := a + 1/2*Dx^2 - 1/2
 --R 
 --R
 --R        1  2       1
@@ -71,7 +71,7 @@ b := a + 1/2*Dx**2 - 1/2
 --E 6
 
 --S 7 of 26
-p := 4*x**2 + 2/3
+p := 4*x^2 + 2/3
 --R 
 --R
 --R          2   2
@@ -101,7 +101,7 @@ a p
 --E 9
 
 --S 10 of 26
-c := (1/9)*b*(a + b)**2
+c := (1/9)*b*(a + b)^2
 --R 
 --R
 --R          1  6    5  5   13  4   19  3   79  2    7     1
@@ -111,7 +111,7 @@ c := (1/9)*b*(a + b)**2
 --E 10
 
 --S 11 of 26
-(a**2 - 3/4*b + c) (p + 1)
+(a^2 - 3/4*b + c) (p + 1)
 --R 
 --R
 --R           2   44     541
@@ -161,7 +161,7 @@ Modo := LODO2(Mat, Vect);
 --E 16
 
 --S 17 of 26
-m:Mat := matrix [[x**2,1,0],[1,x**4,0],[0,0,4*x**2]]
+m:Mat := matrix [[x^2,1,0],[1,x^4,0],[0,0,4*x^2]]
 --R 
 --R
 --R        + 2         +
@@ -176,7 +176,7 @@ m:Mat := matrix [[x**2,1,0],[1,x**4,0],[0,0,4*x**2]]
 --E 17
 
 --S 18 of 26
-p:Vect := directProduct [3*x**2+1,2*x,7*x**3+2*x]
+p:Vect := directProduct [3*x^2+1,2*x,7*x^3+2*x]
 --R 
 --R
 --R           2          3
diff --git a/src/input/lodo3.input.pamphlet b/src/input/lodo3.input.pamphlet
index fd06eaa..4484f61 100644
--- a/src/input/lodo3.input.pamphlet
+++ b/src/input/lodo3.input.pamphlet
@@ -35,7 +35,7 @@ Dx := D()
 --E 2
 
 --S 3 of 16
-Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
+Dop:= Dx^3 + G/x^2*Dx + H/x^3 - 1
 --R 
 --R
 --R                       3
@@ -53,7 +53,7 @@ n == 3
 --E 4
 
 --S 5 of 16
-phi == reduce(+,[subscript(s,[i])*exp(x)/x**i for i in 0..n])
+phi == reduce(+,[subscript(s,[i])*exp(x)/x^i for i in 0..n])
 --R 
 --R                                                                   Type: Void
 --E 5
@@ -65,7 +65,7 @@ phi1 ==  Dop(phi) / exp x
 --E 6
 
 --S 7 of 16
-phi2 == phi1 *x**(n+3)
+phi2 == phi1 *x^(n+3)
 --R 
 --R                                                                   Type: Void
 --E 7
diff --git a/src/input/lodof.input.pamphlet b/src/input/lodof.input.pamphlet
index 6635d80..bef41a9 100644
--- a/src/input/lodof.input.pamphlet
+++ b/src/input/lodof.input.pamphlet
@@ -73,7 +73,7 @@ t := t::P::Q
 Reducible order 2 operator (1-1)
 \begin{chunk}{*}
 --S 7 of 16
-op := d**2 + t * d + 1
+op := d^2 + t * d + 1
 --R 
 --R
 --R         2
@@ -93,7 +93,7 @@ factor op
 Irreducible order 2 operator
 \begin{chunk}{*}
 --S 9 of 16
-op := 2*t**3 * d**2 + 3*t**2 * d - 2
+op := 2*t^3 * d^2 + 3*t^2 * d - 2
 --R 
 --R
 --R          3 2     2
@@ -114,7 +114,7 @@ factor op
 Reducible order 3 operator (1-2)
 \begin{chunk}{*}
 --S 11 of 16
-op := 2*t**3 * d**3 - (2*t**4 - 9*t**2) * d**2 - (3*t**3 - 6*t + 2) * d + 2*t
+op := 2*t^3 * d^3 - (2*t^4 - 9*t^2) * d^2 - (3*t^3 - 6*t + 2) * d + 2*t
 --R 
 --R
 --R           3 3        4     2  2        3
@@ -135,7 +135,7 @@ factor op
 Reducible order 3 operator (1-1-1)
 \begin{chunk}{*}
 --S 13 of 16
-op := (t**9 + t**3) * d**3 + 18 * t**8 * d**2 - 90 * t * d - 30 * (11*t**6-3)
+op := (t^9 + t^3) * d^3 + 18 * t^8 * d^2 - 90 * t * d - 30 * (11*t^6-3)
 --R 
 --R
 --R           9    3  3      8 2               6
@@ -165,7 +165,7 @@ factor op
 Irreducible order 3 operator
 \begin{chunk}{*}
 --S 15 of 16
-op := d**3 + 2 * d**2 + 5 / t * d + 7 / t**2
+op := d^3 + 2 * d^2 + 5 / t * d + 7 / t^2
 --R 
 --R
 --R          3     2   5      7
diff --git a/src/input/loop.input.pamphlet b/src/input/loop.input.pamphlet
index b973b4e..ff4790c 100644
--- a/src/input/loop.input.pamphlet
+++ b/src/input/loop.input.pamphlet
@@ -15,7 +15,7 @@
 -- Input for page BasicLoops
 )clear all
 
-p := 2**(2**3) + 1
+p := 2^(2^3) + 1
 repeat if prime?(p := p + 1) then leave
 p
 repeat if prime?(p := p + 1) then leave p
@@ -38,20 +38,20 @@ for i in 1.. for j in 11.. | even? j while i < 6 repeat print [i,j]
 )clear all
 
 i := 2
-repeat (print (i := 2**i; if i > 10 then leave))
-for j in 1..5 repeat print (i := j**i)
-while i < 1000 repeat print (i := 2**i)
-for i in 1.. while i < 1000 repeat print [j,": ",i := 2**i]
-for j in 1..4 repeat for i in 2..4 repeat print [i,"**",j," = ",i**j]
+repeat (print (i := 2^i; if i > 10 then leave))
+for j in 1..5 repeat print (i := j^i)
+while i < 1000 repeat print (i := 2^i)
+for i in 1.. while i < 1000 repeat print [j,": ",i := 2^i]
+for j in 1..4 repeat for i in 2..4 repeat print [i,"^",j," = ",i^j]
 
 -- Input for page ForLoops
 )clear all
 
-for i in 0..10 repeat print (i**3)
-for i in 0..10 by 2 repeat print (i**3)
-for i in 10..0 by -2 repeat print (i**3)
-for i in 0..10 | even? i repeat print (i**3)
-for i in 0.. by 2 repeat (i**3)
+for i in 0..10 repeat print (i^3)
+for i in 0..10 by 2 repeat print (i^3)
+for i in 10..0 by -2 repeat print (i^3)
+for i in 0..10 | even? i repeat print (i^3)
+for i in 0.. by 2 repeat (i^3)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/lump.input.pamphlet b/src/input/lump.input.pamphlet
index 4a72a68..335f9b7 100644
--- a/src/input/lump.input.pamphlet
+++ b/src/input/lump.input.pamphlet
@@ -11,7 +11,7 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw(sin(2 * x**2 + 3 * y**2)/(x**2 + y**2),x = -3..3,y = -3..3)
+draw(sin(2 * x^2 + 3 * y^2)/(x^2 + y^2),x = -3..3,y = -3..3)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/lupfact.input.pamphlet b/src/input/lupfact.input.pamphlet
index 8e09163..7f54af6 100644
--- a/src/input/lupfact.input.pamphlet
+++ b/src/input/lupfact.input.pamphlet
@@ -181,8 +181,8 @@ lupFactor m ==
     messagePrint("Matrix must be square")$OUTFORM
     "failed"
   ilog := intLog2(2)
-  not(r = 2 ** ilog) =>
-    m := embedMatrix(m,r,(n := 2 ** (ilog + 1)))
+  not(r = 2 ^ ilog) =>
+    m := embedMatrix(m,r,(n := 2 ^ (ilog + 1)))
     l := lupFactorEngine(m,n,n)
     [subMatrix(l.1,1,r,1,r),subMatrix(l.2,1,r,1,r),
       subMatrix(l.3,1,r,1,r)]
diff --git a/src/input/macbug.input.pamphlet b/src/input/macbug.input.pamphlet
index 1b54a18..56a377a 100644
--- a/src/input/macbug.input.pamphlet
+++ b/src/input/macbug.input.pamphlet
@@ -26,7 +26,7 @@ Macros can be parameterized and so can be used for many different
 kinds of objects.
 \begin{chunk}{*}
 --S 1 of 5
-macro ff(x) == x**2 + 1
+macro ff(x) == x^2 + 1
 --R 
 --R                                                                   Type: Void
 --E 1
diff --git a/src/input/marcbench.input.pamphlet b/src/input/marcbench.input.pamphlet
index 8d8d146..c470cf4 100644
--- a/src/input/marcbench.input.pamphlet
+++ b/src/input/marcbench.input.pamphlet
@@ -115,14 +115,14 @@ LP := List(P);
 x: P := 'x;
 y: P := 'y;
 z: P := 'z;
-f1 := 7*y**4 - 20*x**2 ;
-f2:=  (2160*x**2 + 1512*x +315)*z**4-4000*x**2-2800*x-490 ;
-f3 :=  (67200000*x**5 + 94080000*x**4 + 40924800*x**3 + 2634240*x**2-_
-        2300844*x-432180)*y**3 + ((40320000*x**6 + 28800000*x**5 + _
-        21168000*x**3 + 4939200*x**2 + 347508*x)*z)*y**2 + _
-        ((-23520000*x**4-41395200*x**3-26726560*x**2-7727104*x-_
-        852355)*z**2)*y + (-10080000*x**4-28224000*x**3-15288000*x**2-_
-        1978032*x-180075)*z**3 ;
+f1 := 7*y^4 - 20*x^2 ;
+f2:=  (2160*x^2 + 1512*x +315)*z^4-4000*x^2-2800*x-490 ;
+f3 :=  (67200000*x^5 + 94080000*x^4 + 40924800*x^3 + 2634240*x^2-_
+        2300844*x-432180)*y^3 + ((40320000*x^6 + 28800000*x^5 + _
+        21168000*x^3 + 4939200*x^2 + 347508*x)*z)*y^2 + _
+        ((-23520000*x^4-41395200*x^3-26726560*x^2-7727104*x-_
+        852355)*z^2)*y + (-10080000*x^4-28224000*x^3-15288000*x^2-_
+        1978032*x-180075)*z^3 ;
 lp := [f1,f2,f3];
 
 
@@ -195,13 +195,13 @@ u: P := 'u;
 v: P := 'v;
 w: P := 'w;
 f0 := b1 + y + z - t - w;
-f1 := 2*z*u + 2*y*v + 2*t*w - 2*w**2 - w - 1 ;
-f2 := 3*z*u**2 + 3*y*v**2 - 3*t*w**2 + 3*w**3 + 3*w**2 - t + 4*w  ;
-f3 := 6*x*z*v - 6*t*w**2 + 6*w**3 - 3*t*w + 6*w**2 - t + 4*w  ;
-f4 := 4*z*u**3+ 4*y*v**3+ 4*t*w**3- 4*w**4 - 6*w**3+ 4*t*w- 10*w**2- w- 1  ;
-f5 := 8*x*z*u*v +8*t*w**3 -8*w**4 +4*t*w**2 -12*w**3 +4*t*w -14*w**2 -3*w -1  ;
-f6 := 12*x*z*v**2+12*t*w**3 -12*w**4 +12*t*w**2 -18*w**3 +8*t*w -14*w**2 -w -1;
-f7 := -24*t*w**3 + 24*w**4 - 24*t*w**2 + 36*w**3 - 8*t*w + 26*w**2 + 7*w + 1 ;
+f1 := 2*z*u + 2*y*v + 2*t*w - 2*w^2 - w - 1 ;
+f2 := 3*z*u^2 + 3*y*v^2 - 3*t*w^2 + 3*w^3 + 3*w^2 - t + 4*w  ;
+f3 := 6*x*z*v - 6*t*w^2 + 6*w^3 - 3*t*w + 6*w^2 - t + 4*w  ;
+f4 := 4*z*u^3+ 4*y*v^3+ 4*t*w^3- 4*w^4 - 6*w^3+ 4*t*w- 10*w^2- w- 1  ;
+f5 := 8*x*z*u*v +8*t*w^3 -8*w^4 +4*t*w^2 -12*w^3 +4*t*w -14*w^2 -3*w -1  ;
+f6 := 12*x*z*v^2+12*t*w^3 -12*w^4 +12*t*w^2 -18*w^3 +8*t*w -14*w^2 -w -1;
+f7 := -24*t*w^3 + 24*w^4 - 24*t*w^2 + 36*w^3 - 8*t*w + 26*w^2 + 7*w + 1 ;
 
 lp := [f0,f1,f2,f3,f4,f5,f6,f7];
 T := REGSET(R,E,V,P);
@@ -244,11 +244,11 @@ C3: P := `C3;
 C2: P := `C2;
 f1 := B1+B2+B3+B4-1 ;
 f2 := 2*B2*C2 + 2*B3*C3 + 2*B4*C4 - 1 ;
-f3 := 3*B2*C2**2 +3*B3*C3**2 +3*B4*C4**2 -1 ;
+f3 := 3*B2*C2^2 +3*B3*C3^2 +3*B4*C4^2 -1 ;
 f4 := 6*B3*A32*C2 +6*B4*A42*C2 +6*B4*A43*C3 -1 ;
-f5 := 4*B2*C2**3 +4*B3*C3**3 +4*B4*C4**3 -1 ;
+f5 := 4*B2*C2^3 +4*B3*C3^3 +4*B4*C4^3 -1 ;
 f6 := 8*B3*C3*A32*C2 +8*B4*C4*A42*C2 +8*B4*C4*A43*C3 -1 ;
-f7 := 12*B3*A32*C2**2 +12*B4*A42*C2**2 +12*B4*A43*C3**2 -1 ;
+f7 := 12*B3*A32*C2^2 +12*B4*A42*C2^2 +12*B4*A43*C3^2 -1 ;
 f8 := 24*B4*A43*A32*C2 -1 ;
 f9 := -A21+C2 ;
 f10 := -A31-A32+C3 ;
@@ -395,10 +395,10 @@ y: P := 'y;
 u: P := 'u;
 v: P := 'v;
 w: P := 'w;
-p1 := (x - u) ** 2 + (y - v) ** 2 - 1 ;
-p2 := v ** 2 - u ** 3 ;
-p3 := 2 * v * (x - u) + 3 * u ** 2 * (y - v) ;
-f1 := (3 * w * u ** 2 - 1) ;
+p1 := (x - u) ^ 2 + (y - v) ^ 2 - 1 ;
+p2 := v ^ 2 - u ^ 3 ;
+p3 := 2 * v * (x - u) + 3 * u ^ 2 * (y - v) ;
+f1 := (3 * w * u ^ 2 - 1) ;
 f2 := (2 * w * v - 1) ;
 p4 := f1 * f2 ;
 lp := [p1,p2,p3,p4] ;
diff --git a/src/input/matbug.input.pamphlet b/src/input/matbug.input.pamphlet
index a5178dc..caf89cd 100644
--- a/src/input/matbug.input.pamphlet
+++ b/src/input/matbug.input.pamphlet
@@ -104,7 +104,7 @@ m*m
 --E 7
 
 --S 8 of 12
-m**2
+m^2
 --R 
 --R
 --R        +                    +              2           ++
@@ -121,7 +121,7 @@ m**2
 --E 8
 
 --S 9 of 12
-m**3
+m^3
 --R 
 --R
 --R        +matrix1  matrix2+
diff --git a/src/input/mathml.input.pamphlet b/src/input/mathml.input.pamphlet
index dbe0640..d647d34 100644
--- a/src/input/mathml.input.pamphlet
+++ b/src/input/mathml.input.pamphlet
@@ -18,7 +18,7 @@
 )clear all
  
 --S 1 of 21
-(x+y)**2
+(x+y)^2
 --R 
 --R
 --R         2           2
@@ -39,7 +39,7 @@ coerce(%)$MMLFORM
 --E 2
 
 --S 3 of 21
-(x+y)**2
+(x+y)^2
 --R 
 --R
 --R         2           2
@@ -59,7 +59,7 @@ display(coerce(%)$MMLFORM)$MMLFORM
 )set output mathml on
 
 --S 5 of 21
-(x+y)**2
+(x+y)^2
 --R 
 --R
 --R         2           2
@@ -72,7 +72,7 @@ display(coerce(%)$MMLFORM)$MMLFORM
 --E 5
 
 --S 6 of 21
-integrate(x**x,x)
+integrate(x^x,x)
 --R 
 --R
 --R           x
@@ -87,7 +87,7 @@ integrate(x**x,x)
 --E 6
 
 --S 7 of 21
-integral(x**x,x)
+integral(x^x,x)
 --R 
 --R
 --R           x
@@ -102,7 +102,7 @@ integral(x**x,x)
 --E 7
 
 --S 8 of 21
-(5+sqrt 63 + sqrt 847)**(1/3)
+(5+sqrt 63 + sqrt 847)^(1/3)
 --R 
 --R
 --R         +----------+
diff --git a/src/input/matrix.input.pamphlet b/src/input/matrix.input.pamphlet
index 552221a..5d78a79 100644
--- a/src/input/matrix.input.pamphlet
+++ b/src/input/matrix.input.pamphlet
@@ -151,7 +151,7 @@ mat1 * mat1inv
 Vandermonde determinant
 \begin{chunk}{*}
 --S 7 of 42
-mat2 : MATRIX INT := matrix [[j**i for i in 0..4] for j in 1..5]
+mat2 : MATRIX INT := matrix [[j^i for i in 0..4] for j in 1..5]
 --R 
 --R
 --R        +1  1  1    1    1 +
@@ -203,7 +203,7 @@ Same computation, different indexing
 \begin{chunk}{*}
 --S 11 of 42
 mat3 : IMATRIX(INT,13,-7) := _
-   matrix [[j**i for i in 0..4] for j in 1..5]
+   matrix [[j^i for i in 0..4] for j in 1..5]
 --R 
 --R
 --R         +1  1  1    1    1 +
@@ -254,7 +254,7 @@ minordet    mat3
 Same computation, work over the rationals
 \begin{chunk}{*}
 --S 15 of 42
-mat4 : MATRIX FRAC INT := matrix [[j**i for i in 0..4] for j in 1..5]
+mat4 : MATRIX FRAC INT := matrix [[j^i for i in 0..4] for j in 1..5]
 --R 
 --R
 --R         +1  1  1    1    1 +
@@ -306,7 +306,7 @@ Same computation, different indexing
 \begin{chunk}{*}
 --S 19 of 42
 mat5 : IMATRIX(FRAC INT,-113,37) := _
-   matrix [[j**i for i in 0..4] for j in 1..5]
+   matrix [[j^i for i in 0..4] for j in 1..5]
 --R 
 --R
 --R         +1  1  1    1    1 +
diff --git a/src/input/matrix1.input.pamphlet b/src/input/matrix1.input.pamphlet
index 98187c5..0bffa83 100644
--- a/src/input/matrix1.input.pamphlet
+++ b/src/input/matrix1.input.pamphlet
@@ -71,7 +71,7 @@ matrix [[1,2,3,4],[0,9,8,7]]
 --E 5
 
 --S 6 of 38
-dm := diagonalMatrix [1,x**2,x**3,x**4,x**5]
+dm := diagonalMatrix [1,x^2,x^3,x^4,x^5]
 --R 
 --R
 --R        +1  0   0   0   0 +
@@ -146,7 +146,7 @@ cdm := copy(dm)
 --E 9
 
 --S 10 of 38
-setelt(dm,4,1,1-x**7)
+setelt(dm,4,1,1-x^7)
 --R 
 --R
 --R            7
diff --git a/src/input/matrix22.input.pamphlet b/src/input/matrix22.input.pamphlet
index 0f58160..5475be8 100644
--- a/src/input/matrix22.input.pamphlet
+++ b/src/input/matrix22.input.pamphlet
@@ -47,7 +47,7 @@ determinant m
 
 --S 3 of 8
 n:SQMATRIX(2,SQMATRIX(2,INT)) :=
-  squareMatrix matrix [[m,m**2],[m**3,m**4]]
+  squareMatrix matrix [[m,m^2],[m^3,m^4]]
 --R 
 --R
 --R        ++ 0   1+  +- 1   0 ++
@@ -91,7 +91,7 @@ Another level of matrix
 \begin{chunk}{*}
 --S 5 of 8
 o:SQMATRIX(2,SQMATRIX(2,SQMATRIX(2,INT))) :=
-   squareMatrix matrix [[n,n**2],[n**3,n**4]]
+   squareMatrix matrix [[n,n^2],[n^3,n^4]]
 --R 
 --R
 --R        +++ 0   1+  +- 1   0 ++  ++- 1   1 +  +- 1  - 1+++
@@ -113,7 +113,7 @@ o:SQMATRIX(2,SQMATRIX(2,SQMATRIX(2,INT))) :=
 --E 5
 
 --S 6 of 8
-o ** 2
+o ^ 2
 --R 
 --R
 --R        +++- 1  - 3+   +3  - 1+ +  + +2  - 4+    + 4   2+ ++
diff --git a/src/input/matrox.input.pamphlet b/src/input/matrox.input.pamphlet
index a30ab8a..4284787 100644
--- a/src/input/matrox.input.pamphlet
+++ b/src/input/matrox.input.pamphlet
@@ -78,7 +78,7 @@ move(wiggle,876,200)
 
 --)r lumpy
 --lumpy:=%
-lumpy:=sin(2*x**2 + 3 * y**2)/(x**2 + y**2)
+lumpy:=sin(2*x^2 + 3 * y^2)/(x^2 + y^2)
 resize(lumpy,300,330)
 move(lumpy,600,688)
 
diff --git a/src/input/mfinfact.input.pamphlet b/src/input/mfinfact.input.pamphlet
index 867710a..9845141 100644
--- a/src/input/mfinfact.input.pamphlet
+++ b/src/input/mfinfact.input.pamphlet
@@ -101,7 +101,7 @@ factor p
 --E 2
 
 --S 3 of 13
-p:POLY PF 7:=(x+3*y+z)*(w*x+y)*(x*y+w**3)
+p:POLY PF 7:=(x+3*y+z)*(w*x+y)*(x*y+w^3)
 --R 
 --R
 --R   (3)
@@ -123,7 +123,7 @@ factor p
 --E 4
 
 --S 5 of 13
-pp:=p**2
+pp:=p^2
 --R 
 --R
 --R   (5)
@@ -170,7 +170,7 @@ gcd(p,differentiate(p,x))
 --E 6
 
 --S 7 of 13
-p23:POLY PF 23:=(x+3*y+z)*(w*x+y)*(x*y+w**3)
+p23:POLY PF 23:=(x+3*y+z)*(w*x+y)*(x*y+w^3)
 --R 
 --R
 --R   (7)
@@ -192,7 +192,7 @@ factor(p23)
 --E 8
 
 --S 9 of 13
-q: POLY PF 2 := y**4 + y**3 + x**4 + x**2
+q: POLY PF 2 := y^4 + y^3 + x^4 + x^2
 --R 
 --R
 --R         4    3    4    2
@@ -219,7 +219,7 @@ factor(q*(q+1))
 --E 11
 
 --S 12 of 13
-q:=x**2*y**2+z
+q:=x^2*y^2+z
 --R 
 --R
 --R              2 2
diff --git a/src/input/mkfunc.input.pamphlet b/src/input/mkfunc.input.pamphlet
index bc0d164..fa2fa01 100644
--- a/src/input/mkfunc.input.pamphlet
+++ b/src/input/mkfunc.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 9
-expr := (x - exp x + 1)**2 * (sin(x**2) * x + 1)**3
+expr := (x - exp x + 1)^2 * (sin(x^2) * x + 1)^3
 --R 
 --R
 --R   (1)
@@ -56,7 +56,7 @@ tbl := [f(0.1 * i - 1) for i in 0..20];
 --E 3
 
 --S 4 of 9
-e := (x - y + 1)**2 * (x**2 * y + 1)**2
+e := (x - y + 1)^2 * (x^2 * y + 1)^2
 --R 
 --R
 --R   (4)
diff --git a/src/input/mountain.input.pamphlet b/src/input/mountain.input.pamphlet
index a71d2bd..d130940 100644
--- a/src/input/mountain.input.pamphlet
+++ b/src/input/mountain.input.pamphlet
@@ -31,7 +31,7 @@
 sf f == f::DFLOAT
 
 Nrand := 4
-Arand := 2**26 - 1
+Arand := 2^26 - 1
 GaussAdd := sqrt(sf(3.0) * Nrand)
 GaussFac := sf(2.0) * GaussAdd/((sf Nrand) * (sf Arand))
 
@@ -55,7 +55,7 @@ f4(delta,x0,x1,x2,x3) == (x0+x1+x2+x3)/sfFour + delta*Gauss()
 
 -- perform midpoint subdivision
 MidPointFM(maxLevel, sigma, H) ==
-  N := 2**maxLevel
+  N := 2^maxLevel
   delta := sigma
   arraySize := (N+1)
   X:IARRAY2(DFLOAT,0,0) := new(arraySize, arraySize, sf 0.0)
@@ -66,7 +66,7 @@ MidPointFM(maxLevel, sigma, H) ==
   D := N
   d := N quo 2
   for stage in 1..maxLevel repeat
-    delta := delta*(sfHalf**(sfHalf*H))
+    delta := delta*(sfHalf^(sfHalf*H))
     for x in d..(N-d) by D repeat
       for y in d..(N-d) by D repeat
         setelt(X, x, y, f4(delta, elt(X,x+d,y+d), elt(X,x+d,y-d),
@@ -74,7 +74,7 @@ MidPointFM(maxLevel, sigma, H) ==
     for x in 0..N by D repeat
       for y in 0..N by D repeat
         setelt(X, x, y, elt(X,x,y) + delta*Gauss())
-    delta := delta*(sfHalf**(sfHalf*H))
+    delta := delta*(sfHalf^(sfHalf*H))
     for x in d..(N-d) by D repeat
       setelt(X,x,0, f3(delta, elt(X,x+d,0), elt(X,x-d,0), elt(X,x,d)))
       setelt(X,x,N, f3(delta, elt(X,x+d,N), elt(X,x-d,N), elt(X,x,N-d)))
@@ -112,13 +112,13 @@ tableVal(x: DFLOAT, y:DFLOAT):DFLOAT ==
   val
 
 -- draw a mountain with maxLevel subdivisions with Haussdorf dimension H
--- the number of subdivisions of the mountain is 2**maxLevel, so you 
+-- the number of subdivisions of the mountain is 2^maxLevel, so you 
 -- probably should keep maxLevel <= 8.  Also 0 < H <= 1.  The closer
 -- H is to one, the smoother the mountain will be.
 drawMountain(maxLevel, H) ==
   free table, xIndex, yIndex, rowSize
   table := MidPointFM(maxLevel, Sigma, H)
-  N := 2**maxLevel
+  N := 2^maxLevel
   xIndex := 0
   yIndex := 0
   rowSize := N
diff --git a/src/input/mpoly.input.pamphlet b/src/input/mpoly.input.pamphlet
index aac5522..52b9e78 100644
--- a/src/input/mpoly.input.pamphlet
+++ b/src/input/mpoly.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 10
-m : MPOLY([x,y],INT) := (x**2 - x*y**3 +3*y)**2
+m : MPOLY([x,y],INT) := (x^2 - x*y^3 +3*y)^2
 --R 
 --R
 --R         4     3 3     6       2     4      2
@@ -45,7 +45,7 @@ p : MPOLY([x,y],POLY INT)
 --E 3
 
 --S 4 of 10
-p := (a**2*x - b*y**2 + 1)**2
+p := (a^2*x - b*y^2 + 1)^2
 --R 
 --R
 --R         4 2        2   2     2      2 4       2
@@ -78,7 +78,7 @@ q : UP(x, FRAC MPOLY([y,z],INT))
 --E 7
 
 --S 8 of 10
-q := (x**2 - x*(z+1)/y +2)**2
+q := (x^2 - x*(z+1)/y +2)^2
 --R 
 --R
 --R                             2    2
diff --git a/src/input/mult2d.input.pamphlet b/src/input/mult2d.input.pamphlet
index 05109ca..446060a 100644
--- a/src/input/mult2d.input.pamphlet
+++ b/src/input/mult2d.input.pamphlet
@@ -18,7 +18,7 @@
 \getchunk{license}
 )clear all
 
---draws x**i for i in 1..5, x=-1..1
+--draws x^i for i in 1..5, x=-1..1
 
 makePoint(x:SF,y:SF):(Point SF) ==
   point([x,y])$(Point SF)
@@ -47,7 +47,7 @@ makeListFuns(fl:List(Expression Integer),_
    lfuns := cons(ff, lfuns)
   lfuns
 
-drawFuns(makeListFuns([x**i for i in 1..5], x=-1..1), x=-1..1)
+drawFuns(makeListFuns([x^i for i in 1..5], x=-1..1), x=-1..1)
 drawFuns(makeListFuns([sin(x*i) for i in 1..5], x=-1..1), x=-1..1)
 drawFuns(makeListFuns([sec x, sin x, cos x, tan x], x=-1..1), x=-1..1)
 \end{chunk}
diff --git a/src/input/multfact.input.pamphlet b/src/input/multfact.input.pamphlet
index f472248..ad41a44 100644
--- a/src/input/multfact.input.pamphlet
+++ b/src/input/multfact.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 5
-a := rootOf(a**2+a+1)
+a := rootOf(a^2+a+1)
 --R 
 --R
 --R   (1)  a
@@ -29,7 +29,7 @@ a := rootOf(a**2+a+1)
 --E 1
 
 --S 2 of 5
-p := y*z**2 + a*z*x**2 + a*a*x*y**2
+p := y*z^2 + a*z*x^2 + a*a*x*y^2
 --R 
 --R
 --R           2      2                2
@@ -47,7 +47,7 @@ factor(p,[a])
 --E 3
 
 --S 4 of 5
-b:=rootOf(b**2+1)
+b:=rootOf(b^2+1)
 --R 
 --R
 --R   (4)  b
@@ -55,7 +55,7 @@ b:=rootOf(b**2+1)
 --E 4
 
 --S 5 of 5
-factor(x**2*y**2+u**2*v**2,[b])
+factor(x^2*y^2+u^2*v^2,[b])
 --R 
 --R
 --R   (5)  (x y - b u v)(x y + b u v)
diff --git a/src/input/newlodo.input.pamphlet b/src/input/newlodo.input.pamphlet
index dd10a38..2fa41d5 100644
--- a/src/input/newlodo.input.pamphlet
+++ b/src/input/newlodo.input.pamphlet
@@ -62,7 +62,7 @@ a  := Dx  + 1
 --E 4
 
 --S 5 of 55
-b  := a + 1/2*Dx**2 - 1/2
+b  := a + 1/2*Dx^2 - 1/2
 --R 
 --R
 --R        1  2       1
@@ -72,7 +72,7 @@ b  := a + 1/2*Dx**2 - 1/2
 --E 5
 
 --S 6 of 55
-p: UP(x,RN) := 4*x**2 + 2/3      -- something to work on
+p: UP(x,RN) := 4*x^2 + 2/3      -- something to work on
 --R 
 --R
 --R          2   2
@@ -102,7 +102,7 @@ a p                        -- application of an operator to a polynomial
 --E 8
 
 --S 9 of 55
-c := (1/9)*b*(a + b)**2    -- exponentiation follows from multiplication
+c := (1/9)*b*(a + b)^2    -- exponentiation follows from multiplication
 --R 
 --R
 --R         1  6    5  5   13  4   19  3   79  2    7     1
@@ -112,7 +112,7 @@ c := (1/9)*b*(a + b)**2    -- exponentiation follows from multiplication
 --E 9
 
 --S 10 of 55
-(a**2 - 3/4*b + c) (p + 1) -- general application of operator expressions
+(a^2 - 3/4*b + c) (p + 1) -- general application of operator expressions
 --R 
 --R
 --R           2   44     541
@@ -149,7 +149,7 @@ Dx := D()
 --E 13
 
 --S 14 of 55
-b := 3*x**2*Dx**2 + 2*Dx + 1/x
+b := 3*x^2*Dx^2 + 2*Dx + 1/x
 --R 
 --R
 --R          2 2        1
@@ -169,7 +169,7 @@ a := b*(5*x*Dx + 7)
 --E 15
 
 --S 16 of 55
-p: RFZ := x**2 + 1/x**2
+p: RFZ := x^2 + 1/x^2
 --R 
 --R
 --R         4
@@ -298,8 +298,8 @@ rightRemainder(f, b)  -- the remainder is non-zero
 Problem: find the first few coefficients of $\exp(x)/x^i$ in Dop phi
 where
 \begin{verbatim}
-       Dop := D**3 + G/x**2 * D + H/x**3 - 1
-       phi := sum(s[i]*exp(x)/x**i, i = 0..)
+       Dop := D^3 + G/x^2 * D + H/x^3 - 1
+       phi := sum(s[i]*exp(x)/x^i, i = 0..)
 \end{verbatim}
 
 \begin{chunk}{*}
@@ -319,7 +319,7 @@ Dx := D()
 --E 29
 
 --S 30 of 55
-Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1
+Dop:= Dx^3 + G/x^2*Dx + H/x^3 - 1
 --R 
 --R
 --R                       3
@@ -337,7 +337,7 @@ n == 3
 --E 31
 
 --S 32 of 55
-phi == reduce(+,[subscript(s,[i])*exp(x)/x**i for i in 0..n])
+phi == reduce(+,[subscript(s,[i])*exp(x)/x^i for i in 0..n])
 --R 
 --R                                                                   Type: Void
 --E 32
@@ -349,7 +349,7 @@ phi1 ==  Dop(phi) / exp x
 --E 33
 
 --S 34 of 55
-phi2 == phi1 *x**(n+3)
+phi2 == phi1 *x^(n+3)
 --R 
 --R                                                                   Type: Void
 --E 34
@@ -605,7 +605,7 @@ Modo := LODO2(SQMATRIX(3,PZ), Vect);
 --E 45
 
 --S 46 of 55
-p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
+p := directProduct([3*x^2 + 1, 2*x, 7*x^3 + 2*x]::(VECTOR(PZ)))@Vect
 --R 
 --R
 --R           2          3
@@ -614,7 +614,7 @@ p := directProduct([3*x**2 + 1, 2*x, 7*x**3 + 2*x]::(VECTOR(PZ)))@Vect
 --E 46
 
 --S 47 of 55
-m := [[x**2, 1, 0], [1, x**4, 0], [0, 0, 4*x**2]]::(SQMATRIX(3,PZ))
+m := [[x^2, 1, 0], [1, x^4, 0], [0, 0, 4*x^2]]::(SQMATRIX(3,PZ))
 --R 
 --R
 --R        + 2         +
diff --git a/src/input/newtonlisp.input.pamphlet b/src/input/newtonlisp.input.pamphlet
index 77b65e3..3861669 100644
--- a/src/input/newtonlisp.input.pamphlet
+++ b/src/input/newtonlisp.input.pamphlet
@@ -193,7 +193,7 @@ newtonUsingLisp(f:Expression Float,x:Symbol,x0:DFLOAT):DFLOAT ==
 --E 8
 
 --S 9 of 14
-newtonUsingLisp(x**2-2.0,x,2.0::SF)-sqrt(2.0::SF)
+newtonUsingLisp(x^2-2.0,x,2.0::SF)-sqrt(2.0::SF)
 --R 
 --R   Compiling function compiledDF with type (Expression(Float),Symbol)
 --R       -> Symbol 
diff --git a/src/input/nlode.input.pamphlet b/src/input/nlode.input.pamphlet
index e7ef0c3..839be4c 100644
--- a/src/input/nlode.input.pamphlet
+++ b/src/input/nlode.input.pamphlet
@@ -144,7 +144,7 @@ Bernoulli equation: the result is a first integral when equated to
 any constant, but it can be explicitly solved for y(x)
 \begin{chunk}{*}
 --S 11 of 16
-deq := x**2 * differentiate(y x, x) + 2 * x * y x - y(x)**3
+deq := x^2 * differentiate(y x, x) + 2 * x * y x - y(x)^3
 --R 
 --R
 --R          2 ,          3
@@ -170,7 +170,7 @@ Riccati equation: the result is a first integral when equated to
 any constant, but it can be explicitly solved for y(x)
 \begin{chunk}{*}
 --S 13 of 16
-deq := differentiate(y x,x) = 1 + x**2 - 2 * x * y x + y(x)**2
+deq := differentiate(y x,x) = 1 + x^2 - 2 * x * y x + y(x)^2
 --R 
 --R
 --R          ,         2              2
@@ -195,7 +195,7 @@ Riccati equation: the result is a first integral when equated to
 any constant, but it can be explicitly solved for y(x)
 \begin{chunk}{*}
 --S 15 of 16
-deq := x**2 * differentiate(y x,x) = -1 - x * y x + x**2 * y(x)**2
+deq := x^2 * differentiate(y x,x) = -1 - x * y x + x^2 * y(x)^2
 --R 
 --R
 --R          2 ,      2    2
diff --git a/src/input/noonburg.input.pamphlet b/src/input/noonburg.input.pamphlet
index 277abc4..c23a97c 100644
--- a/src/input/noonburg.input.pamphlet
+++ b/src/input/noonburg.input.pamphlet
@@ -41,7 +41,7 @@ dmp0 := DMP([x,y,z,c],RN)
 --E 2
 
 --S 3 of 6
-px : dmp0 := 1-c*x +x*(y**2 + z**2)
+px : dmp0 := 1-c*x +x*(y^2 + z^2)
 --R 
 --R
 --R           2      2
@@ -50,7 +50,7 @@ px : dmp0 := 1-c*x +x*(y**2 + z**2)
 --E 3
 
 --S 4 of 6
-py : dmp0 := 1-c*y +y*(z**2 + x**2)
+py : dmp0 := 1-c*y +y*(z^2 + x^2)
 --R 
 --R
 --R         2       2
@@ -59,7 +59,7 @@ py : dmp0 := 1-c*y +y*(z**2 + x**2)
 --E 4
 
 --S 5 of 6
-pz : dmp0 := 1-c*z +z*(x**2 + y**2)
+pz : dmp0 := 1-c*z +z*(x^2 + y^2)
 --R 
 --R
 --R         2     2
diff --git a/src/input/numbers.input.pamphlet b/src/input/numbers.input.pamphlet
index 03418a6..03d6eeb 100644
--- a/src/input/numbers.input.pamphlet
+++ b/src/input/numbers.input.pamphlet
@@ -35,7 +35,7 @@ x := factorial(200)
 --E 1
 
 --S 2 of 76
-y := 2**90 - 1
+y := 2^90 - 1
 --R 
 --R
 --R   (2)  1237940039285380274899124223
@@ -161,7 +161,7 @@ sin(%pi/6.)
 --E 13
 
 --S 14 of 76
-f := (x**2 + 1)/(x - 1)
+f := (x^2 + 1)/(x - 1)
 --R 
 --R
 --R         2
@@ -172,7 +172,7 @@ f := (x**2 + 1)/(x - 1)
 --E 14
 
 --S 15 of 76
-g := (x**2 - 3*x + 2)/(x + 2)
+g := (x^2 - 3*x + 2)/(x + 2)
 --R 
 --R
 --R         2
@@ -328,7 +328,7 @@ reduce(+,allElts)
 --E 29
 
 --S 30 of 76
-u:UP(x, F7) := x**2 + 1
+u:UP(x, F7) := x^2 + 1
 --R 
 --R
 --R          2
@@ -370,7 +370,7 @@ f: NNI -> INT
 --E 34
 
 --S 35 of 76
-f(n) == 2**n - 1
+f(n) == 2^n - 1
 --R 
 --R                                                                   Type: Void
 --E 35
@@ -438,7 +438,7 @@ nums := [x for x in numbers | not prime? x]
 )clear all
 
 --S 43 of 76
-numbers := [n**2 - n + 41 for n in 0..40]
+numbers := [n^2 - n + 41 for n in 0..40]
 --R 
 --R
 --R   (1)
@@ -496,7 +496,7 @@ x : UTS(ROMAN,'x,0) := x
 --E 48
 
 --S 49 of 76
-recip(1 - x - x**2)
+recip(1 - x - x^2)
 --R 
 --R
 --R   (5)
@@ -582,7 +582,7 @@ f: NNI -> INT
 --E 55
 
 --S 56 of 76
-f(n) == 2**(2**n) + 1
+f(n) == 2^(2^n) + 1
 --R 
 --R                                                                   Type: Void
 --E 56
@@ -677,7 +677,7 @@ numeric(1/3)
 )clear all
 
 --S 66 of 76
-61657 ** 10 / 999983 ** 12
+61657 ^ 10 / 999983 ^ 12
 --R 
 --R
 --R   (1)
diff --git a/src/input/numericgamma.input.pamphlet b/src/input/numericgamma.input.pamphlet
index 469c4a7..237e41d 100644
--- a/src/input/numericgamma.input.pamphlet
+++ b/src/input/numericgamma.input.pamphlet
@@ -229,7 +229,7 @@ SpecialFunctionExtended: Exports == Implementation where
     NGamma(a:DoubleFloat,x:DoubleFloat):DoubleFloat ==
       if x < 0 or a < 0 then error "Invalid arguments"
       if x = 0 then return Gamma(a)
-      EPS := (10.0::DoubleFloat**(-digits()$DoubleFloat))$DoubleFloat
+      EPS := (10.0::DoubleFloat^(-digits()$DoubleFloat))$DoubleFloat
       b:DoubleFloat:=x+1-a     -- Set up for evaluating continued fractions
       c:DoubleFloat:=1/FPMIN   -- by modified Lentz's method
       d:DoubleFloat:=1/b       -- with b_0 = 0
diff --git a/src/input/odpol.input.pamphlet b/src/input/odpol.input.pamphlet
index 9cc56c3..c3b9fa0 100644
--- a/src/input/odpol.input.pamphlet
+++ b/src/input/odpol.input.pamphlet
@@ -81,7 +81,7 @@ f:= w.4 - w.1 * w.1 * z.3
 --E 7
 
 --S 8 of 36
-g:=(z.1)**3 * (z.2)**2 - w.2
+g:=(z.1)^3 * (z.2)^2 - w.2
 --R 
 --R
 --R          3  2
diff --git a/src/input/op1.input.pamphlet b/src/input/op1.input.pamphlet
index c125a41..f58f8a4 100644
--- a/src/input/op1.input.pamphlet
+++ b/src/input/op1.input.pamphlet
@@ -71,7 +71,7 @@ rho := t * s
 --E 6
 
 --S 7 of 21
-z := rho**4 - 1
+z := rho^4 - 1
 --R 
 --R
 --R                   +0  1+     +0  1+     +0  1+     +0  1+
@@ -121,7 +121,7 @@ rho rho m
 --E 11
 
 --S 12 of 21
-(rho**3) m
+(rho^3) m
 --R 
 --R
 --R         +2  4+
@@ -176,7 +176,7 @@ evaluate(dx, p +-> D(p, 'x))
 --E 17
 
 --S 18 of 21
-E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
+E n == (1 - x^2) * dx^2 - 2 * x * dx + n*(n+1)
 --R 
 --R                                                                   Type: Void
 --E 18
diff --git a/src/input/opalg.input.pamphlet b/src/input/opalg.input.pamphlet
index bc34e16..68487b6 100644
--- a/src/input/opalg.input.pamphlet
+++ b/src/input/opalg.input.pamphlet
@@ -72,7 +72,7 @@ evaluate(dx, p +-> differentiate(p, 'x))$OP(POLY FRAC INT)
 This is the differential equation satisfied by the nth Legendre poly:
 \begin{chunk}{*}
 --S 5 of 9
-E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
+E n == (1 - x^2) * dx^2 - 2 * x * dx + n*(n+1)
 --R 
 --R                                                                   Type: Void
 --E 5
diff --git a/src/input/operator.input.pamphlet b/src/input/operator.input.pamphlet
index 8821c16..7648d71 100644
--- a/src/input/operator.input.pamphlet
+++ b/src/input/operator.input.pamphlet
@@ -46,7 +46,7 @@ evaluate(dx, p +-> differentiate(p, 'x))$OP(POLY FRAC INT)
 --E 3
 
 --S 4 of 6
-E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1)
+E n == (1 - x^2) * dx^2 - 2 * x * dx + n*(n+1)
 --R 
 --R                                                                   Type: Void
 --E 4
diff --git a/src/input/paff.input.pamphlet b/src/input/paff.input.pamphlet
index 019b8c7..5fa1427 100644
--- a/src/input/paff.input.pamphlet
+++ b/src/input/paff.input.pamphlet
@@ -278,11 +278,11 @@ LinSer      := LinearSystemFromPowerSeriesPackage(K,PCS)
 --E 23
 
 --S 24 of 26
-f:PolyRing:= x**28*z**8 + 4*x**26*z**10 + 6*x**24*z**12 + 4*x**22*z**14 + _
-             4*x**21*y**9*z**6 + x**20*z**16 + 12*x**19*y**9*z**8 + _
-             12*x**17*y**9*z**10 + 4*x**15*y**9*z**12 + 6*x**14*y**18*z**4 + _
-             12*x**12*y**18*z**6 + 6*x**10*y**18*z**8 + 4*x**7*y**27*z*z + _
-             4*x**5*y**27*z**4 + y**36 + (-2*y**20*z**16)
+f:PolyRing:= x^28*z^8 + 4*x^26*z^10 + 6*x^24*z^12 + 4*x^22*z^14 + _
+             4*x^21*y^9*z^6 + x^20*z^16 + 12*x^19*y^9*z^8 + _
+             12*x^17*y^9*z^10 + 4*x^15*y^9*z^12 + 6*x^14*y^18*z^4 + _
+             12*x^12*y^18*z^6 + 6*x^10*y^18*z^8 + 4*x^7*y^27*z*z + _
+             4*x^5*y^27*z^4 + y^36 + (-2*y^20*z^16)
 --R 
 --R
 --R   (24)
diff --git a/src/input/paffexample.input.pamphlet b/src/input/paffexample.input.pamphlet
index 8849473..5dd8930 100644
--- a/src/input/paffexample.input.pamphlet
+++ b/src/input/paffexample.input.pamphlet
@@ -68,7 +68,7 @@ P:=PAFF(K,[X,Y,Z],BLQT)
 -- We defined now the polynomial of the curve.
 
 --S 4 of 20
-C:R:=X**5 + Y**2*Z**3+Y*Z**4
+C:R:=X^5 + Y^2*Z^3+Y*Z^4
 --R 
 --R
 --R         5    2 3      4
diff --git a/src/input/palette.input.pamphlet b/src/input/palette.input.pamphlet
index bbba3db..faed6ae 100644
--- a/src/input/palette.input.pamphlet
+++ b/src/input/palette.input.pamphlet
@@ -24,7 +24,7 @@ bright blue()
 pastel blue()
 light blue()
 
-draw(x**2,x=-1..1,curveColor == hue dark blue())
+draw(x^2,x=-1..1,curveColor == hue dark blue())
 
 shade bright blue()
 
diff --git a/src/input/parabola.input.pamphlet b/src/input/parabola.input.pamphlet
index 2793ce8..408fd37 100644
--- a/src/input/parabola.input.pamphlet
+++ b/src/input/parabola.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 1
-draw(curve(t**2 + 2*t - 1,t**2 + t - 2),t = -4..3)
+draw(curve(t^2 + 2*t - 1,t^2 + t - 2),t = -4..3)
 --R 
 --R   Compiling function %B with type DoubleFloat -> DoubleFloat 
 --R   Compiling function %D with type DoubleFloat -> DoubleFloat 
diff --git a/src/input/pasta.input.pamphlet b/src/input/pasta.input.pamphlet
index d559d69..ca6ce2f 100644
--- a/src/input/pasta.input.pamphlet
+++ b/src/input/pasta.input.pamphlet
@@ -2000,7 +2000,7 @@ X(i,j) == 5*cos(i*%pi/50)+0.5*cos(i*%pi/50)*(1+sin(j*%pi/100)) + _
 
 --S 202 of 676
 Y(i,j) == 5*sin(i*%pi/50)+0.5*sin(i*%pi/50)*(1+sin(j*%pi/100)) + _
-          0.5*cos(i**%pi/25)*(1+sin(j*%pi/5))
+          0.5*cos(i^%pi/25)*(1+sin(j*%pi/5))
 --R                                                                   Type: Void
 --E 202
 
diff --git a/src/input/pat.input.pamphlet b/src/input/pat.input.pamphlet
index d65aace..a1924f0 100644
--- a/src/input/pat.input.pamphlet
+++ b/src/input/pat.input.pamphlet
@@ -96,7 +96,7 @@ powerOf(x,x) == 1
 --E 10
 
 --S 11 of 21
-powerOf(x,x**n) == n
+powerOf(x,x^n) == n
 --R 
 --R                                                                   Type: Void
 --E 11
@@ -108,7 +108,7 @@ powerOf(x,y) == 0 otherwise
 --E 12
 
 --S 13 of 21
-powerOf(x,x**n%) == n%
+powerOf(x,x^n%) == n%
 --R 
 --R                                                                   Type: Void
 --E 13
diff --git a/src/input/patmatch.input.pamphlet b/src/input/patmatch.input.pamphlet
index f1d971b..b95ccd4 100644
--- a/src/input/patmatch.input.pamphlet
+++ b/src/input/patmatch.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 22
-p := 3 * n ** 2 + 1
+p := 3 * n ^ 2 + 1
 --R 
 --R
 --R          2
@@ -30,7 +30,7 @@ p := 3 * n ** 2 + 1
 --E 1
 
 --S 2 of 22
-q := 3 * n% ** 2 + 1
+q := 3 * n% ^ 2 + 1
 --R 
 --R
 --R           2
@@ -166,10 +166,10 @@ a  := rational a
 -- Is([ab, 1, 2, a], [pq, qq, p])
 -- Is([ab, 1, 2, 3, a], [pq, qq, p])
 -- creating streams using pattern matching
--- want the streams of all primes of the form m**2+1
+-- want the streams of all primes of the form m^2+1
 
 --S 17 of 22
-bar?(n:INT):BOOLEAN == prime? n and is?(n, m**2 + 1)
+bar?(n:INT):BOOLEAN == prime? n and is?(n, m^2 + 1)
 --R 
 --R   Function declaration bar? : Integer -> Boolean has been added to 
 --R      workspace.
@@ -186,7 +186,7 @@ myprimes := [i for i in 1.. | bar? i]
 --E 18
 
 --S 19 of 22
-p := x**2 + 3*x + 1
+p := x^2 + 3*x + 1
 --R 
 --R
 --R          2
@@ -195,7 +195,7 @@ p := x**2 + 3*x + 1
 --E 19
 
 --S 20 of 22
-Is(p, n * y**2 + (2*n+1)*y + 1)
+Is(p, n * y^2 + (2*n+1)*y + 1)
 --R 
 --R
 --R   (20)  []
@@ -203,7 +203,7 @@ Is(p, n * y**2 + (2*n+1)*y + 1)
 --E 20
 
 --S 21 of 22
-Is(p, n% * y**2 + (2*n%+1)*y + 1)
+Is(p, n% * y^2 + (2*n%+1)*y + 1)
 --R 
 --R
 --R   (21)  []
@@ -211,7 +211,7 @@ Is(p, n% * y**2 + (2*n%+1)*y + 1)
 --E 21
 
 --S 22 of 22
-Is(3*x**2 + 9*x + 1, n * y**2 + n**2 * y + 1)
+Is(3*x^2 + 9*x + 1, n * y^2 + n^2 * y + 1)
 --R 
 --R
 --R   (22)  [n= x,y= 3]
diff --git a/src/input/perm.input.pamphlet b/src/input/perm.input.pamphlet
index c4bd940..bee365d 100644
--- a/src/input/perm.input.pamphlet
+++ b/src/input/perm.input.pamphlet
@@ -104,7 +104,7 @@ pw*pk
 --E 7
 
 --S 8 of 51
-px**3
+px^3
 --R 
 --R
 --R   (8)  (2 22 18 8 14 5 4)(6 20 13 21 16 17 10)(7 11 19 12 23 9 15)
@@ -545,7 +545,7 @@ r : PERM INT := cycles [[21,23,25,27],[22,24,26,28],[13,37,67,43],[15,31,61,45],
 Some calculation in Rubik's group:
 \begin{chunk}{*}
 --S 47 of 51
-(f**2*r**2)**3
+(f^2*r^2)^3
 --R 
 --R
 --R   (46)  (12 16)(24 28)(32 42)(38 44)
diff --git a/src/input/pinch.input.pamphlet b/src/input/pinch.input.pamphlet
index ec39cb5..aadd517 100644
--- a/src/input/pinch.input.pamphlet
+++ b/src/input/pinch.input.pamphlet
@@ -11,7 +11,7 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw((x**2 - y**2)/(x**2 + y**2),x = -1..1,y = -1..1)
+draw((x^2 - y^2)/(x^2 + y^2),x = -1..1,y = -1..1)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/plotlist.input.pamphlet b/src/input/plotlist.input.pamphlet
index 39520c0..afa4d66 100644
--- a/src/input/plotlist.input.pamphlet
+++ b/src/input/plotlist.input.pamphlet
@@ -18,7 +18,7 @@
 )clear all
 \getchunk{license}
 
---draws x**i for i in 1..5, x=-1..1
+--draws x^i for i in 1..5, x=-1..1
 
 makePoint(x:DoubleFloat,y:DoubleFloat):(Point DoubleFloat) ==
   point(l :List DoubleFloat := [x,y])$(Point DoubleFloat)
@@ -51,7 +51,7 @@ makeListFuns(fl:List(Expression Integer),_
    lfuns := cons(ff, lfuns)
   lfuns
 
-drawFuns(makeListFuns([x**i for i in 1..5], x=-1..1), x=-1..1)
+drawFuns(makeListFuns([x^i for i in 1..5], x=-1..1), x=-1..1)
 
 \end{chunk}
 \eject
diff --git a/src/input/poly.input.pamphlet b/src/input/poly.input.pamphlet
index 04fedd5..2ae1175 100644
--- a/src/input/poly.input.pamphlet
+++ b/src/input/poly.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 54
-a := rootOf(a**4+1,a)
+a := rootOf(a^4+1,a)
 --R 
 --R
 --R   (1)  a
@@ -38,7 +38,7 @@ definingPolynomial a
 --E 2
 
 --S 3 of 54
-b := rootOf(b**2-a-1,b)
+b := rootOf(b^2-a-1,b)
 --R 
 --R
 --R   (3)  b
@@ -54,7 +54,7 @@ a + b
 --E 4
 
 --S 5 of 54
-% ** 5
+% ^ 5
 --R 
 --R
 --R            3      2                 3      2
@@ -63,7 +63,7 @@ a + b
 --E 5
 
 --S 6 of 54
-rootOf(c**2+c+1,c)
+rootOf(c^2+c+1,c)
 --R 
 --R
 --R   (6)  c
@@ -71,7 +71,7 @@ rootOf(c**2+c+1,c)
 --E 6
 
 --S 7 of 54
-zeroOf(d**2+d+1,d)
+zeroOf(d^2+d+1,d)
 --R 
 --R
 --R         +---+
@@ -82,7 +82,7 @@ zeroOf(d**2+d+1,d)
 --E 7
 
 --S 8 of 54
-rootOf(e**5-2,e)
+rootOf(e^5-2,e)
 --R 
 --R
 --R   (8)  e
@@ -90,7 +90,7 @@ rootOf(e**5-2,e)
 --E 8
 
 --S 9 of 54
-zeroOf(f**5-2,f)
+zeroOf(f^5-2,f)
 --R 
 --R
 --R        5+-+
@@ -101,7 +101,7 @@ zeroOf(f**5-2,f)
 )clear all
 
 --S 10 of 54
-p := 3*x**8 + 2*x**7 + 6*x**2 + 7*x + 2
+p := 3*x^8 + 2*x^7 + 6*x^2 + 7*x + 2
 --R 
 --R
 --R          8     7     2
@@ -110,7 +110,7 @@ p := 3*x**8 + 2*x**7 + 6*x**2 + 7*x + 2
 --E 10
 
 --S 11 of 54
-q := 2*x**13 + 9*x**7 + 2*x**6 + 10*x + 5
+q := 2*x^13 + 9*x^7 + 2*x^6 + 10*x + 5
 --R 
 --R
 --R          13     7     6
@@ -138,7 +138,7 @@ resultant(p,q,x)
 )clear all
 
 --S 14 of 54
-p := x**2 + y**2
+p := x^2 + y^2
 --R 
 --R
 --R         2    2
@@ -165,7 +165,7 @@ eval(p,[x = a + b,y = c + d])
 --E 16
 
 --S 17 of 54
-q := x**3 + 5*x - y**4
+q := x^3 + 5*x - y^4
 --R 
 --R
 --R           4    3
@@ -202,7 +202,7 @@ eval(px, x = cos(2.0))
 )clear all
 
 --S 21 of 54
-factor(x**3 - 3*x + 2)
+factor(x^3 - 3*x + 2)
 --R 
 --R
 --R               2
@@ -211,7 +211,7 @@ factor(x**3 - 3*x + 2)
 --E 21
 
 --S 22 of 54
-factor(x**2/4 + x*y + y**2)
+factor(x^2/4 + x*y + y^2)
 --R 
 --R
 --R             1   2
@@ -221,7 +221,7 @@ factor(x**2/4 + x*y + y**2)
 --E 22
 
 --S 23 of 54
-p := x**3 + x*y + 2*x**2*y**2 + 2*y**3 + 3*x**2*z + 6*x*y**2*z
+p := x^3 + x*y + 2*x^2*y^2 + 2*y^3 + 3*x^2*z + 6*x*y^2*z
 --R 
 --R
 --R             2     2       3     2 2          3
@@ -259,7 +259,7 @@ nthFactor(factors,2)
 )clear all
 
 --S 27 of 54
-p := a*x**2 + b*x*y + c*y**2
+p := a*x^2 + b*x*y + c*y^2
 --R 
 --R
 --R           2              2
@@ -268,7 +268,7 @@ p := a*x**2 + b*x*y + c*y**2
 --E 27
 
 --S 28 of 54
-q := 13*x**2 + 3*z
+q := 13*x^2 + 3*z
 --R 
 --R
 --R                2
@@ -295,7 +295,7 @@ p - 3*q
 --E 30
 
 --S 31 of 54
-p**2 + p*q
+p^2 + p*q
 --R 
 --R
 --R   (5)
@@ -308,7 +308,7 @@ p**2 + p*q
 --E 31
 
 --S 32 of 54
-r := (p + q)**2
+r := (p + q)^2
 --R 
 --R
 --R   (6)
@@ -406,7 +406,7 @@ coefficient(c,x,2)
 --E 42
 
 --S 43 of 54
-coefficient(q**2, [x,z], [2,1])
+coefficient(q^2, [x,z], [2,1])
 --R 
 --R
 --R   (17)  78
@@ -426,7 +426,7 @@ coefficient(r, [x,y], [2,2])
 )clear all
 
 --S 45 of 54
-l := rootsOf(x**4+1,x)
+l := rootsOf(x^4+1,x)
 --R 
 --R
 --R   (1)  [%x0,%x0 %x1,- %x0,- %x0 %x1]
@@ -434,7 +434,7 @@ l := rootsOf(x**4+1,x)
 --E 45
 
 --S 46 of 54
-x0**5
+x0^5
 --R 
 --R
 --R          5
@@ -491,7 +491,7 @@ x0 * x1 * x2 * x3
 --E 52
 
 --S 53 of 54
-zerosOf(y**4+1,y)
+zerosOf(y^4+1,y)
 --R 
 --R
 --R          +---+      +---+        +---+        +---+
diff --git a/src/input/poly1.input.pamphlet b/src/input/poly1.input.pamphlet
index 2330824..8d8be6e 100644
--- a/src/input/poly1.input.pamphlet
+++ b/src/input/poly1.input.pamphlet
@@ -37,7 +37,7 @@ z - 2.3
 --E 2
 
 --S 3 of 46
-y**2 - z + 3/4
+y^2 - z + 3/4
 --R 
 --R
 --R               2   3
@@ -47,7 +47,7 @@ y**2 - z + 3/4
 --E 3
 
 --S 4 of 46
-y **2 + x*y + y
+y ^2 + x*y + y
 --R 
 --R
 --R         2
@@ -65,7 +65,7 @@ y **2 + x*y + y
 --E 5
 
 --S 6 of 46
-p := (y-1)**2 * x * z
+p := (y-1)^2 * x * z
 --R 
 --R
 --R            2
@@ -90,7 +90,7 @@ factor(q)
 --E 8
 
 --S 9 of 46
-p - q**2
+p - q^2
 --R 
 --R
 --R   (9)
@@ -301,7 +301,7 @@ eval(p,x,1)
 --E 33
 
 --S 34 of 46
-eval(p,x,y**2 - 1)
+eval(p,x,y^2 - 1)
 --R 
 --R
 --R           4     3
@@ -382,7 +382,7 @@ p/q
 --E 42
 
 --S 43 of 46
-(2/3) * x**2 - y + 4/5
+(2/3) * x^2 - y + 4/5
 --R 
 --R
 --R               2  2   4
diff --git a/src/input/polycoer.input.pamphlet b/src/input/polycoer.input.pamphlet
index b29a0e7..38543f2 100644
--- a/src/input/polycoer.input.pamphlet
+++ b/src/input/polycoer.input.pamphlet
@@ -32,7 +32,7 @@ u : UP(x,COMPLEX INT)
 --E 1
 
 --S 2 of 41
-u := (2+3*%i)*x**5 - 7*x**4 +x**2 + 89
+u := (2+3*%i)*x^5 - 7*x^4 +x^2 + 89
 --R 
 --R
 --R                  5     4    2
@@ -56,7 +56,7 @@ m := u
 --E 4
 
 --S 5 of 41
-m := m*y - z**2
+m := m*y - z^2
 --R 
 --R
 --R                    5       4      2          2
@@ -167,7 +167,7 @@ f := u
 --E 19
 
 --S 20 of 41
-u := x**2*y**9 - x**2*y**2
+u := x^2*y^9 - x^2*y^2
 --R 
 --R
 --R         2 9    2 2
@@ -215,7 +215,7 @@ f := u
 --E 25
 
 --S 26 of 41
-u := x**2*y - z*x**2 + y*z - x**3*y*z + 3
+u := x^2*y - z*x^2 + y*z - x^3*y*z + 3
 --R 
 --R
 --R             3       2          2
@@ -224,7 +224,7 @@ u := x**2*y - z*x**2 + y*z - x**3*y*z + 3
 --E 26
 
 --S 27 of 41
-f := x**2*y - z*x**2 + y*z - x**3*y*z + 3
+f := x^2*y - z*x^2 + y*z - x^3*y*z + 3
 --R 
 --R
 --R               3           2
@@ -256,7 +256,7 @@ f : UP(w,DMP([y,z],INT))
 --E 30
 
 --S 31 of 41
-u := y**2 - w**5*y**2 - z*w + 3
+u := y^2 - w^5*y^2 - z*w + 3
 --R 
 --R
 --R           2 5    2
@@ -265,7 +265,7 @@ u := y**2 - w**5*y**2 - z*w + 3
 --E 31
 
 --S 32 of 41
-f := y**2 - w**5*y**2 - z*w + 3
+f := y^2 - w^5*y^2 - z*w + 3
 --R 
 --R
 --R           2 5          2
diff --git a/src/input/psgenfcn.input.pamphlet b/src/input/psgenfcn.input.pamphlet
index b348911..62458f3 100644
--- a/src/input/psgenfcn.input.pamphlet
+++ b/src/input/psgenfcn.input.pamphlet
@@ -71,7 +71,7 @@ eulerPolynomial(n) ==
 --E 4
 
 --S 5 of 19
-f1 := taylor(t/(1 - t - t**2))
+f1 := taylor(t/(1 - t - t^2))
 --R 
 --R
 --R             2     3     4     5     6      7      8      9      10      11
@@ -223,7 +223,7 @@ h1 := taylor(2*exp(t/2)/(exp(t) + 1))
 --E 14
 
 --S 15 of 19
-h2 := taylor(n +-> euler(n)/(2**n * factorial(n)),t = 0)
+h2 := taylor(n +-> euler(n)/(2^n * factorial(n)),t = 0)
 --R 
 --R
 --R             1  2    5   4     61   6     277    8      50521    10      11
diff --git a/src/input/quat.input.pamphlet b/src/input/quat.input.pamphlet
index 9c8a801..581c1c3 100644
--- a/src/input/quat.input.pamphlet
+++ b/src/input/quat.input.pamphlet
@@ -93,7 +93,7 @@ inv q
 In addition to the normal arithmetic (ring) operations.
 \begin{chunk}{*}
 --S 7 of 25
-q**6
+q^6
 --R 
 --R
 --R          2029490709319345   48251690851     144755072553     48251690851
diff --git a/src/input/quat1.input.pamphlet b/src/input/quat1.input.pamphlet
index 94a3462..6989794 100644
--- a/src/input/quat1.input.pamphlet
+++ b/src/input/quat1.input.pamphlet
@@ -51,7 +51,7 @@ inv q
 --E 3
 
 --S 4 of 11
-q**6
+q^6
 --R 
 --R
 --R          2029490709319345   48251690851     144755072553     48251690851
diff --git a/src/input/r20abugs.input.pamphlet b/src/input/r20abugs.input.pamphlet
index 4606219..ae7731d 100644
--- a/src/input/r20abugs.input.pamphlet
+++ b/src/input/r20abugs.input.pamphlet
@@ -175,7 +175,7 @@ X : PolR := monomial(1, 1)
 --E 15
 
 --S 16 of 34
-a : PolR := 2 * X**2
+a : PolR := 2 * X^2
 --R 
 --R
 --R          2
@@ -184,7 +184,7 @@ a : PolR := 2 * X**2
 --E 16
 
 --S 17 of 34
-b : PolR := X**2 + 2*X + 1
+b : PolR := X^2 + 2*X + 1
 --R 
 --R
 --R         2
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index c5d746d..2d5970c 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -37,7 +37,7 @@ x := operator 'x
 --E 1
 
 --S 2 of 27
-sum( (x i - mu)**2, i=1..N )
+sum( (x i - mu)^2, i=1..N )
 --R 
 --R
 --R         N
@@ -200,7 +200,7 @@ positiveRemainder(-1::SINT,-5::SINT)
 --                                             Type: List(List(Complex(Float)))
 
 --S 17 of 27 ok to fail. it seems there are 2 answers (see above)
-complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
+complexRoots([u^2-v+1,v^2-4],[u,v],0.01)
 --R 
 --R
 --R   (1)
@@ -209,7 +209,7 @@ complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --E 17
 
 --S 18 of 27
-complexRoots([u**2-v+1,v**2-4],[v,u],0.01)
+complexRoots([u^2-v+1,v^2-4],[v,u],0.01)
 --R 
 --R
 --R   (2)  [[- 2.0,- 1.73046875 %i],[- 2.0,1.73046875 %i],[2.0,- 1.0],[2.0,1.0]]
diff --git a/src/input/r21bugs.input.pamphlet b/src/input/r21bugs.input.pamphlet
index a5d34d8..9bf60fb 100644
--- a/src/input/r21bugs.input.pamphlet
+++ b/src/input/r21bugs.input.pamphlet
@@ -101,7 +101,7 @@ Q:=FRAC R
 --E 8
 
 --S 9 of 95
-F:=X**4+X*Z**3
+F:=X^4+X*Z^3
 --R 
 --R
 --R           3    4
@@ -110,7 +110,7 @@ F:=X**4+X*Z**3
 --E 9
 
 --S 10 of 95
-G:=X**4+X**2*Y**2+Z**4
+G:=X^4+X^2*Y^2+Z^4
 --R 
 --R
 --R         4    2 2    4
@@ -144,7 +144,7 @@ squareFree ((c^15*e^8+c^23*d^4)::POLY PF 2)
 )clear completely
 
 --S 13 of 95
-FiniteFieldExtensionByPolynomial(FF(3,3),1+2*x**2+x**3)
+FiniteFieldExtensionByPolynomial(FF(3,3),1+2*x^2+x^3)
 --R 
 --R
 --R   (1)  FiniteFieldExtensionByPolynomial(FiniteField(3,3),?^3+2*?^2+1)
@@ -531,7 +531,7 @@ g x -- fails
  
 -- from bmt
 --S 47 of 95
-a | a**8+a**4+a**3+a**2+(1::PF 2)
+a | a^8+a^4+a^3+a^2+(1::PF 2)
 --R 
 --R   Your statement has resulted in the following assignments and 
 --R      declaration:
@@ -581,7 +581,7 @@ T:=transpose tt
 --E 49
 
 --S 50 of 95
-T0:=T**91
+T0:=T^91
 --R 
 --R
 --R        +0  1  1  1  0  1  0  1+
@@ -603,7 +603,7 @@ T0:=T**91
 --E 50
 
 --S 51 of 95
-T1:=T**95
+T1:=T^95
 --R 
 --R
 --R        +0  0  0  1  0  1  1  1+
diff --git a/src/input/r21bugsbig.input.pamphlet b/src/input/r21bugsbig.input.pamphlet
index 85ff05f..036b43b 100644
--- a/src/input/r21bugsbig.input.pamphlet
+++ b/src/input/r21bugsbig.input.pamphlet
@@ -119,7 +119,7 @@ xi : E := generator()$E
 
 --S 12 of 22
 bList : List(E) := _
-  [reduce(+, [t(i+1) * xi**(i*j) for i in 0 .. #UZn-1]) for j in UZn]
+  [reduce(+, [t(i+1) * xi^(i*j) for i in 0 .. #UZn-1]) for j in UZn]
 --R 
 --R
 --R   (12)
@@ -134,7 +134,7 @@ delta(j) = delta(j, 1) avec les nouvelles notations
 \begin{chunk}{*}
 --S 13 of 22
 delta : List(E) :=
-  [reduce(*, [b**((j*rapport(1,k)) quo n) for b in bList for k in UZn]) _
+  [reduce(*, [b^((j*rapport(1,k)) quo n) for b in bList for k in UZn]) _
     for j in UZn] 
 --R 
 --R   Compiling function rapport with type (Integer,Integer) -> Integer 
@@ -247,7 +247,7 @@ delta : List(E) :=
 verification en introduisant la liste B des Bj
 \begin{chunk}{*}
 --S 14 of 22
-B : List(E) := [reduce(*, [b**rapport(j,i) for b in bList for i in UZn]) _
+B : List(E) := [reduce(*, [b^rapport(j,i) for b in bList for i in UZn]) _
                  for j in UZn] 
 --R 
 --R
@@ -840,13 +840,13 @@ B : List(E) := [reduce(*, [b**rapport(j,i) for b in bList for i in UZn]) _
 --E 14
 
 --S 15 of 22
-[B(1)**j - b * d**n for b in B for d in delta for j in UZn]
+[B(1)^j - b * d^n for b in B for d in delta for j in UZn]
 --R
 --R   (15)  [0,0,0,0]
 --E 15 
 
 --S 16 of 22
-L := SimpleAlgebraicExtension(E, UP('C1, E), C1**n - B(1)) ;  _
+L := SimpleAlgebraicExtension(E, UP('C1, E), C1^n - B(1)) ;  _
      C1 : L := generator()$L 
 --R 
 --R
@@ -934,7 +934,7 @@ retraction(z : L) : Zt ==
 --E 17
 
 --S 18 of 22
-C : List(L) := [C1**j / d for j in UZn for d in delta] 
+C : List(L) := [C1^j / d for j in UZn for d in delta] 
 --R 
 --R
 --R   (18)
@@ -1413,11 +1413,11 @@ C : List(L) := [C1**j / d for j in UZn for d in delta]
 --E 18 
 
 \end{chunk}
-en principe [c**n for c in C] = B
+en principe [c^n for c in C] = B
 \begin{chunk}{*}
 --S 19 of 22
 r : List(L) := _
-  [reduce(+, [c * xi**(k*j) for j in UZn for c in C]) for k in 0 .. n-1] 
+  [reduce(+, [c * xi^(k*j) for j in UZn for c in C]) for k in 0 .. n-1] 
 --R 
 --R
 --R   (19)
diff --git a/src/input/radff.input.pamphlet b/src/input/radff.input.pamphlet
index b916236..cbc9998 100644
--- a/src/input/radff.input.pamphlet
+++ b/src/input/radff.input.pamphlet
@@ -40,7 +40,7 @@ P1 := UP(y, FRAC P0)
 curve given by $x^20 + y^20 = 1$
 \begin{chunk}{*}
 --S 3 of 27
-R := RADFF(INT, P0, P1, 1 - x**20, 20)
+R := RADFF(INT, P0, P1, 1 - x^20, 20)
 --R 
 --R
 --R   (3)
@@ -147,7 +147,7 @@ trace y
 curve given by $y^4 = 2 x^2$
 \begin{chunk}{*}
 --S 14 of 27
-R2 := RADFF(INT, P0, P1, 2 * x**2, 4)
+R2 := RADFF(INT, P0, P1, 2 * x^2, 4)
 --R 
 --R
 --R   (14)
@@ -216,7 +216,7 @@ y := generator()$R2
 --E 21
 
 --S 22 of 27
-integralCoordinates(y**3)
+integralCoordinates(y^3)
 --R 
 --R
 --R   (22)  [num= [0,0,0,x],den= 1]
diff --git a/src/input/reclos.input.pamphlet b/src/input/reclos.input.pamphlet
index 79b4344..901e758 100644
--- a/src/input/reclos.input.pamphlet
+++ b/src/input/reclos.input.pamphlet
@@ -305,7 +305,7 @@ sign(squareDiff8)
 --E 26
 
 --S 27 of 70
-relativeApprox(squareDiff8,10**(-3))::Float
+relativeApprox(squareDiff8,10^(-3))::Float
 --R 
 --R
 --R   (27)  - 0.2340527771 5937700123 E -10
@@ -328,7 +328,7 @@ Check out if the sum of all roots is null.
 Example from P.V. Koseleff
 \begin{chunk}{*}
 --S 29 of 70
-l := allRootsOf((x**2-2)**2-2)$Ran
+l := allRootsOf((x^2-2)^2-2)$Ran
 --R 
 --R
 --R   (29)  [%A33,%A34,%A35,%A36]
@@ -490,7 +490,7 @@ ee1::Boolean
 )cl prop pol r1 alpha beta
 
 --S 45 of 70
-pol : UP(x,Ran) := x**4+(7/3)*x**2+30*x-(100/3)
+pol : UP(x,Ran) := x^4+(7/3)*x^2+30*x-(100/3)
 --R 
 --R
 --R          4   7  2         100
@@ -580,7 +580,7 @@ beta2 := -sqrt(r2+11,5)
 --E 52
 
 --S 53 of 70
-qol : UP(x,Ran) := x**5+10*x**3+20*x+22
+qol : UP(x,Ran) := x^5+10*x^3+20*x+22
 --R 
 --R
 --R          5      3
@@ -731,7 +731,7 @@ f27:Ran:=sqrt(27/5,5)
 --E 68
 
 --S 69 of 70
-dst5:=sqrt((f32-f27,3)) = f25*(1+f3-f3**2)
+dst5:=sqrt((f32-f27,3)) = f25*(1+f3-f3^2)
 --R 
 --R
 --R          +---------------+
diff --git a/src/input/reductio.input.pamphlet b/src/input/reductio.input.pamphlet
index 6a0c809..b9592a4 100644
--- a/src/input/reductio.input.pamphlet
+++ b/src/input/reductio.input.pamphlet
@@ -31,7 +31,7 @@ reduce(_or,[x < 0 for x in u])
 reduce(min,[i for i in 0.. while u.i > 0])
 reduce(and,[x > 0 for x in u])
 v := [1, 1, 0, 1, 0]
-reduce(+,[v.(n - i) * 2**i for i in 0..(n := maxIndex v)])
+reduce(+,[v.(n - i) * 2^i for i in 0..(n := maxIndex v)])
 reduce(+,[x * y for x in u for y in v])
 reduce(+,[r for x in u for y in v | (r := y/x) > 0])
 reduce(max,[x for x in u for y in v | y = 1])
diff --git a/src/input/regset.input.pamphlet b/src/input/regset.input.pamphlet
index b61359d..abc3b9c 100644
--- a/src/input/regset.input.pamphlet
+++ b/src/input/regset.input.pamphlet
@@ -103,7 +103,7 @@ T := REGSET(R,E,V,P)
 --E 10
 
 --S 11 of 34
-p1 := x ** 31 - x ** 6 - x - y
+p1 := x ^ 31 - x ^ 6 - x - y
 --R 
 --R
 --R          31    6
@@ -112,7 +112,7 @@ p1 := x ** 31 - x ** 6 - x - y
 --E 11
 
 --S 12 of 34
-p2 := x ** 8  - z
+p2 := x ^ 8  - z
 --R 
 --R
 --R          8
@@ -121,7 +121,7 @@ p2 := x ** 8  - z
 --E 12
 
 --S 13 of 34
-p3 := x ** 10 - t
+p3 := x ^ 10 - t
 --R 
 --R
 --R          10
@@ -168,7 +168,7 @@ lts := zeroSetSplit(lp,false)$T
 --E 17
 
 --S 18 of 34
-f1 := y**2*z+2*x*y*t-2*x-z
+f1 := y^2*z+2*x*y*t-2*x-z
 --R 
 --R
 --R                          2
@@ -177,7 +177,7 @@ f1 := y**2*z+2*x*y*t-2*x-z
 --E 18
 
 --S 19 of 34
-f2 :=   -x**3*z+ 4*x*y**2*z+ 4*x**2*y*t+ 2*y**3*t+ 4*x**2- 10*y**2+ 4*x*z- 10*y*t+ 2
+f2 :=   -x^3*z+ 4*x*y^2*z+ 4*x^2*y*t+ 2*y^3*t+ 4*x^2- 10*y^2+ 4*x*z- 10*y*t+ 2
 --R 
 --R
 --R              3              2        2              3      2
@@ -186,7 +186,7 @@ f2 :=   -x**3*z+ 4*x*y**2*z+ 4*x**2*y*t+ 2*y**3*t+ 4*x**2- 10*y**2+ 4*x*z- 10*y*
 --E 19
 
 --S 20 of 34
-f3 :=  2*y*z*t+x*t**2-x-2*z
+f3 :=  2*y*z*t+x*t^2-x-2*z
 --R 
 --R
 --R           2
@@ -195,7 +195,7 @@ f3 :=  2*y*z*t+x*t**2-x-2*z
 --E 20
 
 --S 21 of 34
-f4 :=   -x*z**3+ 4*y*z**2*t+ 4*x*z*t**2+ 2*y*t**3+ 4*x*z+ 4*z**2-10*y*t- 10*t**2+2
+f4 :=   -x*z^3+ 4*y*z^2*t+ 4*x*z*t^2+ 2*y*t^3+ 4*x*z+ 4*z^2-10*y*t- 10*t^2+2
 --R 
 --R
 --R             3      2                2     3             2      2
@@ -282,10 +282,10 @@ u : R := 2
 --E 28
 
 --S 29 of 34
-q1 := 2*(u-1)**2+ 2*(x-z*x+z**2)+ y**2*(x-1)**2- 2*u*x+ 2*y*t*(1-x)*(x-z)+ _
-      2*u*z*t*(t-y)+ u**2*t**2*(1-2*z)+ 2*u*t**2*(z-x)+ 2*u*t*y*(z-1)+ _
-      2*u*z*x*(y+1)+ (u**2-2*u)*z**2*t**2+ 2*u**2*z**2+ 4*u*(1-u)*z+ _
-      t**2*(z-x)**2
+q1 := 2*(u-1)^2+ 2*(x-z*x+z^2)+ y^2*(x-1)^2- 2*u*x+ 2*y*t*(1-x)*(x-z)+ _
+      2*u*z*t*(t-y)+ u^2*t^2*(1-2*z)+ 2*u*t^2*(z-x)+ 2*u*t*y*(z-1)+ _
+      2*u*z*x*(y+1)+ (u^2-2*u)*z^2*t^2+ 2*u^2*z^2+ 4*u*(1-u)*z+ _
+      t^2*(z-x)^2
 --R 
 --R
 --R   (29)
@@ -299,7 +299,7 @@ q1 := 2*(u-1)**2+ 2*(x-z*x+z**2)+ y**2*(x-1)**2- 2*u*x+ 2*y*t*(1-x)*(x-z)+ _
 
 --S 30 of 34
 q2 := t*(2*z+1)*(x-z)+ y*(z+2)*(1-x)+ u*(u-2)*t+ u*(1-2*u)*z*t+ _
-      u*y*(x+u-z*x-1)+ u*(u+1)*z**2*t
+      u*y*(x+u-z*x-1)+ u*(u+1)*z^2*t
 --R 
 --R
 --R                                               2
@@ -308,7 +308,7 @@ q2 := t*(2*z+1)*(x-z)+ y*(z+2)*(1-x)+ u*(u-2)*t+ u*(1-2*u)*z*t+ _
 --E 30
 
 --S 31 of 34
-q3 := -u**2*(z-1)**2+ 2*z*(z-x)-2*(x-1)
+q3 := -u^2*(z-1)^2+ 2*z*(z-x)-2*(x-1)
 --R 
 --R
 --R                         2
@@ -317,8 +317,8 @@ q3 := -u**2*(z-1)**2+ 2*z*(z-x)-2*(x-1)
 --E 31
 
 --S 32 of 34
-q4 :=   u**2+4*(z-x**2)+3*y**2*(x-1)**2- 3*t**2*(z-x)**2 +_
-        3*u**2*t**2*(z-1)**2+u**2*z*(z-2)+6*u*t*y*(z+x+z*x-1)
+q4 :=   u^2+4*(z-x^2)+3*y^2*(x-1)^2- 3*t^2*(z-x)^2 +_
+        3*u^2*t^2*(z-1)^2+u^2*z*(z-2)+6*u*t*y*(z+x+z*x-1)
 --R 
 --R
 --R   (32)
diff --git a/src/input/roman.input.pamphlet b/src/input/roman.input.pamphlet
index b9e8279..da5b4a0 100644
--- a/src/input/roman.input.pamphlet
+++ b/src/input/roman.input.pamphlet
@@ -55,7 +55,7 @@ x : UTS(ROMAN,'x,0) := x
 --E 4
 
 --S 5 of 10
-recip(1 - x - x**2)
+recip(1 - x - x^2)
 --R 
 --R
 --R   (5)
diff --git a/src/input/roots.input.pamphlet b/src/input/roots.input.pamphlet
index c7b7dca..d994074 100644
--- a/src/input/roots.input.pamphlet
+++ b/src/input/roots.input.pamphlet
@@ -22,10 +22,10 @@
 )clear all
 
 \end{chunk}
-This will compute all the roots of x**4 + 1 = 0
+This will compute all the roots of x^4 + 1 = 0
 \begin{chunk}{*}
 --S 1 of 7
-lr:=rootsOf(x**4+1,x)
+lr:=rootsOf(x^4+1,x)
 --R 
 --R
 --R   (1)  [%x0,%x0 %x1,- %x0,- %x0 %x1]
@@ -66,7 +66,7 @@ lr.1 * lr.2 * lr.3
 --E 4
 
 --S 5 of 7
-%**4
+%^4
 --R 
 --R
 --R   (5)  - 1
@@ -85,7 +85,7 @@ lr.1 + lr.2 + lr.3
 --E 6
 
 --S 7 of 7
-%**4
+%^4
 --R 
 --R
 --R   (7)  - 1
diff --git a/src/input/rules.input.pamphlet b/src/input/rules.input.pamphlet
index 6a8ec0e..c8f2761 100644
--- a/src/input/rules.input.pamphlet
+++ b/src/input/rules.input.pamphlet
@@ -54,7 +54,7 @@ Now a pile of several rules
 --S 4 of 21
 logrules := rule
   log(x) + log(y) == log(x * y)
-  y * log x       == log(x ** y)
+  y * log x       == log(x ^ y)
 --R 
 --R
 --R                                                                y
@@ -88,7 +88,7 @@ Example of a predicate attached to a pattern variable
 --S 7 of 21
 logrules2 := rule
   log(x) + log(y)          == log(x * y)
-  (y | integer? y) * log x == log(x ** y)
+  (y | integer? y) * log x == log(x ^ y)
 --R 
 --R
 --R                                                                y
@@ -115,8 +115,8 @@ trigLinearize := rule
   sin(x) * sin(y)                      == cos(x-y)/2 - cos(x+y)/2
   cos(x) * cos(y)                      == cos(x+y)/2 + cos(x-y)/2
   sin(x) * cos(y)                      == sin(x+y)/2 + sin(x-y)/2
-  sin(x) ** (n | integer? n and n > 1) == (1-cos(2*x))/2 * sin(x)**(n-2)
-  cos(x) ** (n | integer? n and n > 1) == (1+cos(2*x))/2 * cos(x)**(n-2)
+  sin(x) ^ (n | integer? n and n > 1) == (1-cos(2*x))/2 * sin(x)^(n-2)
+  cos(x) ^ (n | integer? n and n > 1) == (1+cos(2*x))/2 * cos(x)^(n-2)
 --R 
 --R
 --R   (9)
diff --git a/src/input/ruleset.input.pamphlet b/src/input/ruleset.input.pamphlet
index de25e38..f426a17 100644
--- a/src/input/ruleset.input.pamphlet
+++ b/src/input/ruleset.input.pamphlet
@@ -29,8 +29,8 @@ TrigLinearRules := rule
    sin(x) * sin(y) == cos(x-y)/2 - cos(x+y)/2
    cos(x) * cos(y) == cos(x+y)/2 + cos(x-y)/2
    sin(x) * cos(y) == sin(x+y)/2 + sin(x-y)/2
-   sin(x)**(n | integer? n and n > 0) == (1-cos(2*x))/2 * sin(x)**(n-2)
-   cos(x)**(n | integer? n and n > 0) == (1+cos(2*x))/2 * cos(x)**(n-2)
+   sin(x)^(n | integer? n and n > 0) == (1-cos(2*x))/2 * sin(x)^(n-2)
+   cos(x)^(n | integer? n and n > 0) == (1+cos(2*x))/2 * cos(x)^(n-2)
 --R 
 --R
 --R   (1)
diff --git a/src/input/saddle.input.pamphlet b/src/input/saddle.input.pamphlet
index 1237e43..9b91668 100644
--- a/src/input/saddle.input.pamphlet
+++ b/src/input/saddle.input.pamphlet
@@ -11,7 +11,7 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw(x**2 - y**2,x = -2..2, y = -2..2)
+draw(x^2 - y^2,x = -2..2, y = -2..2)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/segbind.input.pamphlet b/src/input/segbind.input.pamphlet
index 699b782..1d314d8 100644
--- a/src/input/segbind.input.pamphlet
+++ b/src/input/segbind.input.pamphlet
@@ -29,7 +29,7 @@ x = a..b
 --E 1
 
 --S 2 of 6
-sum(i**2, i = 0..n)
+sum(i^2, i = 0..n)
 --R 
 --R
 --R          3     2
@@ -40,7 +40,7 @@ sum(i**2, i = 0..n)
 --E 2
 
 --S 3 of 6
-draw(x**2, x = -2..2)
+draw(x^2, x = -2..2)
 --R 
 --I   Compiling function %B with type DoubleFloat -> DoubleFloat 
 --R   Graph data being transmitted to the viewport manager...
diff --git a/src/input/series.input.pamphlet b/src/input/series.input.pamphlet
index caf40d1..42aedbb 100644
--- a/src/input/series.input.pamphlet
+++ b/src/input/series.input.pamphlet
@@ -210,7 +210,7 @@ xS := series(x)
 --E 14
 
 --S 15 of 20
-sin(xS)**(1/3) - sin(xS**(1/3))
+sin(xS)^(1/3) - sin(xS^(1/3))
 --R 
 --R
 --R   (15)
diff --git a/src/input/series2.input.pamphlet b/src/input/series2.input.pamphlet
index 5f8f9d2..e4e9824 100644
--- a/src/input/series2.input.pamphlet
+++ b/src/input/series2.input.pamphlet
@@ -30,7 +30,7 @@ Well not really, since we have $x^2$, not x.  Otherwise, our series
 expansions would have fractional powers.
 \begin{chunk}{*}
 --S 1 of 38
-f1 := taylor(1 - x**2,x = 0)
+f1 := taylor(1 - x^2,x = 0)
 --R 
 --R
 --R             2
@@ -82,7 +82,7 @@ cos %
 --E 5
 
 --S 6 of 38
-f2 := taylor(1 + x**2,x = 0)
+f2 := taylor(1 + x^2,x = 0)
 --R 
 --R
 --R             2
@@ -134,7 +134,7 @@ sec %
 --E 10
 
 --S 11 of 38
-f3 := taylor(1 - (x - a)**2,x = a)
+f3 := taylor(1 - (x - a)^2,x = a)
 --R 
 --R
 --R                    2
@@ -199,7 +199,7 @@ cos %
 --E 15
 
 --S 16 of 38
-f4 := taylor(1 + (x - a)**2,x = a)
+f4 := taylor(1 + (x - a)^2,x = a)
 --R 
 --R
 --R                    2
@@ -264,7 +264,7 @@ sec %
 --E 20
 
 --S 21 of 38
-f5 := taylor(%i + x**2,x = 0)
+f5 := taylor(%i + x^2,x = 0)
 --R 
 --R
 --R               2
@@ -592,7 +592,7 @@ map(normalize,csch %)
 --E 29
 
 --S 30 of 38
-f6 := taylor(%i + (x - a)**2,x = a)
+f6 := taylor(%i + (x - a)^2,x = a)
 --R 
 --R
 --R                     2
diff --git a/src/input/set.input.pamphlet b/src/input/set.input.pamphlet
index dd4ab85..79ff5af 100644
--- a/src/input/set.input.pamphlet
+++ b/src/input/set.input.pamphlet
@@ -21,7 +21,7 @@
 )set message auto off
 )clear all
 --S 1 of 20
-s := set [x**2-1, y**2-1, z**2-1]
+s := set [x^2-1, y^2-1, z^2-1]
 --R 
 --R
 --R          2      2      2
@@ -30,7 +30,7 @@ s := set [x**2-1, y**2-1, z**2-1]
 --E 1
 
 --S 2 of 20
-t := set [x**i - i+1 for i in 2..10 | prime? i]
+t := set [x^i - i+1 for i in 2..10 | prime? i]
 --R 
 --R
 --R          2      3      5      7
@@ -123,7 +123,7 @@ complement gs
 --E 12
 
 --S 13 of 20
-a := set [i**2 for i in 1..5]
+a := set [i^2 for i in 1..5]
 --R 
 --R
 --R   (13)  {1,4,9,16,25}
@@ -155,7 +155,7 @@ a
 --E 16
 
 --S 17 of 20
-b := b0 := set [i**2 for i in 1..5]
+b := b0 := set [i^2 for i in 1..5]
 --R 
 --R
 --R   (17)  {1,4,9,16,25}
diff --git a/src/input/skew.input.pamphlet b/src/input/skew.input.pamphlet
index 54635f6..23fdb1a 100644
--- a/src/input/skew.input.pamphlet
+++ b/src/input/skew.input.pamphlet
@@ -74,7 +74,7 @@ Here are some functions chosen at random.
 \begin{chunk}{*}
 
 --S 5 of 36
-f:R:=x**2*y*z-5*x**3*y**2*z**5
+f:R:=x^2*y*z-5*x^3*y^2*z^5
 --R 
 --R
 --R            3 2 5    2
@@ -83,7 +83,7 @@ f:R:=x**2*y*z-5*x**3*y**2*z**5
 --E 5
 
 --S 6 of 36
-g:R:=z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
+g:R:=z^2*y*cos(z)-7*sin(x^3*y^2)*z^2
 --R 
 --R
 --R            2     3 2       2
@@ -92,7 +92,7 @@ g:R:=z**2*y*cos(z)-7*sin(x**3*y**2)*z**2
 --E 6
 
 --S 7 of 36
-h:R:=x*y*z-2*x**3*y*z**2
+h:R:=x*y*z-2*x^3*y*z^2
 --R 
 --R
 --R            3   2
diff --git a/src/input/slowint.input.pamphlet b/src/input/slowint.input.pamphlet
index b7ab413..b667bd4 100644
--- a/src/input/slowint.input.pamphlet
+++ b/src/input/slowint.input.pamphlet
@@ -35,7 +35,7 @@ k := 7/5
 --E 1
 
 --S 2 of 5
-mu := sqrt ( ((k-1)*m**2 + 2)/(2*k*m**2 -(k-1)))
+mu := sqrt ( ((k-1)*m^2 + 2)/(2*k*m^2 -(k-1)))
 --R 
 --R
 --R         +-------+
@@ -48,7 +48,7 @@ mu := sqrt ( ((k-1)*m**2 + 2)/(2*k*m**2 -(k-1)))
 --E 2
 
 --S 3 of 5
-km := 2/ ( (1+(2/(k+1)) * (1-mu**2)/mu)*(2*mu + 1 + 1/(m**2)))
+km := 2/ ( (1+(2/(k+1)) * (1-mu^2)/mu)*(2*mu + 1 + 1/(m^2)))
 --R 
 --R
 --R                                +-------+
@@ -68,7 +68,7 @@ km := 2/ ( (1+(2/(k+1)) * (1-mu**2)/mu)*(2*mu + 1 + 1/(m**2)))
 --E 3
 
 --S 4 of 5
-f := - 2*m / ((m**2-1)*km)
+f := - 2*m / ((m^2-1)*km)
 --R 
 --R
 --R                           +-------+
diff --git a/src/input/solvetra.input.pamphlet b/src/input/solvetra.input.pamphlet
index 93064eb..9ca8f29 100644
--- a/src/input/solvetra.input.pamphlet
+++ b/src/input/solvetra.input.pamphlet
@@ -53,7 +53,7 @@ solve(sin(x)-8,x)
 --E 4
 
 --S 5 of 37
-solve(sin(x**2)-2,x)       
+solve(sin(x^2)-2,x)       
 --R 
 --R
 --R               +-------+     +-------+
@@ -62,7 +62,7 @@ solve(sin(x**2)-2,x)
 --E 5
 
 --S 6 of 37
-solve(sin(x**2)-3,x)
+solve(sin(x^2)-3,x)
 --R 
 --R
 --R               +-------+     +-------+
@@ -71,7 +71,7 @@ solve(sin(x**2)-3,x)
 --E 6
 
 --S 7 of 37
-solve(sin(x**2)**2-3,x)
+solve(sin(x^2)^2-3,x)
 --R 
 --R
 --R   (7)
@@ -90,7 +90,7 @@ solve(sin(x+2)-2,x)
 --E 8
 
 --S 9 of 37
-solve(sin(x**2+2)-2,x)
+solve(sin(x^2+2)-2,x)
 --R 
 --R
 --R               +-----------+     +-----------+
@@ -119,7 +119,7 @@ solve(sin(x-77)*cos(8)*tan(88)*567-y*3+3,x)
 --E 11
 
 --S 12 of 37
-solve(sin(x**2-77)*cos(8)*tan(88)*567-y*3+3,x)
+solve(sin(x^2-77)*cos(8)*tan(88)*567-y*3+3,x)
 --R 
 --R
 --R   (12)
@@ -142,7 +142,7 @@ solve(sin(x)*cos(x)-2,x)
 --E 13
 
 --S 14 of 37
-solve(sin(x**3-77)*cos(8)*tan(88)*567-y*3+3,x)
+solve(sin(x^3-77)*cos(8)*tan(88)*567-y*3+3,x)
 --R 
 --R
 --R   (14)
@@ -187,7 +187,7 @@ solve(3*tan(3*x)-tan(x)+2,x)
 --E 16
 
 --S 17 of 37
-solve(3*sech(x)**2+4*tanh(x)+1,x)
+solve(3*sech(x)^2+4*tanh(x)+1,x)
 --R 
 --R
 --R                  +---+            +---+            +-+              +-+
@@ -317,7 +317,7 @@ solve(log(sqrt(sqrt(sqrt(x+1)+4)+7))+5,x)
 --E 27
 
 --S 28 of 37
-solve(2**x-6,x)
+solve(2^x-6,x)
 --R 
 --R
 --R             log(6)
@@ -356,7 +356,7 @@ solve(sqrt(sin(x))+sqrt(cos(x))+1,x)
 --E 31
 
 --S 32 of 37
-solve(sqrt(sin(x)+1)+(sin(x)+1)**(1/3)+7,x)
+solve(sqrt(sin(x)+1)+(sin(x)+1)^(1/3)+7,x)
 --R 
 --R
 --R   (32)
@@ -382,7 +382,7 @@ solve(sqrt(sqrt(sqrt(1+x)+7)+1)+8-2,x)
 --E 33
 
 --S 34 of 37
-solve(sqrt(sin(x)+1)+(sin(x)+5)**(1/3)+7,x)
+solve(sqrt(sin(x)+1)+(sin(x)+5)^(1/3)+7,x)
 --R 
 --R
 --R   (34)
diff --git a/src/input/sqmatrix.input.pamphlet b/src/input/sqmatrix.input.pamphlet
index 74f5bf8..8ec619c 100644
--- a/src/input/sqmatrix.input.pamphlet
+++ b/src/input/sqmatrix.input.pamphlet
@@ -47,7 +47,7 @@ m*m - m
 --E 3
 
 --S 4 of 6
-mm := squareMatrix [[m, 1], [1-m, m**2]]
+mm := squareMatrix [[m, 1], [1-m, m^2]]
 --R 
 --R
 --R        ++1   - %i+      +1  0+   +
@@ -61,7 +61,7 @@ mm := squareMatrix [[m, 1], [1-m, m**2]]
 --E 4
 
 --S 5 of 6
-p := (x + m)**2
+p := (x + m)^2
 --R 
 --R
 --R         2   + 2   - 2%i+    + 2   - 5%i+
diff --git a/src/input/sregset.input.pamphlet b/src/input/sregset.input.pamphlet
index 2997e44..f235f14 100644
--- a/src/input/sregset.input.pamphlet
+++ b/src/input/sregset.input.pamphlet
@@ -105,7 +105,7 @@ ST := SREGSET(R,E,V,P)
 --E 10
 
 --S 11 of 23
-p1 := x ** 31 - x ** 6 - x - y
+p1 := x ^ 31 - x ^ 6 - x - y
 --R 
 --R
 --R          31    6
@@ -114,7 +114,7 @@ p1 := x ** 31 - x ** 6 - x - y
 --E 11
 
 --S 12 of 23
-p2 := x ** 8  - z
+p2 := x ^ 8  - z
 --R 
 --R
 --R          8
@@ -123,7 +123,7 @@ p2 := x ** 8  - z
 --E 12
 
 --S 13 of 23
-p3 := x ** 10 - t
+p3 := x ^ 10 - t
 --R 
 --R
 --R          10
diff --git a/src/input/symbol.input.pamphlet b/src/input/symbol.input.pamphlet
index 4dfd817..9f9f070 100644
--- a/src/input/symbol.input.pamphlet
+++ b/src/input/symbol.input.pamphlet
@@ -53,7 +53,7 @@ B := b
 --E 4
 
 --S 5 of 24
-x**2 + 1
+x^2 + 1
 --R 
 --R
 --R         2
diff --git a/src/input/table.input.pamphlet b/src/input/table.input.pamphlet
index c9c64a1..e1b697a 100644
--- a/src/input/table.input.pamphlet
+++ b/src/input/table.input.pamphlet
@@ -29,7 +29,7 @@ t: Table(Polynomial Integer, String) := table()
 --E 1
 
 --S 2 of 18
-setelt(t, x**2 - 1, "Easy to factor")
+setelt(t, x^2 - 1, "Easy to factor")
 --R 
 --R
 --R   (2)  "Easy to factor"
@@ -37,7 +37,7 @@ setelt(t, x**2 - 1, "Easy to factor")
 --E 2
 
 --S 3 of 18
-t(x**3 + 1) := "Harder to factor"
+t(x^3 + 1) := "Harder to factor"
 --R 
 --R
 --R   (3)  "Harder to factor"
@@ -77,7 +77,7 @@ t x
 --E 7
 
 --S 8 of 18
-t.(x**2 - 1)
+t.(x^2 - 1)
 --R 
 --R
 --R   (8)  "Easy to factor"
@@ -85,7 +85,7 @@ t.(x**2 - 1)
 --E 8
 
 --S 9 of 18
-t (x**3 + 1)
+t (x^3 + 1)
 --R 
 --R
 --R   (9)  "Harder to factor"
@@ -110,7 +110,7 @@ search(x, t)
 --E 11
 
 --S 12 of 18
-search(x**2, t)
+search(x^2, t)
 --R 
 --R
 --R   (12)  "failed"
@@ -118,7 +118,7 @@ search(x**2, t)
 --E 12
 
 --S 13 of 18
-search(x**2, t) case "failed"
+search(x^2, t) case "failed"
 --R 
 --R
 --R   (13)  true
@@ -126,7 +126,7 @@ search(x**2, t) case "failed"
 --E 13
 
 --S 14 of 18
-remove!(x**2-1, t)
+remove!(x^2-1, t)
 --R 
 --R
 --R   (14)  "Easy to factor"
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index b32a718..1053d8b 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -28,7 +28,7 @@ Fixed by SCM, verified on 10/30/90
 )clear all
 
 --S 1 of 188
-eq1:= A*x**2 + B*x*y + C*y**2 +D*x + E*y + F
+eq1:= A*x^2 + B*x*y + C*y^2 +D*x + E*y + F
 --R 
 --R
 --R           2                   2
@@ -287,7 +287,7 @@ v := vector [1,2,3]
 --E 14
 
 --S 15 of 188
-eval(x**2, x=1/2)
+eval(x^2, x=1/2)
 --R 
 --R
 --R        1
@@ -297,7 +297,7 @@ eval(x**2, x=1/2)
 --E 15
 
 --S 16 of 188
-eval(x**2, x=0.5)
+eval(x^2, x=0.5)
 --R 
 --R
 --R   (4)  0.25
@@ -305,7 +305,7 @@ eval(x**2, x=0.5)
 --E 16
 
 --S 17 of 188
-eval(3**x, x=0.5)
+eval(3^x, x=0.5)
 --R 
 --R
 --R   (5)  1.7320508075 688772935
@@ -456,7 +456,7 @@ Fixed by SCM, verified on 10/30/90
 )clear all
 
 --S 33 of 188
-groebner [x**2 - y, y**3+1]
+groebner [x^2 - y, y^3+1]
 --R 
 --R
 --R              2  6
@@ -545,7 +545,7 @@ p(n,x) == if n=0 then 1 else (x+n-1)*p(n-1,x)
 --E 40
 
 --S 41 of 188
-pp(n,x) == if n=0 then 1 else if n<0 then (-1)**n/p(-n,1-x) else p(n,x)
+pp(n,x) == if n=0 then 1 else if n<0 then (-1)^n/p(-n,1-x) else p(n,x)
 --R 
 --R                                                                   Type: Void
 --E 41
@@ -648,7 +648,7 @@ Test interpreter list destructuring
 --S 47 of 188
 mp(x,l) ==
   l is [a,:b] =>
-    a*x**(#b)+ mp(x,b)
+    a*x^(#b)+ mp(x,b)
   0
 --R 
 --R                                                                   Type: Void
@@ -741,7 +741,7 @@ Input of GDMP types. Fixed by SCM on 1/22/91
 )clear all
 
 --S 56 of 188
-g: GDMP([x,y], INT, DIRPROD(2, NNI)) := x**2 + y
+g: GDMP([x,y], INT, DIRPROD(2, NNI)) := x^2 + y
 --R 
 --R
 --R         2
@@ -1049,7 +1049,7 @@ factorp(poly,p,e) ==
 --E 73
 
 --S 74 of 188
-factorp(x**2+x+5,7,1)
+factorp(x^2+x+5,7,1)
 --R 
 --R   Cannot compile the declaration for ppoly because its (possible 
 --R      partial) type contains a local variable.
@@ -1159,7 +1159,7 @@ factorp(poly,p,e) ==
 --E 85
 
 --S 86 of 188
-factorp(x**2+x+5,7,1)
+factorp(x^2+x+5,7,1)
 --R 
 --R   Cannot compile conversion for types involving local variables. In 
 --R      particular, could not compile the expression involving :: UP(x,PF
@@ -1268,7 +1268,7 @@ s:Mat := matrix [[ 2*x + 1, x], [x, 1]]
 --E 94
 
 --S 95 of 188
-s**3
+s^3
 --R 
 --R
 --R        +   3      2             3     2     +
@@ -1295,7 +1295,7 @@ Parsing bug. Fixed by BURGE on 4/18/91
 )clear all
 
 --S 97 of 188
--2**2  -- Should return -4
+-2^2  -- Should return -4
 --R 
 --R
 --R   (1)  - 4
@@ -1308,7 +1308,7 @@ Parsing bug. Fixed by BURGE on 4/18/91
 )clear all
 
 --S 98 of 188
-f: DMP([x,y], INT) := x**2-y**2
+f: DMP([x,y], INT) := x^2-y^2
 --R 
 --R
 --R         2    2
@@ -1364,7 +1364,7 @@ Fixed by several people over a period of time
 )clear all
 
 --S 103 of 188
-eval(m**2, m=[[1,2],[2,3]])
+eval(m^2, m=[[1,2],[2,3]])
 --R 
 --R
 --R        +5  8 +
@@ -1416,7 +1416,7 @@ Fast generation of POLY FLOAT graphics code
 )clear all
 
 --S 107 of 188
-p: POLY FLOAT := (x-1)**30
+p: POLY FLOAT := (x-1)^30
 --R 
 --R
 --R   (1)
@@ -1497,7 +1497,7 @@ RFI := FRAC POLY INT
 --E 112
 
 --S 113 of 188
-g:DMP([x,y], RFI) := a**2*x**2/b**2 - c**2*y**2/d**2
+g:DMP([x,y], RFI) := a^2*x^2/b^2 - c^2*y^2/d^2
 --R 
 --R
 --R         2       2
@@ -1891,7 +1891,7 @@ Passing ADEFs to functions which require specific mapping types.
 \begin{chunk}{*}
 )clear all
 
---draw((x,y) +-> x**2 - y**2, -1..1, -1..1)
+--draw((x,y) +-> x^2 - y^2, -1..1, -1..1)
 
 \end{chunk}
 DP bug.  Don't know where this came from, but its fixed. DP makes problems:
@@ -1907,7 +1907,7 @@ dmp := DMP([u1,u2,u3],Fraction INT)
 --E 147
 
 --S 148 of 188
-p : dmp := 2*u1**4*u2*u3
+p : dmp := 2*u1^4*u2*u3
 --R 
 --R
 --R           4
diff --git a/src/input/triglim.input.pamphlet b/src/input/triglim.input.pamphlet
index 9cba036..6af1408 100644
--- a/src/input/triglim.input.pamphlet
+++ b/src/input/triglim.input.pamphlet
@@ -40,7 +40,7 @@ limit(atan(1/sin(x)),x = 0)
 --E 1
 
 --S 2 of 6
-limit(atan(sqrt(1 - x**2)/x),x = 0)
+limit(atan(sqrt(1 - x^2)/x),x = 0)
 --R 
 --R
 --R                          %pi                 %pi
@@ -70,7 +70,7 @@ limit(atan(sin(x)/(cos(x) + a)),x = acos(-a))
 --E 4
 
 \end{chunk}
-We'll get these next two if sqrt(1 - a**2) is considered to be
+We'll get these next two if sqrt(1 - a^2) is considered to be
 positive by SIGNEF
 \begin{chunk}{*}
 --S 5 of 6
diff --git a/src/input/tschirn.input.pamphlet b/src/input/tschirn.input.pamphlet
index b1f0cc9..85fad97 100644
--- a/src/input/tschirn.input.pamphlet
+++ b/src/input/tschirn.input.pamphlet
@@ -11,7 +11,7 @@
 \tableofcontents
 \eject
 \begin{chunk}{*}
-draw(curve(3*(t**2-3),t*(t**2-3)),t = -3..3, [title "Tschirnhausen's Cubic"])
+draw(curve(3*(t^2-3),t*(t^2-3)),t = -3..3, [title "Tschirnhausen's Cubic"])
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/tsetcatbutcher.input.pamphlet b/src/input/tsetcatbutcher.input.pamphlet
index 4c84e9c..9910d92 100644
--- a/src/input/tsetcatbutcher.input.pamphlet
+++ b/src/input/tsetcatbutcher.input.pamphlet
@@ -38,13 +38,13 @@ v: P := 'v;
 w: P := 'w;
 
 f0 := b1 + y + z - t - w;
-f1 := 2*z*u + 2*y*v + 2*t*w - 2*w**2 - w - 1 ;
-f2 := 3*z*u**2 + 3*y*v**2 - 3*t*w**2 + 3*w**3 + 3*w**2 - t + 4*w  ;
-f3 := 6*x*z*v - 6*t*w**2 + 6*w**3 - 3*t*w + 6*w**2 - t + 4*w  ;
-f4 := 4*z*u**3+ 4*y*v**3+ 4*t*w**3- 4*w**4 - 6*w**3+ 4*t*w- 10*w**2- w- 1  ;
-f5 := 8*x*z*u*v +8*t*w**3 -8*w**4 +4*t*w**2 -12*w**3 +4*t*w -14*w**2 -3*w -1  ;
-f6 := 12*x*z*v**2+12*t*w**3 -12*w**4 +12*t*w**2 -18*w**3 +8*t*w -14*w**2 -w -1;
-f7 := -24*t*w**3 + 24*w**4 - 24*t*w**2 + 36*w**3 - 8*t*w + 26*w**2 + 7*w + 1 ;
+f1 := 2*z*u + 2*y*v + 2*t*w - 2*w^2 - w - 1 ;
+f2 := 3*z*u^2 + 3*y*v^2 - 3*t*w^2 + 3*w^3 + 3*w^2 - t + 4*w  ;
+f3 := 6*x*z*v - 6*t*w^2 + 6*w^3 - 3*t*w + 6*w^2 - t + 4*w  ;
+f4 := 4*z*u^3+ 4*y*v^3+ 4*t*w^3- 4*w^4 - 6*w^3+ 4*t*w- 10*w^2- w- 1  ;
+f5 := 8*x*z*u*v +8*t*w^3 -8*w^4 +4*t*w^2 -12*w^3 +4*t*w -14*w^2 -3*w -1  ;
+f6 := 12*x*z*v^2+12*t*w^3 -12*w^4 +12*t*w^2 -18*w^3 +8*t*w -14*w^2 -w -1;
+f7 := -24*t*w^3 + 24*w^4 - 24*t*w^2 + 36*w^3 - 8*t*w + 26*w^2 + 7*w + 1 ;
 
 lp := [f0,f1,f2,f3,f4,f5,f6,f7];
 
diff --git a/src/input/tsetcatchemical.input.pamphlet b/src/input/tsetcatchemical.input.pamphlet
index e6ee72a..f8487eb 100644
--- a/src/input/tsetcatchemical.input.pamphlet
+++ b/src/input/tsetcatchemical.input.pamphlet
@@ -34,10 +34,10 @@ x4: P := 'x4;
 t: P := 't;
 	
 
-p1 := 2 - 7 * x1 + x1 ** 2 * x2 + t * (x3 - x1) ;
-p2 := 6 * x1 - x1 ** 2 * x2 + 10 * t * (x4 - x2) ;
-p3 := 2 - 7 * x3 + x3 ** 2 * x4 + t * (x1 - x3) ;
-p4 := 6 * x3 - x3 **2 * x4  + 1 - t * (x2 - x4) ;
+p1 := 2 - 7 * x1 + x1 ^ 2 * x2 + t * (x3 - x1) ;
+p2 := 6 * x1 - x1 ^ 2 * x2 + 10 * t * (x4 - x2) ;
+p3 := 2 - 7 * x3 + x3 ^ 2 * x4 + t * (x1 - x3) ;
+p4 := 6 * x3 - x3 ^2 * x4  + 1 - t * (x2 - x4) ;
 
 lp := [p1,p2,p3,p4];
 
diff --git a/src/input/tsetcatvermeer.input.pamphlet b/src/input/tsetcatvermeer.input.pamphlet
index e864a16..6c35c3d 100644
--- a/src/input/tsetcatvermeer.input.pamphlet
+++ b/src/input/tsetcatvermeer.input.pamphlet
@@ -105,28 +105,28 @@ w: P := 'w;
 --E 11
 
 --S 12 of 21
-p1 := (x - u) ** 2 + (y - v) ** 2 - 1 ;
+p1 := (x - u) ^ 2 + (y - v) ^ 2 - 1 ;
 --R 
 --R
 --IType: NewSparseMultivariatePolynomial(Integer,...
 --E 12
 
 --S 13 of 21
-p2 := v ** 2 - u ** 3 ;
+p2 := v ^ 2 - u ^ 3 ;
 --R 
 --R
 --IType: NewSparseMultivariatePolynomial(Integer,...
 --E 13
 
 --S 14 of 21
-p3 := 2 * v * (x - u) + 3 * u ** 2 * (y - v) ;
+p3 := 2 * v * (x - u) + 3 * u ^ 2 * (y - v) ;
 --R 
 --R
 --IType: NewSparseMultivariatePolynomial(Integer,...
 --E 14
 
 --S 15 of 21
-f1 := (3 * w * u ** 2 - 1) ;
+f1 := (3 * w * u ^ 2 - 1) ;
 --R 
 --R
 --IType: NewSparseMultivariatePolynomial(Integer,...
diff --git a/src/input/up.input.pamphlet b/src/input/up.input.pamphlet
index ebace9a..1a13b1f 100644
--- a/src/input/up.input.pamphlet
+++ b/src/input/up.input.pamphlet
@@ -16,9 +16,9 @@
 )clear all
 
 (p,q) : UP(x,INT)
-p := (3*x-1)**2 * (2*x + 8)
-q := (1 - 6*x + 9*x**2)**2
-p**2 + p*q
+p := (3*x-1)^2 * (2*x + 8)
+q := (1 - 6*x + 9*x^2)^2
+p^2 + p*q
 leadingCoefficient p
 degree p
 reductum p
@@ -32,14 +32,14 @@ q(p)
 l := coefficients p
 reduce(gcd,l)
 content p
-ux := (x**4+2*x+3)::UP(x,INT)
+ux := (x^4+2*x+3)::UP(x,INT)
 vectorise(ux,5)
 squareTerms(p) ==
-  reduce(+,[t**2 for t in monomials p])
+  reduce(+,[t^2 for t in monomials p])
 p
 squareTerms p
 (r,s) : UP(a1,FRAC INT)
-r := a1**2 - 2/3
+r := a1^2 - 2/3
 s := a1 + 4
 r quo s
 r rem s
@@ -48,7 +48,7 @@ r - (d.quotient * s + d.remainder)
 integrate r
 integrate s
 t : UP(a1,FRAC POLY INT)
-t := a1**2 - a1/b2 + (b1**2-b1)/(b2+3)
+t := a1^2 - a1/b2 + (b1^2-b1)/(b2+3)
 u : FRAC POLY INT := t
 u :: UP(b1,?)
 \end{chunk}
diff --git a/src/input/wester.input.pamphlet b/src/input/wester.input.pamphlet
index d68dd54..dabef09 100644
--- a/src/input/wester.input.pamphlet
+++ b/src/input/wester.input.pamphlet
@@ -292,7 +292,7 @@ simplify(s1)
 -- Numbers are nice, but symbols allow for variability---try some high school
 -- algebra: rational simplification
 --S 21 of 216
-(x**2 - 4)/(x**2 + 4*x + 4)
+(x^2 - 4)/(x^2 + 4*x + 4)
 --R 
 --R
 --R         x - 2
@@ -303,7 +303,7 @@ simplify(s1)
 
 -- This example requires more sophistication
 --S 22 of 216
-(%e**x - 1)/(%e**(x/2) + 1)
+(%e^x - 1)/(%e^(x/2) + 1)
 --R 
 --R
 --R           x
@@ -329,7 +329,7 @@ normalize(%)
 
 -- Expand and factor polynomials
 --S 24 of 216
-(x + 1)**20
+(x + 1)^20
 --R 
 --R
 --R   (24)
@@ -370,7 +370,7 @@ factor(%)
 --E 26
 
 --S 27 of 216
-x**100 - 1
+x^100 - 1
 --R 
 --R
 --R          100
@@ -396,7 +396,7 @@ factor(%)
 
 -- Factor polynomials over finite fields and field extensions
 --S 29 of 216
-p:= x**4 - 3*x**2 + 1
+p:= x^4 - 3*x^2 + 1
 --R 
 --R
 --R          4     2
@@ -414,7 +414,7 @@ factor(p)
 --E 30
 
 --S 31 of 216
-phi:= rootOf(phi**2 - phi - 1);
+phi:= rootOf(phi^2 - phi - 1);
 --R 
 --R
 --R                                                        Type: AlgebraicNumber
@@ -448,7 +448,7 @@ expand(%)
 
 -- Partial fraction decomposition
 --S 35 of 216
-(x**2 + 2*x + 3)/(x**3 + 4*x**2 + 5*x + 2)
+(x^2 + 2*x + 3)/(x^3 + 4*x^2 + 5*x + 2)
 --R 
 --R
 --R             2
@@ -531,7 +531,7 @@ sincosAngles r
 -- ---------- Determining Zero Equivalence ----------
 -- The following expressions are all equal to zero
 --S 42 of 216
-sqrt(997) - (997**3)**(1/6)
+sqrt(997) - (997^3)^(1/6)
 --R 
 --R
 --R   (42)  0
@@ -539,7 +539,7 @@ sqrt(997) - (997**3)**(1/6)
 --E 42
 
 --S 43 of 216
-sqrt(999983) - (999983**3)**(1/6)
+sqrt(999983) - (999983^3)^(1/6)
 --R 
 --R
 --R   (43)  0
@@ -547,7 +547,7 @@ sqrt(999983) - (999983**3)**(1/6)
 --E 43
 
 --S 44 of 216
-s1:=(2**(1/3) + 4**(1/3))**3 - 6*(2**(1/3) + 4**(1/3)) - 6
+s1:=(2^(1/3) + 4^(1/3))^3 - 6*(2^(1/3) + 4^(1/3)) - 6
 --R 
 --R
 --R          3+-+3+-+2     3+-+2     3+-+    3+-+
@@ -592,7 +592,7 @@ rhs select (z+-> _
 
 -- Thi49s expression is zero for x, y > 0 and n not equal to zero
 --S 49 of 216
-x**(1/n)*y**(1/n) - (x*y)**(1/n)
+x^(1/n)*y^(1/n) - (x*y)^(1/n)
 --R 
 --R
 --R                1    1 1
@@ -744,8 +744,8 @@ eval(expr, x = 0)
 --E 58
 
 --S 59 of 216
-(4*r + 4*sqrt(r) + 1)**(sqrt(r)/(2*sqrt(r) + 1)) _
-   * (2*sqrt(r) + 1)**(1/(2*sqrt(r) + 1)) - 2*sqrt(r) - 1
+(4*r + 4*sqrt(r) + 1)^(sqrt(r)/(2*sqrt(r) + 1)) _
+   * (2*sqrt(r) + 1)^(1/(2*sqrt(r) + 1)) - 2*sqrt(r) - 1
 --R 
 --R
 --R   (59)
@@ -828,7 +828,7 @@ simplify(rectform(tan(x + %i*y)))
 -- September 1991.  This first expression can simplify to sqrt(x y)/sqrt(x),
 -- but no further in general (consider what happens when x, y = -1).
 --S 64 of 216
-sqrt(x*y*abs(z)**2) / (sqrt(x)*abs(z))
+sqrt(x*y*abs(z)^2) / (sqrt(x)*abs(z))
 --R 
 --R
 --R          +-----------+
@@ -869,7 +869,7 @@ sqrt(1/z) - 1/sqrt(z)
 
 -- If z = 3 pi i, log(exp(z)) is not equal to z
 --S 67 of 216
-log(%e**z)
+log(%e^z)
 --R 
 --R
 --R   (67)  z
@@ -886,7 +886,7 @@ normalize(%)
 
 -- The principal value of this expression is (10 - 4 pi) i
 --S 69 of 216
-log(%e**(10*%i))
+log(%e^(10*%i))
 --R 
 --R
 --R               10%i
@@ -914,7 +914,7 @@ atan(tan(z))
 
 -- If z = 2 pi i, sqrt(exp(z)) is not equal to exp(z/2)
 --S 72 of 216
-sqrt(%e**z) - %e**(z/2)
+sqrt(%e^z) - %e^(z/2)
 --R 
 --R
 --R                    z
@@ -938,7 +938,7 @@ sqrt(%e**z) - %e**(z/2)
 
 -- Solve various nonlinear equations---this cubic polynomial has all real roots
 --S 74 of 216
-radicalSolve(3*x**3 - 18*x**2 + 33*x - 19 = 0, x)
+radicalSolve(3*x^3 - 18*x^2 + 33*x - 19 = 0, x)
 --R 
 --R
 --R   (74)
@@ -1038,7 +1038,7 @@ map(e +-> lhs(e) = rectform(rhs(e)), %)
 
 -- Some simple seeming problems can have messy answers
 --S 76 of 216
-eqn:= x**4 + x**3 + x**2 + x + 1 = 0
+eqn:= x^4 + x^3 + x^2 + x + 1 = 0
 --R 
 --R
 --R          4    3    2
@@ -1485,7 +1485,7 @@ eval(eqn, %.1)
 --E 78
 
 --S 79 of 216
-%e**(2*x) + 2*%e**x + 1 = z
+%e^(2*x) + 2*%e^x + 1 = z
 --R 
 --R
 --R           2x      x
@@ -1504,7 +1504,7 @@ solve(%, x)
 
 -- This equation is already factored and so *should* be easy to solve
 --S 81 of 216
-(x + 1) * (sin(x)**2 + 1)**2 * cos(3*x)**3 = 0
+(x + 1) * (sin(x)^2 + 1)^2 * cos(3*x)^3 = 0
 --R 
 --R
 --R                       3      4                  3      2                 3
@@ -1525,7 +1525,7 @@ solve(%, x)
 -- The following equations have an infinite number of solutions (let n be an
 -- arbitrary integer): z = 0 [+ n 2 pi i]
 --S 83 of 216
-solve(%e**z = 1, z)
+solve(%e^z = 1, z)
 --R 
 --R
 --R   (83)  [z= 0]
@@ -1564,7 +1564,7 @@ solve(sin(x) = tan(x), x)
 
 -- This equation has no solutions
 --S 87 of 216
-solve(sqrt(x**2 + 1) = x - 2, x)
+solve(sqrt(x^2 + 1) = x - 2, x)
 --R 
 --R
 --R   (87)  []
@@ -1607,7 +1607,7 @@ solve([eq1, eq2, eq3], [x, y, z])
 
 -- Solve a system of nonlinear equations
 --S 92 of 216
-eq1:= x**2*y + 3*y*z - 4 = 0
+eq1:= x^2*y + 3*y*z - 4 = 0
 --R 
 --R
 --R                 2
@@ -1616,7 +1616,7 @@ eq1:= x**2*y + 3*y*z - 4 = 0
 --E 92
 
 --S 93 of 216
-eq2:= -3*x**2*z + 2*y**2 + 1 = 0
+eq2:= -3*x^2*z + 2*y^2 + 1 = 0
 --R 
 --R
 --R             2      2
@@ -1625,7 +1625,7 @@ eq2:= -3*x**2*z + 2*y**2 + 1 = 0
 --E 93
 
 --S 94 of 216
-eq3:= 2*y*z**2 - z**2 - 1 = 0
+eq3:= 2*y*z^2 - z^2 - 1 = 0
 --R 
 --R
 --R                  2
@@ -1695,8 +1695,8 @@ m * minv
 --S 99 of 216
 matrix([[1,    1,    1,    1   ], _
         [w,    x,    y,    z   ], _
-        [w**2, x**2, y**2, z**2], _
-        [w**3, x**3, y**3, z**3]])
+        [w^2, x^2, y^2, z^2], _
+        [w^3, x^3, y^3, z^3]])
 --R 
 --R
 --R         +1   1   1   1 +
@@ -1775,7 +1775,7 @@ solve(% = 0, lambda)
 -- ---------- Sums and Products ----------
 -- Sums: finite and infinite
 --S 105 of 216
-summation(k**3, k = 1..n)
+summation(k^3, k = 1..n)
 --R 
 --R
 --R           n
@@ -1787,7 +1787,7 @@ summation(k**3, k = 1..n)
 --E 105
 
 --S 106 of 216
-sum(k**3, k = 1..n)
+sum(k^3, k = 1..n)
 --R 
 --R
 --R           4     3    2
@@ -1798,7 +1798,7 @@ sum(k**3, k = 1..n)
 --E 106
 
 --S 107 of 216
-limit(sum(1/k**2 + 1/k**3, k = 1..n), n = %plusInfinity)
+limit(sum(1/k^2 + 1/k^3, k = 1..n), n = %plusInfinity)
 --R 
 --R
 --R   (107)  "failed"
@@ -1821,7 +1821,7 @@ product(k, k = 1..n)
 -- ---------- Calculus ----------
 -- Limits---start with a famous example
 --S 109 of 216
-limit((1 + 1/n)**n, n = %plusInfinity)
+limit((1 + 1/n)^n, n = %plusInfinity)
 --R 
 --R
 --R   (109)  %e
@@ -1829,7 +1829,7 @@ limit((1 + 1/n)**n, n = %plusInfinity)
 --E 109
 
 --S 110 of 216
-limit((1 - cos(x))/x**2, x = 0)
+limit((1 - cos(x))/x^2, x = 0)
 --R 
 --R
 --R          1
@@ -1868,7 +1868,7 @@ D(y(x(t)), t, 2)
  
 -- ---------- Indefinite Integrals ----------
 --S 114 of 216
-1/(x**3 + 2)
+1/(x^3 + 2)
 --R 
 --R
 --R             1
@@ -2034,7 +2034,7 @@ integrate(1/x, x = -1..1)
 --E 126
 
 --S 127 of 216
-integrate(1/x**2, x = -1..1)
+integrate(1/x^2, x = -1..1)
 --R 
 --R 
 --R   >> Error detected within library code:
@@ -2107,7 +2107,7 @@ integrate(sqrt(x + 1/x - 2), x = 0..2, "noPole")
 
 -- Contour integrals
 --S 134 of 216
-integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity)
+integrate(cos(x)/(x^2 + a^2), x = %minusInfinity..%plusInfinity)
 --R 
 --R
 --R   (132)  potentialPole
@@ -2115,7 +2115,7 @@ integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity)
 --E 134
 
 --S 135 of 216
-integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity, "noPole")
+integrate(cos(x)/(x^2 + a^2), x = %minusInfinity..%plusInfinity, "noPole")
 --R 
 --R
 --R   (133)  "failed"
@@ -2124,7 +2124,7 @@ integrate(cos(x)/(x**2 + a**2), x = %minusInfinity..%plusInfinity, "noPole")
 
 -- Integrand with a branch point
 --S 136 of 216
-integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity)
+integrate(t^(a - 1)/(1 + t), t = 0..%plusInfinity)
 --R 
 --R
 --R   (134)  potentialPole
@@ -2132,7 +2132,7 @@ integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity)
 --E 136
 
 --S 137 of 216
-integrate(t**(a - 1)/(1 + t), t = 0..%plusInfinity, "noPole")
+integrate(t^(a - 1)/(1 + t), t = 0..%plusInfinity, "noPole")
 --R 
 --R
 --R   (135)  "failed"
@@ -2155,7 +2155,7 @@ integrate(integrate(integrate(1, z = 0..c*(1 - x/a - y/b)), _
 -- ---------- Series ----------
 -- Taylor series---this first example comes from special relativity
 --S 139 of 216
-1/sqrt(1 - (v/c)**2)
+1/sqrt(1 - (v/c)^2)
 --R 
 --R
 --R                1
@@ -2181,7 +2181,7 @@ series(%, v = 0)
 --E 140
 
 --S 141 of 216
-1/%**2
+1/%^2
 --R 
 --R
 --R               1  2      8
@@ -2236,7 +2236,7 @@ series(tan(x), x = 0)
 )set streams calculate 1
  
 --S 146 of 216
-log(x)**a*exp(-b*x)
+log(x)^a*exp(-b*x)
 --R 
 --R
 --R            - b x      a
@@ -2546,7 +2546,7 @@ y:= operator('y);
 --E 169
 
 --S 170 of 216
-x**2 * D(y(x), x) + 3*x*y(x) = sin(x)/x
+x^2 * D(y(x), x) + 3*x*y(x) = sin(x)/x
 --R 
 --R
 --R           2 ,               sin(x)
@@ -2568,7 +2568,7 @@ solve(%, y, x)
 
 -- Nonlinear ODE
 --S 172 of 216
-D(y(x), x, 2) + y(x)*D(y(x), x)**3 = 0
+D(y(x), x, 2) + y(x)*D(y(x), x)^3 = 0
 --R 
 --R
 --R           ,,           ,   3
@@ -2631,7 +2631,7 @@ solve(%, y, x)
 -- ODE with boundary conditions.  This problem has nontrivial solutions
 -- y(x) = A sin([pi/2 + n pi] x) for n an arbitrary integer.
 --S 178 of 216
-solve(D(y(x), x, 2) + k**2*y(x) = 0, y, x)
+solve(D(y(x), x, 2) + k^2*y(x) = 0, y, x)
 --R 
 --R
 --R   (170)  [particular= 0,basis= [cos(k x),sin(k x)]]
@@ -2816,7 +2816,7 @@ subst(L(subst(g(y), y = x)), x = y)
 --E 195
 
 --S 196 of 216
-subst(L(subst(A * sin(z**2), z = x)), x = z)
+subst(L(subst(A * sin(z^2), z = x)), x = z)
 --R 
 --R
 --R                 2           2                    2
@@ -2826,9 +2826,9 @@ subst(L(subst(A * sin(z**2), z = x)), x = z)
 
 -- Truncated Taylor series operator
 --S 197 of 216
-T:= (f, xx, a) +-> subst((DD**0)(f(x)), x = a)/factorial(0) * (xx - a)**0 + _
-                   subst((DD**1)(f(x)), x = a)/factorial(1) * (xx - a)**1 + _
-                   subst((DD**2)(f(x)), x = a)/factorial(2) * (xx - a)**2
+T:= (f, xx, a) +-> subst((DD^0)(f(x)), x = a)/factorial(0) * (xx - a)^0 + _
+                   subst((DD^1)(f(x)), x = a)/factorial(1) * (xx - a)^1 + _
+                   subst((DD^2)(f(x)), x = a)/factorial(2) * (xx - a)^2
 --R 
 --R
 --R   (189)
@@ -2902,7 +2902,7 @@ T(Sin, z, c)
 )clear properties p
  
 --S 203 of 216
-p(n, x) == 1/(2**n*factorial(n)) * D((x**2 - 1)**n, x, n)
+p(n, x) == 1/(2^n*factorial(n)) * D((x^2 - 1)^n, x, n)
 --R 
 --R                                                                   Type: Void
 --E 203
@@ -3013,7 +3013,7 @@ a:= operator('a)
 --E 210
 
 --S 211 of 216
-sum(a(i)*x**i, i = 1..5)
+sum(a(i)*x^i, i = 1..5)
 --R 
 --R
 --R               5        4        3        2
diff --git a/src/input/wutset.input.pamphlet b/src/input/wutset.input.pamphlet
index 452f6d7..57e9dd9 100644
--- a/src/input/wutset.input.pamphlet
+++ b/src/input/wutset.input.pamphlet
@@ -25,9 +25,9 @@ y: P := 'y
 z: P := 'z
 t: P := 't
 T := WUTSET(R,E,V,P)
-p1 := x ** 31 - x ** 6 - x - y
-p2 := x ** 8  - z
-p3 := x ** 10 - t
+p1 := x ^ 31 - x ^ 6 - x - y
+p2 := x ^ 8  - z
+p3 := x ^ 10 - t
 lp := [p1, p2, p3]
 characteristicSet(lp)$T
 zeroSetSplit(lp)$T
diff --git a/src/input/xpoly.input.pamphlet b/src/input/xpoly.input.pamphlet
index 5424a06..4d2f79d 100644
--- a/src/input/xpoly.input.pamphlet
+++ b/src/input/xpoly.input.pamphlet
@@ -19,12 +19,12 @@ pr2: poly := pr*pr
 pd  := expand pr
 pd2 := pd*pd
 expand(pr2) - pd2
-qr :=  pr**3
-qd :=  pd**3
+qr :=  pr^3
+qd :=  pd^3
  trunc(qd,2)
 trunc(qr,2)
 Word := OrderedFreeMonoid Symbol
-w: Word := x*y**2
+w: Word := x*y^2
 rquo(qr,w)
 sh(pr,w::poly)
 \end{chunk}
diff --git a/src/input/xpr.input.pamphlet b/src/input/xpr.input.pamphlet
index bfb73dd..4704b1d 100644
--- a/src/input/xpr.input.pamphlet
+++ b/src/input/xpr.input.pamphlet
@@ -22,12 +22,12 @@ p * q
 (p +q)^2 -p^2 -q^2 - 2*p*q
 M := SquareMatrix(2,Fraction Integer)
 poly1:= XPR(M,Word)
-m1:M := matrix [[i*j**2 for i in 1..2] for j in 1..2]
+m1:M := matrix [[i*j^2 for i in 1..2] for j in 1..2]
 m2:M := m1 - 5/4
-m3: M := m2**2
+m3: M := m2^2
 pm:poly1   := m1*x + m2*y + m3*z - 2/3
 qm:poly1 := pm - m1*x
-qm**3
+qm^3
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/zdsolve.input.pamphlet b/src/input/zdsolve.input.pamphlet
index 9e58ec0..3575b35 100644
--- a/src/input/zdsolve.input.pamphlet
+++ b/src/input/zdsolve.input.pamphlet
@@ -16,9 +16,9 @@ R := Integer
 ls : List Symbol := [x,y,z,t]
 ls2 : List Symbol := [x,y,z,t,new()$Symbol]
 pack := ZDSOLVE(R,ls,ls2)
-p1 := x**2*y*z + x*y**2*z + x*y*z**2 + x*y*z + x*y + x*z + y*z
-p2 := x**2*y**2*z + x*y**2*z**2 + x**2*y*z + x*y*z + y*z + x + z
-p3 := x**2*y**2*z**2 + x**2*y**2*z + x*y**2*z + x*y*z + x*z + z + 1
+p1 := x^2*y*z + x*y^2*z + x*y*z^2 + x*y*z + x*y + x*z + y*z
+p2 := x^2*y^2*z + x*y^2*z^2 + x^2*y*z + x*y*z + y*z + x + z
+p3 := x^2*y^2*z^2 + x^2*y^2*z + x*y^2*z + x*y*z + x*z + z + 1
 lp := [p1, p2, p3]
 triangSolve(lp)$pack
 univariateSolve(lp)$pack
@@ -26,10 +26,10 @@ lr := realSolve(lp)$pack
 # lr
 [ [approximate(r,1/1000000) for r in point] for point in lr]
 lpr := positiveSolve(lp)$pack
-f0 := x**3 + y + z + t- 1
-f1 := x + y**3 + z + t -1
-f2 := x + y + z**3 + t-1
-f3 := x + y + z + t**3 -1
+f0 := x^3 + y + z + t- 1
+f1 := x + y^3 + z + t -1
+f2 := x + y + z^3 + t-1
+f3 := x + y + z + t^3 -1
 lf := [f0, f1, f2, f3]
 lts := triangSolve(lf)$pack
 univariateSolve(lf)$pack
@@ -39,7 +39,7 @@ realSolve(ts)$pack
 lr2 := realSolve(lf)$pack
 #lr2
 lpr2 := positiveSolve(lf)$pack
-[approximate(r,1/10**21)::Float for r in lpr2.1]
+[approximate(r,1/10^21)::Float for r in lpr2.1]
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/zimmbron.input.pamphlet b/src/input/zimmbron.input.pamphlet
index 13e1e8b..3ab395b 100644
--- a/src/input/zimmbron.input.pamphlet
+++ b/src/input/zimmbron.input.pamphlet
@@ -161,7 +161,7 @@ solve(eq,y,x)
 \subsection{First Order 4 }
 \begin{chunk}{*} 
 --S 14 of 143
-eq := 2*(y x)*y'**2-2*x*y'-y x=0
+eq := 2*(y x)*y'^2-2*x*y'-y x=0
 --R 
 --R
 --R               ,   2      ,
